#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2774
#define LARGE_STATE_COUNT 261
#define SYMBOL_COUNT 318
#define ALIAS_COUNT 0
#define TOKEN_COUNT 121
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 14
#define PRODUCTION_ID_COUNT 1

enum ts_symbol_identifiers {
  sym_lowercase_identifier = 1,
  anon_sym_priv = 2,
  anon_sym_pub = 3,
  anon_sym_LPAREN = 4,
  anon_sym_readonly = 5,
  anon_sym_all = 6,
  anon_sym_open = 7,
  anon_sym_RPAREN = 8,
  sym_derive_keyword = 9,
  anon_sym_COMMA = 10,
  anon_sym_extern = 11,
  anon_sym_type = 12,
  anon_sym_BANG = 13,
  anon_sym_LBRACE = 14,
  anon_sym_RBRACE = 15,
  anon_sym_typealias = 16,
  anon_sym_EQ = 17,
  anon_sym_struct = 18,
  anon_sym_enum = 19,
  anon_sym_mut = 20,
  anon_sym_let = 21,
  anon_sym_const = 22,
  anon_sym_async = 23,
  anon_sym_fn = 24,
  anon_sym_test = 25,
  anon_sym_trait = 26,
  anon_sym_PLUS = 27,
  anon_sym_traitalias = 28,
  anon_sym_impl = 29,
  anon_sym_with = 30,
  anon_sym__ = 31,
  anon_sym_DQUOTE = 32,
  anon_sym_BSLASH_LBRACE = 33,
  anon_sym_true = 34,
  anon_sym_false = 35,
  sym_integer_literal = 36,
  anon_sym_b_SQUOTE = 37,
  aux_sym_byte_literal_token1 = 38,
  anon_sym_SQUOTE = 39,
  anon_sym_b_DQUOTE = 40,
  aux_sym_unescaped_string_fragment_token1 = 41,
  aux_sym_unescaped_string_fragment_token2 = 42,
  aux_sym_escape_sequence_token1 = 43,
  aux_sym_escape_sequence_token2 = 44,
  aux_sym_escape_sequence_token3 = 45,
  aux_sym_escape_sequence_token4 = 46,
  aux_sym_escape_sequence_token5 = 47,
  aux_sym_escape_sequence_token6 = 48,
  sym_multiline_string_separator = 49,
  sym_multiline_interpolation_separator = 50,
  sym_multiline_string_content = 51,
  aux_sym_multiline_interpolation_content_token1 = 52,
  aux_sym_multiline_interpolation_content_token2 = 53,
  anon_sym_DASH = 54,
  sym_pipe_operator = 55,
  anon_sym_STAR = 56,
  anon_sym_SLASH = 57,
  anon_sym_PERCENT = 58,
  anon_sym_LT_LT = 59,
  anon_sym_GT_GT = 60,
  anon_sym_GT = 61,
  anon_sym_GT_EQ = 62,
  anon_sym_LT_EQ = 63,
  anon_sym_LT = 64,
  anon_sym_EQ_EQ = 65,
  anon_sym_BANG_EQ = 66,
  anon_sym_AMP = 67,
  anon_sym_CARET = 68,
  anon_sym_PIPE = 69,
  anon_sym_AMP_AMP = 70,
  anon_sym_PIPE_PIPE = 71,
  anon_sym_DOT_DOT = 72,
  anon_sym_if = 73,
  anon_sym_EQ_GT = 74,
  anon_sym_TILDE = 75,
  anon_sym_BANG_BANG = 76,
  anon_sym_LBRACK = 77,
  anon_sym_RBRACK = 78,
  aux_sym_accessor_token1 = 79,
  anon_sym_as = 80,
  anon_sym_match = 81,
  anon_sym_break = 82,
  anon_sym_continue = 83,
  anon_sym_try = 84,
  anon_sym_catch = 85,
  anon_sym_else = 86,
  sym_unfinished = 87,
  anon_sym_guard = 88,
  anon_sym_TILDE_COLON = 89,
  anon_sym_while = 90,
  anon_sym_loop = 91,
  sym_for_keyword = 92,
  anon_sym_in = 93,
  anon_sym_return = 94,
  anon_sym_raise = 95,
  anon_sym_DASH_GT = 96,
  sym_uppercase_identifier = 97,
  anon_sym_SEMI = 98,
  sym_dot = 99,
  sym_dot_dot_lt = 100,
  sym_dot_dot_eq = 101,
  sym_colon = 102,
  sym_colon_colon = 103,
  sym_question_operator = 104,
  sym_is_keyword = 105,
  sym_plus_equal = 106,
  sym_minus_equal = 107,
  sym_asterisk_equal = 108,
  sym_slash_equal = 109,
  sym_percent_equal = 110,
  sym_dot_lowercase_identifier = 111,
  sym_dot_uppercase_identifier = 112,
  aux_sym_dot_dot_identifier_token1 = 113,
  sym_package_identifier = 114,
  sym_comment = 115,
  sym_docstring = 116,
  anon_sym_POUND = 117,
  sym_automatic_newline = 118,
  sym_automatic_semicolon = 119,
  sym_float_literal = 120,
  sym_structure = 121,
  sym_structure_item = 122,
  sym_visibility = 123,
  sym_pub_attribute = 124,
  sym_derive_item = 125,
  sym_derive_directive = 126,
  sym_type_definition = 127,
  sym_error_type_definition = 128,
  sym_type_alias_definition = 129,
  sym_struct_definition = 130,
  sym_struct_field_declaration = 131,
  sym_enum_definition = 132,
  sym_enum_constructor_payload = 133,
  sym_enum_constructor = 134,
  sym_constructor_parameter = 135,
  sym_value_definition = 136,
  sym_const_definition = 137,
  sym_external_linkage = 138,
  sym_external_source = 139,
  sym_function_definition = 140,
  sym_test_definition = 141,
  sym_trait_definition = 142,
  sym_super_trait_declaration = 143,
  sym_trait_method_parameter = 144,
  sym_trait_method_declaration = 145,
  sym_trait_alias_definition = 146,
  sym_impl_definition = 147,
  sym_expression = 148,
  sym_pipeline_expression = 149,
  sym_compound_expression = 150,
  sym_postfix_expression = 151,
  sym_simple_expression = 152,
  sym_atomic_expression = 153,
  sym_string_interpolation = 154,
  sym_interpolator = 155,
  sym_literal = 156,
  sym_boolean_literal = 157,
  sym_byte_literal = 158,
  sym_char_literal = 159,
  sym_string_literal = 160,
  sym_bytes_literal = 161,
  sym_string_fragment = 162,
  sym_unescaped_string_fragment = 163,
  sym_escape_sequence = 164,
  sym_multiline_string_fragment = 165,
  sym_multiline_interpolation_content = 166,
  sym_multiline_interpolation_fragment = 167,
  sym_multiline_string_literal = 168,
  sym_unary_expression = 169,
  sym_binary_expression = 170,
  sym_struct_expression = 171,
  sym_struct_field_expression = 172,
  sym_labeled_expression = 173,
  sym_labeled_expression_pun = 174,
  sym_block_expression = 175,
  sym_nonempty_block_expression = 176,
  sym_anonymous_lambda_expression = 177,
  sym_anonymous_matrix_lambda_expression = 178,
  sym_pattern_guard = 179,
  sym_matrix_case_clause = 180,
  sym_constructor_expression = 181,
  sym_argument_label = 182,
  sym_argument_pun = 183,
  sym_argument = 184,
  sym_apply_operator = 185,
  sym_apply_expression = 186,
  sym_array_access_expression = 187,
  sym_dot_apply_expression = 188,
  sym_dot_dot_apply_expression = 189,
  sym_access_expression = 190,
  sym_accessor = 191,
  sym_method_expression = 192,
  sym_unit_expression = 193,
  sym_tuple_expression = 194,
  sym_constraint_expression = 195,
  sym_array_expression = 196,
  sym_map_expression = 197,
  sym_map_element_key = 198,
  sym_map_element_expression = 199,
  sym_as_expression = 200,
  sym_is_expression = 201,
  sym_match_expression = 202,
  sym_case_clause = 203,
  sym_break_expression = 204,
  sym_continue_expression = 205,
  sym_try_expression = 206,
  sym_try_else_clause = 207,
  sym_if_expression = 208,
  sym_else_clause = 209,
  sym_statement_expression = 210,
  sym_let_expression = 211,
  sym_let_mut_expression = 212,
  sym_guard_expression = 213,
  sym_guard_else_expression = 214,
  sym_guard_let_expression = 215,
  sym_guard_let_else_expression = 216,
  sym_assign_operator = 217,
  sym_assign_expression = 218,
  sym_left_value = 219,
  sym_named_lambda_expression = 220,
  sym_named_matrix_expression = 221,
  sym_loop_label = 222,
  sym_while_expression = 223,
  sym_loop_expression = 224,
  sym_for_binder = 225,
  sym_for_expression = 226,
  sym_for_in_expression = 227,
  sym_range_expression = 228,
  sym_return_expression = 229,
  sym_raise_expression = 230,
  sym_pattern = 231,
  sym_as_pattern = 232,
  sym_or_pattern = 233,
  sym_simple_pattern = 234,
  sym_constructor_pattern_argument = 235,
  sym_constructor_pattern = 236,
  sym_tuple_pattern = 237,
  sym_constraint_pattern = 238,
  sym_array_pattern = 239,
  sym_array_sub_pattern = 240,
  sym_struct_pattern = 241,
  sym_struct_field_pattern = 242,
  sym_labeled_pattern = 243,
  sym_labeled_pattern_pun = 244,
  sym_map_pattern = 245,
  sym_map_element_pattern = 246,
  sym_empty_struct_or_map_pattern = 247,
  sym_range_pattern = 248,
  sym_type = 249,
  sym_tuple_type = 250,
  sym_function_type = 251,
  sym_apply_type = 252,
  sym_option_type = 253,
  sym_trait_object_type = 254,
  sym_type_arguments = 255,
  sym_type_parameters = 256,
  sym_type_annotation = 257,
  sym_type_with_error = 258,
  sym_return_type = 259,
  sym_parameter_label = 260,
  sym_optional_parameter_label = 261,
  sym_parameter = 262,
  sym_parameters = 263,
  sym_any = 264,
  sym_mutability = 265,
  sym_pub = 266,
  sym_identifier = 267,
  sym_semicolon = 268,
  sym_dot_dot = 269,
  sym_equal = 270,
  sym_dot_identifier = 271,
  sym_dot_dot_identifier = 272,
  sym_qualified_identifier = 273,
  sym_qualified_type_identifier = 274,
  sym_type_name = 275,
  sym_function_identifier = 276,
  sym_type_identifier = 277,
  sym_constraints = 278,
  sym_constraint = 279,
  sym_attribute_properties = 280,
  sym_attribute_property = 281,
  sym_attribute_expression = 282,
  sym_attribute = 283,
  sym_attributes = 284,
  aux_sym_structure_repeat1 = 285,
  aux_sym_derive_directive_repeat1 = 286,
  aux_sym_error_type_definition_repeat1 = 287,
  aux_sym_struct_definition_repeat1 = 288,
  aux_sym_enum_constructor_payload_repeat1 = 289,
  aux_sym_trait_definition_repeat1 = 290,
  aux_sym_super_trait_declaration_repeat1 = 291,
  aux_sym_trait_method_declaration_repeat1 = 292,
  aux_sym_string_interpolation_repeat1 = 293,
  aux_sym_string_interpolation_repeat2 = 294,
  aux_sym_multiline_interpolation_fragment_repeat1 = 295,
  aux_sym_multiline_string_literal_repeat1 = 296,
  aux_sym_struct_expression_repeat1 = 297,
  aux_sym_block_expression_repeat1 = 298,
  aux_sym_anonymous_matrix_lambda_expression_repeat1 = 299,
  aux_sym_matrix_case_clause_repeat1 = 300,
  aux_sym_apply_expression_repeat1 = 301,
  aux_sym_tuple_expression_repeat1 = 302,
  aux_sym_array_expression_repeat1 = 303,
  aux_sym_map_expression_repeat1 = 304,
  aux_sym_match_expression_repeat1 = 305,
  aux_sym_for_expression_repeat1 = 306,
  aux_sym_for_in_expression_repeat1 = 307,
  aux_sym_constructor_pattern_repeat1 = 308,
  aux_sym_array_pattern_repeat1 = 309,
  aux_sym_struct_pattern_repeat1 = 310,
  aux_sym_map_pattern_repeat1 = 311,
  aux_sym_tuple_type_repeat1 = 312,
  aux_sym_type_parameters_repeat1 = 313,
  aux_sym_parameters_repeat1 = 314,
  aux_sym_constraints_repeat1 = 315,
  aux_sym_attribute_properties_repeat1 = 316,
  aux_sym_attributes_repeat1 = 317,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_lowercase_identifier] = "lowercase_identifier",
  [anon_sym_priv] = "priv",
  [anon_sym_pub] = "pub",
  [anon_sym_LPAREN] = "(",
  [anon_sym_readonly] = "readonly",
  [anon_sym_all] = "all",
  [anon_sym_open] = "open",
  [anon_sym_RPAREN] = ")",
  [sym_derive_keyword] = "derive_keyword",
  [anon_sym_COMMA] = ",",
  [anon_sym_extern] = "extern",
  [anon_sym_type] = "type",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typealias] = "typealias",
  [anon_sym_EQ] = "=",
  [anon_sym_struct] = "struct",
  [anon_sym_enum] = "enum",
  [anon_sym_mut] = "mut",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_async] = "async",
  [anon_sym_fn] = "fn",
  [anon_sym_test] = "test",
  [anon_sym_trait] = "trait",
  [anon_sym_PLUS] = "+",
  [anon_sym_traitalias] = "traitalias",
  [anon_sym_impl] = "impl",
  [anon_sym_with] = "with",
  [anon_sym__] = "_",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_BSLASH_LBRACE] = "\\{",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_integer_literal] = "integer_literal",
  [anon_sym_b_SQUOTE] = "b'",
  [aux_sym_byte_literal_token1] = "byte_literal_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_b_DQUOTE] = "b\"",
  [aux_sym_unescaped_string_fragment_token1] = "unescaped_string_fragment_token1",
  [aux_sym_unescaped_string_fragment_token2] = "unescaped_string_fragment_token2",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [aux_sym_escape_sequence_token5] = "escape_sequence_token5",
  [aux_sym_escape_sequence_token6] = "escape_sequence_token6",
  [sym_multiline_string_separator] = "multiline_string_separator",
  [sym_multiline_interpolation_separator] = "multiline_interpolation_separator",
  [sym_multiline_string_content] = "multiline_string_content",
  [aux_sym_multiline_interpolation_content_token1] = "multiline_interpolation_content_token1",
  [aux_sym_multiline_interpolation_content_token2] = "multiline_interpolation_content_token2",
  [anon_sym_DASH] = "-",
  [sym_pipe_operator] = "pipe_operator",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_if] = "if",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG_BANG] = "!!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [aux_sym_accessor_token1] = "accessor_token1",
  [anon_sym_as] = "as",
  [anon_sym_match] = "match",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_else] = "else",
  [sym_unfinished] = "unfinished",
  [anon_sym_guard] = "guard",
  [anon_sym_TILDE_COLON] = "~:",
  [anon_sym_while] = "while",
  [anon_sym_loop] = "loop",
  [sym_for_keyword] = "for_keyword",
  [anon_sym_in] = "in",
  [anon_sym_return] = "return",
  [anon_sym_raise] = "raise",
  [anon_sym_DASH_GT] = "->",
  [sym_uppercase_identifier] = "uppercase_identifier",
  [anon_sym_SEMI] = ";",
  [sym_dot] = "dot",
  [sym_dot_dot_lt] = "dot_dot_lt",
  [sym_dot_dot_eq] = "dot_dot_eq",
  [sym_colon] = "colon",
  [sym_colon_colon] = "colon_colon",
  [sym_question_operator] = "question_operator",
  [sym_is_keyword] = "is_keyword",
  [sym_plus_equal] = "plus_equal",
  [sym_minus_equal] = "minus_equal",
  [sym_asterisk_equal] = "asterisk_equal",
  [sym_slash_equal] = "slash_equal",
  [sym_percent_equal] = "percent_equal",
  [sym_dot_lowercase_identifier] = "dot_lowercase_identifier",
  [sym_dot_uppercase_identifier] = "dot_uppercase_identifier",
  [aux_sym_dot_dot_identifier_token1] = "dot_dot_identifier_token1",
  [sym_package_identifier] = "package_identifier",
  [sym_comment] = "comment",
  [sym_docstring] = "docstring",
  [anon_sym_POUND] = "#",
  [sym_automatic_newline] = "automatic_newline",
  [sym_automatic_semicolon] = "automatic_semicolon",
  [sym_float_literal] = "float_literal",
  [sym_structure] = "structure",
  [sym_structure_item] = "structure_item",
  [sym_visibility] = "visibility",
  [sym_pub_attribute] = "pub_attribute",
  [sym_derive_item] = "derive_item",
  [sym_derive_directive] = "derive_directive",
  [sym_type_definition] = "type_definition",
  [sym_error_type_definition] = "error_type_definition",
  [sym_type_alias_definition] = "type_alias_definition",
  [sym_struct_definition] = "struct_definition",
  [sym_struct_field_declaration] = "struct_field_declaration",
  [sym_enum_definition] = "enum_definition",
  [sym_enum_constructor_payload] = "enum_constructor_payload",
  [sym_enum_constructor] = "enum_constructor",
  [sym_constructor_parameter] = "constructor_parameter",
  [sym_value_definition] = "value_definition",
  [sym_const_definition] = "const_definition",
  [sym_external_linkage] = "external_linkage",
  [sym_external_source] = "external_source",
  [sym_function_definition] = "function_definition",
  [sym_test_definition] = "test_definition",
  [sym_trait_definition] = "trait_definition",
  [sym_super_trait_declaration] = "super_trait_declaration",
  [sym_trait_method_parameter] = "trait_method_parameter",
  [sym_trait_method_declaration] = "trait_method_declaration",
  [sym_trait_alias_definition] = "trait_alias_definition",
  [sym_impl_definition] = "impl_definition",
  [sym_expression] = "expression",
  [sym_pipeline_expression] = "pipeline_expression",
  [sym_compound_expression] = "compound_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_simple_expression] = "simple_expression",
  [sym_atomic_expression] = "atomic_expression",
  [sym_string_interpolation] = "string_interpolation",
  [sym_interpolator] = "interpolator",
  [sym_literal] = "literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym_byte_literal] = "byte_literal",
  [sym_char_literal] = "char_literal",
  [sym_string_literal] = "string_literal",
  [sym_bytes_literal] = "bytes_literal",
  [sym_string_fragment] = "string_fragment",
  [sym_unescaped_string_fragment] = "unescaped_string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_multiline_string_fragment] = "multiline_string_fragment",
  [sym_multiline_interpolation_content] = "multiline_interpolation_content",
  [sym_multiline_interpolation_fragment] = "multiline_interpolation_fragment",
  [sym_multiline_string_literal] = "multiline_string_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_struct_expression] = "struct_expression",
  [sym_struct_field_expression] = "struct_field_expression",
  [sym_labeled_expression] = "labeled_expression",
  [sym_labeled_expression_pun] = "labeled_expression_pun",
  [sym_block_expression] = "block_expression",
  [sym_nonempty_block_expression] = "nonempty_block_expression",
  [sym_anonymous_lambda_expression] = "anonymous_lambda_expression",
  [sym_anonymous_matrix_lambda_expression] = "anonymous_matrix_lambda_expression",
  [sym_pattern_guard] = "pattern_guard",
  [sym_matrix_case_clause] = "matrix_case_clause",
  [sym_constructor_expression] = "constructor_expression",
  [sym_argument_label] = "argument_label",
  [sym_argument_pun] = "argument_pun",
  [sym_argument] = "argument",
  [sym_apply_operator] = "apply_operator",
  [sym_apply_expression] = "apply_expression",
  [sym_array_access_expression] = "array_access_expression",
  [sym_dot_apply_expression] = "dot_apply_expression",
  [sym_dot_dot_apply_expression] = "dot_dot_apply_expression",
  [sym_access_expression] = "access_expression",
  [sym_accessor] = "accessor",
  [sym_method_expression] = "method_expression",
  [sym_unit_expression] = "unit_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_constraint_expression] = "constraint_expression",
  [sym_array_expression] = "array_expression",
  [sym_map_expression] = "map_expression",
  [sym_map_element_key] = "map_element_key",
  [sym_map_element_expression] = "map_element_expression",
  [sym_as_expression] = "as_expression",
  [sym_is_expression] = "is_expression",
  [sym_match_expression] = "match_expression",
  [sym_case_clause] = "case_clause",
  [sym_break_expression] = "break_expression",
  [sym_continue_expression] = "continue_expression",
  [sym_try_expression] = "try_expression",
  [sym_try_else_clause] = "try_else_clause",
  [sym_if_expression] = "if_expression",
  [sym_else_clause] = "else_clause",
  [sym_statement_expression] = "statement_expression",
  [sym_let_expression] = "let_expression",
  [sym_let_mut_expression] = "let_mut_expression",
  [sym_guard_expression] = "guard_expression",
  [sym_guard_else_expression] = "guard_else_expression",
  [sym_guard_let_expression] = "guard_let_expression",
  [sym_guard_let_else_expression] = "guard_let_else_expression",
  [sym_assign_operator] = "assign_operator",
  [sym_assign_expression] = "assign_expression",
  [sym_left_value] = "left_value",
  [sym_named_lambda_expression] = "named_lambda_expression",
  [sym_named_matrix_expression] = "named_matrix_expression",
  [sym_loop_label] = "loop_label",
  [sym_while_expression] = "while_expression",
  [sym_loop_expression] = "loop_expression",
  [sym_for_binder] = "for_binder",
  [sym_for_expression] = "for_expression",
  [sym_for_in_expression] = "for_in_expression",
  [sym_range_expression] = "range_expression",
  [sym_return_expression] = "return_expression",
  [sym_raise_expression] = "raise_expression",
  [sym_pattern] = "pattern",
  [sym_as_pattern] = "as_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_simple_pattern] = "simple_pattern",
  [sym_constructor_pattern_argument] = "constructor_pattern_argument",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_constraint_pattern] = "constraint_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_sub_pattern] = "array_sub_pattern",
  [sym_struct_pattern] = "struct_pattern",
  [sym_struct_field_pattern] = "struct_field_pattern",
  [sym_labeled_pattern] = "labeled_pattern",
  [sym_labeled_pattern_pun] = "labeled_pattern_pun",
  [sym_map_pattern] = "map_pattern",
  [sym_map_element_pattern] = "map_element_pattern",
  [sym_empty_struct_or_map_pattern] = "empty_struct_or_map_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_type] = "type",
  [sym_tuple_type] = "tuple_type",
  [sym_function_type] = "function_type",
  [sym_apply_type] = "apply_type",
  [sym_option_type] = "option_type",
  [sym_trait_object_type] = "trait_object_type",
  [sym_type_arguments] = "type_arguments",
  [sym_type_parameters] = "type_parameters",
  [sym_type_annotation] = "type_annotation",
  [sym_type_with_error] = "type_with_error",
  [sym_return_type] = "return_type",
  [sym_parameter_label] = "parameter_label",
  [sym_optional_parameter_label] = "optional_parameter_label",
  [sym_parameter] = "parameter",
  [sym_parameters] = "parameters",
  [sym_any] = "any",
  [sym_mutability] = "mutability",
  [sym_pub] = "pub",
  [sym_identifier] = "identifier",
  [sym_semicolon] = "semicolon",
  [sym_dot_dot] = "dot_dot",
  [sym_equal] = "equal",
  [sym_dot_identifier] = "dot_identifier",
  [sym_dot_dot_identifier] = "dot_dot_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_type_identifier",
  [sym_type_name] = "type_name",
  [sym_function_identifier] = "function_identifier",
  [sym_type_identifier] = "type_identifier",
  [sym_constraints] = "constraints",
  [sym_constraint] = "constraint",
  [sym_attribute_properties] = "attribute_properties",
  [sym_attribute_property] = "attribute_property",
  [sym_attribute_expression] = "attribute_expression",
  [sym_attribute] = "attribute",
  [sym_attributes] = "attributes",
  [aux_sym_structure_repeat1] = "structure_repeat1",
  [aux_sym_derive_directive_repeat1] = "derive_directive_repeat1",
  [aux_sym_error_type_definition_repeat1] = "error_type_definition_repeat1",
  [aux_sym_struct_definition_repeat1] = "struct_definition_repeat1",
  [aux_sym_enum_constructor_payload_repeat1] = "enum_constructor_payload_repeat1",
  [aux_sym_trait_definition_repeat1] = "trait_definition_repeat1",
  [aux_sym_super_trait_declaration_repeat1] = "super_trait_declaration_repeat1",
  [aux_sym_trait_method_declaration_repeat1] = "trait_method_declaration_repeat1",
  [aux_sym_string_interpolation_repeat1] = "string_interpolation_repeat1",
  [aux_sym_string_interpolation_repeat2] = "string_interpolation_repeat2",
  [aux_sym_multiline_interpolation_fragment_repeat1] = "multiline_interpolation_fragment_repeat1",
  [aux_sym_multiline_string_literal_repeat1] = "multiline_string_literal_repeat1",
  [aux_sym_struct_expression_repeat1] = "struct_expression_repeat1",
  [aux_sym_block_expression_repeat1] = "block_expression_repeat1",
  [aux_sym_anonymous_matrix_lambda_expression_repeat1] = "anonymous_matrix_lambda_expression_repeat1",
  [aux_sym_matrix_case_clause_repeat1] = "matrix_case_clause_repeat1",
  [aux_sym_apply_expression_repeat1] = "apply_expression_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_array_expression_repeat1] = "array_expression_repeat1",
  [aux_sym_map_expression_repeat1] = "map_expression_repeat1",
  [aux_sym_match_expression_repeat1] = "match_expression_repeat1",
  [aux_sym_for_expression_repeat1] = "for_expression_repeat1",
  [aux_sym_for_in_expression_repeat1] = "for_in_expression_repeat1",
  [aux_sym_constructor_pattern_repeat1] = "constructor_pattern_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_struct_pattern_repeat1] = "struct_pattern_repeat1",
  [aux_sym_map_pattern_repeat1] = "map_pattern_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_constraints_repeat1] = "constraints_repeat1",
  [aux_sym_attribute_properties_repeat1] = "attribute_properties_repeat1",
  [aux_sym_attributes_repeat1] = "attributes_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_lowercase_identifier] = sym_lowercase_identifier,
  [anon_sym_priv] = anon_sym_priv,
  [anon_sym_pub] = anon_sym_pub,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_all] = anon_sym_all,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [sym_derive_keyword] = sym_derive_keyword,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typealias] = anon_sym_typealias,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_mut] = anon_sym_mut,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_test] = anon_sym_test,
  [anon_sym_trait] = anon_sym_trait,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_traitalias] = anon_sym_traitalias,
  [anon_sym_impl] = anon_sym_impl,
  [anon_sym_with] = anon_sym_with,
  [anon_sym__] = anon_sym__,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_BSLASH_LBRACE] = anon_sym_BSLASH_LBRACE,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_integer_literal] = sym_integer_literal,
  [anon_sym_b_SQUOTE] = anon_sym_b_SQUOTE,
  [aux_sym_byte_literal_token1] = aux_sym_byte_literal_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_b_DQUOTE] = anon_sym_b_DQUOTE,
  [aux_sym_unescaped_string_fragment_token1] = aux_sym_unescaped_string_fragment_token1,
  [aux_sym_unescaped_string_fragment_token2] = aux_sym_unescaped_string_fragment_token2,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [aux_sym_escape_sequence_token5] = aux_sym_escape_sequence_token5,
  [aux_sym_escape_sequence_token6] = aux_sym_escape_sequence_token6,
  [sym_multiline_string_separator] = sym_multiline_string_separator,
  [sym_multiline_interpolation_separator] = sym_multiline_interpolation_separator,
  [sym_multiline_string_content] = sym_multiline_string_content,
  [aux_sym_multiline_interpolation_content_token1] = aux_sym_multiline_interpolation_content_token1,
  [aux_sym_multiline_interpolation_content_token2] = aux_sym_multiline_interpolation_content_token2,
  [anon_sym_DASH] = anon_sym_DASH,
  [sym_pipe_operator] = sym_pipe_operator,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG_BANG] = anon_sym_BANG_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_accessor_token1] = aux_sym_accessor_token1,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_else] = anon_sym_else,
  [sym_unfinished] = sym_unfinished,
  [anon_sym_guard] = anon_sym_guard,
  [anon_sym_TILDE_COLON] = anon_sym_TILDE_COLON,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_loop] = anon_sym_loop,
  [sym_for_keyword] = sym_for_keyword,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_uppercase_identifier] = sym_uppercase_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym_dot] = sym_dot,
  [sym_dot_dot_lt] = sym_dot_dot_lt,
  [sym_dot_dot_eq] = sym_dot_dot_eq,
  [sym_colon] = sym_colon,
  [sym_colon_colon] = sym_colon_colon,
  [sym_question_operator] = sym_question_operator,
  [sym_is_keyword] = sym_is_keyword,
  [sym_plus_equal] = sym_plus_equal,
  [sym_minus_equal] = sym_minus_equal,
  [sym_asterisk_equal] = sym_asterisk_equal,
  [sym_slash_equal] = sym_slash_equal,
  [sym_percent_equal] = sym_percent_equal,
  [sym_dot_lowercase_identifier] = sym_dot_lowercase_identifier,
  [sym_dot_uppercase_identifier] = sym_dot_uppercase_identifier,
  [aux_sym_dot_dot_identifier_token1] = aux_sym_dot_dot_identifier_token1,
  [sym_package_identifier] = sym_package_identifier,
  [sym_comment] = sym_comment,
  [sym_docstring] = sym_docstring,
  [anon_sym_POUND] = anon_sym_POUND,
  [sym_automatic_newline] = sym_automatic_newline,
  [sym_automatic_semicolon] = sym_automatic_semicolon,
  [sym_float_literal] = sym_float_literal,
  [sym_structure] = sym_structure,
  [sym_structure_item] = sym_structure_item,
  [sym_visibility] = sym_visibility,
  [sym_pub_attribute] = sym_pub_attribute,
  [sym_derive_item] = sym_derive_item,
  [sym_derive_directive] = sym_derive_directive,
  [sym_type_definition] = sym_type_definition,
  [sym_error_type_definition] = sym_error_type_definition,
  [sym_type_alias_definition] = sym_type_alias_definition,
  [sym_struct_definition] = sym_struct_definition,
  [sym_struct_field_declaration] = sym_struct_field_declaration,
  [sym_enum_definition] = sym_enum_definition,
  [sym_enum_constructor_payload] = sym_enum_constructor_payload,
  [sym_enum_constructor] = sym_enum_constructor,
  [sym_constructor_parameter] = sym_constructor_parameter,
  [sym_value_definition] = sym_value_definition,
  [sym_const_definition] = sym_const_definition,
  [sym_external_linkage] = sym_external_linkage,
  [sym_external_source] = sym_external_source,
  [sym_function_definition] = sym_function_definition,
  [sym_test_definition] = sym_test_definition,
  [sym_trait_definition] = sym_trait_definition,
  [sym_super_trait_declaration] = sym_super_trait_declaration,
  [sym_trait_method_parameter] = sym_trait_method_parameter,
  [sym_trait_method_declaration] = sym_trait_method_declaration,
  [sym_trait_alias_definition] = sym_trait_alias_definition,
  [sym_impl_definition] = sym_impl_definition,
  [sym_expression] = sym_expression,
  [sym_pipeline_expression] = sym_pipeline_expression,
  [sym_compound_expression] = sym_compound_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_simple_expression] = sym_simple_expression,
  [sym_atomic_expression] = sym_atomic_expression,
  [sym_string_interpolation] = sym_string_interpolation,
  [sym_interpolator] = sym_interpolator,
  [sym_literal] = sym_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_byte_literal] = sym_byte_literal,
  [sym_char_literal] = sym_char_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_bytes_literal] = sym_bytes_literal,
  [sym_string_fragment] = sym_string_fragment,
  [sym_unescaped_string_fragment] = sym_unescaped_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_multiline_string_fragment] = sym_multiline_string_fragment,
  [sym_multiline_interpolation_content] = sym_multiline_interpolation_content,
  [sym_multiline_interpolation_fragment] = sym_multiline_interpolation_fragment,
  [sym_multiline_string_literal] = sym_multiline_string_literal,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_struct_expression] = sym_struct_expression,
  [sym_struct_field_expression] = sym_struct_field_expression,
  [sym_labeled_expression] = sym_labeled_expression,
  [sym_labeled_expression_pun] = sym_labeled_expression_pun,
  [sym_block_expression] = sym_block_expression,
  [sym_nonempty_block_expression] = sym_nonempty_block_expression,
  [sym_anonymous_lambda_expression] = sym_anonymous_lambda_expression,
  [sym_anonymous_matrix_lambda_expression] = sym_anonymous_matrix_lambda_expression,
  [sym_pattern_guard] = sym_pattern_guard,
  [sym_matrix_case_clause] = sym_matrix_case_clause,
  [sym_constructor_expression] = sym_constructor_expression,
  [sym_argument_label] = sym_argument_label,
  [sym_argument_pun] = sym_argument_pun,
  [sym_argument] = sym_argument,
  [sym_apply_operator] = sym_apply_operator,
  [sym_apply_expression] = sym_apply_expression,
  [sym_array_access_expression] = sym_array_access_expression,
  [sym_dot_apply_expression] = sym_dot_apply_expression,
  [sym_dot_dot_apply_expression] = sym_dot_dot_apply_expression,
  [sym_access_expression] = sym_access_expression,
  [sym_accessor] = sym_accessor,
  [sym_method_expression] = sym_method_expression,
  [sym_unit_expression] = sym_unit_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_constraint_expression] = sym_constraint_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_map_expression] = sym_map_expression,
  [sym_map_element_key] = sym_map_element_key,
  [sym_map_element_expression] = sym_map_element_expression,
  [sym_as_expression] = sym_as_expression,
  [sym_is_expression] = sym_is_expression,
  [sym_match_expression] = sym_match_expression,
  [sym_case_clause] = sym_case_clause,
  [sym_break_expression] = sym_break_expression,
  [sym_continue_expression] = sym_continue_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_try_else_clause] = sym_try_else_clause,
  [sym_if_expression] = sym_if_expression,
  [sym_else_clause] = sym_else_clause,
  [sym_statement_expression] = sym_statement_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_let_mut_expression] = sym_let_mut_expression,
  [sym_guard_expression] = sym_guard_expression,
  [sym_guard_else_expression] = sym_guard_else_expression,
  [sym_guard_let_expression] = sym_guard_let_expression,
  [sym_guard_let_else_expression] = sym_guard_let_else_expression,
  [sym_assign_operator] = sym_assign_operator,
  [sym_assign_expression] = sym_assign_expression,
  [sym_left_value] = sym_left_value,
  [sym_named_lambda_expression] = sym_named_lambda_expression,
  [sym_named_matrix_expression] = sym_named_matrix_expression,
  [sym_loop_label] = sym_loop_label,
  [sym_while_expression] = sym_while_expression,
  [sym_loop_expression] = sym_loop_expression,
  [sym_for_binder] = sym_for_binder,
  [sym_for_expression] = sym_for_expression,
  [sym_for_in_expression] = sym_for_in_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_return_expression] = sym_return_expression,
  [sym_raise_expression] = sym_raise_expression,
  [sym_pattern] = sym_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_simple_pattern] = sym_simple_pattern,
  [sym_constructor_pattern_argument] = sym_constructor_pattern_argument,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_constraint_pattern] = sym_constraint_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_sub_pattern] = sym_array_sub_pattern,
  [sym_struct_pattern] = sym_struct_pattern,
  [sym_struct_field_pattern] = sym_struct_field_pattern,
  [sym_labeled_pattern] = sym_labeled_pattern,
  [sym_labeled_pattern_pun] = sym_labeled_pattern_pun,
  [sym_map_pattern] = sym_map_pattern,
  [sym_map_element_pattern] = sym_map_element_pattern,
  [sym_empty_struct_or_map_pattern] = sym_empty_struct_or_map_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_type] = sym_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_function_type] = sym_function_type,
  [sym_apply_type] = sym_apply_type,
  [sym_option_type] = sym_option_type,
  [sym_trait_object_type] = sym_trait_object_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_annotation] = sym_type_annotation,
  [sym_type_with_error] = sym_type_with_error,
  [sym_return_type] = sym_return_type,
  [sym_parameter_label] = sym_parameter_label,
  [sym_optional_parameter_label] = sym_optional_parameter_label,
  [sym_parameter] = sym_parameter,
  [sym_parameters] = sym_parameters,
  [sym_any] = sym_any,
  [sym_mutability] = sym_mutability,
  [sym_pub] = sym_pub,
  [sym_identifier] = sym_identifier,
  [sym_semicolon] = sym_semicolon,
  [sym_dot_dot] = sym_dot_dot,
  [sym_equal] = sym_equal,
  [sym_dot_identifier] = sym_dot_identifier,
  [sym_dot_dot_identifier] = sym_dot_dot_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_type_identifier,
  [sym_type_name] = sym_type_name,
  [sym_function_identifier] = sym_function_identifier,
  [sym_type_identifier] = sym_type_identifier,
  [sym_constraints] = sym_constraints,
  [sym_constraint] = sym_constraint,
  [sym_attribute_properties] = sym_attribute_properties,
  [sym_attribute_property] = sym_attribute_property,
  [sym_attribute_expression] = sym_attribute_expression,
  [sym_attribute] = sym_attribute,
  [sym_attributes] = sym_attributes,
  [aux_sym_structure_repeat1] = aux_sym_structure_repeat1,
  [aux_sym_derive_directive_repeat1] = aux_sym_derive_directive_repeat1,
  [aux_sym_error_type_definition_repeat1] = aux_sym_error_type_definition_repeat1,
  [aux_sym_struct_definition_repeat1] = aux_sym_struct_definition_repeat1,
  [aux_sym_enum_constructor_payload_repeat1] = aux_sym_enum_constructor_payload_repeat1,
  [aux_sym_trait_definition_repeat1] = aux_sym_trait_definition_repeat1,
  [aux_sym_super_trait_declaration_repeat1] = aux_sym_super_trait_declaration_repeat1,
  [aux_sym_trait_method_declaration_repeat1] = aux_sym_trait_method_declaration_repeat1,
  [aux_sym_string_interpolation_repeat1] = aux_sym_string_interpolation_repeat1,
  [aux_sym_string_interpolation_repeat2] = aux_sym_string_interpolation_repeat2,
  [aux_sym_multiline_interpolation_fragment_repeat1] = aux_sym_multiline_interpolation_fragment_repeat1,
  [aux_sym_multiline_string_literal_repeat1] = aux_sym_multiline_string_literal_repeat1,
  [aux_sym_struct_expression_repeat1] = aux_sym_struct_expression_repeat1,
  [aux_sym_block_expression_repeat1] = aux_sym_block_expression_repeat1,
  [aux_sym_anonymous_matrix_lambda_expression_repeat1] = aux_sym_anonymous_matrix_lambda_expression_repeat1,
  [aux_sym_matrix_case_clause_repeat1] = aux_sym_matrix_case_clause_repeat1,
  [aux_sym_apply_expression_repeat1] = aux_sym_apply_expression_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_array_expression_repeat1] = aux_sym_array_expression_repeat1,
  [aux_sym_map_expression_repeat1] = aux_sym_map_expression_repeat1,
  [aux_sym_match_expression_repeat1] = aux_sym_match_expression_repeat1,
  [aux_sym_for_expression_repeat1] = aux_sym_for_expression_repeat1,
  [aux_sym_for_in_expression_repeat1] = aux_sym_for_in_expression_repeat1,
  [aux_sym_constructor_pattern_repeat1] = aux_sym_constructor_pattern_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_struct_pattern_repeat1] = aux_sym_struct_pattern_repeat1,
  [aux_sym_map_pattern_repeat1] = aux_sym_map_pattern_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_constraints_repeat1] = aux_sym_constraints_repeat1,
  [aux_sym_attribute_properties_repeat1] = aux_sym_attribute_properties_repeat1,
  [aux_sym_attributes_repeat1] = aux_sym_attributes_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_lowercase_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_priv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_all] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_derive_keyword] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typealias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mut] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_test] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_trait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_traitalias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_impl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_b_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_byte_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_b_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unescaped_string_fragment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unescaped_string_fragment_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token6] = {
    .visible = false,
    .named = false,
  },
  [sym_multiline_string_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_multiline_interpolation_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_multiline_string_content] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_multiline_interpolation_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multiline_interpolation_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_pipe_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_accessor_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [sym_unfinished] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_guard] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_loop] = {
    .visible = true,
    .named = false,
  },
  [sym_for_keyword] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_uppercase_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_dot_lt] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_dot_eq] = {
    .visible = true,
    .named = true,
  },
  [sym_colon] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_colon] = {
    .visible = true,
    .named = true,
  },
  [sym_question_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_is_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_plus_equal] = {
    .visible = true,
    .named = true,
  },
  [sym_minus_equal] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk_equal] = {
    .visible = true,
    .named = true,
  },
  [sym_slash_equal] = {
    .visible = true,
    .named = true,
  },
  [sym_percent_equal] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_lowercase_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_uppercase_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_dot_dot_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_docstring] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [sym_automatic_newline] = {
    .visible = true,
    .named = true,
  },
  [sym_automatic_semicolon] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_structure_item] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility] = {
    .visible = true,
    .named = true,
  },
  [sym_pub_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_derive_item] = {
    .visible = true,
    .named = true,
  },
  [sym_derive_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_error_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constructor_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constructor] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_const_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_external_linkage] = {
    .visible = true,
    .named = true,
  },
  [sym_external_source] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_test_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_super_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_method_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_impl_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_atomic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolator] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_byte_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_bytes_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_multiline_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_multiline_interpolation_content] = {
    .visible = true,
    .named = true,
  },
  [sym_multiline_interpolation_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_multiline_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_expression_pun] = {
    .visible = true,
    .named = true,
  },
  [sym_block_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nonempty_block_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_matrix_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_label] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_pun] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_apply_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_apply_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_apply_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_dot_apply_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_accessor] = {
    .visible = true,
    .named = true,
  },
  [sym_method_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_map_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_map_element_key] = {
    .visible = true,
    .named = true,
  },
  [sym_map_element_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_is_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_break_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_mut_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_guard_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_guard_else_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_guard_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_guard_let_else_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_left_value] = {
    .visible = true,
    .named = true,
  },
  [sym_named_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_named_matrix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_loop_label] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_binder] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_sub_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_pattern_pun] = {
    .visible = true,
    .named = true,
  },
  [sym_map_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_map_element_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_struct_or_map_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_apply_type] = {
    .visible = true,
    .named = true,
  },
  [sym_option_type] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_with_error] = {
    .visible = true,
    .named = true,
  },
  [sym_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_label] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_label] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_any] = {
    .visible = true,
    .named = true,
  },
  [sym_mutability] = {
    .visible = true,
    .named = true,
  },
  [sym_pub] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_semicolon] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_equal] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_dot_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_function_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_properties] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_property] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attributes] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derive_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_error_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_constructor_payload_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_trait_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_super_trait_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_trait_method_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_interpolation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_interpolation_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multiline_interpolation_fragment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multiline_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_matrix_lambda_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_matrix_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_apply_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_map_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_map_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constraints_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_properties_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 8,
  [12] = 7,
  [13] = 13,
  [14] = 9,
  [15] = 10,
  [16] = 7,
  [17] = 13,
  [18] = 8,
  [19] = 9,
  [20] = 10,
  [21] = 7,
  [22] = 13,
  [23] = 8,
  [24] = 9,
  [25] = 10,
  [26] = 7,
  [27] = 13,
  [28] = 13,
  [29] = 8,
  [30] = 9,
  [31] = 10,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 39,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 42,
  [46] = 46,
  [47] = 47,
  [48] = 43,
  [49] = 44,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 53,
  [56] = 56,
  [57] = 39,
  [58] = 41,
  [59] = 42,
  [60] = 43,
  [61] = 44,
  [62] = 56,
  [63] = 47,
  [64] = 47,
  [65] = 44,
  [66] = 47,
  [67] = 50,
  [68] = 51,
  [69] = 52,
  [70] = 39,
  [71] = 41,
  [72] = 53,
  [73] = 56,
  [74] = 39,
  [75] = 41,
  [76] = 42,
  [77] = 43,
  [78] = 44,
  [79] = 50,
  [80] = 51,
  [81] = 47,
  [82] = 52,
  [83] = 52,
  [84] = 50,
  [85] = 51,
  [86] = 52,
  [87] = 51,
  [88] = 53,
  [89] = 53,
  [90] = 56,
  [91] = 56,
  [92] = 41,
  [93] = 42,
  [94] = 43,
  [95] = 50,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 100,
  [102] = 102,
  [103] = 97,
  [104] = 97,
  [105] = 98,
  [106] = 100,
  [107] = 98,
  [108] = 102,
  [109] = 109,
  [110] = 97,
  [111] = 98,
  [112] = 112,
  [113] = 100,
  [114] = 102,
  [115] = 100,
  [116] = 97,
  [117] = 98,
  [118] = 102,
  [119] = 102,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 123,
  [125] = 125,
  [126] = 122,
  [127] = 122,
  [128] = 125,
  [129] = 129,
  [130] = 122,
  [131] = 129,
  [132] = 132,
  [133] = 125,
  [134] = 129,
  [135] = 135,
  [136] = 135,
  [137] = 125,
  [138] = 123,
  [139] = 125,
  [140] = 122,
  [141] = 135,
  [142] = 129,
  [143] = 129,
  [144] = 135,
  [145] = 123,
  [146] = 123,
  [147] = 135,
  [148] = 132,
  [149] = 132,
  [150] = 132,
  [151] = 132,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 152,
  [184] = 184,
  [185] = 154,
  [186] = 157,
  [187] = 169,
  [188] = 181,
  [189] = 189,
  [190] = 184,
  [191] = 180,
  [192] = 162,
  [193] = 189,
  [194] = 154,
  [195] = 157,
  [196] = 169,
  [197] = 162,
  [198] = 154,
  [199] = 157,
  [200] = 169,
  [201] = 162,
  [202] = 154,
  [203] = 157,
  [204] = 169,
  [205] = 162,
  [206] = 157,
  [207] = 158,
  [208] = 178,
  [209] = 160,
  [210] = 161,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 211,
  [215] = 213,
  [216] = 216,
  [217] = 212,
  [218] = 216,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 220,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 221,
  [235] = 235,
  [236] = 236,
  [237] = 222,
  [238] = 223,
  [239] = 224,
  [240] = 233,
  [241] = 235,
  [242] = 225,
  [243] = 226,
  [244] = 232,
  [245] = 227,
  [246] = 236,
  [247] = 222,
  [248] = 223,
  [249] = 224,
  [250] = 225,
  [251] = 226,
  [252] = 227,
  [253] = 220,
  [254] = 229,
  [255] = 230,
  [256] = 231,
  [257] = 229,
  [258] = 230,
  [259] = 231,
  [260] = 236,
  [261] = 261,
  [262] = 261,
  [263] = 261,
  [264] = 261,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 265,
  [269] = 261,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 272,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 278,
  [280] = 270,
  [281] = 277,
  [282] = 282,
  [283] = 277,
  [284] = 278,
  [285] = 285,
  [286] = 282,
  [287] = 282,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 296,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 306,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 289,
  [321] = 291,
  [322] = 293,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 297,
  [328] = 298,
  [329] = 299,
  [330] = 294,
  [331] = 295,
  [332] = 323,
  [333] = 324,
  [334] = 325,
  [335] = 296,
  [336] = 336,
  [337] = 295,
  [338] = 301,
  [339] = 302,
  [340] = 303,
  [341] = 307,
  [342] = 326,
  [343] = 308,
  [344] = 344,
  [345] = 315,
  [346] = 289,
  [347] = 295,
  [348] = 301,
  [349] = 296,
  [350] = 302,
  [351] = 351,
  [352] = 303,
  [353] = 353,
  [354] = 302,
  [355] = 303,
  [356] = 308,
  [357] = 304,
  [358] = 305,
  [359] = 315,
  [360] = 289,
  [361] = 295,
  [362] = 296,
  [363] = 317,
  [364] = 302,
  [365] = 303,
  [366] = 307,
  [367] = 308,
  [368] = 308,
  [369] = 315,
  [370] = 370,
  [371] = 318,
  [372] = 289,
  [373] = 373,
  [374] = 309,
  [375] = 310,
  [376] = 311,
  [377] = 312,
  [378] = 319,
  [379] = 313,
  [380] = 315,
  [381] = 381,
  [382] = 294,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 271,
  [387] = 383,
  [388] = 388,
  [389] = 389,
  [390] = 383,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 273,
  [395] = 274,
  [396] = 389,
  [397] = 397,
  [398] = 398,
  [399] = 389,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 400,
  [406] = 404,
  [407] = 407,
  [408] = 400,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 404,
  [414] = 403,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 271,
  [420] = 398,
  [421] = 391,
  [422] = 422,
  [423] = 393,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 273,
  [430] = 388,
  [431] = 274,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 435,
  [437] = 416,
  [438] = 433,
  [439] = 439,
  [440] = 435,
  [441] = 410,
  [442] = 417,
  [443] = 443,
  [444] = 444,
  [445] = 274,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 271,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 448,
  [456] = 448,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 448,
  [461] = 461,
  [462] = 448,
  [463] = 273,
  [464] = 428,
  [465] = 465,
  [466] = 466,
  [467] = 398,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 424,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 425,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 432,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 418,
  [515] = 415,
  [516] = 516,
  [517] = 422,
  [518] = 391,
  [519] = 393,
  [520] = 427,
  [521] = 388,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 410,
  [533] = 533,
  [534] = 272,
  [535] = 270,
  [536] = 391,
  [537] = 410,
  [538] = 446,
  [539] = 393,
  [540] = 454,
  [541] = 530,
  [542] = 388,
  [543] = 443,
  [544] = 439,
  [545] = 398,
  [546] = 452,
  [547] = 444,
  [548] = 434,
  [549] = 459,
  [550] = 447,
  [551] = 502,
  [552] = 501,
  [553] = 471,
  [554] = 461,
  [555] = 525,
  [556] = 450,
  [557] = 477,
  [558] = 451,
  [559] = 510,
  [560] = 512,
  [561] = 522,
  [562] = 504,
  [563] = 523,
  [564] = 507,
  [565] = 465,
  [566] = 466,
  [567] = 468,
  [568] = 498,
  [569] = 509,
  [570] = 516,
  [571] = 422,
  [572] = 529,
  [573] = 469,
  [574] = 470,
  [575] = 505,
  [576] = 528,
  [577] = 472,
  [578] = 473,
  [579] = 579,
  [580] = 494,
  [581] = 458,
  [582] = 506,
  [583] = 526,
  [584] = 474,
  [585] = 499,
  [586] = 475,
  [587] = 476,
  [588] = 453,
  [589] = 503,
  [590] = 478,
  [591] = 479,
  [592] = 480,
  [593] = 481,
  [594] = 482,
  [595] = 483,
  [596] = 484,
  [597] = 527,
  [598] = 485,
  [599] = 486,
  [600] = 513,
  [601] = 487,
  [602] = 524,
  [603] = 433,
  [604] = 495,
  [605] = 489,
  [606] = 490,
  [607] = 491,
  [608] = 497,
  [609] = 492,
  [610] = 493,
  [611] = 511,
  [612] = 500,
  [613] = 434,
  [614] = 439,
  [615] = 444,
  [616] = 447,
  [617] = 422,
  [618] = 443,
  [619] = 451,
  [620] = 417,
  [621] = 446,
  [622] = 452,
  [623] = 454,
  [624] = 459,
  [625] = 499,
  [626] = 525,
  [627] = 509,
  [628] = 524,
  [629] = 513,
  [630] = 418,
  [631] = 511,
  [632] = 450,
  [633] = 522,
  [634] = 523,
  [635] = 465,
  [636] = 466,
  [637] = 512,
  [638] = 516,
  [639] = 468,
  [640] = 469,
  [641] = 470,
  [642] = 528,
  [643] = 472,
  [644] = 473,
  [645] = 474,
  [646] = 428,
  [647] = 475,
  [648] = 476,
  [649] = 439,
  [650] = 471,
  [651] = 458,
  [652] = 478,
  [653] = 479,
  [654] = 444,
  [655] = 461,
  [656] = 480,
  [657] = 481,
  [658] = 482,
  [659] = 483,
  [660] = 477,
  [661] = 507,
  [662] = 484,
  [663] = 526,
  [664] = 664,
  [665] = 665,
  [666] = 486,
  [667] = 487,
  [668] = 424,
  [669] = 489,
  [670] = 490,
  [671] = 527,
  [672] = 491,
  [673] = 492,
  [674] = 453,
  [675] = 427,
  [676] = 493,
  [677] = 494,
  [678] = 432,
  [679] = 495,
  [680] = 425,
  [681] = 497,
  [682] = 498,
  [683] = 683,
  [684] = 506,
  [685] = 505,
  [686] = 500,
  [687] = 687,
  [688] = 434,
  [689] = 501,
  [690] = 510,
  [691] = 502,
  [692] = 529,
  [693] = 503,
  [694] = 417,
  [695] = 504,
  [696] = 415,
  [697] = 485,
  [698] = 511,
  [699] = 699,
  [700] = 454,
  [701] = 458,
  [702] = 524,
  [703] = 447,
  [704] = 525,
  [705] = 526,
  [706] = 527,
  [707] = 446,
  [708] = 528,
  [709] = 427,
  [710] = 432,
  [711] = 461,
  [712] = 509,
  [713] = 512,
  [714] = 516,
  [715] = 471,
  [716] = 477,
  [717] = 507,
  [718] = 443,
  [719] = 452,
  [720] = 459,
  [721] = 510,
  [722] = 513,
  [723] = 418,
  [724] = 450,
  [725] = 451,
  [726] = 522,
  [727] = 523,
  [728] = 465,
  [729] = 466,
  [730] = 468,
  [731] = 469,
  [732] = 470,
  [733] = 472,
  [734] = 473,
  [735] = 474,
  [736] = 428,
  [737] = 415,
  [738] = 476,
  [739] = 453,
  [740] = 478,
  [741] = 479,
  [742] = 480,
  [743] = 481,
  [744] = 482,
  [745] = 483,
  [746] = 484,
  [747] = 485,
  [748] = 486,
  [749] = 487,
  [750] = 424,
  [751] = 489,
  [752] = 490,
  [753] = 491,
  [754] = 492,
  [755] = 493,
  [756] = 494,
  [757] = 495,
  [758] = 425,
  [759] = 497,
  [760] = 498,
  [761] = 499,
  [762] = 500,
  [763] = 501,
  [764] = 502,
  [765] = 529,
  [766] = 503,
  [767] = 504,
  [768] = 505,
  [769] = 506,
  [770] = 272,
  [771] = 270,
  [772] = 475,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 773,
  [805] = 774,
  [806] = 806,
  [807] = 802,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 793,
  [812] = 812,
  [813] = 797,
  [814] = 775,
  [815] = 798,
  [816] = 816,
  [817] = 776,
  [818] = 796,
  [819] = 779,
  [820] = 780,
  [821] = 781,
  [822] = 782,
  [823] = 778,
  [824] = 777,
  [825] = 783,
  [826] = 784,
  [827] = 785,
  [828] = 786,
  [829] = 787,
  [830] = 788,
  [831] = 789,
  [832] = 790,
  [833] = 791,
  [834] = 802,
  [835] = 792,
  [836] = 806,
  [837] = 837,
  [838] = 838,
  [839] = 806,
  [840] = 795,
  [841] = 816,
  [842] = 794,
  [843] = 803,
  [844] = 844,
  [845] = 845,
  [846] = 801,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 848,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 844,
  [857] = 857,
  [858] = 858,
  [859] = 838,
  [860] = 850,
  [861] = 810,
  [862] = 862,
  [863] = 863,
  [864] = 799,
  [865] = 865,
  [866] = 866,
  [867] = 858,
  [868] = 857,
  [869] = 869,
  [870] = 845,
  [871] = 858,
  [872] = 866,
  [873] = 869,
  [874] = 874,
  [875] = 874,
  [876] = 876,
  [877] = 857,
  [878] = 865,
  [879] = 852,
  [880] = 853,
  [881] = 854,
  [882] = 855,
  [883] = 849,
  [884] = 876,
  [885] = 847,
  [886] = 862,
  [887] = 863,
  [888] = 802,
  [889] = 889,
  [890] = 889,
  [891] = 891,
  [892] = 892,
  [893] = 891,
  [894] = 889,
  [895] = 457,
  [896] = 891,
  [897] = 897,
  [898] = 891,
  [899] = 889,
  [900] = 891,
  [901] = 889,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 802,
  [907] = 902,
  [908] = 903,
  [909] = 904,
  [910] = 910,
  [911] = 816,
  [912] = 912,
  [913] = 912,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 915,
  [918] = 892,
  [919] = 892,
  [920] = 914,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 922,
  [927] = 916,
  [928] = 863,
  [929] = 929,
  [930] = 892,
  [931] = 271,
  [932] = 274,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 862,
  [937] = 937,
  [938] = 938,
  [939] = 935,
  [940] = 855,
  [941] = 933,
  [942] = 929,
  [943] = 457,
  [944] = 273,
  [945] = 938,
  [946] = 937,
  [947] = 934,
  [948] = 948,
  [949] = 948,
  [950] = 866,
  [951] = 869,
  [952] = 874,
  [953] = 876,
  [954] = 865,
  [955] = 852,
  [956] = 853,
  [957] = 854,
  [958] = 892,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 960,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 457,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 410,
  [980] = 398,
  [981] = 391,
  [982] = 388,
  [983] = 393,
  [984] = 802,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 985,
  [995] = 985,
  [996] = 986,
  [997] = 997,
  [998] = 993,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 987,
  [1004] = 988,
  [1005] = 1005,
  [1006] = 1005,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1000,
  [1010] = 1010,
  [1011] = 999,
  [1012] = 1012,
  [1013] = 1005,
  [1014] = 1000,
  [1015] = 1001,
  [1016] = 1016,
  [1017] = 1005,
  [1018] = 1005,
  [1019] = 987,
  [1020] = 986,
  [1021] = 993,
  [1022] = 999,
  [1023] = 1000,
  [1024] = 987,
  [1025] = 985,
  [1026] = 986,
  [1027] = 993,
  [1028] = 999,
  [1029] = 1000,
  [1030] = 987,
  [1031] = 985,
  [1032] = 986,
  [1033] = 993,
  [1034] = 999,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 850,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1038,
  [1046] = 1046,
  [1047] = 1044,
  [1048] = 1044,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1044,
  [1054] = 1054,
  [1055] = 1051,
  [1056] = 1051,
  [1057] = 1051,
  [1058] = 1058,
  [1059] = 1051,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1036,
  [1066] = 1044,
  [1067] = 1067,
  [1068] = 1038,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1070,
  [1073] = 1073,
  [1074] = 1071,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1075,
  [1080] = 1076,
  [1081] = 1070,
  [1082] = 1073,
  [1083] = 1071,
  [1084] = 422,
  [1085] = 1075,
  [1086] = 1076,
  [1087] = 1078,
  [1088] = 1070,
  [1089] = 1070,
  [1090] = 1073,
  [1091] = 1071,
  [1092] = 1075,
  [1093] = 1076,
  [1094] = 1078,
  [1095] = 1073,
  [1096] = 1075,
  [1097] = 1076,
  [1098] = 1071,
  [1099] = 1078,
  [1100] = 1078,
  [1101] = 1073,
  [1102] = 1102,
  [1103] = 417,
  [1104] = 1104,
  [1105] = 439,
  [1106] = 1106,
  [1107] = 434,
  [1108] = 444,
  [1109] = 471,
  [1110] = 481,
  [1111] = 482,
  [1112] = 483,
  [1113] = 484,
  [1114] = 485,
  [1115] = 486,
  [1116] = 487,
  [1117] = 424,
  [1118] = 489,
  [1119] = 490,
  [1120] = 491,
  [1121] = 493,
  [1122] = 494,
  [1123] = 495,
  [1124] = 425,
  [1125] = 497,
  [1126] = 498,
  [1127] = 499,
  [1128] = 500,
  [1129] = 501,
  [1130] = 502,
  [1131] = 529,
  [1132] = 503,
  [1133] = 504,
  [1134] = 505,
  [1135] = 506,
  [1136] = 1106,
  [1137] = 415,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 528,
  [1142] = 1142,
  [1143] = 427,
  [1144] = 432,
  [1145] = 1145,
  [1146] = 509,
  [1147] = 1145,
  [1148] = 511,
  [1149] = 1142,
  [1150] = 512,
  [1151] = 516,
  [1152] = 477,
  [1153] = 1138,
  [1154] = 1139,
  [1155] = 507,
  [1156] = 1142,
  [1157] = 443,
  [1158] = 452,
  [1159] = 1145,
  [1160] = 459,
  [1161] = 510,
  [1162] = 513,
  [1163] = 418,
  [1164] = 1139,
  [1165] = 1138,
  [1166] = 1138,
  [1167] = 1139,
  [1168] = 451,
  [1169] = 1142,
  [1170] = 522,
  [1171] = 523,
  [1172] = 1145,
  [1173] = 465,
  [1174] = 466,
  [1175] = 468,
  [1176] = 1142,
  [1177] = 469,
  [1178] = 1145,
  [1179] = 470,
  [1180] = 472,
  [1181] = 473,
  [1182] = 474,
  [1183] = 458,
  [1184] = 428,
  [1185] = 461,
  [1186] = 450,
  [1187] = 1187,
  [1188] = 475,
  [1189] = 453,
  [1190] = 476,
  [1191] = 1191,
  [1192] = 272,
  [1193] = 454,
  [1194] = 524,
  [1195] = 447,
  [1196] = 478,
  [1197] = 525,
  [1198] = 270,
  [1199] = 526,
  [1200] = 527,
  [1201] = 479,
  [1202] = 446,
  [1203] = 480,
  [1204] = 492,
  [1205] = 850,
  [1206] = 850,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 803,
  [1218] = 1218,
  [1219] = 801,
  [1220] = 1220,
  [1221] = 1208,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1218,
  [1225] = 1213,
  [1226] = 1226,
  [1227] = 415,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1140,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 457,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 959,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1191,
  [1262] = 1262,
  [1263] = 398,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1187,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 997,
  [1290] = 1290,
  [1291] = 990,
  [1292] = 1230,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 975,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1271,
  [1308] = 1255,
  [1309] = 1257,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1242,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1208,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1238,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1306,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1248,
  [1379] = 1379,
  [1380] = 1218,
  [1381] = 1381,
  [1382] = 1265,
  [1383] = 1267,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 803,
  [1389] = 801,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1234,
  [1393] = 1235,
  [1394] = 415,
  [1395] = 1260,
  [1396] = 1244,
  [1397] = 1381,
  [1398] = 1376,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1256,
  [1402] = 1251,
  [1403] = 1403,
  [1404] = 1247,
  [1405] = 1258,
  [1406] = 1406,
  [1407] = 1268,
  [1408] = 1245,
  [1409] = 1213,
  [1410] = 1410,
  [1411] = 1231,
  [1412] = 1412,
  [1413] = 1340,
  [1414] = 1306,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1239,
  [1419] = 1340,
  [1420] = 1306,
  [1421] = 1233,
  [1422] = 1340,
  [1423] = 1423,
  [1424] = 1340,
  [1425] = 1306,
  [1426] = 1241,
  [1427] = 1427,
  [1428] = 1236,
  [1429] = 1254,
  [1430] = 1266,
  [1431] = 1248,
  [1432] = 1236,
  [1433] = 1254,
  [1434] = 1266,
  [1435] = 1262,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 992,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1008,
  [1445] = 989,
  [1446] = 1077,
  [1447] = 1427,
  [1448] = 1448,
  [1449] = 1338,
  [1450] = 1248,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1325,
  [1454] = 1254,
  [1455] = 1339,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1347,
  [1460] = 1348,
  [1461] = 1312,
  [1462] = 1462,
  [1463] = 1236,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1313,
  [1467] = 1223,
  [1468] = 1319,
  [1469] = 1320,
  [1470] = 1321,
  [1471] = 1465,
  [1472] = 991,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1476,
  [1478] = 1316,
  [1479] = 1437,
  [1480] = 1480,
  [1481] = 1012,
  [1482] = 1482,
  [1483] = 1355,
  [1484] = 1484,
  [1485] = 1007,
  [1486] = 1436,
  [1487] = 1475,
  [1488] = 1437,
  [1489] = 1489,
  [1490] = 1474,
  [1491] = 1010,
  [1492] = 1315,
  [1493] = 1328,
  [1494] = 1266,
  [1495] = 1475,
  [1496] = 1329,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1236,
  [1500] = 1254,
  [1501] = 1266,
  [1502] = 1248,
  [1503] = 1503,
  [1504] = 1498,
  [1505] = 1367,
  [1506] = 1346,
  [1507] = 1507,
  [1508] = 1317,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 773,
  [1518] = 774,
  [1519] = 1369,
  [1520] = 1520,
  [1521] = 1330,
  [1522] = 1522,
  [1523] = 1332,
  [1524] = 1368,
  [1525] = 1349,
  [1526] = 1526,
  [1527] = 1350,
  [1528] = 1370,
  [1529] = 1529,
  [1530] = 1351,
  [1531] = 1352,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1513,
  [1535] = 1353,
  [1536] = 1536,
  [1537] = 1333,
  [1538] = 1538,
  [1539] = 1341,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1334,
  [1543] = 1342,
  [1544] = 1544,
  [1545] = 1509,
  [1546] = 1311,
  [1547] = 1326,
  [1548] = 1540,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1311,
  [1552] = 1552,
  [1553] = 1356,
  [1554] = 1554,
  [1555] = 1357,
  [1556] = 1358,
  [1557] = 1371,
  [1558] = 1359,
  [1559] = 1540,
  [1560] = 1540,
  [1561] = 1360,
  [1562] = 1361,
  [1563] = 1372,
  [1564] = 1564,
  [1565] = 1311,
  [1566] = 1541,
  [1567] = 1540,
  [1568] = 1344,
  [1569] = 1335,
  [1570] = 1374,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1336,
  [1575] = 1311,
  [1576] = 1576,
  [1577] = 1362,
  [1578] = 1363,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1364,
  [1582] = 1345,
  [1583] = 1373,
  [1584] = 1365,
  [1585] = 1366,
  [1586] = 1343,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 797,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 775,
  [1601] = 798,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1608,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1606,
  [1615] = 1611,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 795,
  [1620] = 1616,
  [1621] = 1617,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1602,
  [1634] = 1634,
  [1635] = 1285,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1630,
  [1643] = 776,
  [1644] = 1596,
  [1645] = 796,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 779,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1618,
  [1652] = 780,
  [1653] = 1632,
  [1654] = 1587,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 781,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1589,
  [1667] = 1667,
  [1668] = 1613,
  [1669] = 1623,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1592,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1588,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1596,
  [1692] = 1599,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1607,
  [1696] = 1608,
  [1697] = 1612,
  [1698] = 1698,
  [1699] = 1606,
  [1700] = 1611,
  [1701] = 1616,
  [1702] = 1617,
  [1703] = 1618,
  [1704] = 1650,
  [1705] = 1637,
  [1706] = 1655,
  [1707] = 790,
  [1708] = 1627,
  [1709] = 1631,
  [1710] = 1710,
  [1711] = 1602,
  [1712] = 1670,
  [1713] = 1634,
  [1714] = 1637,
  [1715] = 1638,
  [1716] = 1716,
  [1717] = 1646,
  [1718] = 1647,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1649,
  [1722] = 1722,
  [1723] = 1650,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1658,
  [1727] = 1656,
  [1728] = 1661,
  [1729] = 1729,
  [1730] = 1623,
  [1731] = 1670,
  [1732] = 1679,
  [1733] = 1592,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1588,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1631,
  [1741] = 1671,
  [1742] = 1596,
  [1743] = 788,
  [1744] = 1638,
  [1745] = 791,
  [1746] = 1607,
  [1747] = 1612,
  [1748] = 1672,
  [1749] = 1606,
  [1750] = 1750,
  [1751] = 1618,
  [1752] = 792,
  [1753] = 1657,
  [1754] = 1754,
  [1755] = 793,
  [1756] = 1631,
  [1757] = 1658,
  [1758] = 1637,
  [1759] = 1638,
  [1760] = 1760,
  [1761] = 789,
  [1762] = 1762,
  [1763] = 1646,
  [1764] = 1649,
  [1765] = 1650,
  [1766] = 1766,
  [1767] = 1658,
  [1768] = 1768,
  [1769] = 1661,
  [1770] = 1623,
  [1771] = 1670,
  [1772] = 1679,
  [1773] = 1592,
  [1774] = 1640,
  [1775] = 1627,
  [1776] = 1596,
  [1777] = 1599,
  [1778] = 1607,
  [1779] = 1779,
  [1780] = 1612,
  [1781] = 1781,
  [1782] = 1606,
  [1783] = 1618,
  [1784] = 1674,
  [1785] = 1612,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1631,
  [1791] = 1661,
  [1792] = 1637,
  [1793] = 1638,
  [1794] = 1646,
  [1795] = 1649,
  [1796] = 1796,
  [1797] = 1650,
  [1798] = 1798,
  [1799] = 1658,
  [1800] = 1661,
  [1801] = 1623,
  [1802] = 1670,
  [1803] = 1679,
  [1804] = 1592,
  [1805] = 1805,
  [1806] = 1588,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1607,
  [1813] = 1813,
  [1814] = 782,
  [1815] = 1641,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 778,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 777,
  [1822] = 1822,
  [1823] = 783,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1676,
  [1827] = 1827,
  [1828] = 1646,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1599,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1649,
  [1836] = 1836,
  [1837] = 794,
  [1838] = 272,
  [1839] = 1663,
  [1840] = 270,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1664,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1647,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 784,
  [1850] = 785,
  [1851] = 786,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1679,
  [1859] = 1859,
  [1860] = 1634,
  [1861] = 1861,
  [1862] = 787,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1599,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1554,
  [1885] = 1885,
  [1886] = 1880,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1890,
  [1905] = 1881,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1187,
  [1909] = 1191,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1898,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1140,
  [1922] = 1885,
  [1923] = 1888,
  [1924] = 1889,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1887,
  [1939] = 1719,
  [1940] = 1890,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1899,
  [1944] = 1898,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1901,
  [1948] = 1882,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1881,
  [1952] = 1895,
  [1953] = 1953,
  [1954] = 1917,
  [1955] = 1918,
  [1956] = 1919,
  [1957] = 800,
  [1958] = 1958,
  [1959] = 1887,
  [1960] = 1890,
  [1961] = 1961,
  [1962] = 1898,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1881,
  [1968] = 1968,
  [1969] = 1927,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1928,
  [1973] = 1887,
  [1974] = 1890,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1898,
  [1978] = 1929,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1881,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1936,
  [1985] = 1964,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1887,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1910,
  [1998] = 1895,
  [1999] = 1936,
  [2000] = 1896,
  [2001] = 2001,
  [2002] = 1964,
  [2003] = 2003,
  [2004] = 1988,
  [2005] = 1964,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 1988,
  [2009] = 2009,
  [2010] = 1964,
  [2011] = 1988,
  [2012] = 1988,
  [2013] = 1979,
  [2014] = 2014,
  [2015] = 1965,
  [2016] = 1930,
  [2017] = 2017,
  [2018] = 1931,
  [2019] = 1880,
  [2020] = 1895,
  [2021] = 1880,
  [2022] = 1911,
  [2023] = 1895,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 1880,
  [2027] = 1933,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2036,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2029,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2061,
  [2087] = 2087,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 1961,
  [2091] = 2061,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2093,
  [2099] = 2099,
  [2100] = 2037,
  [2101] = 2030,
  [2102] = 2095,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2103,
  [2112] = 2112,
  [2113] = 2044,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2096,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2093,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2037,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2066,
  [2133] = 2069,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2095,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2119,
  [2144] = 2142,
  [2145] = 2145,
  [2146] = 2106,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2070,
  [2158] = 2029,
  [2159] = 2159,
  [2160] = 2030,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2036,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2048,
  [2168] = 2049,
  [2169] = 2050,
  [2170] = 2052,
  [2171] = 2171,
  [2172] = 2054,
  [2173] = 2173,
  [2174] = 2134,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2078,
  [2182] = 2084,
  [2183] = 2103,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2061,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2093,
  [2191] = 2191,
  [2192] = 2153,
  [2193] = 2095,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2106,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2103,
  [2201] = 2201,
  [2202] = 2044,
  [2203] = 2203,
  [2204] = 2096,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2119,
  [2208] = 2048,
  [2209] = 2044,
  [2210] = 2115,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2066,
  [2214] = 2069,
  [2215] = 2134,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2049,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2145,
  [2223] = 2139,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2052,
  [2227] = 2050,
  [2228] = 2228,
  [2229] = 2151,
  [2230] = 2230,
  [2231] = 2153,
  [2232] = 2232,
  [2233] = 2155,
  [2234] = 2156,
  [2235] = 2070,
  [2236] = 2029,
  [2237] = 2030,
  [2238] = 2238,
  [2239] = 2096,
  [2240] = 2240,
  [2241] = 2048,
  [2242] = 2049,
  [2243] = 2243,
  [2244] = 2050,
  [2245] = 2245,
  [2246] = 2052,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2119,
  [2253] = 2078,
  [2254] = 2254,
  [2255] = 2084,
  [2256] = 2115,
  [2257] = 2061,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2093,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2095,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2125,
  [2271] = 2103,
  [2272] = 2272,
  [2273] = 2044,
  [2274] = 2096,
  [2275] = 2275,
  [2276] = 2119,
  [2277] = 2277,
  [2278] = 2216,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2066,
  [2283] = 2066,
  [2284] = 2069,
  [2285] = 2134,
  [2286] = 2069,
  [2287] = 2287,
  [2288] = 2078,
  [2289] = 2289,
  [2290] = 2155,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2139,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2151,
  [2299] = 2299,
  [2300] = 2153,
  [2301] = 2301,
  [2302] = 2155,
  [2303] = 2156,
  [2304] = 2070,
  [2305] = 2029,
  [2306] = 2030,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2048,
  [2310] = 2310,
  [2311] = 2049,
  [2312] = 2312,
  [2313] = 2050,
  [2314] = 2314,
  [2315] = 2052,
  [2316] = 2054,
  [2317] = 2078,
  [2318] = 2318,
  [2319] = 2084,
  [2320] = 2320,
  [2321] = 2196,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2123,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2134,
  [2330] = 2301,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2259,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2107,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2125,
  [2345] = 2217,
  [2346] = 2346,
  [2347] = 2151,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2154,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2139,
  [2357] = 2203,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2224,
  [2364] = 2364,
  [2365] = 2287,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2196,
  [2374] = 2203,
  [2375] = 2375,
  [2376] = 2359,
  [2377] = 2139,
  [2378] = 2378,
  [2379] = 2301,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2340,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2156,
  [2388] = 2388,
  [2389] = 2301,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2142,
  [2394] = 1863,
  [2395] = 2340,
  [2396] = 2396,
  [2397] = 2145,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2301,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2340,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2151,
  [2414] = 2414,
  [2415] = 2126,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2177,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 1316,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2340,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2084,
  [2433] = 2224,
  [2434] = 2153,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2203,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2155,
  [2444] = 2444,
  [2445] = 2224,
  [2446] = 2156,
  [2447] = 2070,
  [2448] = 2203,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2224,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2466,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2466,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2475,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2481,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2470,
  [2496] = 2496,
  [2497] = 2470,
  [2498] = 2498,
  [2499] = 2466,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2469,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2474,
  [2507] = 2505,
  [2508] = 2508,
  [2509] = 2460,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2469,
  [2514] = 2469,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 838,
  [2518] = 2475,
  [2519] = 415,
  [2520] = 2467,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2505,
  [2524] = 2493,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 801,
  [2530] = 2475,
  [2531] = 2531,
  [2532] = 803,
  [2533] = 2533,
  [2534] = 2486,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 1950,
  [2540] = 2460,
  [2541] = 2537,
  [2542] = 2481,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2527,
  [2548] = 2467,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2457,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2477,
  [2556] = 2556,
  [2557] = 2481,
  [2558] = 2521,
  [2559] = 1982,
  [2560] = 2477,
  [2561] = 2526,
  [2562] = 2457,
  [2563] = 2563,
  [2564] = 2466,
  [2565] = 2470,
  [2566] = 2566,
  [2567] = 2475,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2481,
  [2573] = 2457,
  [2574] = 2464,
  [2575] = 850,
  [2576] = 2537,
  [2577] = 2577,
  [2578] = 2464,
  [2579] = 2467,
  [2580] = 2580,
  [2581] = 2470,
  [2582] = 2582,
  [2583] = 2500,
  [2584] = 2537,
  [2585] = 2467,
  [2586] = 2577,
  [2587] = 2464,
  [2588] = 2527,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2457,
  [2592] = 2592,
  [2593] = 2537,
  [2594] = 2577,
  [2595] = 2469,
  [2596] = 2464,
  [2597] = 2477,
  [2598] = 2577,
  [2599] = 2502,
  [2600] = 2505,
  [2601] = 2505,
  [2602] = 2577,
  [2603] = 2477,
  [2604] = 2604,
  [2605] = 810,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2613,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2617,
  [2625] = 2613,
  [2626] = 2612,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2618,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2633,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2618,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2637,
  [2644] = 2644,
  [2645] = 2608,
  [2646] = 2646,
  [2647] = 2621,
  [2648] = 2648,
  [2649] = 2617,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2651,
  [2653] = 2613,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2621,
  [2669] = 2661,
  [2670] = 2670,
  [2671] = 2650,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2661,
  [2676] = 2657,
  [2677] = 2658,
  [2678] = 2678,
  [2679] = 2638,
  [2680] = 2646,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2621,
  [2685] = 2618,
  [2686] = 2686,
  [2687] = 2650,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2615,
  [2691] = 2641,
  [2692] = 2657,
  [2693] = 2658,
  [2694] = 2623,
  [2695] = 2632,
  [2696] = 2696,
  [2697] = 2638,
  [2698] = 2642,
  [2699] = 2699,
  [2700] = 2618,
  [2701] = 2633,
  [2702] = 2644,
  [2703] = 2688,
  [2704] = 2704,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 2658,
  [2708] = 2632,
  [2709] = 2709,
  [2710] = 2656,
  [2711] = 2705,
  [2712] = 2712,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2621,
  [2716] = 2716,
  [2717] = 2633,
  [2718] = 2718,
  [2719] = 2615,
  [2720] = 2688,
  [2721] = 2650,
  [2722] = 2638,
  [2723] = 2723,
  [2724] = 2651,
  [2725] = 2618,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2688,
  [2729] = 2688,
  [2730] = 2633,
  [2731] = 2650,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2612,
  [2735] = 2656,
  [2736] = 2612,
  [2737] = 1270,
  [2738] = 2738,
  [2739] = 2612,
  [2740] = 2740,
  [2741] = 2617,
  [2742] = 2661,
  [2743] = 2743,
  [2744] = 2613,
  [2745] = 2641,
  [2746] = 2657,
  [2747] = 2658,
  [2748] = 2657,
  [2749] = 2617,
  [2750] = 2750,
  [2751] = 2637,
  [2752] = 2752,
  [2753] = 2638,
  [2754] = 2661,
  [2755] = 2646,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2642,
  [2761] = 2705,
  [2762] = 2762,
  [2763] = 2614,
  [2764] = 2644,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2705,
  [2772] = 2705,
  [2773] = 2773,
};

static TSCharacterRange sym_uppercase_identifier_character_set_1[] = {
  {'A', 'Z'}, {0xc0, 0xd6}, {0xd8, 0xde}, {0x100, 0x100}, {0x102, 0x102}, {0x104, 0x104}, {0x106, 0x106}, {0x108, 0x108},
  {0x10a, 0x10a}, {0x10c, 0x10c}, {0x10e, 0x10e}, {0x110, 0x110}, {0x112, 0x112}, {0x114, 0x114}, {0x116, 0x116}, {0x118, 0x118},
  {0x11a, 0x11a}, {0x11c, 0x11c}, {0x11e, 0x11e}, {0x120, 0x120}, {0x122, 0x122}, {0x124, 0x124}, {0x126, 0x126}, {0x128, 0x128},
  {0x12a, 0x12a}, {0x12c, 0x12c}, {0x12e, 0x12e}, {0x130, 0x130}, {0x132, 0x132}, {0x134, 0x134}, {0x136, 0x136}, {0x139, 0x139},
  {0x13b, 0x13b}, {0x13d, 0x13d}, {0x13f, 0x13f}, {0x141, 0x141}, {0x143, 0x143}, {0x145, 0x145}, {0x147, 0x147}, {0x14a, 0x14a},
  {0x14c, 0x14c}, {0x14e, 0x14e}, {0x150, 0x150}, {0x152, 0x152}, {0x154, 0x154}, {0x156, 0x156}, {0x158, 0x158}, {0x15a, 0x15a},
  {0x15c, 0x15c}, {0x15e, 0x15e}, {0x160, 0x160}, {0x162, 0x162}, {0x164, 0x164}, {0x166, 0x166}, {0x168, 0x168}, {0x16a, 0x16a},
  {0x16c, 0x16c}, {0x16e, 0x16e}, {0x170, 0x170}, {0x172, 0x172}, {0x174, 0x174}, {0x176, 0x176}, {0x178, 0x179}, {0x17b, 0x17b},
  {0x17d, 0x17d}, {0x181, 0x182}, {0x184, 0x184}, {0x186, 0x187}, {0x189, 0x18b}, {0x18e, 0x191}, {0x193, 0x194}, {0x196, 0x198},
  {0x19c, 0x19d}, {0x19f, 0x1a0}, {0x1a2, 0x1a2}, {0x1a4, 0x1a4}, {0x1a6, 0x1a7}, {0x1a9, 0x1a9}, {0x1ac, 0x1ac}, {0x1ae, 0x1af},
  {0x1b1, 0x1b3}, {0x1b5, 0x1b5}, {0x1b7, 0x1b8}, {0x1bc, 0x1bc}, {0x1c4, 0x1c4}, {0x1c7, 0x1c7}, {0x1ca, 0x1ca}, {0x1cd, 0x1cd},
  {0x1cf, 0x1cf}, {0x1d1, 0x1d1}, {0x1d3, 0x1d3}, {0x1d5, 0x1d5}, {0x1d7, 0x1d7}, {0x1d9, 0x1d9}, {0x1db, 0x1db}, {0x1de, 0x1de},
  {0x1e0, 0x1e0}, {0x1e2, 0x1e2}, {0x1e4, 0x1e4}, {0x1e6, 0x1e6}, {0x1e8, 0x1e8}, {0x1ea, 0x1ea}, {0x1ec, 0x1ec}, {0x1ee, 0x1ee},
  {0x1f1, 0x1f1}, {0x1f4, 0x1f4}, {0x1f6, 0x1f8}, {0x1fa, 0x1fa}, {0x1fc, 0x1fc}, {0x1fe, 0x1fe}, {0x200, 0x200}, {0x202, 0x202},
  {0x204, 0x204}, {0x206, 0x206}, {0x208, 0x208}, {0x20a, 0x20a}, {0x20c, 0x20c}, {0x20e, 0x20e}, {0x210, 0x210}, {0x212, 0x212},
  {0x214, 0x214}, {0x216, 0x216}, {0x218, 0x218}, {0x21a, 0x21a}, {0x21c, 0x21c}, {0x21e, 0x21e}, {0x220, 0x220}, {0x222, 0x222},
  {0x224, 0x224}, {0x226, 0x226}, {0x228, 0x228}, {0x22a, 0x22a}, {0x22c, 0x22c}, {0x22e, 0x22e}, {0x230, 0x230}, {0x232, 0x232},
  {0x23a, 0x23b}, {0x23d, 0x23e}, {0x241, 0x241}, {0x243, 0x246}, {0x248, 0x248}, {0x24a, 0x24a}, {0x24c, 0x24c}, {0x24e, 0x24e},
  {0x370, 0x370}, {0x372, 0x372}, {0x376, 0x376}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x38f},
  {0x391, 0x3a1}, {0x3a3, 0x3ab}, {0x3cf, 0x3cf}, {0x3d2, 0x3d4}, {0x3d8, 0x3d8}, {0x3da, 0x3da}, {0x3dc, 0x3dc}, {0x3de, 0x3de},
  {0x3e0, 0x3e0}, {0x3e2, 0x3e2}, {0x3e4, 0x3e4}, {0x3e6, 0x3e6}, {0x3e8, 0x3e8}, {0x3ea, 0x3ea}, {0x3ec, 0x3ec}, {0x3ee, 0x3ee},
  {0x3f4, 0x3f4}, {0x3f7, 0x3f7}, {0x3f9, 0x3fa}, {0x3fd, 0x42f}, {0x460, 0x460}, {0x462, 0x462}, {0x464, 0x464}, {0x466, 0x466},
  {0x468, 0x468}, {0x46a, 0x46a}, {0x46c, 0x46c}, {0x46e, 0x46e}, {0x470, 0x470}, {0x472, 0x472}, {0x474, 0x474}, {0x476, 0x476},
  {0x478, 0x478}, {0x47a, 0x47a}, {0x47c, 0x47c}, {0x47e, 0x47e}, {0x480, 0x480}, {0x48a, 0x48a}, {0x48c, 0x48c}, {0x48e, 0x48e},
  {0x490, 0x490}, {0x492, 0x492}, {0x494, 0x494}, {0x496, 0x496}, {0x498, 0x498}, {0x49a, 0x49a}, {0x49c, 0x49c}, {0x49e, 0x49e},
  {0x4a0, 0x4a0}, {0x4a2, 0x4a2}, {0x4a4, 0x4a4}, {0x4a6, 0x4a6}, {0x4a8, 0x4a8}, {0x4aa, 0x4aa}, {0x4ac, 0x4ac}, {0x4ae, 0x4ae},
  {0x4b0, 0x4b0}, {0x4b2, 0x4b2}, {0x4b4, 0x4b4}, {0x4b6, 0x4b6}, {0x4b8, 0x4b8}, {0x4ba, 0x4ba}, {0x4bc, 0x4bc}, {0x4be, 0x4be},
  {0x4c0, 0x4c1}, {0x4c3, 0x4c3}, {0x4c5, 0x4c5}, {0x4c7, 0x4c7}, {0x4c9, 0x4c9}, {0x4cb, 0x4cb}, {0x4cd, 0x4cd}, {0x4d0, 0x4d0},
  {0x4d2, 0x4d2}, {0x4d4, 0x4d4}, {0x4d6, 0x4d6}, {0x4d8, 0x4d8}, {0x4da, 0x4da}, {0x4dc, 0x4dc}, {0x4de, 0x4de}, {0x4e0, 0x4e0},
  {0x4e2, 0x4e2}, {0x4e4, 0x4e4}, {0x4e6, 0x4e6}, {0x4e8, 0x4e8}, {0x4ea, 0x4ea}, {0x4ec, 0x4ec}, {0x4ee, 0x4ee}, {0x4f0, 0x4f0},
  {0x4f2, 0x4f2}, {0x4f4, 0x4f4}, {0x4f6, 0x4f6}, {0x4f8, 0x4f8}, {0x4fa, 0x4fa}, {0x4fc, 0x4fc}, {0x4fe, 0x4fe}, {0x500, 0x500},
  {0x502, 0x502}, {0x504, 0x504}, {0x506, 0x506}, {0x508, 0x508}, {0x50a, 0x50a}, {0x50c, 0x50c}, {0x50e, 0x50e}, {0x510, 0x510},
  {0x512, 0x512}, {0x514, 0x514}, {0x516, 0x516}, {0x518, 0x518}, {0x51a, 0x51a}, {0x51c, 0x51c}, {0x51e, 0x51e}, {0x520, 0x520},
  {0x522, 0x522}, {0x524, 0x524}, {0x526, 0x526}, {0x528, 0x528}, {0x52a, 0x52a}, {0x52c, 0x52c}, {0x52e, 0x52e}, {0x531, 0x556},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x13a0, 0x13f5}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1e00, 0x1e00}, {0x1e02, 0x1e02},
  {0x1e04, 0x1e04}, {0x1e06, 0x1e06}, {0x1e08, 0x1e08}, {0x1e0a, 0x1e0a}, {0x1e0c, 0x1e0c}, {0x1e0e, 0x1e0e}, {0x1e10, 0x1e10}, {0x1e12, 0x1e12},
  {0x1e14, 0x1e14}, {0x1e16, 0x1e16}, {0x1e18, 0x1e18}, {0x1e1a, 0x1e1a}, {0x1e1c, 0x1e1c}, {0x1e1e, 0x1e1e}, {0x1e20, 0x1e20}, {0x1e22, 0x1e22},
  {0x1e24, 0x1e24}, {0x1e26, 0x1e26}, {0x1e28, 0x1e28}, {0x1e2a, 0x1e2a}, {0x1e2c, 0x1e2c}, {0x1e2e, 0x1e2e}, {0x1e30, 0x1e30}, {0x1e32, 0x1e32},
  {0x1e34, 0x1e34}, {0x1e36, 0x1e36}, {0x1e38, 0x1e38}, {0x1e3a, 0x1e3a}, {0x1e3c, 0x1e3c}, {0x1e3e, 0x1e3e}, {0x1e40, 0x1e40}, {0x1e42, 0x1e42},
  {0x1e44, 0x1e44}, {0x1e46, 0x1e46}, {0x1e48, 0x1e48}, {0x1e4a, 0x1e4a}, {0x1e4c, 0x1e4c}, {0x1e4e, 0x1e4e}, {0x1e50, 0x1e50}, {0x1e52, 0x1e52},
  {0x1e54, 0x1e54}, {0x1e56, 0x1e56}, {0x1e58, 0x1e58}, {0x1e5a, 0x1e5a}, {0x1e5c, 0x1e5c}, {0x1e5e, 0x1e5e}, {0x1e60, 0x1e60}, {0x1e62, 0x1e62},
  {0x1e64, 0x1e64}, {0x1e66, 0x1e66}, {0x1e68, 0x1e68}, {0x1e6a, 0x1e6a}, {0x1e6c, 0x1e6c}, {0x1e6e, 0x1e6e}, {0x1e70, 0x1e70}, {0x1e72, 0x1e72},
  {0x1e74, 0x1e74}, {0x1e76, 0x1e76}, {0x1e78, 0x1e78}, {0x1e7a, 0x1e7a}, {0x1e7c, 0x1e7c}, {0x1e7e, 0x1e7e}, {0x1e80, 0x1e80}, {0x1e82, 0x1e82},
  {0x1e84, 0x1e84}, {0x1e86, 0x1e86}, {0x1e88, 0x1e88}, {0x1e8a, 0x1e8a}, {0x1e8c, 0x1e8c}, {0x1e8e, 0x1e8e}, {0x1e90, 0x1e90}, {0x1e92, 0x1e92},
  {0x1e94, 0x1e94}, {0x1e9e, 0x1e9e}, {0x1ea0, 0x1ea0}, {0x1ea2, 0x1ea2}, {0x1ea4, 0x1ea4}, {0x1ea6, 0x1ea6}, {0x1ea8, 0x1ea8}, {0x1eaa, 0x1eaa},
  {0x1eac, 0x1eac}, {0x1eae, 0x1eae}, {0x1eb0, 0x1eb0}, {0x1eb2, 0x1eb2}, {0x1eb4, 0x1eb4}, {0x1eb6, 0x1eb6}, {0x1eb8, 0x1eb8}, {0x1eba, 0x1eba},
  {0x1ebc, 0x1ebc}, {0x1ebe, 0x1ebe}, {0x1ec0, 0x1ec0}, {0x1ec2, 0x1ec2}, {0x1ec4, 0x1ec4}, {0x1ec6, 0x1ec6}, {0x1ec8, 0x1ec8}, {0x1eca, 0x1eca},
  {0x1ecc, 0x1ecc}, {0x1ece, 0x1ece}, {0x1ed0, 0x1ed0}, {0x1ed2, 0x1ed2}, {0x1ed4, 0x1ed4}, {0x1ed6, 0x1ed6}, {0x1ed8, 0x1ed8}, {0x1eda, 0x1eda},
  {0x1edc, 0x1edc}, {0x1ede, 0x1ede}, {0x1ee0, 0x1ee0}, {0x1ee2, 0x1ee2}, {0x1ee4, 0x1ee4}, {0x1ee6, 0x1ee6}, {0x1ee8, 0x1ee8}, {0x1eea, 0x1eea},
  {0x1eec, 0x1eec}, {0x1eee, 0x1eee}, {0x1ef0, 0x1ef0}, {0x1ef2, 0x1ef2}, {0x1ef4, 0x1ef4}, {0x1ef6, 0x1ef6}, {0x1ef8, 0x1ef8}, {0x1efa, 0x1efa},
  {0x1efc, 0x1efc}, {0x1efe, 0x1efe}, {0x1f08, 0x1f0f}, {0x1f18, 0x1f1d}, {0x1f28, 0x1f2f}, {0x1f38, 0x1f3f}, {0x1f48, 0x1f4d}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f5f}, {0x1f68, 0x1f6f}, {0x1fb8, 0x1fbb}, {0x1fc8, 0x1fcb}, {0x1fd8, 0x1fdb}, {0x1fe8, 0x1fec},
  {0x1ff8, 0x1ffb}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210b, 0x210d}, {0x2110, 0x2112}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x2130, 0x2133}, {0x213e, 0x213f}, {0x2145, 0x2145}, {0x2183, 0x2183}, {0x2c00, 0x2c2f},
  {0x2c60, 0x2c60}, {0x2c62, 0x2c64}, {0x2c67, 0x2c67}, {0x2c69, 0x2c69}, {0x2c6b, 0x2c6b}, {0x2c6d, 0x2c70}, {0x2c72, 0x2c72}, {0x2c75, 0x2c75},
  {0x2c7e, 0x2c80}, {0x2c82, 0x2c82}, {0x2c84, 0x2c84}, {0x2c86, 0x2c86}, {0x2c88, 0x2c88}, {0x2c8a, 0x2c8a}, {0x2c8c, 0x2c8c}, {0x2c8e, 0x2c8e},
  {0x2c90, 0x2c90}, {0x2c92, 0x2c92}, {0x2c94, 0x2c94}, {0x2c96, 0x2c96}, {0x2c98, 0x2c98}, {0x2c9a, 0x2c9a}, {0x2c9c, 0x2c9c}, {0x2c9e, 0x2c9e},
  {0x2ca0, 0x2ca0}, {0x2ca2, 0x2ca2}, {0x2ca4, 0x2ca4}, {0x2ca6, 0x2ca6}, {0x2ca8, 0x2ca8}, {0x2caa, 0x2caa}, {0x2cac, 0x2cac}, {0x2cae, 0x2cae},
  {0x2cb0, 0x2cb0}, {0x2cb2, 0x2cb2}, {0x2cb4, 0x2cb4}, {0x2cb6, 0x2cb6}, {0x2cb8, 0x2cb8}, {0x2cba, 0x2cba}, {0x2cbc, 0x2cbc}, {0x2cbe, 0x2cbe},
  {0x2cc0, 0x2cc0}, {0x2cc2, 0x2cc2}, {0x2cc4, 0x2cc4}, {0x2cc6, 0x2cc6}, {0x2cc8, 0x2cc8}, {0x2cca, 0x2cca}, {0x2ccc, 0x2ccc}, {0x2cce, 0x2cce},
  {0x2cd0, 0x2cd0}, {0x2cd2, 0x2cd2}, {0x2cd4, 0x2cd4}, {0x2cd6, 0x2cd6}, {0x2cd8, 0x2cd8}, {0x2cda, 0x2cda}, {0x2cdc, 0x2cdc}, {0x2cde, 0x2cde},
  {0x2ce0, 0x2ce0}, {0x2ce2, 0x2ce2}, {0x2ceb, 0x2ceb}, {0x2ced, 0x2ced}, {0x2cf2, 0x2cf2}, {0xa640, 0xa640}, {0xa642, 0xa642}, {0xa644, 0xa644},
  {0xa646, 0xa646}, {0xa648, 0xa648}, {0xa64a, 0xa64a}, {0xa64c, 0xa64c}, {0xa64e, 0xa64e}, {0xa650, 0xa650}, {0xa652, 0xa652}, {0xa654, 0xa654},
  {0xa656, 0xa656}, {0xa658, 0xa658}, {0xa65a, 0xa65a}, {0xa65c, 0xa65c}, {0xa65e, 0xa65e}, {0xa660, 0xa660}, {0xa662, 0xa662}, {0xa664, 0xa664},
  {0xa666, 0xa666}, {0xa668, 0xa668}, {0xa66a, 0xa66a}, {0xa66c, 0xa66c}, {0xa680, 0xa680}, {0xa682, 0xa682}, {0xa684, 0xa684}, {0xa686, 0xa686},
  {0xa688, 0xa688}, {0xa68a, 0xa68a}, {0xa68c, 0xa68c}, {0xa68e, 0xa68e}, {0xa690, 0xa690}, {0xa692, 0xa692}, {0xa694, 0xa694}, {0xa696, 0xa696},
  {0xa698, 0xa698}, {0xa69a, 0xa69a}, {0xa722, 0xa722}, {0xa724, 0xa724}, {0xa726, 0xa726}, {0xa728, 0xa728}, {0xa72a, 0xa72a}, {0xa72c, 0xa72c},
  {0xa72e, 0xa72e}, {0xa732, 0xa732}, {0xa734, 0xa734}, {0xa736, 0xa736}, {0xa738, 0xa738}, {0xa73a, 0xa73a}, {0xa73c, 0xa73c}, {0xa73e, 0xa73e},
  {0xa740, 0xa740}, {0xa742, 0xa742}, {0xa744, 0xa744}, {0xa746, 0xa746}, {0xa748, 0xa748}, {0xa74a, 0xa74a}, {0xa74c, 0xa74c}, {0xa74e, 0xa74e},
  {0xa750, 0xa750}, {0xa752, 0xa752}, {0xa754, 0xa754}, {0xa756, 0xa756}, {0xa758, 0xa758}, {0xa75a, 0xa75a}, {0xa75c, 0xa75c}, {0xa75e, 0xa75e},
  {0xa760, 0xa760}, {0xa762, 0xa762}, {0xa764, 0xa764}, {0xa766, 0xa766}, {0xa768, 0xa768}, {0xa76a, 0xa76a}, {0xa76c, 0xa76c}, {0xa76e, 0xa76e},
  {0xa779, 0xa779}, {0xa77b, 0xa77b}, {0xa77d, 0xa77e}, {0xa780, 0xa780}, {0xa782, 0xa782}, {0xa784, 0xa784}, {0xa786, 0xa786}, {0xa78b, 0xa78b},
  {0xa78d, 0xa78d}, {0xa790, 0xa790}, {0xa792, 0xa792}, {0xa796, 0xa796}, {0xa798, 0xa798}, {0xa79a, 0xa79a}, {0xa79c, 0xa79c}, {0xa79e, 0xa79e},
  {0xa7a0, 0xa7a0}, {0xa7a2, 0xa7a2}, {0xa7a4, 0xa7a4}, {0xa7a6, 0xa7a6}, {0xa7a8, 0xa7a8}, {0xa7aa, 0xa7ae}, {0xa7b0, 0xa7b4}, {0xa7b6, 0xa7b6},
  {0xa7b8, 0xa7b8}, {0xa7ba, 0xa7ba}, {0xa7bc, 0xa7bc}, {0xa7be, 0xa7be}, {0xa7c0, 0xa7c0}, {0xa7c2, 0xa7c2}, {0xa7c4, 0xa7c7}, {0xa7c9, 0xa7c9},
  {0xa7d0, 0xa7d0}, {0xa7d6, 0xa7d6}, {0xa7d8, 0xa7d8}, {0xa7f5, 0xa7f5}, {0xff21, 0xff3a}, {0x10400, 0x10427}, {0x104b0, 0x104d3}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
};

static TSCharacterRange sym_uppercase_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static TSCharacterRange sym_lowercase_identifier_character_set_1[] = {
  {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xdf, 0xf6}, {0xf8, 0xff}, {0x101, 0x101},
  {0x103, 0x103}, {0x105, 0x105}, {0x107, 0x107}, {0x109, 0x109}, {0x10b, 0x10b}, {0x10d, 0x10d}, {0x10f, 0x10f}, {0x111, 0x111},
  {0x113, 0x113}, {0x115, 0x115}, {0x117, 0x117}, {0x119, 0x119}, {0x11b, 0x11b}, {0x11d, 0x11d}, {0x11f, 0x11f}, {0x121, 0x121},
  {0x123, 0x123}, {0x125, 0x125}, {0x127, 0x127}, {0x129, 0x129}, {0x12b, 0x12b}, {0x12d, 0x12d}, {0x12f, 0x12f}, {0x131, 0x131},
  {0x133, 0x133}, {0x135, 0x135}, {0x137, 0x138}, {0x13a, 0x13a}, {0x13c, 0x13c}, {0x13e, 0x13e}, {0x140, 0x140}, {0x142, 0x142},
  {0x144, 0x144}, {0x146, 0x146}, {0x148, 0x149}, {0x14b, 0x14b}, {0x14d, 0x14d}, {0x14f, 0x14f}, {0x151, 0x151}, {0x153, 0x153},
  {0x155, 0x155}, {0x157, 0x157}, {0x159, 0x159}, {0x15b, 0x15b}, {0x15d, 0x15d}, {0x15f, 0x15f}, {0x161, 0x161}, {0x163, 0x163},
  {0x165, 0x165}, {0x167, 0x167}, {0x169, 0x169}, {0x16b, 0x16b}, {0x16d, 0x16d}, {0x16f, 0x16f}, {0x171, 0x171}, {0x173, 0x173},
  {0x175, 0x175}, {0x177, 0x177}, {0x17a, 0x17a}, {0x17c, 0x17c}, {0x17e, 0x180}, {0x183, 0x183}, {0x185, 0x185}, {0x188, 0x188},
  {0x18c, 0x18d}, {0x192, 0x192}, {0x195, 0x195}, {0x199, 0x19b}, {0x19e, 0x19e}, {0x1a1, 0x1a1}, {0x1a3, 0x1a3}, {0x1a5, 0x1a5},
  {0x1a8, 0x1a8}, {0x1aa, 0x1ab}, {0x1ad, 0x1ad}, {0x1b0, 0x1b0}, {0x1b4, 0x1b4}, {0x1b6, 0x1b6}, {0x1b9, 0x1bb}, {0x1bd, 0x1c3},
  {0x1c5, 0x1c6}, {0x1c8, 0x1c9}, {0x1cb, 0x1cc}, {0x1ce, 0x1ce}, {0x1d0, 0x1d0}, {0x1d2, 0x1d2}, {0x1d4, 0x1d4}, {0x1d6, 0x1d6},
  {0x1d8, 0x1d8}, {0x1da, 0x1da}, {0x1dc, 0x1dd}, {0x1df, 0x1df}, {0x1e1, 0x1e1}, {0x1e3, 0x1e3}, {0x1e5, 0x1e5}, {0x1e7, 0x1e7},
  {0x1e9, 0x1e9}, {0x1eb, 0x1eb}, {0x1ed, 0x1ed}, {0x1ef, 0x1f0}, {0x1f2, 0x1f3}, {0x1f5, 0x1f5}, {0x1f9, 0x1f9}, {0x1fb, 0x1fb},
  {0x1fd, 0x1fd}, {0x1ff, 0x1ff}, {0x201, 0x201}, {0x203, 0x203}, {0x205, 0x205}, {0x207, 0x207}, {0x209, 0x209}, {0x20b, 0x20b},
  {0x20d, 0x20d}, {0x20f, 0x20f}, {0x211, 0x211}, {0x213, 0x213}, {0x215, 0x215}, {0x217, 0x217}, {0x219, 0x219}, {0x21b, 0x21b},
  {0x21d, 0x21d}, {0x21f, 0x21f}, {0x221, 0x221}, {0x223, 0x223}, {0x225, 0x225}, {0x227, 0x227}, {0x229, 0x229}, {0x22b, 0x22b},
  {0x22d, 0x22d}, {0x22f, 0x22f}, {0x231, 0x231}, {0x233, 0x239}, {0x23c, 0x23c}, {0x23f, 0x240}, {0x242, 0x242}, {0x247, 0x247},
  {0x249, 0x249}, {0x24b, 0x24b}, {0x24d, 0x24d}, {0x24f, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x371, 0x371}, {0x373, 0x374}, {0x377, 0x377}, {0x37b, 0x37d}, {0x390, 0x390}, {0x3ac, 0x3ce}, {0x3d0, 0x3d1}, {0x3d5, 0x3d7},
  {0x3d9, 0x3d9}, {0x3db, 0x3db}, {0x3dd, 0x3dd}, {0x3df, 0x3df}, {0x3e1, 0x3e1}, {0x3e3, 0x3e3}, {0x3e5, 0x3e5}, {0x3e7, 0x3e7},
  {0x3e9, 0x3e9}, {0x3eb, 0x3eb}, {0x3ed, 0x3ed}, {0x3ef, 0x3f3}, {0x3f5, 0x3f5}, {0x3f8, 0x3f8}, {0x3fb, 0x3fc}, {0x430, 0x45f},
  {0x461, 0x461}, {0x463, 0x463}, {0x465, 0x465}, {0x467, 0x467}, {0x469, 0x469}, {0x46b, 0x46b}, {0x46d, 0x46d}, {0x46f, 0x46f},
  {0x471, 0x471}, {0x473, 0x473}, {0x475, 0x475}, {0x477, 0x477}, {0x479, 0x479}, {0x47b, 0x47b}, {0x47d, 0x47d}, {0x47f, 0x47f},
  {0x481, 0x481}, {0x48b, 0x48b}, {0x48d, 0x48d}, {0x48f, 0x48f}, {0x491, 0x491}, {0x493, 0x493}, {0x495, 0x495}, {0x497, 0x497},
  {0x499, 0x499}, {0x49b, 0x49b}, {0x49d, 0x49d}, {0x49f, 0x49f}, {0x4a1, 0x4a1}, {0x4a3, 0x4a3}, {0x4a5, 0x4a5}, {0x4a7, 0x4a7},
  {0x4a9, 0x4a9}, {0x4ab, 0x4ab}, {0x4ad, 0x4ad}, {0x4af, 0x4af}, {0x4b1, 0x4b1}, {0x4b3, 0x4b3}, {0x4b5, 0x4b5}, {0x4b7, 0x4b7},
  {0x4b9, 0x4b9}, {0x4bb, 0x4bb}, {0x4bd, 0x4bd}, {0x4bf, 0x4bf}, {0x4c2, 0x4c2}, {0x4c4, 0x4c4}, {0x4c6, 0x4c6}, {0x4c8, 0x4c8},
  {0x4ca, 0x4ca}, {0x4cc, 0x4cc}, {0x4ce, 0x4cf}, {0x4d1, 0x4d1}, {0x4d3, 0x4d3}, {0x4d5, 0x4d5}, {0x4d7, 0x4d7}, {0x4d9, 0x4d9},
  {0x4db, 0x4db}, {0x4dd, 0x4dd}, {0x4df, 0x4df}, {0x4e1, 0x4e1}, {0x4e3, 0x4e3}, {0x4e5, 0x4e5}, {0x4e7, 0x4e7}, {0x4e9, 0x4e9},
  {0x4eb, 0x4eb}, {0x4ed, 0x4ed}, {0x4ef, 0x4ef}, {0x4f1, 0x4f1}, {0x4f3, 0x4f3}, {0x4f5, 0x4f5}, {0x4f7, 0x4f7}, {0x4f9, 0x4f9},
  {0x4fb, 0x4fb}, {0x4fd, 0x4fd}, {0x4ff, 0x4ff}, {0x501, 0x501}, {0x503, 0x503}, {0x505, 0x505}, {0x507, 0x507}, {0x509, 0x509},
  {0x50b, 0x50b}, {0x50d, 0x50d}, {0x50f, 0x50f}, {0x511, 0x511}, {0x513, 0x513}, {0x515, 0x515}, {0x517, 0x517}, {0x519, 0x519},
  {0x51b, 0x51b}, {0x51d, 0x51d}, {0x51f, 0x51f}, {0x521, 0x521}, {0x523, 0x523}, {0x525, 0x525}, {0x527, 0x527}, {0x529, 0x529},
  {0x52b, 0x52b}, {0x52d, 0x52d}, {0x52f, 0x52f}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f},
  {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770},
  {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33},
  {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88},
  {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e01, 0x1e01}, {0x1e03, 0x1e03}, {0x1e05, 0x1e05},
  {0x1e07, 0x1e07}, {0x1e09, 0x1e09}, {0x1e0b, 0x1e0b}, {0x1e0d, 0x1e0d}, {0x1e0f, 0x1e0f}, {0x1e11, 0x1e11}, {0x1e13, 0x1e13}, {0x1e15, 0x1e15},
  {0x1e17, 0x1e17}, {0x1e19, 0x1e19}, {0x1e1b, 0x1e1b}, {0x1e1d, 0x1e1d}, {0x1e1f, 0x1e1f}, {0x1e21, 0x1e21}, {0x1e23, 0x1e23}, {0x1e25, 0x1e25},
  {0x1e27, 0x1e27}, {0x1e29, 0x1e29}, {0x1e2b, 0x1e2b}, {0x1e2d, 0x1e2d}, {0x1e2f, 0x1e2f}, {0x1e31, 0x1e31}, {0x1e33, 0x1e33}, {0x1e35, 0x1e35},
  {0x1e37, 0x1e37}, {0x1e39, 0x1e39}, {0x1e3b, 0x1e3b}, {0x1e3d, 0x1e3d}, {0x1e3f, 0x1e3f}, {0x1e41, 0x1e41}, {0x1e43, 0x1e43}, {0x1e45, 0x1e45},
  {0x1e47, 0x1e47}, {0x1e49, 0x1e49}, {0x1e4b, 0x1e4b}, {0x1e4d, 0x1e4d}, {0x1e4f, 0x1e4f}, {0x1e51, 0x1e51}, {0x1e53, 0x1e53}, {0x1e55, 0x1e55},
  {0x1e57, 0x1e57}, {0x1e59, 0x1e59}, {0x1e5b, 0x1e5b}, {0x1e5d, 0x1e5d}, {0x1e5f, 0x1e5f}, {0x1e61, 0x1e61}, {0x1e63, 0x1e63}, {0x1e65, 0x1e65},
  {0x1e67, 0x1e67}, {0x1e69, 0x1e69}, {0x1e6b, 0x1e6b}, {0x1e6d, 0x1e6d}, {0x1e6f, 0x1e6f}, {0x1e71, 0x1e71}, {0x1e73, 0x1e73}, {0x1e75, 0x1e75},
  {0x1e77, 0x1e77}, {0x1e79, 0x1e79}, {0x1e7b, 0x1e7b}, {0x1e7d, 0x1e7d}, {0x1e7f, 0x1e7f}, {0x1e81, 0x1e81}, {0x1e83, 0x1e83}, {0x1e85, 0x1e85},
  {0x1e87, 0x1e87}, {0x1e89, 0x1e89}, {0x1e8b, 0x1e8b}, {0x1e8d, 0x1e8d}, {0x1e8f, 0x1e8f}, {0x1e91, 0x1e91}, {0x1e93, 0x1e93}, {0x1e95, 0x1e9d},
  {0x1e9f, 0x1e9f}, {0x1ea1, 0x1ea1}, {0x1ea3, 0x1ea3}, {0x1ea5, 0x1ea5}, {0x1ea7, 0x1ea7}, {0x1ea9, 0x1ea9}, {0x1eab, 0x1eab}, {0x1ead, 0x1ead},
  {0x1eaf, 0x1eaf}, {0x1eb1, 0x1eb1}, {0x1eb3, 0x1eb3}, {0x1eb5, 0x1eb5}, {0x1eb7, 0x1eb7}, {0x1eb9, 0x1eb9}, {0x1ebb, 0x1ebb}, {0x1ebd, 0x1ebd},
  {0x1ebf, 0x1ebf}, {0x1ec1, 0x1ec1}, {0x1ec3, 0x1ec3}, {0x1ec5, 0x1ec5}, {0x1ec7, 0x1ec7}, {0x1ec9, 0x1ec9}, {0x1ecb, 0x1ecb}, {0x1ecd, 0x1ecd},
  {0x1ecf, 0x1ecf}, {0x1ed1, 0x1ed1}, {0x1ed3, 0x1ed3}, {0x1ed5, 0x1ed5}, {0x1ed7, 0x1ed7}, {0x1ed9, 0x1ed9}, {0x1edb, 0x1edb}, {0x1edd, 0x1edd},
  {0x1edf, 0x1edf}, {0x1ee1, 0x1ee1}, {0x1ee3, 0x1ee3}, {0x1ee5, 0x1ee5}, {0x1ee7, 0x1ee7}, {0x1ee9, 0x1ee9}, {0x1eeb, 0x1eeb}, {0x1eed, 0x1eed},
  {0x1eef, 0x1eef}, {0x1ef1, 0x1ef1}, {0x1ef3, 0x1ef3}, {0x1ef5, 0x1ef5}, {0x1ef7, 0x1ef7}, {0x1ef9, 0x1ef9}, {0x1efb, 0x1efb}, {0x1efd, 0x1efd},
  {0x1eff, 0x1f07}, {0x1f10, 0x1f15}, {0x1f20, 0x1f27}, {0x1f30, 0x1f37}, {0x1f40, 0x1f45}, {0x1f50, 0x1f57}, {0x1f60, 0x1f67}, {0x1f70, 0x1f7d},
  {0x1f80, 0x1fb4}, {0x1fb6, 0x1fb7}, {0x1fbc, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fc7}, {0x1fcc, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fd7}, {0x1fe0, 0x1fe7}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ff7}, {0x1ffc, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x210a, 0x210a}, {0x210e, 0x210f}, {0x2113, 0x2113}, {0x2118, 0x2118}, {0x212e, 0x212f}, {0x2134, 0x2139}, {0x213c, 0x213d}, {0x2146, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2182}, {0x2184, 0x2188}, {0x2c30, 0x2c5f}, {0x2c61, 0x2c61}, {0x2c65, 0x2c66}, {0x2c68, 0x2c68}, {0x2c6a, 0x2c6a},
  {0x2c6c, 0x2c6c}, {0x2c71, 0x2c71}, {0x2c73, 0x2c74}, {0x2c76, 0x2c7d}, {0x2c81, 0x2c81}, {0x2c83, 0x2c83}, {0x2c85, 0x2c85}, {0x2c87, 0x2c87},
  {0x2c89, 0x2c89}, {0x2c8b, 0x2c8b}, {0x2c8d, 0x2c8d}, {0x2c8f, 0x2c8f}, {0x2c91, 0x2c91}, {0x2c93, 0x2c93}, {0x2c95, 0x2c95}, {0x2c97, 0x2c97},
  {0x2c99, 0x2c99}, {0x2c9b, 0x2c9b}, {0x2c9d, 0x2c9d}, {0x2c9f, 0x2c9f}, {0x2ca1, 0x2ca1}, {0x2ca3, 0x2ca3}, {0x2ca5, 0x2ca5}, {0x2ca7, 0x2ca7},
  {0x2ca9, 0x2ca9}, {0x2cab, 0x2cab}, {0x2cad, 0x2cad}, {0x2caf, 0x2caf}, {0x2cb1, 0x2cb1}, {0x2cb3, 0x2cb3}, {0x2cb5, 0x2cb5}, {0x2cb7, 0x2cb7},
  {0x2cb9, 0x2cb9}, {0x2cbb, 0x2cbb}, {0x2cbd, 0x2cbd}, {0x2cbf, 0x2cbf}, {0x2cc1, 0x2cc1}, {0x2cc3, 0x2cc3}, {0x2cc5, 0x2cc5}, {0x2cc7, 0x2cc7},
  {0x2cc9, 0x2cc9}, {0x2ccb, 0x2ccb}, {0x2ccd, 0x2ccd}, {0x2ccf, 0x2ccf}, {0x2cd1, 0x2cd1}, {0x2cd3, 0x2cd3}, {0x2cd5, 0x2cd5}, {0x2cd7, 0x2cd7},
  {0x2cd9, 0x2cd9}, {0x2cdb, 0x2cdb}, {0x2cdd, 0x2cdd}, {0x2cdf, 0x2cdf}, {0x2ce1, 0x2ce1}, {0x2ce3, 0x2ce4}, {0x2cec, 0x2cec}, {0x2cee, 0x2cee},
  {0x2cf3, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa641, 0xa641}, {0xa643, 0xa643}, {0xa645, 0xa645}, {0xa647, 0xa647}, {0xa649, 0xa649}, {0xa64b, 0xa64b}, {0xa64d, 0xa64d},
  {0xa64f, 0xa64f}, {0xa651, 0xa651}, {0xa653, 0xa653}, {0xa655, 0xa655}, {0xa657, 0xa657}, {0xa659, 0xa659}, {0xa65b, 0xa65b}, {0xa65d, 0xa65d},
  {0xa65f, 0xa65f}, {0xa661, 0xa661}, {0xa663, 0xa663}, {0xa665, 0xa665}, {0xa667, 0xa667}, {0xa669, 0xa669}, {0xa66b, 0xa66b}, {0xa66d, 0xa66e},
  {0xa67f, 0xa67f}, {0xa681, 0xa681}, {0xa683, 0xa683}, {0xa685, 0xa685}, {0xa687, 0xa687}, {0xa689, 0xa689}, {0xa68b, 0xa68b}, {0xa68d, 0xa68d},
  {0xa68f, 0xa68f}, {0xa691, 0xa691}, {0xa693, 0xa693}, {0xa695, 0xa695}, {0xa697, 0xa697}, {0xa699, 0xa699}, {0xa69b, 0xa69d}, {0xa6a0, 0xa6ef},
  {0xa717, 0xa71f}, {0xa723, 0xa723}, {0xa725, 0xa725}, {0xa727, 0xa727}, {0xa729, 0xa729}, {0xa72b, 0xa72b}, {0xa72d, 0xa72d}, {0xa72f, 0xa731},
  {0xa733, 0xa733}, {0xa735, 0xa735}, {0xa737, 0xa737}, {0xa739, 0xa739}, {0xa73b, 0xa73b}, {0xa73d, 0xa73d}, {0xa73f, 0xa73f}, {0xa741, 0xa741},
  {0xa743, 0xa743}, {0xa745, 0xa745}, {0xa747, 0xa747}, {0xa749, 0xa749}, {0xa74b, 0xa74b}, {0xa74d, 0xa74d}, {0xa74f, 0xa74f}, {0xa751, 0xa751},
  {0xa753, 0xa753}, {0xa755, 0xa755}, {0xa757, 0xa757}, {0xa759, 0xa759}, {0xa75b, 0xa75b}, {0xa75d, 0xa75d}, {0xa75f, 0xa75f}, {0xa761, 0xa761},
  {0xa763, 0xa763}, {0xa765, 0xa765}, {0xa767, 0xa767}, {0xa769, 0xa769}, {0xa76b, 0xa76b}, {0xa76d, 0xa76d}, {0xa76f, 0xa778}, {0xa77a, 0xa77a},
  {0xa77c, 0xa77c}, {0xa77f, 0xa77f}, {0xa781, 0xa781}, {0xa783, 0xa783}, {0xa785, 0xa785}, {0xa787, 0xa788}, {0xa78c, 0xa78c}, {0xa78e, 0xa78f},
  {0xa791, 0xa791}, {0xa793, 0xa795}, {0xa797, 0xa797}, {0xa799, 0xa799}, {0xa79b, 0xa79b}, {0xa79d, 0xa79d}, {0xa79f, 0xa79f}, {0xa7a1, 0xa7a1},
  {0xa7a3, 0xa7a3}, {0xa7a5, 0xa7a5}, {0xa7a7, 0xa7a7}, {0xa7a9, 0xa7a9}, {0xa7af, 0xa7af}, {0xa7b5, 0xa7b5}, {0xa7b7, 0xa7b7}, {0xa7b9, 0xa7b9},
  {0xa7bb, 0xa7bb}, {0xa7bd, 0xa7bd}, {0xa7bf, 0xa7bf}, {0xa7c1, 0xa7c1}, {0xa7c3, 0xa7c3}, {0xa7c8, 0xa7c8}, {0xa7ca, 0xa7ca}, {0xa7d1, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d5}, {0xa7d7, 0xa7d7}, {0xa7d9, 0xa7d9}, {0xa7f2, 0xa7f4}, {0xa7f6, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a},
  {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0},
  {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff41, 0xff5a},
  {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026},
  {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10428, 0x1049d},
  {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736},
  {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835},
  {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
  {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45},
  {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8},
  {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da},
  {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d},
  {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339},
  {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5},
  {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a},
  {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f},
  {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32},
  {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40},
  {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89},
  {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe},
  {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50},
  {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb},
  {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a},
  {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6},
  {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c},
  {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da},
  {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2},
  {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad},
  {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943},
  {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37},
  {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52},
  {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64},
  {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3},
  {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d},
  {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange aux_sym_dot_dot_identifier_token1_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_package_identifier_character_set_1[] = {
  {'/', '/'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128},
  {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3},
  {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae},
  {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029},
  {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e},
  {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b},
  {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3},
  {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7},
  {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4},
  {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf},
  {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4},
  {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2},
  {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d},
  {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d},
  {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527},
  {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9},
  {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805},
  {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2},
  {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17},
  {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075},
  {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2},
  {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288},
  {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330},
  {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461},
  {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa},
  {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913},
  {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3},
  {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08},
  {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65},
  {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0},
  {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38},
  {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08},
  {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167},
  {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f},
  {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a},
  {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5},
  {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788},
  {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27},
  {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b},
  {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f},
  {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89},
  {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1},
  {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_package_identifier_character_set_2[] = {
  {'/', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(55);
      ADVANCE_MAP(
        '!', 61,
        '"', 70,
        '#', 189,
        '$', 32,
        '%', 134,
        '&', 144,
        '\'', 85,
        '(', 56,
        ')', 57,
        '*', 130,
        '+', 69,
        ',', 58,
        '-', 127,
        '.', 169,
        '/', 132,
        '0', 74,
        ':', 175,
        ';', 168,
        '<', 140,
        '=', 66,
        '>', 137,
        '?', 177,
        '@', 44,
        '[', 159,
        '\\', 26,
        ']', 160,
        '^', 145,
        'b', 166,
        '{', 62,
        '|', 148,
        '}', 63,
        '~', 157,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(75);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(165);
      if (set_contains(sym_package_identifier_character_set_1, 669, lookahead)) ADVANCE(167);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(7);
      if (lookahead == '!') ADVANCE(112);
      if (lookahead == '#') ADVANCE(122);
      if (lookahead == '$') ADVANCE(122);
      if (lookahead == '(') ADVANCE(124);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == ';') ADVANCE(124);
      if (lookahead == '?') ADVANCE(124);
      if (lookahead == '[') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == '}') ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(113);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(123);
      if (lookahead != 0) ADVANCE(124);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 61,
        '%', 133,
        '&', 144,
        '(', 56,
        ')', 57,
        '*', 129,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 171,
        '/', 131,
        ':', 175,
        '<', 140,
        '=', 66,
        '>', 137,
        '?', 177,
        '[', 159,
        ']', 160,
        '^', 145,
        '{', 62,
        '|', 148,
        '}', 63,
        '~', 157,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 61,
        '%', 133,
        '&', 144,
        '(', 56,
        ')', 57,
        '*', 129,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 171,
        '/', 131,
        ':', 174,
        '<', 140,
        '=', 23,
        '>', 137,
        '?', 177,
        '[', 159,
        ']', 160,
        '^', 145,
        '{', 62,
        '|', 148,
        '}', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 61,
        '%', 133,
        '&', 144,
        '(', 56,
        ')', 57,
        '*', 129,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 171,
        '/', 131,
        ':', 18,
        '<', 140,
        '=', 65,
        '>', 137,
        '?', 177,
        '[', 159,
        '^', 145,
        '|', 148,
        '~', 156,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 59,
        '&', 143,
        '(', 56,
        ')', 57,
        ',', 58,
        '-', 24,
        '/', 15,
        ':', 18,
        '=', 64,
        '?', 177,
        '@', 44,
        '[', 159,
        ']', 160,
        '{', 62,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(165);
      if (set_contains(sym_package_identifier_character_set_1, 669, lookahead)) ADVANCE(167);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 60,
        '"', 70,
        '#', 31,
        '$', 32,
        '&', 143,
        '\'', 85,
        '(', 56,
        ')', 57,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 170,
        '/', 15,
        '0', 76,
        ':', 175,
        ';', 168,
        '=', 25,
        '?', 177,
        '@', 44,
        '[', 159,
        ']', 160,
        'b', 166,
        '{', 62,
        '|', 147,
        '}', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(79);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(165);
      if (set_contains(sym_package_identifier_character_set_1, 669, lookahead)) ADVANCE(167);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 60,
        '#', 31,
        '$', 32,
        '(', 56,
        '.', 170,
        '/', 15,
        ';', 168,
        '?', 177,
        '[', 159,
        '\\', 27,
        '}', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 20,
        '%', 133,
        '&', 144,
        ')', 57,
        '*', 129,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 12,
        '/', 131,
        ':', 174,
        '<', 140,
        '=', 66,
        '>', 137,
        ']', 160,
        '^', 145,
        '{', 62,
        '|', 148,
        '}', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 20,
        '%', 133,
        '&', 144,
        ')', 57,
        '*', 129,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 14,
        '/', 131,
        ':', 174,
        '<', 140,
        '=', 23,
        '>', 137,
        ']', 160,
        '^', 145,
        '{', 62,
        '|', 148,
        '}', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym_package_identifier_character_set_1, 669, lookahead)) ADVANCE(185);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(70);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(26);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(90);
      if (lookahead != 0) ADVANCE(92);
      END_STATE();
    case 11:
      if (lookahead == '.') ADVANCE(152);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(183);
      END_STATE();
    case 12:
      if (lookahead == '.') ADVANCE(151);
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(154);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(19);
      END_STATE();
    case 15:
      if (lookahead == '/') ADVANCE(187);
      END_STATE();
    case 16:
      if (lookahead == '/') ADVANCE(187);
      if (lookahead == '=') ADVANCE(181);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(83);
      if (lookahead == '\\') ADVANCE(84);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(82);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(82);
      END_STATE();
    case 18:
      if (lookahead == ':') ADVANCE(176);
      END_STATE();
    case 19:
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(173);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(182);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(180);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(141);
      if (lookahead == '>') ADVANCE(155);
      END_STATE();
    case 24:
      if (lookahead == '>') ADVANCE(164);
      END_STATE();
    case 25:
      if (lookahead == '>') ADVANCE(155);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        'o', 87,
        'u', 87,
        'x', 87,
        '{', 71,
        '"', 93,
        '\'', 93,
        '\\', 93,
        'b', 93,
        'n', 93,
        'r', 93,
        't', 93,
      );
      if (lookahead != 0) ADVANCE(87);
      END_STATE();
    case 27:
      if (lookahead == '{') ADVANCE(71);
      END_STATE();
    case 28:
      if (lookahead == '{') ADVANCE(71);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 29:
      if (lookahead == '{') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 30:
      if (lookahead == '{') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 31:
      if (lookahead == '|') ADVANCE(102);
      END_STATE();
    case 32:
      if (lookahead == '|') ADVANCE(103);
      END_STATE();
    case 33:
      if (lookahead == '}') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == '}') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 35:
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(77);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(96);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(78);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(100);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 44:
      if (set_contains(sym_package_identifier_character_set_1, 669, lookahead)) ADVANCE(186);
      END_STATE();
    case 45:
      if (eof) ADVANCE(55);
      if (lookahead == '\n') SKIP(51);
      if (lookahead == '!') ADVANCE(111);
      if (lookahead == '#') ADVANCE(122);
      if (lookahead == '$') ADVANCE(122);
      if (lookahead == '%') ADVANCE(124);
      if (lookahead == '&') ADVANCE(114);
      if (lookahead == '(') ADVANCE(124);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(124);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(124);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == ':') ADVANCE(124);
      if (lookahead == ';') ADVANCE(124);
      if (lookahead == '<') ADVANCE(119);
      if (lookahead == '=') ADVANCE(120);
      if (lookahead == '>') ADVANCE(120);
      if (lookahead == '?') ADVANCE(124);
      if (lookahead == '[') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(124);
      if (lookahead == '{') ADVANCE(124);
      if (lookahead == '|') ADVANCE(121);
      if (lookahead == '}') ADVANCE(124);
      if (lookahead == '~') ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(109);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(123);
      if (lookahead != 0) ADVANCE(124);
      END_STATE();
    case 46:
      if (eof) ADVANCE(55);
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '!') ADVANCE(111);
      if (lookahead == '#') ADVANCE(122);
      if (lookahead == '$') ADVANCE(122);
      if (lookahead == '%') ADVANCE(124);
      if (lookahead == '&') ADVANCE(114);
      if (lookahead == '(') ADVANCE(124);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(124);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(124);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == ':') ADVANCE(124);
      if (lookahead == ';') ADVANCE(124);
      if (lookahead == '<') ADVANCE(119);
      if (lookahead == '=') ADVANCE(120);
      if (lookahead == '>') ADVANCE(120);
      if (lookahead == '?') ADVANCE(124);
      if (lookahead == '[') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(124);
      if (lookahead == '{') ADVANCE(124);
      if (lookahead == '|') ADVANCE(121);
      if (lookahead == '}') ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(110);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(123);
      if (lookahead != 0) ADVANCE(124);
      END_STATE();
    case 47:
      if (eof) ADVANCE(55);
      ADVANCE_MAP(
        '!', 61,
        '"', 70,
        '#', 189,
        '$', 32,
        '%', 134,
        '&', 144,
        '\'', 85,
        '(', 56,
        ')', 57,
        '*', 130,
        '+', 69,
        ',', 58,
        '-', 127,
        '.', 169,
        '/', 132,
        '0', 74,
        ':', 175,
        ';', 168,
        '<', 140,
        '=', 66,
        '>', 137,
        '?', 177,
        '@', 44,
        '[', 159,
        '\\', 27,
        ']', 160,
        '^', 145,
        'b', 166,
        '{', 62,
        '|', 148,
        '}', 63,
        '~', 157,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(75);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(165);
      if (set_contains(sym_package_identifier_character_set_1, 669, lookahead)) ADVANCE(167);
      END_STATE();
    case 48:
      if (eof) ADVANCE(55);
      ADVANCE_MAP(
        '!', 61,
        '"', 70,
        '#', 189,
        '$', 32,
        '%', 133,
        '&', 144,
        '(', 56,
        ')', 57,
        '*', 129,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 171,
        '/', 131,
        ':', 175,
        ';', 168,
        '<', 140,
        '=', 66,
        '>', 137,
        '?', 177,
        '[', 159,
        ']', 160,
        '^', 145,
        '{', 62,
        '|', 148,
        '}', 63,
        '~', 156,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 49:
      if (eof) ADVANCE(55);
      ADVANCE_MAP(
        '!', 61,
        '#', 189,
        '$', 32,
        '%', 133,
        '&', 144,
        '(', 56,
        ')', 57,
        '*', 129,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 170,
        '/', 131,
        ':', 175,
        ';', 168,
        '<', 140,
        '=', 23,
        '>', 137,
        '?', 177,
        '[', 159,
        ']', 160,
        '^', 145,
        '{', 62,
        '|', 148,
        '}', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(161);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 50:
      if (eof) ADVANCE(55);
      ADVANCE_MAP(
        '!', 61,
        '#', 31,
        '$', 32,
        '%', 133,
        '&', 144,
        '(', 56,
        ')', 57,
        '*', 129,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 170,
        '/', 131,
        ':', 174,
        ';', 168,
        '<', 140,
        '=', 23,
        '>', 137,
        '?', 177,
        '[', 159,
        '\\', 27,
        ']', 160,
        '^', 145,
        '{', 62,
        '|', 148,
        '}', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 51:
      if (eof) ADVANCE(55);
      ADVANCE_MAP(
        '!', 61,
        '#', 31,
        '$', 32,
        '%', 133,
        '&', 144,
        '(', 56,
        ')', 57,
        '*', 129,
        '+', 68,
        ',', 58,
        '-', 125,
        '.', 171,
        '/', 131,
        ':', 174,
        ';', 168,
        '<', 140,
        '=', 66,
        '>', 137,
        '?', 177,
        '[', 159,
        '\\', 27,
        ']', 160,
        '^', 145,
        '{', 62,
        '|', 148,
        '}', 63,
        '~', 156,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 52:
      if (eof) ADVANCE(55);
      ADVANCE_MAP(
        '!', 61,
        '%', 134,
        '&', 144,
        '(', 56,
        '*', 130,
        '+', 69,
        ',', 58,
        '-', 126,
        '.', 171,
        '/', 132,
        ':', 175,
        ';', 168,
        '<', 140,
        '=', 65,
        '>', 137,
        '?', 177,
        '[', 159,
        '^', 145,
        '{', 62,
        '|', 148,
        '}', 63,
        '~', 157,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(167);
      END_STATE();
    case 53:
      if (eof) ADVANCE(55);
      ADVANCE_MAP(
        '!', 59,
        '"', 70,
        '#', 189,
        '$', 32,
        '%', 21,
        '&', 143,
        '\'', 85,
        '(', 56,
        ')', 57,
        '*', 22,
        '+', 69,
        ',', 58,
        '-', 126,
        '.', 11,
        '/', 16,
        '0', 76,
        ':', 175,
        ';', 168,
        '=', 64,
        '?', 177,
        '@', 44,
        '[', 159,
        ']', 160,
        'b', 166,
        '{', 62,
        '|', 146,
        '}', 63,
        '~', 156,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(79);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(165);
      if (set_contains(sym_package_identifier_character_set_1, 669, lookahead)) ADVANCE(167);
      END_STATE();
    case 54:
      if (eof) ADVANCE(55);
      ADVANCE_MAP(
        '!', 59,
        '"', 70,
        '&', 143,
        ')', 57,
        ',', 58,
        '-', 24,
        '.', 13,
        '/', 15,
        ':', 174,
        ';', 168,
        '=', 67,
        '?', 177,
        '@', 44,
        ']', 160,
        '{', 62,
        '|', 146,
        '}', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(165);
      if (set_contains(sym_package_identifier_character_set_1, 669, lookahead)) ADVANCE(167);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '!') ADVANCE(158);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '!') ADVANCE(158);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(141);
      if (lookahead == '>') ADVANCE(155);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(155);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(178);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_BSLASH_LBRACE);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'L') ADVANCE(72);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        'U', 73,
        '_', 79,
        'B', 35,
        'b', 35,
        'L', 72,
        'N', 72,
        'O', 37,
        'o', 37,
        'X', 43,
        'x', 43,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(75);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'U') ADVANCE(73);
      if (lookahead == '_') ADVANCE(79);
      if (lookahead == 'L' ||
          lookahead == 'N') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(75);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        'U', 73,
        'B', 35,
        'b', 35,
        'L', 72,
        'N', 72,
        'O', 37,
        'o', 37,
        'X', 43,
        'x', 43,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(79);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'U') ADVANCE(73);
      if (lookahead == 'L' ||
          lookahead == 'N') ADVANCE(72);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'U') ADVANCE(73);
      if (lookahead == 'L' ||
          lookahead == 'N') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'U') ADVANCE(73);
      if (lookahead == 'L' ||
          lookahead == 'N') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'U') ADVANCE(73);
      if (lookahead == 'L' ||
          lookahead == 'N') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_b_SQUOTE);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(aux_sym_byte_literal_token1);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_byte_literal_token1);
      if (lookahead == '/') ADVANCE(187);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_byte_literal_token1);
      ADVANCE_MAP(
        'o', 36,
        'u', 29,
        'x', 30,
        '"', 93,
        '\'', 93,
        '\\', 93,
        'b', 93,
        'n', 93,
        'r', 93,
        't', 93,
      );
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_b_DQUOTE);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym_unescaped_string_fragment_token1);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_unescaped_string_fragment_token2);
      if (lookahead == '\n') ADVANCE(92);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(89);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_unescaped_string_fragment_token2);
      if (lookahead == '\n') ADVANCE(92);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(89);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(aux_sym_unescaped_string_fragment_token2);
      if (lookahead == '/') ADVANCE(91);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(90);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(92);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym_unescaped_string_fragment_token2);
      if (lookahead == '/') ADVANCE(88);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_unescaped_string_fragment_token2);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(94);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(95);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(97);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token5);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token6);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_multiline_string_separator);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_multiline_interpolation_separator);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_multiline_string_content);
      if (lookahead == '/') ADVANCE(106);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(104);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(107);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_multiline_string_content);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(107);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_multiline_string_content);
      if (lookahead == '/') ADVANCE(105);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_multiline_string_content);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token1);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      ADVANCE_MAP(
        '!', 111,
        '#', 122,
        '$', 122,
        '%', 124,
        '&', 114,
        '(', 124,
        ')', 124,
        '*', 124,
        '+', 124,
        ',', 124,
        '-', 124,
        '.', 116,
        '/', 118,
        ':', 124,
        ';', 124,
        '<', 119,
        '=', 120,
        '>', 120,
        '?', 124,
        '[', 124,
        ']', 124,
        '^', 124,
        '{', 124,
        '|', 121,
        '}', 124,
        '~', 124,
      );
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(109);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(123);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '[' || '_' < lookahead)) ADVANCE(124);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      ADVANCE_MAP(
        '!', 111,
        '#', 122,
        '$', 122,
        '%', 124,
        '&', 114,
        '(', 124,
        ')', 124,
        '*', 124,
        '+', 124,
        ',', 124,
        '-', 124,
        '.', 115,
        '/', 118,
        ':', 124,
        ';', 124,
        '<', 119,
        '=', 120,
        '>', 120,
        '?', 124,
        '[', 124,
        ']', 124,
        '^', 124,
        '{', 124,
        '|', 121,
        '}', 124,
      );
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(110);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(123);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '[' || '_' < lookahead)) ADVANCE(124);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '!') ADVANCE(124);
      if (lookahead == '=') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '!') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      ADVANCE_MAP(
        '!', 112,
        '#', 122,
        '$', 122,
        '(', 124,
        '.', 115,
        '/', 118,
        ';', 124,
        '?', 124,
        '[', 124,
        '}', 124,
      );
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(113);
      if (set_contains(sym_lowercase_identifier_character_set_1, 1195, lookahead)) ADVANCE(123);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '&') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '.') ADVANCE(124);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(123);
      if (set_contains(aux_sym_dot_dot_identifier_token1_character_set_1, 668, lookahead)) ADVANCE(123);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '.') ADVANCE(119);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(123);
      if (set_contains(aux_sym_dot_dot_identifier_token1_character_set_1, 668, lookahead)) ADVANCE(123);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '<') ADVANCE(124);
      if (lookahead == '=') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '=') ADVANCE(124);
      if (lookahead == '>') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '>') ADVANCE(124);
      if (lookahead == '|') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead == '|') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (set_contains(sym_uppercase_identifier_character_set_2, 776, lookahead)) ADVANCE(123);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_multiline_interpolation_content_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(179);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(179);
      if (lookahead == '>') ADVANCE(164);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_pipe_operator);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(180);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(187);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(187);
      if (lookahead == '=') ADVANCE(181);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(182);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(136);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(135);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(149);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(128);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(128);
      if (lookahead == '|') ADVANCE(150);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(162);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(162);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(173);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == ':') ADVANCE(163);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_BANG_BANG);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_accessor_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(161);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_unfinished);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_TILDE_COLON);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_uppercase_identifier);
      if (set_contains(sym_uppercase_identifier_character_set_2, 776, lookahead)) ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_lowercase_identifier);
      if (lookahead == '"') ADVANCE(86);
      if (lookahead == '\'') ADVANCE(81);
      if (set_contains(sym_uppercase_identifier_character_set_2, 776, lookahead)) ADVANCE(167);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_lowercase_identifier);
      if (set_contains(sym_uppercase_identifier_character_set_2, 776, lookahead)) ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_dot);
      if (lookahead == '.') ADVANCE(153);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(184);
      if (set_contains(aux_sym_dot_dot_identifier_token1_character_set_1, 668, lookahead)) ADVANCE(183);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_dot);
      if (lookahead == '.') ADVANCE(151);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(184);
      if (set_contains(aux_sym_dot_dot_identifier_token1_character_set_1, 668, lookahead)) ADVANCE(183);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_dot);
      if (lookahead == '.') ADVANCE(154);
      if (set_contains(sym_uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(184);
      if (set_contains(aux_sym_dot_dot_identifier_token1_character_set_1, 668, lookahead)) ADVANCE(183);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_dot_dot_lt);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_dot_dot_eq);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_colon);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_colon);
      if (lookahead == ':') ADVANCE(176);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_colon_colon);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_question_operator);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_plus_equal);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_minus_equal);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_asterisk_equal);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_slash_equal);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_percent_equal);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_dot_lowercase_identifier);
      if (set_contains(sym_uppercase_identifier_character_set_2, 776, lookahead)) ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_dot_uppercase_identifier);
      if (set_contains(sym_uppercase_identifier_character_set_2, 776, lookahead)) ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym_dot_dot_identifier_token1);
      if (set_contains(sym_uppercase_identifier_character_set_2, 776, lookahead)) ADVANCE(185);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_package_identifier);
      if (set_contains(sym_package_identifier_character_set_2, 776, lookahead)) ADVANCE(186);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(188);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '|') ADVANCE(102);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'c', 4,
        'd', 5,
        'e', 6,
        'f', 7,
        'g', 8,
        'i', 9,
        'l', 10,
        'm', 11,
        'o', 12,
        'p', 13,
        'r', 14,
        's', 15,
        't', 16,
        'w', 17,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 'l') ADVANCE(18);
      if (lookahead == 's') ADVANCE(19);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(20);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(22);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(23);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(24);
      if (lookahead == 'n') ADVANCE(25);
      if (lookahead == 'x') ADVANCE(26);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 8:
      if (lookahead == 'u') ADVANCE(30);
      END_STATE();
    case 9:
      if (lookahead == 'f') ADVANCE(31);
      if (lookahead == 'm') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(35);
      if (lookahead == 'o') ADVANCE(36);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'u') ADVANCE(38);
      END_STATE();
    case 12:
      if (lookahead == 'p') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(42);
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 15:
      if (lookahead == 't') ADVANCE(44);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(45);
      if (lookahead == 'r') ADVANCE(46);
      if (lookahead == 'y') ADVANCE(47);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'i') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(51);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 21:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(56);
      END_STATE();
    case 25:
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 27:
      if (lookahead == 'l') ADVANCE(59);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 29:
      if (lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 32:
      if (lookahead == 'p') ADVANCE(62);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(sym_is_keyword);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 36:
      if (lookahead == 'o') ADVANCE(64);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(65);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 40:
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 41:
      if (lookahead == 'b') ADVANCE(69);
      END_STATE();
    case 42:
      if (lookahead == 'i') ADVANCE(70);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 44:
      if (lookahead == 'r') ADVANCE(73);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(75);
      if (lookahead == 'u') ADVANCE(76);
      if (lookahead == 'y') ADVANCE(77);
      END_STATE();
    case 47:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(79);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_all);
      END_STATE();
    case 51:
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 53:
      if (lookahead == 'c') ADVANCE(83);
      END_STATE();
    case 54:
      if (lookahead == 's') ADVANCE(84);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 57:
      if (lookahead == 'm') ADVANCE(88);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 59:
      if (lookahead == 's') ADVANCE(90);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym_for_keyword);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 62:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(93);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(94);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_mut);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 68:
      if (lookahead == 'v') ADVANCE(96);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_pub);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(97);
      END_STATE();
    case 71:
      if (lookahead == 'd') ADVANCE(98);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(99);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(100);
      END_STATE();
    case 74:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(102);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 80:
      if (lookahead == 'h') ADVANCE(106);
      END_STATE();
    case 81:
      if (lookahead == 'c') ADVANCE(107);
      END_STATE();
    case 82:
      if (lookahead == 'k') ADVANCE(108);
      END_STATE();
    case 83:
      if (lookahead == 'h') ADVANCE(109);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(111);
      END_STATE();
    case 86:
      if (lookahead == 'v') ADVANCE(112);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(113);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 91:
      if (lookahead == 'd') ADVANCE(115);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_impl);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_loop);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(116);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_priv);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 98:
      if (lookahead == 'o') ADVANCE(118);
      END_STATE();
    case 99:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 100:
      if (lookahead == 'c') ADVANCE(120);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_test);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'a') ADVANCE(122);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(126);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_guard);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 118:
      if (lookahead == 'n') ADVANCE(127);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(128);
      END_STATE();
    case 120:
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_trait);
      if (lookahead == 'a') ADVANCE(130);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(131);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 124:
      if (lookahead == 'u') ADVANCE(132);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_derive_keyword);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 127:
      if (lookahead == 'l') ADVANCE(133);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 131:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 133:
      if (lookahead == 'y') ADVANCE(137);
      END_STATE();
    case 134:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 135:
      if (lookahead == 'a') ADVANCE(139);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 138:
      if (lookahead == 'a') ADVANCE(140);
      END_STATE();
    case 139:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 140:
      if (lookahead == 's') ADVANCE(142);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_typealias);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_traitalias);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0, .external_lex_state = 2},
  [2] = {.lex_state = 53, .external_lex_state = 3},
  [3] = {.lex_state = 53, .external_lex_state = 3},
  [4] = {.lex_state = 53, .external_lex_state = 3},
  [5] = {.lex_state = 53, .external_lex_state = 3},
  [6] = {.lex_state = 53, .external_lex_state = 3},
  [7] = {.lex_state = 53, .external_lex_state = 3},
  [8] = {.lex_state = 53, .external_lex_state = 3},
  [9] = {.lex_state = 53, .external_lex_state = 3},
  [10] = {.lex_state = 53, .external_lex_state = 3},
  [11] = {.lex_state = 53, .external_lex_state = 3},
  [12] = {.lex_state = 53, .external_lex_state = 3},
  [13] = {.lex_state = 53, .external_lex_state = 3},
  [14] = {.lex_state = 53, .external_lex_state = 3},
  [15] = {.lex_state = 53, .external_lex_state = 3},
  [16] = {.lex_state = 53, .external_lex_state = 3},
  [17] = {.lex_state = 53, .external_lex_state = 3},
  [18] = {.lex_state = 53, .external_lex_state = 3},
  [19] = {.lex_state = 53, .external_lex_state = 3},
  [20] = {.lex_state = 53, .external_lex_state = 3},
  [21] = {.lex_state = 53, .external_lex_state = 3},
  [22] = {.lex_state = 53, .external_lex_state = 3},
  [23] = {.lex_state = 53, .external_lex_state = 3},
  [24] = {.lex_state = 53, .external_lex_state = 3},
  [25] = {.lex_state = 53, .external_lex_state = 3},
  [26] = {.lex_state = 53, .external_lex_state = 3},
  [27] = {.lex_state = 53, .external_lex_state = 3},
  [28] = {.lex_state = 53, .external_lex_state = 3},
  [29] = {.lex_state = 53, .external_lex_state = 3},
  [30] = {.lex_state = 53, .external_lex_state = 3},
  [31] = {.lex_state = 53, .external_lex_state = 3},
  [32] = {.lex_state = 53, .external_lex_state = 3},
  [33] = {.lex_state = 53, .external_lex_state = 3},
  [34] = {.lex_state = 53, .external_lex_state = 3},
  [35] = {.lex_state = 53, .external_lex_state = 3},
  [36] = {.lex_state = 53, .external_lex_state = 3},
  [37] = {.lex_state = 53, .external_lex_state = 3},
  [38] = {.lex_state = 53, .external_lex_state = 3},
  [39] = {.lex_state = 53, .external_lex_state = 3},
  [40] = {.lex_state = 53, .external_lex_state = 3},
  [41] = {.lex_state = 53, .external_lex_state = 3},
  [42] = {.lex_state = 53, .external_lex_state = 3},
  [43] = {.lex_state = 53, .external_lex_state = 3},
  [44] = {.lex_state = 53, .external_lex_state = 3},
  [45] = {.lex_state = 53, .external_lex_state = 3},
  [46] = {.lex_state = 53, .external_lex_state = 1},
  [47] = {.lex_state = 53, .external_lex_state = 3},
  [48] = {.lex_state = 53, .external_lex_state = 3},
  [49] = {.lex_state = 53, .external_lex_state = 3},
  [50] = {.lex_state = 53, .external_lex_state = 3},
  [51] = {.lex_state = 53, .external_lex_state = 3},
  [52] = {.lex_state = 53, .external_lex_state = 3},
  [53] = {.lex_state = 53, .external_lex_state = 3},
  [54] = {.lex_state = 53, .external_lex_state = 1},
  [55] = {.lex_state = 53, .external_lex_state = 3},
  [56] = {.lex_state = 53, .external_lex_state = 3},
  [57] = {.lex_state = 53, .external_lex_state = 3},
  [58] = {.lex_state = 53, .external_lex_state = 3},
  [59] = {.lex_state = 53, .external_lex_state = 3},
  [60] = {.lex_state = 53, .external_lex_state = 3},
  [61] = {.lex_state = 53, .external_lex_state = 3},
  [62] = {.lex_state = 53, .external_lex_state = 3},
  [63] = {.lex_state = 53, .external_lex_state = 3},
  [64] = {.lex_state = 53, .external_lex_state = 3},
  [65] = {.lex_state = 53, .external_lex_state = 3},
  [66] = {.lex_state = 53, .external_lex_state = 3},
  [67] = {.lex_state = 53, .external_lex_state = 3},
  [68] = {.lex_state = 53, .external_lex_state = 3},
  [69] = {.lex_state = 53, .external_lex_state = 3},
  [70] = {.lex_state = 53, .external_lex_state = 3},
  [71] = {.lex_state = 53, .external_lex_state = 3},
  [72] = {.lex_state = 53, .external_lex_state = 3},
  [73] = {.lex_state = 53, .external_lex_state = 3},
  [74] = {.lex_state = 53, .external_lex_state = 3},
  [75] = {.lex_state = 53, .external_lex_state = 3},
  [76] = {.lex_state = 53, .external_lex_state = 3},
  [77] = {.lex_state = 53, .external_lex_state = 3},
  [78] = {.lex_state = 53, .external_lex_state = 3},
  [79] = {.lex_state = 53, .external_lex_state = 3},
  [80] = {.lex_state = 53, .external_lex_state = 3},
  [81] = {.lex_state = 53, .external_lex_state = 3},
  [82] = {.lex_state = 53, .external_lex_state = 3},
  [83] = {.lex_state = 53, .external_lex_state = 3},
  [84] = {.lex_state = 53, .external_lex_state = 3},
  [85] = {.lex_state = 53, .external_lex_state = 3},
  [86] = {.lex_state = 53, .external_lex_state = 3},
  [87] = {.lex_state = 53, .external_lex_state = 3},
  [88] = {.lex_state = 53, .external_lex_state = 3},
  [89] = {.lex_state = 53, .external_lex_state = 3},
  [90] = {.lex_state = 53, .external_lex_state = 3},
  [91] = {.lex_state = 53, .external_lex_state = 3},
  [92] = {.lex_state = 53, .external_lex_state = 3},
  [93] = {.lex_state = 53, .external_lex_state = 3},
  [94] = {.lex_state = 53, .external_lex_state = 3},
  [95] = {.lex_state = 53, .external_lex_state = 3},
  [96] = {.lex_state = 53, .external_lex_state = 1},
  [97] = {.lex_state = 6, .external_lex_state = 3},
  [98] = {.lex_state = 6, .external_lex_state = 3},
  [99] = {.lex_state = 53, .external_lex_state = 1},
  [100] = {.lex_state = 6, .external_lex_state = 3},
  [101] = {.lex_state = 6, .external_lex_state = 3},
  [102] = {.lex_state = 6, .external_lex_state = 3},
  [103] = {.lex_state = 6, .external_lex_state = 3},
  [104] = {.lex_state = 6, .external_lex_state = 3},
  [105] = {.lex_state = 6, .external_lex_state = 3},
  [106] = {.lex_state = 6, .external_lex_state = 3},
  [107] = {.lex_state = 6, .external_lex_state = 3},
  [108] = {.lex_state = 6, .external_lex_state = 3},
  [109] = {.lex_state = 53, .external_lex_state = 1},
  [110] = {.lex_state = 6, .external_lex_state = 3},
  [111] = {.lex_state = 6, .external_lex_state = 3},
  [112] = {.lex_state = 53, .external_lex_state = 3},
  [113] = {.lex_state = 6, .external_lex_state = 3},
  [114] = {.lex_state = 6, .external_lex_state = 3},
  [115] = {.lex_state = 6, .external_lex_state = 3},
  [116] = {.lex_state = 6, .external_lex_state = 3},
  [117] = {.lex_state = 6, .external_lex_state = 3},
  [118] = {.lex_state = 6, .external_lex_state = 3},
  [119] = {.lex_state = 6, .external_lex_state = 3},
  [120] = {.lex_state = 53, .external_lex_state = 1},
  [121] = {.lex_state = 6, .external_lex_state = 3},
  [122] = {.lex_state = 53, .external_lex_state = 3},
  [123] = {.lex_state = 53, .external_lex_state = 3},
  [124] = {.lex_state = 53, .external_lex_state = 3},
  [125] = {.lex_state = 53, .external_lex_state = 3},
  [126] = {.lex_state = 53, .external_lex_state = 3},
  [127] = {.lex_state = 53, .external_lex_state = 3},
  [128] = {.lex_state = 53, .external_lex_state = 3},
  [129] = {.lex_state = 53, .external_lex_state = 3},
  [130] = {.lex_state = 53, .external_lex_state = 3},
  [131] = {.lex_state = 53, .external_lex_state = 3},
  [132] = {.lex_state = 53, .external_lex_state = 3},
  [133] = {.lex_state = 53, .external_lex_state = 3},
  [134] = {.lex_state = 53, .external_lex_state = 3},
  [135] = {.lex_state = 53, .external_lex_state = 3},
  [136] = {.lex_state = 53, .external_lex_state = 3},
  [137] = {.lex_state = 53, .external_lex_state = 3},
  [138] = {.lex_state = 53, .external_lex_state = 3},
  [139] = {.lex_state = 53, .external_lex_state = 3},
  [140] = {.lex_state = 53, .external_lex_state = 3},
  [141] = {.lex_state = 53, .external_lex_state = 3},
  [142] = {.lex_state = 53, .external_lex_state = 3},
  [143] = {.lex_state = 53, .external_lex_state = 3},
  [144] = {.lex_state = 53, .external_lex_state = 3},
  [145] = {.lex_state = 53, .external_lex_state = 3},
  [146] = {.lex_state = 53, .external_lex_state = 3},
  [147] = {.lex_state = 53, .external_lex_state = 3},
  [148] = {.lex_state = 53, .external_lex_state = 3},
  [149] = {.lex_state = 53, .external_lex_state = 3},
  [150] = {.lex_state = 53, .external_lex_state = 3},
  [151] = {.lex_state = 53, .external_lex_state = 3},
  [152] = {.lex_state = 53, .external_lex_state = 3},
  [153] = {.lex_state = 53, .external_lex_state = 3},
  [154] = {.lex_state = 53, .external_lex_state = 3},
  [155] = {.lex_state = 53, .external_lex_state = 3},
  [156] = {.lex_state = 53, .external_lex_state = 3},
  [157] = {.lex_state = 53, .external_lex_state = 3},
  [158] = {.lex_state = 53, .external_lex_state = 3},
  [159] = {.lex_state = 53, .external_lex_state = 3},
  [160] = {.lex_state = 53, .external_lex_state = 3},
  [161] = {.lex_state = 53, .external_lex_state = 3},
  [162] = {.lex_state = 53, .external_lex_state = 3},
  [163] = {.lex_state = 53, .external_lex_state = 3},
  [164] = {.lex_state = 53, .external_lex_state = 3},
  [165] = {.lex_state = 53, .external_lex_state = 3},
  [166] = {.lex_state = 53, .external_lex_state = 3},
  [167] = {.lex_state = 53, .external_lex_state = 3},
  [168] = {.lex_state = 53, .external_lex_state = 3},
  [169] = {.lex_state = 53, .external_lex_state = 3},
  [170] = {.lex_state = 53, .external_lex_state = 3},
  [171] = {.lex_state = 53, .external_lex_state = 3},
  [172] = {.lex_state = 53, .external_lex_state = 3},
  [173] = {.lex_state = 53, .external_lex_state = 3},
  [174] = {.lex_state = 53, .external_lex_state = 3},
  [175] = {.lex_state = 53, .external_lex_state = 3},
  [176] = {.lex_state = 53, .external_lex_state = 3},
  [177] = {.lex_state = 53, .external_lex_state = 3},
  [178] = {.lex_state = 53, .external_lex_state = 3},
  [179] = {.lex_state = 53, .external_lex_state = 3},
  [180] = {.lex_state = 53, .external_lex_state = 3},
  [181] = {.lex_state = 53, .external_lex_state = 3},
  [182] = {.lex_state = 53, .external_lex_state = 3},
  [183] = {.lex_state = 53, .external_lex_state = 3},
  [184] = {.lex_state = 53, .external_lex_state = 3},
  [185] = {.lex_state = 53, .external_lex_state = 3},
  [186] = {.lex_state = 53, .external_lex_state = 3},
  [187] = {.lex_state = 53, .external_lex_state = 3},
  [188] = {.lex_state = 53, .external_lex_state = 3},
  [189] = {.lex_state = 53, .external_lex_state = 3},
  [190] = {.lex_state = 53, .external_lex_state = 3},
  [191] = {.lex_state = 53, .external_lex_state = 3},
  [192] = {.lex_state = 53, .external_lex_state = 3},
  [193] = {.lex_state = 53, .external_lex_state = 3},
  [194] = {.lex_state = 53, .external_lex_state = 3},
  [195] = {.lex_state = 53, .external_lex_state = 3},
  [196] = {.lex_state = 53, .external_lex_state = 3},
  [197] = {.lex_state = 53, .external_lex_state = 3},
  [198] = {.lex_state = 53, .external_lex_state = 3},
  [199] = {.lex_state = 53, .external_lex_state = 3},
  [200] = {.lex_state = 53, .external_lex_state = 3},
  [201] = {.lex_state = 53, .external_lex_state = 3},
  [202] = {.lex_state = 53, .external_lex_state = 3},
  [203] = {.lex_state = 53, .external_lex_state = 3},
  [204] = {.lex_state = 53, .external_lex_state = 3},
  [205] = {.lex_state = 53, .external_lex_state = 3},
  [206] = {.lex_state = 53, .external_lex_state = 3},
  [207] = {.lex_state = 53, .external_lex_state = 3},
  [208] = {.lex_state = 53, .external_lex_state = 3},
  [209] = {.lex_state = 53, .external_lex_state = 3},
  [210] = {.lex_state = 53, .external_lex_state = 3},
  [211] = {.lex_state = 53, .external_lex_state = 4},
  [212] = {.lex_state = 53, .external_lex_state = 4},
  [213] = {.lex_state = 53, .external_lex_state = 4},
  [214] = {.lex_state = 53, .external_lex_state = 4},
  [215] = {.lex_state = 53, .external_lex_state = 4},
  [216] = {.lex_state = 53, .external_lex_state = 4},
  [217] = {.lex_state = 53, .external_lex_state = 4},
  [218] = {.lex_state = 53, .external_lex_state = 4},
  [219] = {.lex_state = 53, .external_lex_state = 5},
  [220] = {.lex_state = 53, .external_lex_state = 5},
  [221] = {.lex_state = 53, .external_lex_state = 5},
  [222] = {.lex_state = 53, .external_lex_state = 5},
  [223] = {.lex_state = 53, .external_lex_state = 5},
  [224] = {.lex_state = 53, .external_lex_state = 5},
  [225] = {.lex_state = 53, .external_lex_state = 5},
  [226] = {.lex_state = 53, .external_lex_state = 5},
  [227] = {.lex_state = 53, .external_lex_state = 5},
  [228] = {.lex_state = 53, .external_lex_state = 5},
  [229] = {.lex_state = 53, .external_lex_state = 5},
  [230] = {.lex_state = 53, .external_lex_state = 5},
  [231] = {.lex_state = 53, .external_lex_state = 5},
  [232] = {.lex_state = 53, .external_lex_state = 5},
  [233] = {.lex_state = 53, .external_lex_state = 5},
  [234] = {.lex_state = 53, .external_lex_state = 5},
  [235] = {.lex_state = 53, .external_lex_state = 5},
  [236] = {.lex_state = 53, .external_lex_state = 5},
  [237] = {.lex_state = 53, .external_lex_state = 5},
  [238] = {.lex_state = 53, .external_lex_state = 5},
  [239] = {.lex_state = 53, .external_lex_state = 5},
  [240] = {.lex_state = 53, .external_lex_state = 5},
  [241] = {.lex_state = 53, .external_lex_state = 5},
  [242] = {.lex_state = 53, .external_lex_state = 5},
  [243] = {.lex_state = 53, .external_lex_state = 5},
  [244] = {.lex_state = 53, .external_lex_state = 5},
  [245] = {.lex_state = 53, .external_lex_state = 5},
  [246] = {.lex_state = 53, .external_lex_state = 5},
  [247] = {.lex_state = 53, .external_lex_state = 5},
  [248] = {.lex_state = 53, .external_lex_state = 5},
  [249] = {.lex_state = 53, .external_lex_state = 5},
  [250] = {.lex_state = 53, .external_lex_state = 5},
  [251] = {.lex_state = 53, .external_lex_state = 5},
  [252] = {.lex_state = 53, .external_lex_state = 5},
  [253] = {.lex_state = 53, .external_lex_state = 5},
  [254] = {.lex_state = 53, .external_lex_state = 5},
  [255] = {.lex_state = 53, .external_lex_state = 5},
  [256] = {.lex_state = 53, .external_lex_state = 5},
  [257] = {.lex_state = 53, .external_lex_state = 5},
  [258] = {.lex_state = 53, .external_lex_state = 5},
  [259] = {.lex_state = 53, .external_lex_state = 5},
  [260] = {.lex_state = 53, .external_lex_state = 5},
  [261] = {.lex_state = 53, .external_lex_state = 5},
  [262] = {.lex_state = 53, .external_lex_state = 5},
  [263] = {.lex_state = 53, .external_lex_state = 5},
  [264] = {.lex_state = 53, .external_lex_state = 5},
  [265] = {.lex_state = 53, .external_lex_state = 5},
  [266] = {.lex_state = 53, .external_lex_state = 5},
  [267] = {.lex_state = 53, .external_lex_state = 5},
  [268] = {.lex_state = 53, .external_lex_state = 5},
  [269] = {.lex_state = 53, .external_lex_state = 5},
  [270] = {.lex_state = 49, .external_lex_state = 2},
  [271] = {.lex_state = 45, .external_lex_state = 6},
  [272] = {.lex_state = 49, .external_lex_state = 2},
  [273] = {.lex_state = 45, .external_lex_state = 6},
  [274] = {.lex_state = 45, .external_lex_state = 6},
  [275] = {.lex_state = 48, .external_lex_state = 2},
  [276] = {.lex_state = 6, .external_lex_state = 5},
  [277] = {.lex_state = 6, .external_lex_state = 5},
  [278] = {.lex_state = 6, .external_lex_state = 5},
  [279] = {.lex_state = 6, .external_lex_state = 5},
  [280] = {.lex_state = 48, .external_lex_state = 2},
  [281] = {.lex_state = 6, .external_lex_state = 5},
  [282] = {.lex_state = 6, .external_lex_state = 5},
  [283] = {.lex_state = 6, .external_lex_state = 5},
  [284] = {.lex_state = 6, .external_lex_state = 5},
  [285] = {.lex_state = 6, .external_lex_state = 5},
  [286] = {.lex_state = 6, .external_lex_state = 5},
  [287] = {.lex_state = 6, .external_lex_state = 5},
  [288] = {.lex_state = 6, .external_lex_state = 5},
  [289] = {.lex_state = 6, .external_lex_state = 5},
  [290] = {.lex_state = 6, .external_lex_state = 5},
  [291] = {.lex_state = 6, .external_lex_state = 5},
  [292] = {.lex_state = 6, .external_lex_state = 5},
  [293] = {.lex_state = 6, .external_lex_state = 5},
  [294] = {.lex_state = 6, .external_lex_state = 5},
  [295] = {.lex_state = 6, .external_lex_state = 5},
  [296] = {.lex_state = 6, .external_lex_state = 5},
  [297] = {.lex_state = 6, .external_lex_state = 5},
  [298] = {.lex_state = 6, .external_lex_state = 5},
  [299] = {.lex_state = 6, .external_lex_state = 5},
  [300] = {.lex_state = 6, .external_lex_state = 5},
  [301] = {.lex_state = 6, .external_lex_state = 5},
  [302] = {.lex_state = 6, .external_lex_state = 5},
  [303] = {.lex_state = 6, .external_lex_state = 5},
  [304] = {.lex_state = 6, .external_lex_state = 5},
  [305] = {.lex_state = 6, .external_lex_state = 5},
  [306] = {.lex_state = 6, .external_lex_state = 5},
  [307] = {.lex_state = 6, .external_lex_state = 5},
  [308] = {.lex_state = 6, .external_lex_state = 5},
  [309] = {.lex_state = 6, .external_lex_state = 5},
  [310] = {.lex_state = 6, .external_lex_state = 5},
  [311] = {.lex_state = 6, .external_lex_state = 5},
  [312] = {.lex_state = 6, .external_lex_state = 5},
  [313] = {.lex_state = 6, .external_lex_state = 5},
  [314] = {.lex_state = 6, .external_lex_state = 5},
  [315] = {.lex_state = 6, .external_lex_state = 5},
  [316] = {.lex_state = 6, .external_lex_state = 5},
  [317] = {.lex_state = 6, .external_lex_state = 5},
  [318] = {.lex_state = 6, .external_lex_state = 5},
  [319] = {.lex_state = 6, .external_lex_state = 5},
  [320] = {.lex_state = 6, .external_lex_state = 5},
  [321] = {.lex_state = 6, .external_lex_state = 5},
  [322] = {.lex_state = 6, .external_lex_state = 5},
  [323] = {.lex_state = 6, .external_lex_state = 5},
  [324] = {.lex_state = 6, .external_lex_state = 5},
  [325] = {.lex_state = 6, .external_lex_state = 5},
  [326] = {.lex_state = 6, .external_lex_state = 5},
  [327] = {.lex_state = 6, .external_lex_state = 5},
  [328] = {.lex_state = 6, .external_lex_state = 5},
  [329] = {.lex_state = 6, .external_lex_state = 5},
  [330] = {.lex_state = 6, .external_lex_state = 5},
  [331] = {.lex_state = 6, .external_lex_state = 5},
  [332] = {.lex_state = 6, .external_lex_state = 5},
  [333] = {.lex_state = 6, .external_lex_state = 5},
  [334] = {.lex_state = 6, .external_lex_state = 5},
  [335] = {.lex_state = 6, .external_lex_state = 5},
  [336] = {.lex_state = 6, .external_lex_state = 5},
  [337] = {.lex_state = 6, .external_lex_state = 5},
  [338] = {.lex_state = 6, .external_lex_state = 5},
  [339] = {.lex_state = 6, .external_lex_state = 5},
  [340] = {.lex_state = 6, .external_lex_state = 5},
  [341] = {.lex_state = 6, .external_lex_state = 5},
  [342] = {.lex_state = 6, .external_lex_state = 5},
  [343] = {.lex_state = 6, .external_lex_state = 5},
  [344] = {.lex_state = 6, .external_lex_state = 5},
  [345] = {.lex_state = 6, .external_lex_state = 5},
  [346] = {.lex_state = 6, .external_lex_state = 5},
  [347] = {.lex_state = 6, .external_lex_state = 5},
  [348] = {.lex_state = 6, .external_lex_state = 5},
  [349] = {.lex_state = 6, .external_lex_state = 5},
  [350] = {.lex_state = 6, .external_lex_state = 5},
  [351] = {.lex_state = 6, .external_lex_state = 5},
  [352] = {.lex_state = 6, .external_lex_state = 5},
  [353] = {.lex_state = 6, .external_lex_state = 5},
  [354] = {.lex_state = 6, .external_lex_state = 5},
  [355] = {.lex_state = 6, .external_lex_state = 5},
  [356] = {.lex_state = 6, .external_lex_state = 5},
  [357] = {.lex_state = 6, .external_lex_state = 5},
  [358] = {.lex_state = 6, .external_lex_state = 5},
  [359] = {.lex_state = 6, .external_lex_state = 5},
  [360] = {.lex_state = 6, .external_lex_state = 5},
  [361] = {.lex_state = 6, .external_lex_state = 5},
  [362] = {.lex_state = 6, .external_lex_state = 5},
  [363] = {.lex_state = 6, .external_lex_state = 5},
  [364] = {.lex_state = 6, .external_lex_state = 5},
  [365] = {.lex_state = 6, .external_lex_state = 5},
  [366] = {.lex_state = 6, .external_lex_state = 5},
  [367] = {.lex_state = 6, .external_lex_state = 5},
  [368] = {.lex_state = 6, .external_lex_state = 5},
  [369] = {.lex_state = 6, .external_lex_state = 5},
  [370] = {.lex_state = 6, .external_lex_state = 5},
  [371] = {.lex_state = 6, .external_lex_state = 5},
  [372] = {.lex_state = 6, .external_lex_state = 5},
  [373] = {.lex_state = 6, .external_lex_state = 5},
  [374] = {.lex_state = 6, .external_lex_state = 5},
  [375] = {.lex_state = 6, .external_lex_state = 5},
  [376] = {.lex_state = 6, .external_lex_state = 5},
  [377] = {.lex_state = 6, .external_lex_state = 5},
  [378] = {.lex_state = 6, .external_lex_state = 5},
  [379] = {.lex_state = 6, .external_lex_state = 5},
  [380] = {.lex_state = 6, .external_lex_state = 5},
  [381] = {.lex_state = 6, .external_lex_state = 5},
  [382] = {.lex_state = 6, .external_lex_state = 5},
  [383] = {.lex_state = 6, .external_lex_state = 5},
  [384] = {.lex_state = 6, .external_lex_state = 5},
  [385] = {.lex_state = 6, .external_lex_state = 5},
  [386] = {.lex_state = 45, .external_lex_state = 7},
  [387] = {.lex_state = 6, .external_lex_state = 5},
  [388] = {.lex_state = 48, .external_lex_state = 6},
  [389] = {.lex_state = 6, .external_lex_state = 5},
  [390] = {.lex_state = 6, .external_lex_state = 5},
  [391] = {.lex_state = 48, .external_lex_state = 6},
  [392] = {.lex_state = 6, .external_lex_state = 5},
  [393] = {.lex_state = 45, .external_lex_state = 6},
  [394] = {.lex_state = 45, .external_lex_state = 7},
  [395] = {.lex_state = 45, .external_lex_state = 7},
  [396] = {.lex_state = 6, .external_lex_state = 5},
  [397] = {.lex_state = 6, .external_lex_state = 5},
  [398] = {.lex_state = 45, .external_lex_state = 6},
  [399] = {.lex_state = 6, .external_lex_state = 5},
  [400] = {.lex_state = 6, .external_lex_state = 5},
  [401] = {.lex_state = 6, .external_lex_state = 5},
  [402] = {.lex_state = 6, .external_lex_state = 5},
  [403] = {.lex_state = 6, .external_lex_state = 5},
  [404] = {.lex_state = 6, .external_lex_state = 5},
  [405] = {.lex_state = 6, .external_lex_state = 5},
  [406] = {.lex_state = 6, .external_lex_state = 5},
  [407] = {.lex_state = 6, .external_lex_state = 5},
  [408] = {.lex_state = 6, .external_lex_state = 5},
  [409] = {.lex_state = 6, .external_lex_state = 5},
  [410] = {.lex_state = 48, .external_lex_state = 2},
  [411] = {.lex_state = 6, .external_lex_state = 5},
  [412] = {.lex_state = 6, .external_lex_state = 5},
  [413] = {.lex_state = 6, .external_lex_state = 5},
  [414] = {.lex_state = 6, .external_lex_state = 5},
  [415] = {.lex_state = 52, .external_lex_state = 8},
  [416] = {.lex_state = 52, .external_lex_state = 8},
  [417] = {.lex_state = 52, .external_lex_state = 8},
  [418] = {.lex_state = 52, .external_lex_state = 8},
  [419] = {.lex_state = 46, .external_lex_state = 6},
  [420] = {.lex_state = 45, .external_lex_state = 7},
  [421] = {.lex_state = 48, .external_lex_state = 7},
  [422] = {.lex_state = 48, .external_lex_state = 6},
  [423] = {.lex_state = 45, .external_lex_state = 7},
  [424] = {.lex_state = 52, .external_lex_state = 8},
  [425] = {.lex_state = 52, .external_lex_state = 8},
  [426] = {.lex_state = 52, .external_lex_state = 8},
  [427] = {.lex_state = 52, .external_lex_state = 8},
  [428] = {.lex_state = 52, .external_lex_state = 8},
  [429] = {.lex_state = 46, .external_lex_state = 6},
  [430] = {.lex_state = 48, .external_lex_state = 7},
  [431] = {.lex_state = 46, .external_lex_state = 6},
  [432] = {.lex_state = 52, .external_lex_state = 8},
  [433] = {.lex_state = 48, .external_lex_state = 8},
  [434] = {.lex_state = 48, .external_lex_state = 2},
  [435] = {.lex_state = 6, .external_lex_state = 5},
  [436] = {.lex_state = 6, .external_lex_state = 5},
  [437] = {.lex_state = 2, .external_lex_state = 2},
  [438] = {.lex_state = 3, .external_lex_state = 2},
  [439] = {.lex_state = 48, .external_lex_state = 2},
  [440] = {.lex_state = 6, .external_lex_state = 5},
  [441] = {.lex_state = 48, .external_lex_state = 8},
  [442] = {.lex_state = 48, .external_lex_state = 2},
  [443] = {.lex_state = 48, .external_lex_state = 2},
  [444] = {.lex_state = 48, .external_lex_state = 2},
  [445] = {.lex_state = 46, .external_lex_state = 7},
  [446] = {.lex_state = 48, .external_lex_state = 2},
  [447] = {.lex_state = 48, .external_lex_state = 2},
  [448] = {.lex_state = 6, .external_lex_state = 5},
  [449] = {.lex_state = 46, .external_lex_state = 7},
  [450] = {.lex_state = 48, .external_lex_state = 2},
  [451] = {.lex_state = 48, .external_lex_state = 2},
  [452] = {.lex_state = 48, .external_lex_state = 2},
  [453] = {.lex_state = 48, .external_lex_state = 2},
  [454] = {.lex_state = 48, .external_lex_state = 2},
  [455] = {.lex_state = 6, .external_lex_state = 5},
  [456] = {.lex_state = 6, .external_lex_state = 5},
  [457] = {.lex_state = 53, .external_lex_state = 3},
  [458] = {.lex_state = 48, .external_lex_state = 2},
  [459] = {.lex_state = 48, .external_lex_state = 2},
  [460] = {.lex_state = 6, .external_lex_state = 5},
  [461] = {.lex_state = 48, .external_lex_state = 2},
  [462] = {.lex_state = 6, .external_lex_state = 5},
  [463] = {.lex_state = 46, .external_lex_state = 7},
  [464] = {.lex_state = 48, .external_lex_state = 2},
  [465] = {.lex_state = 48, .external_lex_state = 2},
  [466] = {.lex_state = 48, .external_lex_state = 2},
  [467] = {.lex_state = 46, .external_lex_state = 6},
  [468] = {.lex_state = 48, .external_lex_state = 2},
  [469] = {.lex_state = 48, .external_lex_state = 2},
  [470] = {.lex_state = 48, .external_lex_state = 2},
  [471] = {.lex_state = 48, .external_lex_state = 2},
  [472] = {.lex_state = 48, .external_lex_state = 2},
  [473] = {.lex_state = 48, .external_lex_state = 2},
  [474] = {.lex_state = 48, .external_lex_state = 2},
  [475] = {.lex_state = 48, .external_lex_state = 2},
  [476] = {.lex_state = 48, .external_lex_state = 2},
  [477] = {.lex_state = 48, .external_lex_state = 2},
  [478] = {.lex_state = 48, .external_lex_state = 2},
  [479] = {.lex_state = 48, .external_lex_state = 2},
  [480] = {.lex_state = 48, .external_lex_state = 2},
  [481] = {.lex_state = 48, .external_lex_state = 2},
  [482] = {.lex_state = 48, .external_lex_state = 2},
  [483] = {.lex_state = 48, .external_lex_state = 2},
  [484] = {.lex_state = 48, .external_lex_state = 2},
  [485] = {.lex_state = 48, .external_lex_state = 2},
  [486] = {.lex_state = 48, .external_lex_state = 2},
  [487] = {.lex_state = 48, .external_lex_state = 2},
  [488] = {.lex_state = 48, .external_lex_state = 2},
  [489] = {.lex_state = 48, .external_lex_state = 2},
  [490] = {.lex_state = 48, .external_lex_state = 2},
  [491] = {.lex_state = 48, .external_lex_state = 2},
  [492] = {.lex_state = 48, .external_lex_state = 2},
  [493] = {.lex_state = 48, .external_lex_state = 2},
  [494] = {.lex_state = 48, .external_lex_state = 2},
  [495] = {.lex_state = 48, .external_lex_state = 2},
  [496] = {.lex_state = 48, .external_lex_state = 2},
  [497] = {.lex_state = 48, .external_lex_state = 2},
  [498] = {.lex_state = 48, .external_lex_state = 2},
  [499] = {.lex_state = 48, .external_lex_state = 2},
  [500] = {.lex_state = 48, .external_lex_state = 2},
  [501] = {.lex_state = 48, .external_lex_state = 2},
  [502] = {.lex_state = 48, .external_lex_state = 2},
  [503] = {.lex_state = 48, .external_lex_state = 2},
  [504] = {.lex_state = 48, .external_lex_state = 2},
  [505] = {.lex_state = 48, .external_lex_state = 2},
  [506] = {.lex_state = 48, .external_lex_state = 2},
  [507] = {.lex_state = 48, .external_lex_state = 2},
  [508] = {.lex_state = 48, .external_lex_state = 2},
  [509] = {.lex_state = 48, .external_lex_state = 2},
  [510] = {.lex_state = 48, .external_lex_state = 2},
  [511] = {.lex_state = 48, .external_lex_state = 2},
  [512] = {.lex_state = 48, .external_lex_state = 2},
  [513] = {.lex_state = 48, .external_lex_state = 2},
  [514] = {.lex_state = 48, .external_lex_state = 2},
  [515] = {.lex_state = 48, .external_lex_state = 2},
  [516] = {.lex_state = 48, .external_lex_state = 2},
  [517] = {.lex_state = 48, .external_lex_state = 7},
  [518] = {.lex_state = 49, .external_lex_state = 6},
  [519] = {.lex_state = 46, .external_lex_state = 6},
  [520] = {.lex_state = 48, .external_lex_state = 2},
  [521] = {.lex_state = 49, .external_lex_state = 6},
  [522] = {.lex_state = 48, .external_lex_state = 2},
  [523] = {.lex_state = 48, .external_lex_state = 2},
  [524] = {.lex_state = 48, .external_lex_state = 2},
  [525] = {.lex_state = 48, .external_lex_state = 2},
  [526] = {.lex_state = 48, .external_lex_state = 2},
  [527] = {.lex_state = 48, .external_lex_state = 2},
  [528] = {.lex_state = 48, .external_lex_state = 2},
  [529] = {.lex_state = 48, .external_lex_state = 2},
  [530] = {.lex_state = 49, .external_lex_state = 2},
  [531] = {.lex_state = 52, .external_lex_state = 8},
  [532] = {.lex_state = 49, .external_lex_state = 2},
  [533] = {.lex_state = 4, .external_lex_state = 2},
  [534] = {.lex_state = 48, .external_lex_state = 8},
  [535] = {.lex_state = 48, .external_lex_state = 8},
  [536] = {.lex_state = 49, .external_lex_state = 7},
  [537] = {.lex_state = 49, .external_lex_state = 8},
  [538] = {.lex_state = 48, .external_lex_state = 8},
  [539] = {.lex_state = 46, .external_lex_state = 7},
  [540] = {.lex_state = 48, .external_lex_state = 8},
  [541] = {.lex_state = 49, .external_lex_state = 8},
  [542] = {.lex_state = 49, .external_lex_state = 7},
  [543] = {.lex_state = 48, .external_lex_state = 8},
  [544] = {.lex_state = 48, .external_lex_state = 8},
  [545] = {.lex_state = 46, .external_lex_state = 7},
  [546] = {.lex_state = 48, .external_lex_state = 8},
  [547] = {.lex_state = 48, .external_lex_state = 8},
  [548] = {.lex_state = 48, .external_lex_state = 8},
  [549] = {.lex_state = 48, .external_lex_state = 8},
  [550] = {.lex_state = 48, .external_lex_state = 8},
  [551] = {.lex_state = 48, .external_lex_state = 8},
  [552] = {.lex_state = 48, .external_lex_state = 8},
  [553] = {.lex_state = 48, .external_lex_state = 8},
  [554] = {.lex_state = 48, .external_lex_state = 8},
  [555] = {.lex_state = 48, .external_lex_state = 8},
  [556] = {.lex_state = 48, .external_lex_state = 8},
  [557] = {.lex_state = 48, .external_lex_state = 8},
  [558] = {.lex_state = 48, .external_lex_state = 8},
  [559] = {.lex_state = 48, .external_lex_state = 8},
  [560] = {.lex_state = 48, .external_lex_state = 8},
  [561] = {.lex_state = 48, .external_lex_state = 8},
  [562] = {.lex_state = 48, .external_lex_state = 8},
  [563] = {.lex_state = 48, .external_lex_state = 8},
  [564] = {.lex_state = 48, .external_lex_state = 8},
  [565] = {.lex_state = 48, .external_lex_state = 8},
  [566] = {.lex_state = 48, .external_lex_state = 8},
  [567] = {.lex_state = 48, .external_lex_state = 8},
  [568] = {.lex_state = 48, .external_lex_state = 8},
  [569] = {.lex_state = 48, .external_lex_state = 8},
  [570] = {.lex_state = 48, .external_lex_state = 8},
  [571] = {.lex_state = 49, .external_lex_state = 6},
  [572] = {.lex_state = 48, .external_lex_state = 8},
  [573] = {.lex_state = 48, .external_lex_state = 8},
  [574] = {.lex_state = 48, .external_lex_state = 8},
  [575] = {.lex_state = 48, .external_lex_state = 8},
  [576] = {.lex_state = 48, .external_lex_state = 8},
  [577] = {.lex_state = 48, .external_lex_state = 8},
  [578] = {.lex_state = 48, .external_lex_state = 8},
  [579] = {.lex_state = 52, .external_lex_state = 8},
  [580] = {.lex_state = 48, .external_lex_state = 8},
  [581] = {.lex_state = 48, .external_lex_state = 8},
  [582] = {.lex_state = 48, .external_lex_state = 8},
  [583] = {.lex_state = 48, .external_lex_state = 8},
  [584] = {.lex_state = 48, .external_lex_state = 8},
  [585] = {.lex_state = 48, .external_lex_state = 8},
  [586] = {.lex_state = 48, .external_lex_state = 8},
  [587] = {.lex_state = 48, .external_lex_state = 8},
  [588] = {.lex_state = 48, .external_lex_state = 8},
  [589] = {.lex_state = 48, .external_lex_state = 8},
  [590] = {.lex_state = 48, .external_lex_state = 8},
  [591] = {.lex_state = 48, .external_lex_state = 8},
  [592] = {.lex_state = 48, .external_lex_state = 8},
  [593] = {.lex_state = 48, .external_lex_state = 8},
  [594] = {.lex_state = 48, .external_lex_state = 8},
  [595] = {.lex_state = 48, .external_lex_state = 8},
  [596] = {.lex_state = 48, .external_lex_state = 8},
  [597] = {.lex_state = 48, .external_lex_state = 8},
  [598] = {.lex_state = 48, .external_lex_state = 8},
  [599] = {.lex_state = 48, .external_lex_state = 8},
  [600] = {.lex_state = 48, .external_lex_state = 8},
  [601] = {.lex_state = 48, .external_lex_state = 8},
  [602] = {.lex_state = 48, .external_lex_state = 8},
  [603] = {.lex_state = 48, .external_lex_state = 2},
  [604] = {.lex_state = 48, .external_lex_state = 8},
  [605] = {.lex_state = 48, .external_lex_state = 8},
  [606] = {.lex_state = 48, .external_lex_state = 8},
  [607] = {.lex_state = 48, .external_lex_state = 8},
  [608] = {.lex_state = 48, .external_lex_state = 8},
  [609] = {.lex_state = 48, .external_lex_state = 8},
  [610] = {.lex_state = 48, .external_lex_state = 8},
  [611] = {.lex_state = 48, .external_lex_state = 8},
  [612] = {.lex_state = 48, .external_lex_state = 8},
  [613] = {.lex_state = 49, .external_lex_state = 2},
  [614] = {.lex_state = 49, .external_lex_state = 2},
  [615] = {.lex_state = 49, .external_lex_state = 2},
  [616] = {.lex_state = 49, .external_lex_state = 2},
  [617] = {.lex_state = 49, .external_lex_state = 7},
  [618] = {.lex_state = 49, .external_lex_state = 2},
  [619] = {.lex_state = 49, .external_lex_state = 2},
  [620] = {.lex_state = 49, .external_lex_state = 2},
  [621] = {.lex_state = 49, .external_lex_state = 2},
  [622] = {.lex_state = 49, .external_lex_state = 2},
  [623] = {.lex_state = 49, .external_lex_state = 2},
  [624] = {.lex_state = 49, .external_lex_state = 2},
  [625] = {.lex_state = 49, .external_lex_state = 2},
  [626] = {.lex_state = 49, .external_lex_state = 2},
  [627] = {.lex_state = 49, .external_lex_state = 2},
  [628] = {.lex_state = 49, .external_lex_state = 2},
  [629] = {.lex_state = 49, .external_lex_state = 2},
  [630] = {.lex_state = 49, .external_lex_state = 2},
  [631] = {.lex_state = 49, .external_lex_state = 2},
  [632] = {.lex_state = 49, .external_lex_state = 2},
  [633] = {.lex_state = 49, .external_lex_state = 2},
  [634] = {.lex_state = 49, .external_lex_state = 2},
  [635] = {.lex_state = 49, .external_lex_state = 2},
  [636] = {.lex_state = 49, .external_lex_state = 2},
  [637] = {.lex_state = 49, .external_lex_state = 2},
  [638] = {.lex_state = 49, .external_lex_state = 2},
  [639] = {.lex_state = 49, .external_lex_state = 2},
  [640] = {.lex_state = 49, .external_lex_state = 2},
  [641] = {.lex_state = 49, .external_lex_state = 2},
  [642] = {.lex_state = 49, .external_lex_state = 2},
  [643] = {.lex_state = 49, .external_lex_state = 2},
  [644] = {.lex_state = 49, .external_lex_state = 2},
  [645] = {.lex_state = 49, .external_lex_state = 2},
  [646] = {.lex_state = 49, .external_lex_state = 2},
  [647] = {.lex_state = 49, .external_lex_state = 2},
  [648] = {.lex_state = 49, .external_lex_state = 2},
  [649] = {.lex_state = 49, .external_lex_state = 8},
  [650] = {.lex_state = 49, .external_lex_state = 2},
  [651] = {.lex_state = 49, .external_lex_state = 2},
  [652] = {.lex_state = 49, .external_lex_state = 2},
  [653] = {.lex_state = 49, .external_lex_state = 2},
  [654] = {.lex_state = 49, .external_lex_state = 8},
  [655] = {.lex_state = 49, .external_lex_state = 2},
  [656] = {.lex_state = 49, .external_lex_state = 2},
  [657] = {.lex_state = 49, .external_lex_state = 2},
  [658] = {.lex_state = 49, .external_lex_state = 2},
  [659] = {.lex_state = 49, .external_lex_state = 2},
  [660] = {.lex_state = 49, .external_lex_state = 2},
  [661] = {.lex_state = 49, .external_lex_state = 2},
  [662] = {.lex_state = 49, .external_lex_state = 2},
  [663] = {.lex_state = 49, .external_lex_state = 2},
  [664] = {.lex_state = 48, .external_lex_state = 8},
  [665] = {.lex_state = 48, .external_lex_state = 8},
  [666] = {.lex_state = 49, .external_lex_state = 2},
  [667] = {.lex_state = 49, .external_lex_state = 2},
  [668] = {.lex_state = 49, .external_lex_state = 2},
  [669] = {.lex_state = 49, .external_lex_state = 2},
  [670] = {.lex_state = 49, .external_lex_state = 2},
  [671] = {.lex_state = 49, .external_lex_state = 2},
  [672] = {.lex_state = 49, .external_lex_state = 2},
  [673] = {.lex_state = 49, .external_lex_state = 2},
  [674] = {.lex_state = 49, .external_lex_state = 2},
  [675] = {.lex_state = 49, .external_lex_state = 2},
  [676] = {.lex_state = 49, .external_lex_state = 2},
  [677] = {.lex_state = 49, .external_lex_state = 2},
  [678] = {.lex_state = 49, .external_lex_state = 2},
  [679] = {.lex_state = 49, .external_lex_state = 2},
  [680] = {.lex_state = 49, .external_lex_state = 2},
  [681] = {.lex_state = 49, .external_lex_state = 2},
  [682] = {.lex_state = 49, .external_lex_state = 2},
  [683] = {.lex_state = 0, .external_lex_state = 2},
  [684] = {.lex_state = 49, .external_lex_state = 2},
  [685] = {.lex_state = 49, .external_lex_state = 2},
  [686] = {.lex_state = 49, .external_lex_state = 2},
  [687] = {.lex_state = 0, .external_lex_state = 2},
  [688] = {.lex_state = 49, .external_lex_state = 8},
  [689] = {.lex_state = 49, .external_lex_state = 2},
  [690] = {.lex_state = 49, .external_lex_state = 2},
  [691] = {.lex_state = 49, .external_lex_state = 2},
  [692] = {.lex_state = 49, .external_lex_state = 2},
  [693] = {.lex_state = 49, .external_lex_state = 2},
  [694] = {.lex_state = 49, .external_lex_state = 8},
  [695] = {.lex_state = 49, .external_lex_state = 2},
  [696] = {.lex_state = 49, .external_lex_state = 2},
  [697] = {.lex_state = 49, .external_lex_state = 2},
  [698] = {.lex_state = 49, .external_lex_state = 8},
  [699] = {.lex_state = 0, .external_lex_state = 2},
  [700] = {.lex_state = 49, .external_lex_state = 8},
  [701] = {.lex_state = 49, .external_lex_state = 8},
  [702] = {.lex_state = 49, .external_lex_state = 8},
  [703] = {.lex_state = 49, .external_lex_state = 8},
  [704] = {.lex_state = 49, .external_lex_state = 8},
  [705] = {.lex_state = 49, .external_lex_state = 8},
  [706] = {.lex_state = 49, .external_lex_state = 8},
  [707] = {.lex_state = 49, .external_lex_state = 8},
  [708] = {.lex_state = 49, .external_lex_state = 8},
  [709] = {.lex_state = 49, .external_lex_state = 8},
  [710] = {.lex_state = 49, .external_lex_state = 8},
  [711] = {.lex_state = 49, .external_lex_state = 8},
  [712] = {.lex_state = 49, .external_lex_state = 8},
  [713] = {.lex_state = 49, .external_lex_state = 8},
  [714] = {.lex_state = 49, .external_lex_state = 8},
  [715] = {.lex_state = 49, .external_lex_state = 8},
  [716] = {.lex_state = 49, .external_lex_state = 8},
  [717] = {.lex_state = 49, .external_lex_state = 8},
  [718] = {.lex_state = 49, .external_lex_state = 8},
  [719] = {.lex_state = 49, .external_lex_state = 8},
  [720] = {.lex_state = 49, .external_lex_state = 8},
  [721] = {.lex_state = 49, .external_lex_state = 8},
  [722] = {.lex_state = 49, .external_lex_state = 8},
  [723] = {.lex_state = 49, .external_lex_state = 8},
  [724] = {.lex_state = 49, .external_lex_state = 8},
  [725] = {.lex_state = 49, .external_lex_state = 8},
  [726] = {.lex_state = 49, .external_lex_state = 8},
  [727] = {.lex_state = 49, .external_lex_state = 8},
  [728] = {.lex_state = 49, .external_lex_state = 8},
  [729] = {.lex_state = 49, .external_lex_state = 8},
  [730] = {.lex_state = 49, .external_lex_state = 8},
  [731] = {.lex_state = 49, .external_lex_state = 8},
  [732] = {.lex_state = 49, .external_lex_state = 8},
  [733] = {.lex_state = 49, .external_lex_state = 8},
  [734] = {.lex_state = 49, .external_lex_state = 8},
  [735] = {.lex_state = 49, .external_lex_state = 8},
  [736] = {.lex_state = 49, .external_lex_state = 8},
  [737] = {.lex_state = 49, .external_lex_state = 8},
  [738] = {.lex_state = 49, .external_lex_state = 8},
  [739] = {.lex_state = 49, .external_lex_state = 8},
  [740] = {.lex_state = 49, .external_lex_state = 8},
  [741] = {.lex_state = 49, .external_lex_state = 8},
  [742] = {.lex_state = 49, .external_lex_state = 8},
  [743] = {.lex_state = 49, .external_lex_state = 8},
  [744] = {.lex_state = 49, .external_lex_state = 8},
  [745] = {.lex_state = 49, .external_lex_state = 8},
  [746] = {.lex_state = 49, .external_lex_state = 8},
  [747] = {.lex_state = 49, .external_lex_state = 8},
  [748] = {.lex_state = 49, .external_lex_state = 8},
  [749] = {.lex_state = 49, .external_lex_state = 8},
  [750] = {.lex_state = 49, .external_lex_state = 8},
  [751] = {.lex_state = 49, .external_lex_state = 8},
  [752] = {.lex_state = 49, .external_lex_state = 8},
  [753] = {.lex_state = 49, .external_lex_state = 8},
  [754] = {.lex_state = 49, .external_lex_state = 8},
  [755] = {.lex_state = 49, .external_lex_state = 8},
  [756] = {.lex_state = 49, .external_lex_state = 8},
  [757] = {.lex_state = 49, .external_lex_state = 8},
  [758] = {.lex_state = 49, .external_lex_state = 8},
  [759] = {.lex_state = 49, .external_lex_state = 8},
  [760] = {.lex_state = 49, .external_lex_state = 8},
  [761] = {.lex_state = 49, .external_lex_state = 8},
  [762] = {.lex_state = 49, .external_lex_state = 8},
  [763] = {.lex_state = 49, .external_lex_state = 8},
  [764] = {.lex_state = 49, .external_lex_state = 8},
  [765] = {.lex_state = 49, .external_lex_state = 8},
  [766] = {.lex_state = 49, .external_lex_state = 8},
  [767] = {.lex_state = 49, .external_lex_state = 8},
  [768] = {.lex_state = 49, .external_lex_state = 8},
  [769] = {.lex_state = 49, .external_lex_state = 8},
  [770] = {.lex_state = 49, .external_lex_state = 8},
  [771] = {.lex_state = 49, .external_lex_state = 8},
  [772] = {.lex_state = 49, .external_lex_state = 8},
  [773] = {.lex_state = 48, .external_lex_state = 2},
  [774] = {.lex_state = 48, .external_lex_state = 2},
  [775] = {.lex_state = 48, .external_lex_state = 2},
  [776] = {.lex_state = 48, .external_lex_state = 2},
  [777] = {.lex_state = 48, .external_lex_state = 2},
  [778] = {.lex_state = 48, .external_lex_state = 2},
  [779] = {.lex_state = 48, .external_lex_state = 2},
  [780] = {.lex_state = 48, .external_lex_state = 2},
  [781] = {.lex_state = 48, .external_lex_state = 2},
  [782] = {.lex_state = 48, .external_lex_state = 2},
  [783] = {.lex_state = 48, .external_lex_state = 2},
  [784] = {.lex_state = 48, .external_lex_state = 2},
  [785] = {.lex_state = 48, .external_lex_state = 2},
  [786] = {.lex_state = 48, .external_lex_state = 2},
  [787] = {.lex_state = 48, .external_lex_state = 2},
  [788] = {.lex_state = 48, .external_lex_state = 2},
  [789] = {.lex_state = 48, .external_lex_state = 2},
  [790] = {.lex_state = 48, .external_lex_state = 2},
  [791] = {.lex_state = 48, .external_lex_state = 2},
  [792] = {.lex_state = 48, .external_lex_state = 2},
  [793] = {.lex_state = 48, .external_lex_state = 2},
  [794] = {.lex_state = 48, .external_lex_state = 2},
  [795] = {.lex_state = 48, .external_lex_state = 2},
  [796] = {.lex_state = 48, .external_lex_state = 2},
  [797] = {.lex_state = 48, .external_lex_state = 2},
  [798] = {.lex_state = 48, .external_lex_state = 2},
  [799] = {.lex_state = 8, .external_lex_state = 2},
  [800] = {.lex_state = 53, .external_lex_state = 1},
  [801] = {.lex_state = 49, .external_lex_state = 8},
  [802] = {.lex_state = 9, .external_lex_state = 2},
  [803] = {.lex_state = 49, .external_lex_state = 8},
  [804] = {.lex_state = 48, .external_lex_state = 8},
  [805] = {.lex_state = 48, .external_lex_state = 8},
  [806] = {.lex_state = 53, .external_lex_state = 5},
  [807] = {.lex_state = 53, .external_lex_state = 3},
  [808] = {.lex_state = 53, .external_lex_state = 3},
  [809] = {.lex_state = 53, .external_lex_state = 3},
  [810] = {.lex_state = 49, .external_lex_state = 2},
  [811] = {.lex_state = 48, .external_lex_state = 8},
  [812] = {.lex_state = 53, .external_lex_state = 3},
  [813] = {.lex_state = 48, .external_lex_state = 8},
  [814] = {.lex_state = 48, .external_lex_state = 8},
  [815] = {.lex_state = 48, .external_lex_state = 8},
  [816] = {.lex_state = 3, .external_lex_state = 2},
  [817] = {.lex_state = 48, .external_lex_state = 8},
  [818] = {.lex_state = 48, .external_lex_state = 8},
  [819] = {.lex_state = 48, .external_lex_state = 8},
  [820] = {.lex_state = 48, .external_lex_state = 8},
  [821] = {.lex_state = 48, .external_lex_state = 8},
  [822] = {.lex_state = 48, .external_lex_state = 8},
  [823] = {.lex_state = 48, .external_lex_state = 8},
  [824] = {.lex_state = 48, .external_lex_state = 8},
  [825] = {.lex_state = 48, .external_lex_state = 8},
  [826] = {.lex_state = 48, .external_lex_state = 8},
  [827] = {.lex_state = 48, .external_lex_state = 8},
  [828] = {.lex_state = 48, .external_lex_state = 8},
  [829] = {.lex_state = 48, .external_lex_state = 8},
  [830] = {.lex_state = 48, .external_lex_state = 8},
  [831] = {.lex_state = 48, .external_lex_state = 8},
  [832] = {.lex_state = 48, .external_lex_state = 8},
  [833] = {.lex_state = 48, .external_lex_state = 8},
  [834] = {.lex_state = 48, .external_lex_state = 8},
  [835] = {.lex_state = 48, .external_lex_state = 8},
  [836] = {.lex_state = 53, .external_lex_state = 5},
  [837] = {.lex_state = 53, .external_lex_state = 3},
  [838] = {.lex_state = 49, .external_lex_state = 2},
  [839] = {.lex_state = 53, .external_lex_state = 5},
  [840] = {.lex_state = 48, .external_lex_state = 8},
  [841] = {.lex_state = 48, .external_lex_state = 8},
  [842] = {.lex_state = 48, .external_lex_state = 8},
  [843] = {.lex_state = 49, .external_lex_state = 2},
  [844] = {.lex_state = 49, .external_lex_state = 2},
  [845] = {.lex_state = 49, .external_lex_state = 2},
  [846] = {.lex_state = 49, .external_lex_state = 2},
  [847] = {.lex_state = 49, .external_lex_state = 2},
  [848] = {.lex_state = 49, .external_lex_state = 2},
  [849] = {.lex_state = 49, .external_lex_state = 2},
  [850] = {.lex_state = 49, .external_lex_state = 2},
  [851] = {.lex_state = 49, .external_lex_state = 8},
  [852] = {.lex_state = 49, .external_lex_state = 2},
  [853] = {.lex_state = 49, .external_lex_state = 2},
  [854] = {.lex_state = 49, .external_lex_state = 2},
  [855] = {.lex_state = 49, .external_lex_state = 2},
  [856] = {.lex_state = 49, .external_lex_state = 8},
  [857] = {.lex_state = 6, .external_lex_state = 5},
  [858] = {.lex_state = 6, .external_lex_state = 5},
  [859] = {.lex_state = 49, .external_lex_state = 8},
  [860] = {.lex_state = 49, .external_lex_state = 8},
  [861] = {.lex_state = 49, .external_lex_state = 8},
  [862] = {.lex_state = 49, .external_lex_state = 2},
  [863] = {.lex_state = 49, .external_lex_state = 2},
  [864] = {.lex_state = 49, .external_lex_state = 8},
  [865] = {.lex_state = 49, .external_lex_state = 2},
  [866] = {.lex_state = 49, .external_lex_state = 2},
  [867] = {.lex_state = 6, .external_lex_state = 5},
  [868] = {.lex_state = 6, .external_lex_state = 5},
  [869] = {.lex_state = 49, .external_lex_state = 2},
  [870] = {.lex_state = 49, .external_lex_state = 8},
  [871] = {.lex_state = 6, .external_lex_state = 5},
  [872] = {.lex_state = 49, .external_lex_state = 8},
  [873] = {.lex_state = 49, .external_lex_state = 8},
  [874] = {.lex_state = 49, .external_lex_state = 2},
  [875] = {.lex_state = 49, .external_lex_state = 8},
  [876] = {.lex_state = 49, .external_lex_state = 8},
  [877] = {.lex_state = 6, .external_lex_state = 5},
  [878] = {.lex_state = 49, .external_lex_state = 8},
  [879] = {.lex_state = 49, .external_lex_state = 8},
  [880] = {.lex_state = 49, .external_lex_state = 8},
  [881] = {.lex_state = 49, .external_lex_state = 8},
  [882] = {.lex_state = 49, .external_lex_state = 8},
  [883] = {.lex_state = 49, .external_lex_state = 8},
  [884] = {.lex_state = 49, .external_lex_state = 2},
  [885] = {.lex_state = 49, .external_lex_state = 8},
  [886] = {.lex_state = 49, .external_lex_state = 8},
  [887] = {.lex_state = 49, .external_lex_state = 8},
  [888] = {.lex_state = 49, .external_lex_state = 2},
  [889] = {.lex_state = 53, .external_lex_state = 5},
  [890] = {.lex_state = 53, .external_lex_state = 5},
  [891] = {.lex_state = 53, .external_lex_state = 5},
  [892] = {.lex_state = 53, .external_lex_state = 2},
  [893] = {.lex_state = 53, .external_lex_state = 5},
  [894] = {.lex_state = 53, .external_lex_state = 5},
  [895] = {.lex_state = 53, .external_lex_state = 4},
  [896] = {.lex_state = 53, .external_lex_state = 5},
  [897] = {.lex_state = 49, .external_lex_state = 8},
  [898] = {.lex_state = 53, .external_lex_state = 5},
  [899] = {.lex_state = 53, .external_lex_state = 5},
  [900] = {.lex_state = 53, .external_lex_state = 5},
  [901] = {.lex_state = 53, .external_lex_state = 5},
  [902] = {.lex_state = 53, .external_lex_state = 8},
  [903] = {.lex_state = 53, .external_lex_state = 8},
  [904] = {.lex_state = 53, .external_lex_state = 8},
  [905] = {.lex_state = 53, .external_lex_state = 5},
  [906] = {.lex_state = 48, .external_lex_state = 2},
  [907] = {.lex_state = 53, .external_lex_state = 8},
  [908] = {.lex_state = 53, .external_lex_state = 8},
  [909] = {.lex_state = 53, .external_lex_state = 8},
  [910] = {.lex_state = 53, .external_lex_state = 5},
  [911] = {.lex_state = 48, .external_lex_state = 2},
  [912] = {.lex_state = 53, .external_lex_state = 8},
  [913] = {.lex_state = 53, .external_lex_state = 8},
  [914] = {.lex_state = 49, .external_lex_state = 8},
  [915] = {.lex_state = 49, .external_lex_state = 8},
  [916] = {.lex_state = 49, .external_lex_state = 8},
  [917] = {.lex_state = 49, .external_lex_state = 8},
  [918] = {.lex_state = 53, .external_lex_state = 8},
  [919] = {.lex_state = 53, .external_lex_state = 8},
  [920] = {.lex_state = 49, .external_lex_state = 8},
  [921] = {.lex_state = 53, .external_lex_state = 8},
  [922] = {.lex_state = 49, .external_lex_state = 8},
  [923] = {.lex_state = 53, .external_lex_state = 8},
  [924] = {.lex_state = 53, .external_lex_state = 8},
  [925] = {.lex_state = 53, .external_lex_state = 8},
  [926] = {.lex_state = 49, .external_lex_state = 8},
  [927] = {.lex_state = 49, .external_lex_state = 8},
  [928] = {.lex_state = 49, .external_lex_state = 2},
  [929] = {.lex_state = 49, .external_lex_state = 2},
  [930] = {.lex_state = 53, .external_lex_state = 8},
  [931] = {.lex_state = 1, .external_lex_state = 7},
  [932] = {.lex_state = 1, .external_lex_state = 7},
  [933] = {.lex_state = 53, .external_lex_state = 8},
  [934] = {.lex_state = 49, .external_lex_state = 2},
  [935] = {.lex_state = 53, .external_lex_state = 8},
  [936] = {.lex_state = 49, .external_lex_state = 2},
  [937] = {.lex_state = 53, .external_lex_state = 8},
  [938] = {.lex_state = 53, .external_lex_state = 8},
  [939] = {.lex_state = 53, .external_lex_state = 8},
  [940] = {.lex_state = 49, .external_lex_state = 2},
  [941] = {.lex_state = 53, .external_lex_state = 8},
  [942] = {.lex_state = 49, .external_lex_state = 2},
  [943] = {.lex_state = 6, .external_lex_state = 5},
  [944] = {.lex_state = 1, .external_lex_state = 7},
  [945] = {.lex_state = 53, .external_lex_state = 8},
  [946] = {.lex_state = 53, .external_lex_state = 8},
  [947] = {.lex_state = 49, .external_lex_state = 2},
  [948] = {.lex_state = 49, .external_lex_state = 2},
  [949] = {.lex_state = 49, .external_lex_state = 2},
  [950] = {.lex_state = 49, .external_lex_state = 2},
  [951] = {.lex_state = 49, .external_lex_state = 2},
  [952] = {.lex_state = 49, .external_lex_state = 2},
  [953] = {.lex_state = 49, .external_lex_state = 2},
  [954] = {.lex_state = 49, .external_lex_state = 2},
  [955] = {.lex_state = 49, .external_lex_state = 2},
  [956] = {.lex_state = 49, .external_lex_state = 2},
  [957] = {.lex_state = 49, .external_lex_state = 2},
  [958] = {.lex_state = 53, .external_lex_state = 8},
  [959] = {.lex_state = 0, .external_lex_state = 2},
  [960] = {.lex_state = 49, .external_lex_state = 2},
  [961] = {.lex_state = 53, .external_lex_state = 2},
  [962] = {.lex_state = 49, .external_lex_state = 2},
  [963] = {.lex_state = 53, .external_lex_state = 2},
  [964] = {.lex_state = 53, .external_lex_state = 2},
  [965] = {.lex_state = 53, .external_lex_state = 2},
  [966] = {.lex_state = 53, .external_lex_state = 2},
  [967] = {.lex_state = 53, .external_lex_state = 2},
  [968] = {.lex_state = 53, .external_lex_state = 2},
  [969] = {.lex_state = 53, .external_lex_state = 2},
  [970] = {.lex_state = 53, .external_lex_state = 2},
  [971] = {.lex_state = 0, .external_lex_state = 2},
  [972] = {.lex_state = 53, .external_lex_state = 2},
  [973] = {.lex_state = 6, .external_lex_state = 8},
  [974] = {.lex_state = 53, .external_lex_state = 2},
  [975] = {.lex_state = 0, .external_lex_state = 2},
  [976] = {.lex_state = 53, .external_lex_state = 2},
  [977] = {.lex_state = 53, .external_lex_state = 2},
  [978] = {.lex_state = 53, .external_lex_state = 2},
  [979] = {.lex_state = 6, .external_lex_state = 8},
  [980] = {.lex_state = 1, .external_lex_state = 7},
  [981] = {.lex_state = 6, .external_lex_state = 7},
  [982] = {.lex_state = 6, .external_lex_state = 7},
  [983] = {.lex_state = 1, .external_lex_state = 7},
  [984] = {.lex_state = 54, .external_lex_state = 2},
  [985] = {.lex_state = 53, .external_lex_state = 2},
  [986] = {.lex_state = 53, .external_lex_state = 2},
  [987] = {.lex_state = 53, .external_lex_state = 2},
  [988] = {.lex_state = 53, .external_lex_state = 2},
  [989] = {.lex_state = 0, .external_lex_state = 2},
  [990] = {.lex_state = 0, .external_lex_state = 2},
  [991] = {.lex_state = 0, .external_lex_state = 2},
  [992] = {.lex_state = 0, .external_lex_state = 2},
  [993] = {.lex_state = 53, .external_lex_state = 2},
  [994] = {.lex_state = 53, .external_lex_state = 2},
  [995] = {.lex_state = 53, .external_lex_state = 2},
  [996] = {.lex_state = 53, .external_lex_state = 2},
  [997] = {.lex_state = 0, .external_lex_state = 2},
  [998] = {.lex_state = 53, .external_lex_state = 2},
  [999] = {.lex_state = 53, .external_lex_state = 2},
  [1000] = {.lex_state = 53, .external_lex_state = 2},
  [1001] = {.lex_state = 53, .external_lex_state = 2},
  [1002] = {.lex_state = 54, .external_lex_state = 2},
  [1003] = {.lex_state = 53, .external_lex_state = 2},
  [1004] = {.lex_state = 53, .external_lex_state = 2},
  [1005] = {.lex_state = 53, .external_lex_state = 2},
  [1006] = {.lex_state = 53, .external_lex_state = 2},
  [1007] = {.lex_state = 0, .external_lex_state = 2},
  [1008] = {.lex_state = 0, .external_lex_state = 2},
  [1009] = {.lex_state = 53, .external_lex_state = 2},
  [1010] = {.lex_state = 0, .external_lex_state = 2},
  [1011] = {.lex_state = 53, .external_lex_state = 2},
  [1012] = {.lex_state = 0, .external_lex_state = 2},
  [1013] = {.lex_state = 53, .external_lex_state = 2},
  [1014] = {.lex_state = 53, .external_lex_state = 2},
  [1015] = {.lex_state = 53, .external_lex_state = 2},
  [1016] = {.lex_state = 53, .external_lex_state = 2},
  [1017] = {.lex_state = 53, .external_lex_state = 2},
  [1018] = {.lex_state = 53, .external_lex_state = 2},
  [1019] = {.lex_state = 53, .external_lex_state = 2},
  [1020] = {.lex_state = 53, .external_lex_state = 2},
  [1021] = {.lex_state = 53, .external_lex_state = 2},
  [1022] = {.lex_state = 53, .external_lex_state = 2},
  [1023] = {.lex_state = 53, .external_lex_state = 2},
  [1024] = {.lex_state = 53, .external_lex_state = 2},
  [1025] = {.lex_state = 53, .external_lex_state = 2},
  [1026] = {.lex_state = 53, .external_lex_state = 2},
  [1027] = {.lex_state = 53, .external_lex_state = 2},
  [1028] = {.lex_state = 53, .external_lex_state = 2},
  [1029] = {.lex_state = 53, .external_lex_state = 2},
  [1030] = {.lex_state = 53, .external_lex_state = 2},
  [1031] = {.lex_state = 53, .external_lex_state = 2},
  [1032] = {.lex_state = 53, .external_lex_state = 2},
  [1033] = {.lex_state = 53, .external_lex_state = 2},
  [1034] = {.lex_state = 53, .external_lex_state = 2},
  [1035] = {.lex_state = 0, .external_lex_state = 2},
  [1036] = {.lex_state = 53, .external_lex_state = 2},
  [1037] = {.lex_state = 53, .external_lex_state = 2},
  [1038] = {.lex_state = 53, .external_lex_state = 2},
  [1039] = {.lex_state = 53, .external_lex_state = 2},
  [1040] = {.lex_state = 53, .external_lex_state = 2},
  [1041] = {.lex_state = 53, .external_lex_state = 8},
  [1042] = {.lex_state = 53, .external_lex_state = 2},
  [1043] = {.lex_state = 53, .external_lex_state = 2},
  [1044] = {.lex_state = 53, .external_lex_state = 2},
  [1045] = {.lex_state = 53, .external_lex_state = 2},
  [1046] = {.lex_state = 53, .external_lex_state = 2},
  [1047] = {.lex_state = 53, .external_lex_state = 2},
  [1048] = {.lex_state = 53, .external_lex_state = 2},
  [1049] = {.lex_state = 53, .external_lex_state = 2},
  [1050] = {.lex_state = 53, .external_lex_state = 2},
  [1051] = {.lex_state = 53, .external_lex_state = 2},
  [1052] = {.lex_state = 53, .external_lex_state = 2},
  [1053] = {.lex_state = 53, .external_lex_state = 2},
  [1054] = {.lex_state = 53, .external_lex_state = 2},
  [1055] = {.lex_state = 53, .external_lex_state = 2},
  [1056] = {.lex_state = 53, .external_lex_state = 2},
  [1057] = {.lex_state = 53, .external_lex_state = 2},
  [1058] = {.lex_state = 53, .external_lex_state = 2},
  [1059] = {.lex_state = 53, .external_lex_state = 2},
  [1060] = {.lex_state = 53, .external_lex_state = 2},
  [1061] = {.lex_state = 53, .external_lex_state = 2},
  [1062] = {.lex_state = 53, .external_lex_state = 2},
  [1063] = {.lex_state = 53, .external_lex_state = 2},
  [1064] = {.lex_state = 53, .external_lex_state = 2},
  [1065] = {.lex_state = 53, .external_lex_state = 2},
  [1066] = {.lex_state = 53, .external_lex_state = 2},
  [1067] = {.lex_state = 53, .external_lex_state = 2},
  [1068] = {.lex_state = 53, .external_lex_state = 2},
  [1069] = {.lex_state = 53, .external_lex_state = 2},
  [1070] = {.lex_state = 10, .external_lex_state = 2},
  [1071] = {.lex_state = 10, .external_lex_state = 2},
  [1072] = {.lex_state = 10, .external_lex_state = 2},
  [1073] = {.lex_state = 10, .external_lex_state = 2},
  [1074] = {.lex_state = 10, .external_lex_state = 2},
  [1075] = {.lex_state = 10, .external_lex_state = 2},
  [1076] = {.lex_state = 10, .external_lex_state = 2},
  [1077] = {.lex_state = 0, .external_lex_state = 2},
  [1078] = {.lex_state = 10, .external_lex_state = 2},
  [1079] = {.lex_state = 10, .external_lex_state = 2},
  [1080] = {.lex_state = 10, .external_lex_state = 2},
  [1081] = {.lex_state = 10, .external_lex_state = 2},
  [1082] = {.lex_state = 10, .external_lex_state = 2},
  [1083] = {.lex_state = 10, .external_lex_state = 2},
  [1084] = {.lex_state = 6, .external_lex_state = 7},
  [1085] = {.lex_state = 10, .external_lex_state = 2},
  [1086] = {.lex_state = 10, .external_lex_state = 2},
  [1087] = {.lex_state = 10, .external_lex_state = 2},
  [1088] = {.lex_state = 10, .external_lex_state = 2},
  [1089] = {.lex_state = 10, .external_lex_state = 2},
  [1090] = {.lex_state = 10, .external_lex_state = 2},
  [1091] = {.lex_state = 10, .external_lex_state = 2},
  [1092] = {.lex_state = 10, .external_lex_state = 2},
  [1093] = {.lex_state = 10, .external_lex_state = 2},
  [1094] = {.lex_state = 10, .external_lex_state = 2},
  [1095] = {.lex_state = 10, .external_lex_state = 2},
  [1096] = {.lex_state = 10, .external_lex_state = 2},
  [1097] = {.lex_state = 10, .external_lex_state = 2},
  [1098] = {.lex_state = 10, .external_lex_state = 2},
  [1099] = {.lex_state = 10, .external_lex_state = 2},
  [1100] = {.lex_state = 10, .external_lex_state = 2},
  [1101] = {.lex_state = 10, .external_lex_state = 2},
  [1102] = {.lex_state = 10, .external_lex_state = 2},
  [1103] = {.lex_state = 6, .external_lex_state = 8},
  [1104] = {.lex_state = 10, .external_lex_state = 2},
  [1105] = {.lex_state = 6, .external_lex_state = 8},
  [1106] = {.lex_state = 0, .external_lex_state = 2},
  [1107] = {.lex_state = 6, .external_lex_state = 8},
  [1108] = {.lex_state = 6, .external_lex_state = 8},
  [1109] = {.lex_state = 6, .external_lex_state = 8},
  [1110] = {.lex_state = 6, .external_lex_state = 8},
  [1111] = {.lex_state = 6, .external_lex_state = 8},
  [1112] = {.lex_state = 6, .external_lex_state = 8},
  [1113] = {.lex_state = 6, .external_lex_state = 8},
  [1114] = {.lex_state = 6, .external_lex_state = 8},
  [1115] = {.lex_state = 6, .external_lex_state = 8},
  [1116] = {.lex_state = 6, .external_lex_state = 8},
  [1117] = {.lex_state = 6, .external_lex_state = 8},
  [1118] = {.lex_state = 6, .external_lex_state = 8},
  [1119] = {.lex_state = 6, .external_lex_state = 8},
  [1120] = {.lex_state = 6, .external_lex_state = 8},
  [1121] = {.lex_state = 6, .external_lex_state = 8},
  [1122] = {.lex_state = 6, .external_lex_state = 8},
  [1123] = {.lex_state = 6, .external_lex_state = 8},
  [1124] = {.lex_state = 6, .external_lex_state = 8},
  [1125] = {.lex_state = 6, .external_lex_state = 8},
  [1126] = {.lex_state = 6, .external_lex_state = 8},
  [1127] = {.lex_state = 6, .external_lex_state = 8},
  [1128] = {.lex_state = 6, .external_lex_state = 8},
  [1129] = {.lex_state = 6, .external_lex_state = 8},
  [1130] = {.lex_state = 6, .external_lex_state = 8},
  [1131] = {.lex_state = 6, .external_lex_state = 8},
  [1132] = {.lex_state = 6, .external_lex_state = 8},
  [1133] = {.lex_state = 6, .external_lex_state = 8},
  [1134] = {.lex_state = 6, .external_lex_state = 8},
  [1135] = {.lex_state = 6, .external_lex_state = 8},
  [1136] = {.lex_state = 0, .external_lex_state = 2},
  [1137] = {.lex_state = 6, .external_lex_state = 8},
  [1138] = {.lex_state = 10, .external_lex_state = 2},
  [1139] = {.lex_state = 10, .external_lex_state = 2},
  [1140] = {.lex_state = 0, .external_lex_state = 2},
  [1141] = {.lex_state = 6, .external_lex_state = 8},
  [1142] = {.lex_state = 10, .external_lex_state = 2},
  [1143] = {.lex_state = 6, .external_lex_state = 8},
  [1144] = {.lex_state = 6, .external_lex_state = 8},
  [1145] = {.lex_state = 10, .external_lex_state = 2},
  [1146] = {.lex_state = 6, .external_lex_state = 8},
  [1147] = {.lex_state = 10, .external_lex_state = 2},
  [1148] = {.lex_state = 6, .external_lex_state = 8},
  [1149] = {.lex_state = 10, .external_lex_state = 2},
  [1150] = {.lex_state = 6, .external_lex_state = 8},
  [1151] = {.lex_state = 6, .external_lex_state = 8},
  [1152] = {.lex_state = 6, .external_lex_state = 8},
  [1153] = {.lex_state = 10, .external_lex_state = 2},
  [1154] = {.lex_state = 10, .external_lex_state = 2},
  [1155] = {.lex_state = 6, .external_lex_state = 8},
  [1156] = {.lex_state = 10, .external_lex_state = 2},
  [1157] = {.lex_state = 6, .external_lex_state = 8},
  [1158] = {.lex_state = 6, .external_lex_state = 8},
  [1159] = {.lex_state = 10, .external_lex_state = 2},
  [1160] = {.lex_state = 6, .external_lex_state = 8},
  [1161] = {.lex_state = 6, .external_lex_state = 8},
  [1162] = {.lex_state = 6, .external_lex_state = 8},
  [1163] = {.lex_state = 6, .external_lex_state = 8},
  [1164] = {.lex_state = 10, .external_lex_state = 2},
  [1165] = {.lex_state = 10, .external_lex_state = 2},
  [1166] = {.lex_state = 10, .external_lex_state = 2},
  [1167] = {.lex_state = 10, .external_lex_state = 2},
  [1168] = {.lex_state = 6, .external_lex_state = 8},
  [1169] = {.lex_state = 10, .external_lex_state = 2},
  [1170] = {.lex_state = 6, .external_lex_state = 8},
  [1171] = {.lex_state = 6, .external_lex_state = 8},
  [1172] = {.lex_state = 10, .external_lex_state = 2},
  [1173] = {.lex_state = 6, .external_lex_state = 8},
  [1174] = {.lex_state = 6, .external_lex_state = 8},
  [1175] = {.lex_state = 6, .external_lex_state = 8},
  [1176] = {.lex_state = 10, .external_lex_state = 2},
  [1177] = {.lex_state = 6, .external_lex_state = 8},
  [1178] = {.lex_state = 10, .external_lex_state = 2},
  [1179] = {.lex_state = 6, .external_lex_state = 8},
  [1180] = {.lex_state = 6, .external_lex_state = 8},
  [1181] = {.lex_state = 6, .external_lex_state = 8},
  [1182] = {.lex_state = 6, .external_lex_state = 8},
  [1183] = {.lex_state = 6, .external_lex_state = 8},
  [1184] = {.lex_state = 6, .external_lex_state = 8},
  [1185] = {.lex_state = 6, .external_lex_state = 8},
  [1186] = {.lex_state = 6, .external_lex_state = 8},
  [1187] = {.lex_state = 0, .external_lex_state = 2},
  [1188] = {.lex_state = 6, .external_lex_state = 8},
  [1189] = {.lex_state = 6, .external_lex_state = 8},
  [1190] = {.lex_state = 6, .external_lex_state = 8},
  [1191] = {.lex_state = 0, .external_lex_state = 2},
  [1192] = {.lex_state = 6, .external_lex_state = 8},
  [1193] = {.lex_state = 6, .external_lex_state = 8},
  [1194] = {.lex_state = 6, .external_lex_state = 8},
  [1195] = {.lex_state = 6, .external_lex_state = 8},
  [1196] = {.lex_state = 6, .external_lex_state = 8},
  [1197] = {.lex_state = 6, .external_lex_state = 8},
  [1198] = {.lex_state = 6, .external_lex_state = 8},
  [1199] = {.lex_state = 6, .external_lex_state = 8},
  [1200] = {.lex_state = 6, .external_lex_state = 8},
  [1201] = {.lex_state = 6, .external_lex_state = 8},
  [1202] = {.lex_state = 6, .external_lex_state = 8},
  [1203] = {.lex_state = 6, .external_lex_state = 8},
  [1204] = {.lex_state = 6, .external_lex_state = 8},
  [1205] = {.lex_state = 53, .external_lex_state = 8},
  [1206] = {.lex_state = 53, .external_lex_state = 2},
  [1207] = {.lex_state = 0, .external_lex_state = 2},
  [1208] = {.lex_state = 53, .external_lex_state = 8},
  [1209] = {.lex_state = 8, .external_lex_state = 2},
  [1210] = {.lex_state = 53, .external_lex_state = 2},
  [1211] = {.lex_state = 0, .external_lex_state = 2},
  [1212] = {.lex_state = 53, .external_lex_state = 2},
  [1213] = {.lex_state = 53, .external_lex_state = 8},
  [1214] = {.lex_state = 53, .external_lex_state = 2},
  [1215] = {.lex_state = 53, .external_lex_state = 2},
  [1216] = {.lex_state = 53, .external_lex_state = 2},
  [1217] = {.lex_state = 53, .external_lex_state = 2},
  [1218] = {.lex_state = 53, .external_lex_state = 8},
  [1219] = {.lex_state = 53, .external_lex_state = 2},
  [1220] = {.lex_state = 53, .external_lex_state = 2},
  [1221] = {.lex_state = 53, .external_lex_state = 8},
  [1222] = {.lex_state = 53, .external_lex_state = 2},
  [1223] = {.lex_state = 0, .external_lex_state = 2},
  [1224] = {.lex_state = 53, .external_lex_state = 8},
  [1225] = {.lex_state = 53, .external_lex_state = 8},
  [1226] = {.lex_state = 53, .external_lex_state = 2},
  [1227] = {.lex_state = 53, .external_lex_state = 2},
  [1228] = {.lex_state = 8, .external_lex_state = 2},
  [1229] = {.lex_state = 53, .external_lex_state = 2},
  [1230] = {.lex_state = 53, .external_lex_state = 2},
  [1231] = {.lex_state = 6, .external_lex_state = 2},
  [1232] = {.lex_state = 0, .external_lex_state = 2},
  [1233] = {.lex_state = 6, .external_lex_state = 2},
  [1234] = {.lex_state = 6, .external_lex_state = 2},
  [1235] = {.lex_state = 6, .external_lex_state = 2},
  [1236] = {.lex_state = 5, .external_lex_state = 2},
  [1237] = {.lex_state = 5, .external_lex_state = 2},
  [1238] = {.lex_state = 6, .external_lex_state = 2},
  [1239] = {.lex_state = 6, .external_lex_state = 2},
  [1240] = {.lex_state = 53, .external_lex_state = 2},
  [1241] = {.lex_state = 6, .external_lex_state = 2},
  [1242] = {.lex_state = 6, .external_lex_state = 2},
  [1243] = {.lex_state = 5, .external_lex_state = 2},
  [1244] = {.lex_state = 6, .external_lex_state = 2},
  [1245] = {.lex_state = 6, .external_lex_state = 2},
  [1246] = {.lex_state = 53, .external_lex_state = 2},
  [1247] = {.lex_state = 6, .external_lex_state = 2},
  [1248] = {.lex_state = 5, .external_lex_state = 2},
  [1249] = {.lex_state = 5, .external_lex_state = 2},
  [1250] = {.lex_state = 10, .external_lex_state = 2},
  [1251] = {.lex_state = 6, .external_lex_state = 2},
  [1252] = {.lex_state = 5, .external_lex_state = 2},
  [1253] = {.lex_state = 0, .external_lex_state = 2},
  [1254] = {.lex_state = 5, .external_lex_state = 2},
  [1255] = {.lex_state = 6, .external_lex_state = 2},
  [1256] = {.lex_state = 6, .external_lex_state = 2},
  [1257] = {.lex_state = 6, .external_lex_state = 2},
  [1258] = {.lex_state = 6, .external_lex_state = 2},
  [1259] = {.lex_state = 10, .external_lex_state = 2},
  [1260] = {.lex_state = 6, .external_lex_state = 2},
  [1261] = {.lex_state = 0, .external_lex_state = 2},
  [1262] = {.lex_state = 6, .external_lex_state = 2},
  [1263] = {.lex_state = 10, .external_lex_state = 2},
  [1264] = {.lex_state = 5, .external_lex_state = 2},
  [1265] = {.lex_state = 6, .external_lex_state = 2},
  [1266] = {.lex_state = 5, .external_lex_state = 2},
  [1267] = {.lex_state = 6, .external_lex_state = 2},
  [1268] = {.lex_state = 6, .external_lex_state = 2},
  [1269] = {.lex_state = 0, .external_lex_state = 2},
  [1270] = {.lex_state = 10, .external_lex_state = 2},
  [1271] = {.lex_state = 6, .external_lex_state = 2},
  [1272] = {.lex_state = 0, .external_lex_state = 6},
  [1273] = {.lex_state = 5, .external_lex_state = 2},
  [1274] = {.lex_state = 0, .external_lex_state = 6},
  [1275] = {.lex_state = 5, .external_lex_state = 2},
  [1276] = {.lex_state = 5, .external_lex_state = 2},
  [1277] = {.lex_state = 0, .external_lex_state = 6},
  [1278] = {.lex_state = 53, .external_lex_state = 2},
  [1279] = {.lex_state = 0, .external_lex_state = 6},
  [1280] = {.lex_state = 0, .external_lex_state = 6},
  [1281] = {.lex_state = 0, .external_lex_state = 6},
  [1282] = {.lex_state = 0, .external_lex_state = 6},
  [1283] = {.lex_state = 0, .external_lex_state = 6},
  [1284] = {.lex_state = 53, .external_lex_state = 2},
  [1285] = {.lex_state = 0, .external_lex_state = 2},
  [1286] = {.lex_state = 53, .external_lex_state = 2},
  [1287] = {.lex_state = 53, .external_lex_state = 2},
  [1288] = {.lex_state = 53, .external_lex_state = 2},
  [1289] = {.lex_state = 0, .external_lex_state = 2},
  [1290] = {.lex_state = 0, .external_lex_state = 6},
  [1291] = {.lex_state = 0, .external_lex_state = 2},
  [1292] = {.lex_state = 53, .external_lex_state = 8},
  [1293] = {.lex_state = 0, .external_lex_state = 6},
  [1294] = {.lex_state = 0, .external_lex_state = 6},
  [1295] = {.lex_state = 0, .external_lex_state = 6},
  [1296] = {.lex_state = 0, .external_lex_state = 6},
  [1297] = {.lex_state = 0, .external_lex_state = 6},
  [1298] = {.lex_state = 0, .external_lex_state = 6},
  [1299] = {.lex_state = 0, .external_lex_state = 6},
  [1300] = {.lex_state = 53, .external_lex_state = 2},
  [1301] = {.lex_state = 5, .external_lex_state = 2},
  [1302] = {.lex_state = 0, .external_lex_state = 6},
  [1303] = {.lex_state = 4, .external_lex_state = 2},
  [1304] = {.lex_state = 0, .external_lex_state = 2},
  [1305] = {.lex_state = 5, .external_lex_state = 2},
  [1306] = {.lex_state = 17, .external_lex_state = 2},
  [1307] = {.lex_state = 0, .external_lex_state = 8},
  [1308] = {.lex_state = 0, .external_lex_state = 8},
  [1309] = {.lex_state = 0, .external_lex_state = 8},
  [1310] = {.lex_state = 53, .external_lex_state = 2},
  [1311] = {.lex_state = 53, .external_lex_state = 2},
  [1312] = {.lex_state = 53, .external_lex_state = 2},
  [1313] = {.lex_state = 53, .external_lex_state = 2},
  [1314] = {.lex_state = 0, .external_lex_state = 8},
  [1315] = {.lex_state = 53, .external_lex_state = 2},
  [1316] = {.lex_state = 6, .external_lex_state = 2},
  [1317] = {.lex_state = 6, .external_lex_state = 2},
  [1318] = {.lex_state = 53, .external_lex_state = 2},
  [1319] = {.lex_state = 53, .external_lex_state = 2},
  [1320] = {.lex_state = 53, .external_lex_state = 2},
  [1321] = {.lex_state = 53, .external_lex_state = 2},
  [1322] = {.lex_state = 0, .external_lex_state = 2},
  [1323] = {.lex_state = 5, .external_lex_state = 2},
  [1324] = {.lex_state = 53, .external_lex_state = 2},
  [1325] = {.lex_state = 53, .external_lex_state = 2},
  [1326] = {.lex_state = 6, .external_lex_state = 2},
  [1327] = {.lex_state = 0, .external_lex_state = 2},
  [1328] = {.lex_state = 53, .external_lex_state = 2},
  [1329] = {.lex_state = 53, .external_lex_state = 2},
  [1330] = {.lex_state = 6, .external_lex_state = 2},
  [1331] = {.lex_state = 0, .external_lex_state = 8},
  [1332] = {.lex_state = 6, .external_lex_state = 2},
  [1333] = {.lex_state = 6, .external_lex_state = 2},
  [1334] = {.lex_state = 6, .external_lex_state = 2},
  [1335] = {.lex_state = 6, .external_lex_state = 2},
  [1336] = {.lex_state = 6, .external_lex_state = 2},
  [1337] = {.lex_state = 0, .external_lex_state = 2},
  [1338] = {.lex_state = 53, .external_lex_state = 2},
  [1339] = {.lex_state = 53, .external_lex_state = 2},
  [1340] = {.lex_state = 17, .external_lex_state = 2},
  [1341] = {.lex_state = 6, .external_lex_state = 2},
  [1342] = {.lex_state = 6, .external_lex_state = 2},
  [1343] = {.lex_state = 6, .external_lex_state = 2},
  [1344] = {.lex_state = 6, .external_lex_state = 2},
  [1345] = {.lex_state = 6, .external_lex_state = 2},
  [1346] = {.lex_state = 6, .external_lex_state = 2},
  [1347] = {.lex_state = 53, .external_lex_state = 2},
  [1348] = {.lex_state = 53, .external_lex_state = 2},
  [1349] = {.lex_state = 6, .external_lex_state = 2},
  [1350] = {.lex_state = 6, .external_lex_state = 2},
  [1351] = {.lex_state = 6, .external_lex_state = 2},
  [1352] = {.lex_state = 6, .external_lex_state = 2},
  [1353] = {.lex_state = 6, .external_lex_state = 2},
  [1354] = {.lex_state = 17, .external_lex_state = 2},
  [1355] = {.lex_state = 53, .external_lex_state = 2},
  [1356] = {.lex_state = 6, .external_lex_state = 2},
  [1357] = {.lex_state = 6, .external_lex_state = 2},
  [1358] = {.lex_state = 6, .external_lex_state = 2},
  [1359] = {.lex_state = 6, .external_lex_state = 2},
  [1360] = {.lex_state = 6, .external_lex_state = 2},
  [1361] = {.lex_state = 6, .external_lex_state = 2},
  [1362] = {.lex_state = 6, .external_lex_state = 2},
  [1363] = {.lex_state = 6, .external_lex_state = 2},
  [1364] = {.lex_state = 6, .external_lex_state = 2},
  [1365] = {.lex_state = 6, .external_lex_state = 2},
  [1366] = {.lex_state = 6, .external_lex_state = 2},
  [1367] = {.lex_state = 6, .external_lex_state = 2},
  [1368] = {.lex_state = 6, .external_lex_state = 2},
  [1369] = {.lex_state = 6, .external_lex_state = 2},
  [1370] = {.lex_state = 6, .external_lex_state = 2},
  [1371] = {.lex_state = 6, .external_lex_state = 2},
  [1372] = {.lex_state = 6, .external_lex_state = 2},
  [1373] = {.lex_state = 6, .external_lex_state = 2},
  [1374] = {.lex_state = 6, .external_lex_state = 2},
  [1375] = {.lex_state = 53, .external_lex_state = 2},
  [1376] = {.lex_state = 0, .external_lex_state = 8},
  [1377] = {.lex_state = 53, .external_lex_state = 2},
  [1378] = {.lex_state = 54, .external_lex_state = 8},
  [1379] = {.lex_state = 53, .external_lex_state = 2},
  [1380] = {.lex_state = 5, .external_lex_state = 2},
  [1381] = {.lex_state = 0, .external_lex_state = 8},
  [1382] = {.lex_state = 0, .external_lex_state = 8},
  [1383] = {.lex_state = 0, .external_lex_state = 8},
  [1384] = {.lex_state = 53, .external_lex_state = 2},
  [1385] = {.lex_state = 0, .external_lex_state = 2},
  [1386] = {.lex_state = 53, .external_lex_state = 2},
  [1387] = {.lex_state = 0, .external_lex_state = 2},
  [1388] = {.lex_state = 53, .external_lex_state = 8},
  [1389] = {.lex_state = 53, .external_lex_state = 8},
  [1390] = {.lex_state = 53, .external_lex_state = 2},
  [1391] = {.lex_state = 53, .external_lex_state = 2},
  [1392] = {.lex_state = 0, .external_lex_state = 8},
  [1393] = {.lex_state = 0, .external_lex_state = 8},
  [1394] = {.lex_state = 53, .external_lex_state = 8},
  [1395] = {.lex_state = 0, .external_lex_state = 8},
  [1396] = {.lex_state = 0, .external_lex_state = 8},
  [1397] = {.lex_state = 0, .external_lex_state = 8},
  [1398] = {.lex_state = 0, .external_lex_state = 8},
  [1399] = {.lex_state = 0, .external_lex_state = 2},
  [1400] = {.lex_state = 0, .external_lex_state = 2},
  [1401] = {.lex_state = 0, .external_lex_state = 8},
  [1402] = {.lex_state = 0, .external_lex_state = 8},
  [1403] = {.lex_state = 53, .external_lex_state = 2},
  [1404] = {.lex_state = 0, .external_lex_state = 8},
  [1405] = {.lex_state = 0, .external_lex_state = 8},
  [1406] = {.lex_state = 0, .external_lex_state = 2},
  [1407] = {.lex_state = 0, .external_lex_state = 8},
  [1408] = {.lex_state = 0, .external_lex_state = 8},
  [1409] = {.lex_state = 5, .external_lex_state = 2},
  [1410] = {.lex_state = 53, .external_lex_state = 2},
  [1411] = {.lex_state = 0, .external_lex_state = 8},
  [1412] = {.lex_state = 0, .external_lex_state = 2},
  [1413] = {.lex_state = 17, .external_lex_state = 2},
  [1414] = {.lex_state = 17, .external_lex_state = 2},
  [1415] = {.lex_state = 53, .external_lex_state = 2},
  [1416] = {.lex_state = 0, .external_lex_state = 2},
  [1417] = {.lex_state = 0, .external_lex_state = 2},
  [1418] = {.lex_state = 0, .external_lex_state = 8},
  [1419] = {.lex_state = 17, .external_lex_state = 2},
  [1420] = {.lex_state = 17, .external_lex_state = 2},
  [1421] = {.lex_state = 0, .external_lex_state = 8},
  [1422] = {.lex_state = 17, .external_lex_state = 2},
  [1423] = {.lex_state = 53, .external_lex_state = 2},
  [1424] = {.lex_state = 17, .external_lex_state = 2},
  [1425] = {.lex_state = 17, .external_lex_state = 2},
  [1426] = {.lex_state = 0, .external_lex_state = 8},
  [1427] = {.lex_state = 53, .external_lex_state = 2},
  [1428] = {.lex_state = 54, .external_lex_state = 8},
  [1429] = {.lex_state = 54, .external_lex_state = 8},
  [1430] = {.lex_state = 54, .external_lex_state = 8},
  [1431] = {.lex_state = 54, .external_lex_state = 8},
  [1432] = {.lex_state = 54, .external_lex_state = 8},
  [1433] = {.lex_state = 54, .external_lex_state = 8},
  [1434] = {.lex_state = 54, .external_lex_state = 8},
  [1435] = {.lex_state = 0, .external_lex_state = 8},
  [1436] = {.lex_state = 0, .external_lex_state = 8},
  [1437] = {.lex_state = 6, .external_lex_state = 2},
  [1438] = {.lex_state = 0, .external_lex_state = 2},
  [1439] = {.lex_state = 0, .external_lex_state = 8},
  [1440] = {.lex_state = 5, .external_lex_state = 2},
  [1441] = {.lex_state = 53, .external_lex_state = 2},
  [1442] = {.lex_state = 0, .external_lex_state = 2},
  [1443] = {.lex_state = 0, .external_lex_state = 2},
  [1444] = {.lex_state = 0, .external_lex_state = 2},
  [1445] = {.lex_state = 0, .external_lex_state = 2},
  [1446] = {.lex_state = 0, .external_lex_state = 2},
  [1447] = {.lex_state = 53, .external_lex_state = 8},
  [1448] = {.lex_state = 53, .external_lex_state = 2},
  [1449] = {.lex_state = 53, .external_lex_state = 8},
  [1450] = {.lex_state = 54, .external_lex_state = 8},
  [1451] = {.lex_state = 53, .external_lex_state = 2},
  [1452] = {.lex_state = 0, .external_lex_state = 8},
  [1453] = {.lex_state = 53, .external_lex_state = 8},
  [1454] = {.lex_state = 54, .external_lex_state = 8},
  [1455] = {.lex_state = 53, .external_lex_state = 8},
  [1456] = {.lex_state = 5, .external_lex_state = 2},
  [1457] = {.lex_state = 5, .external_lex_state = 2},
  [1458] = {.lex_state = 0, .external_lex_state = 8},
  [1459] = {.lex_state = 53, .external_lex_state = 8},
  [1460] = {.lex_state = 53, .external_lex_state = 8},
  [1461] = {.lex_state = 53, .external_lex_state = 8},
  [1462] = {.lex_state = 0, .external_lex_state = 8},
  [1463] = {.lex_state = 54, .external_lex_state = 8},
  [1464] = {.lex_state = 0, .external_lex_state = 8},
  [1465] = {.lex_state = 0, .external_lex_state = 8},
  [1466] = {.lex_state = 53, .external_lex_state = 8},
  [1467] = {.lex_state = 48, .external_lex_state = 2},
  [1468] = {.lex_state = 53, .external_lex_state = 8},
  [1469] = {.lex_state = 53, .external_lex_state = 8},
  [1470] = {.lex_state = 53, .external_lex_state = 8},
  [1471] = {.lex_state = 0, .external_lex_state = 8},
  [1472] = {.lex_state = 0, .external_lex_state = 2},
  [1473] = {.lex_state = 0, .external_lex_state = 2},
  [1474] = {.lex_state = 0, .external_lex_state = 8},
  [1475] = {.lex_state = 6, .external_lex_state = 2},
  [1476] = {.lex_state = 0, .external_lex_state = 8},
  [1477] = {.lex_state = 0, .external_lex_state = 8},
  [1478] = {.lex_state = 0, .external_lex_state = 8},
  [1479] = {.lex_state = 6, .external_lex_state = 2},
  [1480] = {.lex_state = 6, .external_lex_state = 2},
  [1481] = {.lex_state = 0, .external_lex_state = 2},
  [1482] = {.lex_state = 5, .external_lex_state = 2},
  [1483] = {.lex_state = 53, .external_lex_state = 8},
  [1484] = {.lex_state = 5, .external_lex_state = 2},
  [1485] = {.lex_state = 0, .external_lex_state = 2},
  [1486] = {.lex_state = 0, .external_lex_state = 8},
  [1487] = {.lex_state = 6, .external_lex_state = 2},
  [1488] = {.lex_state = 6, .external_lex_state = 2},
  [1489] = {.lex_state = 53, .external_lex_state = 2},
  [1490] = {.lex_state = 0, .external_lex_state = 8},
  [1491] = {.lex_state = 0, .external_lex_state = 2},
  [1492] = {.lex_state = 53, .external_lex_state = 8},
  [1493] = {.lex_state = 53, .external_lex_state = 8},
  [1494] = {.lex_state = 54, .external_lex_state = 8},
  [1495] = {.lex_state = 6, .external_lex_state = 2},
  [1496] = {.lex_state = 53, .external_lex_state = 8},
  [1497] = {.lex_state = 5, .external_lex_state = 2},
  [1498] = {.lex_state = 53, .external_lex_state = 2},
  [1499] = {.lex_state = 54, .external_lex_state = 8},
  [1500] = {.lex_state = 54, .external_lex_state = 8},
  [1501] = {.lex_state = 54, .external_lex_state = 8},
  [1502] = {.lex_state = 54, .external_lex_state = 8},
  [1503] = {.lex_state = 5, .external_lex_state = 2},
  [1504] = {.lex_state = 53, .external_lex_state = 2},
  [1505] = {.lex_state = 0, .external_lex_state = 8},
  [1506] = {.lex_state = 0, .external_lex_state = 8},
  [1507] = {.lex_state = 53, .external_lex_state = 2},
  [1508] = {.lex_state = 0, .external_lex_state = 8},
  [1509] = {.lex_state = 0, .external_lex_state = 2},
  [1510] = {.lex_state = 0, .external_lex_state = 8},
  [1511] = {.lex_state = 0, .external_lex_state = 8},
  [1512] = {.lex_state = 0, .external_lex_state = 8},
  [1513] = {.lex_state = 0, .external_lex_state = 2},
  [1514] = {.lex_state = 0, .external_lex_state = 8},
  [1515] = {.lex_state = 0, .external_lex_state = 2},
  [1516] = {.lex_state = 0, .external_lex_state = 8},
  [1517] = {.lex_state = 6, .external_lex_state = 2},
  [1518] = {.lex_state = 6, .external_lex_state = 2},
  [1519] = {.lex_state = 0, .external_lex_state = 8},
  [1520] = {.lex_state = 0, .external_lex_state = 8},
  [1521] = {.lex_state = 0, .external_lex_state = 8},
  [1522] = {.lex_state = 0, .external_lex_state = 8},
  [1523] = {.lex_state = 0, .external_lex_state = 8},
  [1524] = {.lex_state = 0, .external_lex_state = 8},
  [1525] = {.lex_state = 0, .external_lex_state = 8},
  [1526] = {.lex_state = 0, .external_lex_state = 8},
  [1527] = {.lex_state = 0, .external_lex_state = 8},
  [1528] = {.lex_state = 0, .external_lex_state = 8},
  [1529] = {.lex_state = 5, .external_lex_state = 2},
  [1530] = {.lex_state = 0, .external_lex_state = 8},
  [1531] = {.lex_state = 0, .external_lex_state = 8},
  [1532] = {.lex_state = 6, .external_lex_state = 2},
  [1533] = {.lex_state = 0, .external_lex_state = 8},
  [1534] = {.lex_state = 0, .external_lex_state = 2},
  [1535] = {.lex_state = 0, .external_lex_state = 8},
  [1536] = {.lex_state = 0, .external_lex_state = 8},
  [1537] = {.lex_state = 0, .external_lex_state = 8},
  [1538] = {.lex_state = 0, .external_lex_state = 8},
  [1539] = {.lex_state = 0, .external_lex_state = 8},
  [1540] = {.lex_state = 6, .external_lex_state = 2},
  [1541] = {.lex_state = 0, .external_lex_state = 2},
  [1542] = {.lex_state = 0, .external_lex_state = 8},
  [1543] = {.lex_state = 0, .external_lex_state = 8},
  [1544] = {.lex_state = 0, .external_lex_state = 2},
  [1545] = {.lex_state = 0, .external_lex_state = 2},
  [1546] = {.lex_state = 53, .external_lex_state = 8},
  [1547] = {.lex_state = 0, .external_lex_state = 8},
  [1548] = {.lex_state = 6, .external_lex_state = 2},
  [1549] = {.lex_state = 0, .external_lex_state = 8},
  [1550] = {.lex_state = 0, .external_lex_state = 8},
  [1551] = {.lex_state = 53, .external_lex_state = 8},
  [1552] = {.lex_state = 53, .external_lex_state = 8},
  [1553] = {.lex_state = 0, .external_lex_state = 8},
  [1554] = {.lex_state = 0, .external_lex_state = 2},
  [1555] = {.lex_state = 0, .external_lex_state = 8},
  [1556] = {.lex_state = 0, .external_lex_state = 8},
  [1557] = {.lex_state = 0, .external_lex_state = 8},
  [1558] = {.lex_state = 0, .external_lex_state = 8},
  [1559] = {.lex_state = 6, .external_lex_state = 2},
  [1560] = {.lex_state = 6, .external_lex_state = 2},
  [1561] = {.lex_state = 0, .external_lex_state = 8},
  [1562] = {.lex_state = 0, .external_lex_state = 8},
  [1563] = {.lex_state = 0, .external_lex_state = 8},
  [1564] = {.lex_state = 0, .external_lex_state = 8},
  [1565] = {.lex_state = 53, .external_lex_state = 8},
  [1566] = {.lex_state = 0, .external_lex_state = 2},
  [1567] = {.lex_state = 6, .external_lex_state = 2},
  [1568] = {.lex_state = 0, .external_lex_state = 8},
  [1569] = {.lex_state = 0, .external_lex_state = 8},
  [1570] = {.lex_state = 0, .external_lex_state = 8},
  [1571] = {.lex_state = 0, .external_lex_state = 2},
  [1572] = {.lex_state = 0, .external_lex_state = 8},
  [1573] = {.lex_state = 0, .external_lex_state = 8},
  [1574] = {.lex_state = 0, .external_lex_state = 8},
  [1575] = {.lex_state = 53, .external_lex_state = 8},
  [1576] = {.lex_state = 0, .external_lex_state = 8},
  [1577] = {.lex_state = 0, .external_lex_state = 8},
  [1578] = {.lex_state = 0, .external_lex_state = 8},
  [1579] = {.lex_state = 0, .external_lex_state = 2},
  [1580] = {.lex_state = 0, .external_lex_state = 8},
  [1581] = {.lex_state = 0, .external_lex_state = 8},
  [1582] = {.lex_state = 0, .external_lex_state = 8},
  [1583] = {.lex_state = 0, .external_lex_state = 8},
  [1584] = {.lex_state = 0, .external_lex_state = 8},
  [1585] = {.lex_state = 0, .external_lex_state = 8},
  [1586] = {.lex_state = 0, .external_lex_state = 8},
  [1587] = {.lex_state = 0, .external_lex_state = 8},
  [1588] = {.lex_state = 0, .external_lex_state = 2},
  [1589] = {.lex_state = 0, .external_lex_state = 8},
  [1590] = {.lex_state = 0, .external_lex_state = 8},
  [1591] = {.lex_state = 0, .external_lex_state = 8},
  [1592] = {.lex_state = 0, .external_lex_state = 2},
  [1593] = {.lex_state = 0, .external_lex_state = 2},
  [1594] = {.lex_state = 6, .external_lex_state = 2},
  [1595] = {.lex_state = 0, .external_lex_state = 8},
  [1596] = {.lex_state = 0, .external_lex_state = 8},
  [1597] = {.lex_state = 0, .external_lex_state = 8},
  [1598] = {.lex_state = 0, .external_lex_state = 8},
  [1599] = {.lex_state = 0, .external_lex_state = 8},
  [1600] = {.lex_state = 6, .external_lex_state = 2},
  [1601] = {.lex_state = 6, .external_lex_state = 2},
  [1602] = {.lex_state = 6, .external_lex_state = 2},
  [1603] = {.lex_state = 6, .external_lex_state = 2},
  [1604] = {.lex_state = 0, .external_lex_state = 8},
  [1605] = {.lex_state = 0, .external_lex_state = 8},
  [1606] = {.lex_state = 0, .external_lex_state = 8},
  [1607] = {.lex_state = 0, .external_lex_state = 8},
  [1608] = {.lex_state = 0, .external_lex_state = 2},
  [1609] = {.lex_state = 0, .external_lex_state = 2},
  [1610] = {.lex_state = 0, .external_lex_state = 8},
  [1611] = {.lex_state = 0, .external_lex_state = 2},
  [1612] = {.lex_state = 0, .external_lex_state = 2},
  [1613] = {.lex_state = 0, .external_lex_state = 8},
  [1614] = {.lex_state = 0, .external_lex_state = 8},
  [1615] = {.lex_state = 0, .external_lex_state = 2},
  [1616] = {.lex_state = 6, .external_lex_state = 2},
  [1617] = {.lex_state = 6, .external_lex_state = 2},
  [1618] = {.lex_state = 0, .external_lex_state = 8},
  [1619] = {.lex_state = 6, .external_lex_state = 2},
  [1620] = {.lex_state = 6, .external_lex_state = 2},
  [1621] = {.lex_state = 6, .external_lex_state = 2},
  [1622] = {.lex_state = 5, .external_lex_state = 2},
  [1623] = {.lex_state = 0, .external_lex_state = 2},
  [1624] = {.lex_state = 54, .external_lex_state = 8},
  [1625] = {.lex_state = 0, .external_lex_state = 8},
  [1626] = {.lex_state = 0, .external_lex_state = 2},
  [1627] = {.lex_state = 0, .external_lex_state = 2},
  [1628] = {.lex_state = 0, .external_lex_state = 8},
  [1629] = {.lex_state = 0, .external_lex_state = 8},
  [1630] = {.lex_state = 0, .external_lex_state = 8},
  [1631] = {.lex_state = 0, .external_lex_state = 2},
  [1632] = {.lex_state = 0, .external_lex_state = 8},
  [1633] = {.lex_state = 6, .external_lex_state = 2},
  [1634] = {.lex_state = 6, .external_lex_state = 2},
  [1635] = {.lex_state = 6, .external_lex_state = 2},
  [1636] = {.lex_state = 5, .external_lex_state = 2},
  [1637] = {.lex_state = 0, .external_lex_state = 8},
  [1638] = {.lex_state = 0, .external_lex_state = 8},
  [1639] = {.lex_state = 0, .external_lex_state = 8},
  [1640] = {.lex_state = 0, .external_lex_state = 8},
  [1641] = {.lex_state = 0, .external_lex_state = 8},
  [1642] = {.lex_state = 0, .external_lex_state = 8},
  [1643] = {.lex_state = 6, .external_lex_state = 2},
  [1644] = {.lex_state = 0, .external_lex_state = 8},
  [1645] = {.lex_state = 6, .external_lex_state = 2},
  [1646] = {.lex_state = 0, .external_lex_state = 2},
  [1647] = {.lex_state = 0, .external_lex_state = 2},
  [1648] = {.lex_state = 6, .external_lex_state = 2},
  [1649] = {.lex_state = 0, .external_lex_state = 8},
  [1650] = {.lex_state = 0, .external_lex_state = 8},
  [1651] = {.lex_state = 0, .external_lex_state = 8},
  [1652] = {.lex_state = 6, .external_lex_state = 2},
  [1653] = {.lex_state = 0, .external_lex_state = 8},
  [1654] = {.lex_state = 0, .external_lex_state = 8},
  [1655] = {.lex_state = 0, .external_lex_state = 8},
  [1656] = {.lex_state = 0, .external_lex_state = 8},
  [1657] = {.lex_state = 0, .external_lex_state = 8},
  [1658] = {.lex_state = 0, .external_lex_state = 2},
  [1659] = {.lex_state = 5, .external_lex_state = 2},
  [1660] = {.lex_state = 0, .external_lex_state = 8},
  [1661] = {.lex_state = 0, .external_lex_state = 8},
  [1662] = {.lex_state = 6, .external_lex_state = 2},
  [1663] = {.lex_state = 0, .external_lex_state = 8},
  [1664] = {.lex_state = 0, .external_lex_state = 8},
  [1665] = {.lex_state = 0, .external_lex_state = 2},
  [1666] = {.lex_state = 0, .external_lex_state = 8},
  [1667] = {.lex_state = 54, .external_lex_state = 8},
  [1668] = {.lex_state = 0, .external_lex_state = 8},
  [1669] = {.lex_state = 0, .external_lex_state = 2},
  [1670] = {.lex_state = 0, .external_lex_state = 2},
  [1671] = {.lex_state = 0, .external_lex_state = 8},
  [1672] = {.lex_state = 0, .external_lex_state = 8},
  [1673] = {.lex_state = 0, .external_lex_state = 8},
  [1674] = {.lex_state = 0, .external_lex_state = 8},
  [1675] = {.lex_state = 0, .external_lex_state = 8},
  [1676] = {.lex_state = 0, .external_lex_state = 8},
  [1677] = {.lex_state = 0, .external_lex_state = 8},
  [1678] = {.lex_state = 0, .external_lex_state = 8},
  [1679] = {.lex_state = 0, .external_lex_state = 2},
  [1680] = {.lex_state = 5, .external_lex_state = 2},
  [1681] = {.lex_state = 0, .external_lex_state = 2},
  [1682] = {.lex_state = 0, .external_lex_state = 8},
  [1683] = {.lex_state = 0, .external_lex_state = 8},
  [1684] = {.lex_state = 0, .external_lex_state = 8},
  [1685] = {.lex_state = 0, .external_lex_state = 8},
  [1686] = {.lex_state = 0, .external_lex_state = 2},
  [1687] = {.lex_state = 0, .external_lex_state = 8},
  [1688] = {.lex_state = 0, .external_lex_state = 8},
  [1689] = {.lex_state = 0, .external_lex_state = 8},
  [1690] = {.lex_state = 0, .external_lex_state = 8},
  [1691] = {.lex_state = 0, .external_lex_state = 8},
  [1692] = {.lex_state = 0, .external_lex_state = 8},
  [1693] = {.lex_state = 0, .external_lex_state = 8},
  [1694] = {.lex_state = 0, .external_lex_state = 8},
  [1695] = {.lex_state = 0, .external_lex_state = 8},
  [1696] = {.lex_state = 0, .external_lex_state = 2},
  [1697] = {.lex_state = 0, .external_lex_state = 2},
  [1698] = {.lex_state = 0, .external_lex_state = 8},
  [1699] = {.lex_state = 0, .external_lex_state = 8},
  [1700] = {.lex_state = 0, .external_lex_state = 2},
  [1701] = {.lex_state = 6, .external_lex_state = 2},
  [1702] = {.lex_state = 6, .external_lex_state = 2},
  [1703] = {.lex_state = 0, .external_lex_state = 8},
  [1704] = {.lex_state = 0, .external_lex_state = 8},
  [1705] = {.lex_state = 0, .external_lex_state = 8},
  [1706] = {.lex_state = 0, .external_lex_state = 8},
  [1707] = {.lex_state = 6, .external_lex_state = 2},
  [1708] = {.lex_state = 0, .external_lex_state = 2},
  [1709] = {.lex_state = 0, .external_lex_state = 2},
  [1710] = {.lex_state = 0, .external_lex_state = 8},
  [1711] = {.lex_state = 6, .external_lex_state = 2},
  [1712] = {.lex_state = 0, .external_lex_state = 2},
  [1713] = {.lex_state = 6, .external_lex_state = 2},
  [1714] = {.lex_state = 0, .external_lex_state = 8},
  [1715] = {.lex_state = 0, .external_lex_state = 8},
  [1716] = {.lex_state = 0, .external_lex_state = 8},
  [1717] = {.lex_state = 0, .external_lex_state = 2},
  [1718] = {.lex_state = 0, .external_lex_state = 2},
  [1719] = {.lex_state = 0, .external_lex_state = 8},
  [1720] = {.lex_state = 5, .external_lex_state = 2},
  [1721] = {.lex_state = 0, .external_lex_state = 8},
  [1722] = {.lex_state = 0, .external_lex_state = 8},
  [1723] = {.lex_state = 0, .external_lex_state = 8},
  [1724] = {.lex_state = 0, .external_lex_state = 8},
  [1725] = {.lex_state = 5, .external_lex_state = 2},
  [1726] = {.lex_state = 0, .external_lex_state = 2},
  [1727] = {.lex_state = 0, .external_lex_state = 8},
  [1728] = {.lex_state = 0, .external_lex_state = 8},
  [1729] = {.lex_state = 53, .external_lex_state = 2},
  [1730] = {.lex_state = 0, .external_lex_state = 2},
  [1731] = {.lex_state = 0, .external_lex_state = 2},
  [1732] = {.lex_state = 0, .external_lex_state = 2},
  [1733] = {.lex_state = 0, .external_lex_state = 2},
  [1734] = {.lex_state = 0, .external_lex_state = 8},
  [1735] = {.lex_state = 0, .external_lex_state = 8},
  [1736] = {.lex_state = 0, .external_lex_state = 2},
  [1737] = {.lex_state = 0, .external_lex_state = 8},
  [1738] = {.lex_state = 0, .external_lex_state = 8},
  [1739] = {.lex_state = 5, .external_lex_state = 2},
  [1740] = {.lex_state = 0, .external_lex_state = 2},
  [1741] = {.lex_state = 0, .external_lex_state = 8},
  [1742] = {.lex_state = 0, .external_lex_state = 8},
  [1743] = {.lex_state = 6, .external_lex_state = 2},
  [1744] = {.lex_state = 0, .external_lex_state = 8},
  [1745] = {.lex_state = 6, .external_lex_state = 2},
  [1746] = {.lex_state = 0, .external_lex_state = 8},
  [1747] = {.lex_state = 0, .external_lex_state = 2},
  [1748] = {.lex_state = 0, .external_lex_state = 8},
  [1749] = {.lex_state = 0, .external_lex_state = 8},
  [1750] = {.lex_state = 0, .external_lex_state = 8},
  [1751] = {.lex_state = 0, .external_lex_state = 8},
  [1752] = {.lex_state = 6, .external_lex_state = 2},
  [1753] = {.lex_state = 0, .external_lex_state = 8},
  [1754] = {.lex_state = 0, .external_lex_state = 8},
  [1755] = {.lex_state = 6, .external_lex_state = 2},
  [1756] = {.lex_state = 0, .external_lex_state = 2},
  [1757] = {.lex_state = 0, .external_lex_state = 2},
  [1758] = {.lex_state = 0, .external_lex_state = 8},
  [1759] = {.lex_state = 0, .external_lex_state = 8},
  [1760] = {.lex_state = 6, .external_lex_state = 2},
  [1761] = {.lex_state = 6, .external_lex_state = 2},
  [1762] = {.lex_state = 0, .external_lex_state = 8},
  [1763] = {.lex_state = 0, .external_lex_state = 2},
  [1764] = {.lex_state = 0, .external_lex_state = 8},
  [1765] = {.lex_state = 0, .external_lex_state = 8},
  [1766] = {.lex_state = 0, .external_lex_state = 2},
  [1767] = {.lex_state = 0, .external_lex_state = 2},
  [1768] = {.lex_state = 0, .external_lex_state = 8},
  [1769] = {.lex_state = 0, .external_lex_state = 8},
  [1770] = {.lex_state = 0, .external_lex_state = 2},
  [1771] = {.lex_state = 0, .external_lex_state = 2},
  [1772] = {.lex_state = 0, .external_lex_state = 2},
  [1773] = {.lex_state = 0, .external_lex_state = 2},
  [1774] = {.lex_state = 0, .external_lex_state = 8},
  [1775] = {.lex_state = 0, .external_lex_state = 2},
  [1776] = {.lex_state = 0, .external_lex_state = 8},
  [1777] = {.lex_state = 0, .external_lex_state = 8},
  [1778] = {.lex_state = 0, .external_lex_state = 8},
  [1779] = {.lex_state = 5, .external_lex_state = 2},
  [1780] = {.lex_state = 0, .external_lex_state = 2},
  [1781] = {.lex_state = 0, .external_lex_state = 8},
  [1782] = {.lex_state = 0, .external_lex_state = 8},
  [1783] = {.lex_state = 0, .external_lex_state = 8},
  [1784] = {.lex_state = 0, .external_lex_state = 8},
  [1785] = {.lex_state = 0, .external_lex_state = 2},
  [1786] = {.lex_state = 6, .external_lex_state = 2},
  [1787] = {.lex_state = 54, .external_lex_state = 8},
  [1788] = {.lex_state = 0, .external_lex_state = 8},
  [1789] = {.lex_state = 0, .external_lex_state = 8},
  [1790] = {.lex_state = 0, .external_lex_state = 2},
  [1791] = {.lex_state = 0, .external_lex_state = 8},
  [1792] = {.lex_state = 0, .external_lex_state = 8},
  [1793] = {.lex_state = 0, .external_lex_state = 8},
  [1794] = {.lex_state = 0, .external_lex_state = 2},
  [1795] = {.lex_state = 0, .external_lex_state = 8},
  [1796] = {.lex_state = 5, .external_lex_state = 2},
  [1797] = {.lex_state = 0, .external_lex_state = 8},
  [1798] = {.lex_state = 53, .external_lex_state = 2},
  [1799] = {.lex_state = 0, .external_lex_state = 2},
  [1800] = {.lex_state = 0, .external_lex_state = 8},
  [1801] = {.lex_state = 0, .external_lex_state = 2},
  [1802] = {.lex_state = 0, .external_lex_state = 2},
  [1803] = {.lex_state = 0, .external_lex_state = 2},
  [1804] = {.lex_state = 0, .external_lex_state = 2},
  [1805] = {.lex_state = 0, .external_lex_state = 8},
  [1806] = {.lex_state = 0, .external_lex_state = 2},
  [1807] = {.lex_state = 0, .external_lex_state = 8},
  [1808] = {.lex_state = 0, .external_lex_state = 8},
  [1809] = {.lex_state = 0, .external_lex_state = 8},
  [1810] = {.lex_state = 0, .external_lex_state = 8},
  [1811] = {.lex_state = 0, .external_lex_state = 8},
  [1812] = {.lex_state = 0, .external_lex_state = 8},
  [1813] = {.lex_state = 0, .external_lex_state = 8},
  [1814] = {.lex_state = 6, .external_lex_state = 2},
  [1815] = {.lex_state = 0, .external_lex_state = 8},
  [1816] = {.lex_state = 0, .external_lex_state = 8},
  [1817] = {.lex_state = 0, .external_lex_state = 8},
  [1818] = {.lex_state = 6, .external_lex_state = 2},
  [1819] = {.lex_state = 0, .external_lex_state = 8},
  [1820] = {.lex_state = 5, .external_lex_state = 2},
  [1821] = {.lex_state = 6, .external_lex_state = 2},
  [1822] = {.lex_state = 0, .external_lex_state = 8},
  [1823] = {.lex_state = 6, .external_lex_state = 2},
  [1824] = {.lex_state = 0, .external_lex_state = 8},
  [1825] = {.lex_state = 0, .external_lex_state = 8},
  [1826] = {.lex_state = 0, .external_lex_state = 8},
  [1827] = {.lex_state = 0, .external_lex_state = 8},
  [1828] = {.lex_state = 0, .external_lex_state = 2},
  [1829] = {.lex_state = 54, .external_lex_state = 8},
  [1830] = {.lex_state = 0, .external_lex_state = 8},
  [1831] = {.lex_state = 0, .external_lex_state = 8},
  [1832] = {.lex_state = 0, .external_lex_state = 8},
  [1833] = {.lex_state = 53, .external_lex_state = 2},
  [1834] = {.lex_state = 0, .external_lex_state = 8},
  [1835] = {.lex_state = 0, .external_lex_state = 8},
  [1836] = {.lex_state = 0, .external_lex_state = 8},
  [1837] = {.lex_state = 6, .external_lex_state = 2},
  [1838] = {.lex_state = 6, .external_lex_state = 2},
  [1839] = {.lex_state = 0, .external_lex_state = 8},
  [1840] = {.lex_state = 6, .external_lex_state = 2},
  [1841] = {.lex_state = 0, .external_lex_state = 8},
  [1842] = {.lex_state = 0, .external_lex_state = 8},
  [1843] = {.lex_state = 0, .external_lex_state = 8},
  [1844] = {.lex_state = 5, .external_lex_state = 2},
  [1845] = {.lex_state = 5, .external_lex_state = 2},
  [1846] = {.lex_state = 0, .external_lex_state = 2},
  [1847] = {.lex_state = 6, .external_lex_state = 2},
  [1848] = {.lex_state = 0, .external_lex_state = 2},
  [1849] = {.lex_state = 6, .external_lex_state = 2},
  [1850] = {.lex_state = 6, .external_lex_state = 2},
  [1851] = {.lex_state = 6, .external_lex_state = 2},
  [1852] = {.lex_state = 6, .external_lex_state = 2},
  [1853] = {.lex_state = 53, .external_lex_state = 2},
  [1854] = {.lex_state = 5, .external_lex_state = 2},
  [1855] = {.lex_state = 54, .external_lex_state = 8},
  [1856] = {.lex_state = 54, .external_lex_state = 8},
  [1857] = {.lex_state = 6, .external_lex_state = 2},
  [1858] = {.lex_state = 0, .external_lex_state = 2},
  [1859] = {.lex_state = 53, .external_lex_state = 2},
  [1860] = {.lex_state = 6, .external_lex_state = 2},
  [1861] = {.lex_state = 54, .external_lex_state = 8},
  [1862] = {.lex_state = 6, .external_lex_state = 2},
  [1863] = {.lex_state = 0, .external_lex_state = 8},
  [1864] = {.lex_state = 0, .external_lex_state = 8},
  [1865] = {.lex_state = 5, .external_lex_state = 2},
  [1866] = {.lex_state = 0, .external_lex_state = 8},
  [1867] = {.lex_state = 0, .external_lex_state = 8},
  [1868] = {.lex_state = 0, .external_lex_state = 8},
  [1869] = {.lex_state = 0, .external_lex_state = 8},
  [1870] = {.lex_state = 0, .external_lex_state = 8},
  [1871] = {.lex_state = 0, .external_lex_state = 8},
  [1872] = {.lex_state = 0, .external_lex_state = 8},
  [1873] = {.lex_state = 0, .external_lex_state = 8},
  [1874] = {.lex_state = 0, .external_lex_state = 8},
  [1875] = {.lex_state = 53, .external_lex_state = 2},
  [1876] = {.lex_state = 0, .external_lex_state = 2},
  [1877] = {.lex_state = 0, .external_lex_state = 2},
  [1878] = {.lex_state = 0, .external_lex_state = 8},
  [1879] = {.lex_state = 53, .external_lex_state = 2},
  [1880] = {.lex_state = 0, .external_lex_state = 2},
  [1881] = {.lex_state = 54, .external_lex_state = 2},
  [1882] = {.lex_state = 0, .external_lex_state = 2},
  [1883] = {.lex_state = 0, .external_lex_state = 8},
  [1884] = {.lex_state = 0, .external_lex_state = 2},
  [1885] = {.lex_state = 0, .external_lex_state = 2},
  [1886] = {.lex_state = 0, .external_lex_state = 2},
  [1887] = {.lex_state = 0, .external_lex_state = 2},
  [1888] = {.lex_state = 0, .external_lex_state = 2},
  [1889] = {.lex_state = 0, .external_lex_state = 2},
  [1890] = {.lex_state = 54, .external_lex_state = 2},
  [1891] = {.lex_state = 0, .external_lex_state = 2},
  [1892] = {.lex_state = 0, .external_lex_state = 2},
  [1893] = {.lex_state = 0, .external_lex_state = 8},
  [1894] = {.lex_state = 0, .external_lex_state = 2},
  [1895] = {.lex_state = 0, .external_lex_state = 2},
  [1896] = {.lex_state = 0, .external_lex_state = 2},
  [1897] = {.lex_state = 6, .external_lex_state = 2},
  [1898] = {.lex_state = 54, .external_lex_state = 2},
  [1899] = {.lex_state = 0, .external_lex_state = 2},
  [1900] = {.lex_state = 6, .external_lex_state = 2},
  [1901] = {.lex_state = 0, .external_lex_state = 2},
  [1902] = {.lex_state = 0, .external_lex_state = 2},
  [1903] = {.lex_state = 53, .external_lex_state = 2},
  [1904] = {.lex_state = 54, .external_lex_state = 2},
  [1905] = {.lex_state = 54, .external_lex_state = 2},
  [1906] = {.lex_state = 54, .external_lex_state = 2},
  [1907] = {.lex_state = 6, .external_lex_state = 2},
  [1908] = {.lex_state = 0, .external_lex_state = 2},
  [1909] = {.lex_state = 0, .external_lex_state = 2},
  [1910] = {.lex_state = 0, .external_lex_state = 2},
  [1911] = {.lex_state = 0, .external_lex_state = 2},
  [1912] = {.lex_state = 53, .external_lex_state = 2},
  [1913] = {.lex_state = 54, .external_lex_state = 2},
  [1914] = {.lex_state = 53, .external_lex_state = 2},
  [1915] = {.lex_state = 0, .external_lex_state = 2},
  [1916] = {.lex_state = 54, .external_lex_state = 2},
  [1917] = {.lex_state = 0, .external_lex_state = 2},
  [1918] = {.lex_state = 0, .external_lex_state = 2},
  [1919] = {.lex_state = 0, .external_lex_state = 2},
  [1920] = {.lex_state = 0, .external_lex_state = 2},
  [1921] = {.lex_state = 0, .external_lex_state = 2},
  [1922] = {.lex_state = 0, .external_lex_state = 2},
  [1923] = {.lex_state = 0, .external_lex_state = 2},
  [1924] = {.lex_state = 0, .external_lex_state = 2},
  [1925] = {.lex_state = 53, .external_lex_state = 2},
  [1926] = {.lex_state = 54, .external_lex_state = 2},
  [1927] = {.lex_state = 0, .external_lex_state = 2},
  [1928] = {.lex_state = 0, .external_lex_state = 2},
  [1929] = {.lex_state = 0, .external_lex_state = 2},
  [1930] = {.lex_state = 0, .external_lex_state = 2},
  [1931] = {.lex_state = 0, .external_lex_state = 2},
  [1932] = {.lex_state = 0, .external_lex_state = 8},
  [1933] = {.lex_state = 0, .external_lex_state = 2},
  [1934] = {.lex_state = 0, .external_lex_state = 8},
  [1935] = {.lex_state = 0, .external_lex_state = 8},
  [1936] = {.lex_state = 0, .external_lex_state = 2},
  [1937] = {.lex_state = 0, .external_lex_state = 8},
  [1938] = {.lex_state = 0, .external_lex_state = 2},
  [1939] = {.lex_state = 0, .external_lex_state = 2},
  [1940] = {.lex_state = 54, .external_lex_state = 2},
  [1941] = {.lex_state = 0, .external_lex_state = 8},
  [1942] = {.lex_state = 53, .external_lex_state = 2},
  [1943] = {.lex_state = 0, .external_lex_state = 2},
  [1944] = {.lex_state = 54, .external_lex_state = 2},
  [1945] = {.lex_state = 0, .external_lex_state = 8},
  [1946] = {.lex_state = 0, .external_lex_state = 8},
  [1947] = {.lex_state = 0, .external_lex_state = 2},
  [1948] = {.lex_state = 0, .external_lex_state = 2},
  [1949] = {.lex_state = 0, .external_lex_state = 2},
  [1950] = {.lex_state = 0, .external_lex_state = 8},
  [1951] = {.lex_state = 54, .external_lex_state = 2},
  [1952] = {.lex_state = 0, .external_lex_state = 2},
  [1953] = {.lex_state = 0, .external_lex_state = 2},
  [1954] = {.lex_state = 0, .external_lex_state = 2},
  [1955] = {.lex_state = 0, .external_lex_state = 2},
  [1956] = {.lex_state = 0, .external_lex_state = 2},
  [1957] = {.lex_state = 53, .external_lex_state = 2},
  [1958] = {.lex_state = 53, .external_lex_state = 2},
  [1959] = {.lex_state = 0, .external_lex_state = 2},
  [1960] = {.lex_state = 54, .external_lex_state = 2},
  [1961] = {.lex_state = 0, .external_lex_state = 8},
  [1962] = {.lex_state = 54, .external_lex_state = 2},
  [1963] = {.lex_state = 0, .external_lex_state = 2},
  [1964] = {.lex_state = 53, .external_lex_state = 2},
  [1965] = {.lex_state = 53, .external_lex_state = 2},
  [1966] = {.lex_state = 0, .external_lex_state = 8},
  [1967] = {.lex_state = 54, .external_lex_state = 2},
  [1968] = {.lex_state = 53, .external_lex_state = 2},
  [1969] = {.lex_state = 0, .external_lex_state = 2},
  [1970] = {.lex_state = 0, .external_lex_state = 8},
  [1971] = {.lex_state = 0, .external_lex_state = 2},
  [1972] = {.lex_state = 0, .external_lex_state = 2},
  [1973] = {.lex_state = 0, .external_lex_state = 2},
  [1974] = {.lex_state = 54, .external_lex_state = 2},
  [1975] = {.lex_state = 53, .external_lex_state = 2},
  [1976] = {.lex_state = 0, .external_lex_state = 2},
  [1977] = {.lex_state = 54, .external_lex_state = 2},
  [1978] = {.lex_state = 0, .external_lex_state = 2},
  [1979] = {.lex_state = 53, .external_lex_state = 2},
  [1980] = {.lex_state = 0, .external_lex_state = 2},
  [1981] = {.lex_state = 54, .external_lex_state = 2},
  [1982] = {.lex_state = 0, .external_lex_state = 8},
  [1983] = {.lex_state = 53, .external_lex_state = 2},
  [1984] = {.lex_state = 0, .external_lex_state = 2},
  [1985] = {.lex_state = 53, .external_lex_state = 2},
  [1986] = {.lex_state = 0, .external_lex_state = 8},
  [1987] = {.lex_state = 0, .external_lex_state = 8},
  [1988] = {.lex_state = 53, .external_lex_state = 2},
  [1989] = {.lex_state = 0, .external_lex_state = 8},
  [1990] = {.lex_state = 0, .external_lex_state = 2},
  [1991] = {.lex_state = 0, .external_lex_state = 2},
  [1992] = {.lex_state = 0, .external_lex_state = 2},
  [1993] = {.lex_state = 0, .external_lex_state = 8},
  [1994] = {.lex_state = 0, .external_lex_state = 8},
  [1995] = {.lex_state = 0, .external_lex_state = 8},
  [1996] = {.lex_state = 0, .external_lex_state = 8},
  [1997] = {.lex_state = 0, .external_lex_state = 2},
  [1998] = {.lex_state = 0, .external_lex_state = 2},
  [1999] = {.lex_state = 0, .external_lex_state = 2},
  [2000] = {.lex_state = 0, .external_lex_state = 2},
  [2001] = {.lex_state = 0, .external_lex_state = 8},
  [2002] = {.lex_state = 53, .external_lex_state = 2},
  [2003] = {.lex_state = 0, .external_lex_state = 8},
  [2004] = {.lex_state = 53, .external_lex_state = 2},
  [2005] = {.lex_state = 53, .external_lex_state = 2},
  [2006] = {.lex_state = 0, .external_lex_state = 8},
  [2007] = {.lex_state = 0, .external_lex_state = 8},
  [2008] = {.lex_state = 53, .external_lex_state = 2},
  [2009] = {.lex_state = 0, .external_lex_state = 8},
  [2010] = {.lex_state = 53, .external_lex_state = 2},
  [2011] = {.lex_state = 53, .external_lex_state = 2},
  [2012] = {.lex_state = 53, .external_lex_state = 2},
  [2013] = {.lex_state = 53, .external_lex_state = 2},
  [2014] = {.lex_state = 0, .external_lex_state = 2},
  [2015] = {.lex_state = 53, .external_lex_state = 2},
  [2016] = {.lex_state = 0, .external_lex_state = 2},
  [2017] = {.lex_state = 0, .external_lex_state = 8},
  [2018] = {.lex_state = 0, .external_lex_state = 2},
  [2019] = {.lex_state = 0, .external_lex_state = 2},
  [2020] = {.lex_state = 0, .external_lex_state = 2},
  [2021] = {.lex_state = 0, .external_lex_state = 2},
  [2022] = {.lex_state = 0, .external_lex_state = 2},
  [2023] = {.lex_state = 0, .external_lex_state = 2},
  [2024] = {.lex_state = 0, .external_lex_state = 8},
  [2025] = {.lex_state = 0, .external_lex_state = 8},
  [2026] = {.lex_state = 0, .external_lex_state = 2},
  [2027] = {.lex_state = 0, .external_lex_state = 2},
  [2028] = {.lex_state = 0, .external_lex_state = 8},
  [2029] = {.lex_state = 0, .external_lex_state = 2},
  [2030] = {.lex_state = 0, .external_lex_state = 2},
  [2031] = {.lex_state = 0, .external_lex_state = 2},
  [2032] = {.lex_state = 0, .external_lex_state = 2},
  [2033] = {.lex_state = 53, .external_lex_state = 2},
  [2034] = {.lex_state = 0, .external_lex_state = 2},
  [2035] = {.lex_state = 0, .external_lex_state = 8},
  [2036] = {.lex_state = 0, .external_lex_state = 2},
  [2037] = {.lex_state = 0, .external_lex_state = 2},
  [2038] = {.lex_state = 0, .external_lex_state = 2},
  [2039] = {.lex_state = 0, .external_lex_state = 8},
  [2040] = {.lex_state = 0, .external_lex_state = 2},
  [2041] = {.lex_state = 0, .external_lex_state = 8},
  [2042] = {.lex_state = 0, .external_lex_state = 8},
  [2043] = {.lex_state = 0, .external_lex_state = 2},
  [2044] = {.lex_state = 0, .external_lex_state = 2},
  [2045] = {.lex_state = 53, .external_lex_state = 2},
  [2046] = {.lex_state = 0, .external_lex_state = 8},
  [2047] = {.lex_state = 0, .external_lex_state = 2},
  [2048] = {.lex_state = 0, .external_lex_state = 2},
  [2049] = {.lex_state = 0, .external_lex_state = 2},
  [2050] = {.lex_state = 0, .external_lex_state = 2},
  [2051] = {.lex_state = 0, .external_lex_state = 2},
  [2052] = {.lex_state = 0, .external_lex_state = 2},
  [2053] = {.lex_state = 0, .external_lex_state = 8},
  [2054] = {.lex_state = 0, .external_lex_state = 2},
  [2055] = {.lex_state = 0, .external_lex_state = 2},
  [2056] = {.lex_state = 0, .external_lex_state = 8},
  [2057] = {.lex_state = 0, .external_lex_state = 2},
  [2058] = {.lex_state = 0, .external_lex_state = 2},
  [2059] = {.lex_state = 0, .external_lex_state = 2},
  [2060] = {.lex_state = 0, .external_lex_state = 8},
  [2061] = {.lex_state = 0, .external_lex_state = 2},
  [2062] = {.lex_state = 0, .external_lex_state = 8},
  [2063] = {.lex_state = 0, .external_lex_state = 8},
  [2064] = {.lex_state = 53, .external_lex_state = 2},
  [2065] = {.lex_state = 0, .external_lex_state = 8},
  [2066] = {.lex_state = 0, .external_lex_state = 2},
  [2067] = {.lex_state = 0, .external_lex_state = 8},
  [2068] = {.lex_state = 0, .external_lex_state = 8},
  [2069] = {.lex_state = 0, .external_lex_state = 2},
  [2070] = {.lex_state = 0, .external_lex_state = 2},
  [2071] = {.lex_state = 53, .external_lex_state = 2},
  [2072] = {.lex_state = 0, .external_lex_state = 8},
  [2073] = {.lex_state = 53, .external_lex_state = 2},
  [2074] = {.lex_state = 0, .external_lex_state = 2},
  [2075] = {.lex_state = 0, .external_lex_state = 8},
  [2076] = {.lex_state = 0, .external_lex_state = 2},
  [2077] = {.lex_state = 0, .external_lex_state = 2},
  [2078] = {.lex_state = 0, .external_lex_state = 2},
  [2079] = {.lex_state = 0, .external_lex_state = 8},
  [2080] = {.lex_state = 0, .external_lex_state = 8},
  [2081] = {.lex_state = 0, .external_lex_state = 2},
  [2082] = {.lex_state = 0, .external_lex_state = 8},
  [2083] = {.lex_state = 0, .external_lex_state = 2},
  [2084] = {.lex_state = 0, .external_lex_state = 2},
  [2085] = {.lex_state = 0, .external_lex_state = 8},
  [2086] = {.lex_state = 0, .external_lex_state = 2},
  [2087] = {.lex_state = 0, .external_lex_state = 2},
  [2088] = {.lex_state = 0, .external_lex_state = 2},
  [2089] = {.lex_state = 53, .external_lex_state = 2},
  [2090] = {.lex_state = 0, .external_lex_state = 2},
  [2091] = {.lex_state = 0, .external_lex_state = 2},
  [2092] = {.lex_state = 53, .external_lex_state = 2},
  [2093] = {.lex_state = 0, .external_lex_state = 2},
  [2094] = {.lex_state = 0, .external_lex_state = 8},
  [2095] = {.lex_state = 0, .external_lex_state = 2},
  [2096] = {.lex_state = 0, .external_lex_state = 2},
  [2097] = {.lex_state = 0, .external_lex_state = 8},
  [2098] = {.lex_state = 0, .external_lex_state = 2},
  [2099] = {.lex_state = 0, .external_lex_state = 8},
  [2100] = {.lex_state = 0, .external_lex_state = 2},
  [2101] = {.lex_state = 0, .external_lex_state = 2},
  [2102] = {.lex_state = 0, .external_lex_state = 2},
  [2103] = {.lex_state = 0, .external_lex_state = 2},
  [2104] = {.lex_state = 0, .external_lex_state = 8},
  [2105] = {.lex_state = 0, .external_lex_state = 8},
  [2106] = {.lex_state = 0, .external_lex_state = 2},
  [2107] = {.lex_state = 0, .external_lex_state = 2},
  [2108] = {.lex_state = 0, .external_lex_state = 2},
  [2109] = {.lex_state = 0, .external_lex_state = 2},
  [2110] = {.lex_state = 0, .external_lex_state = 2},
  [2111] = {.lex_state = 0, .external_lex_state = 2},
  [2112] = {.lex_state = 0, .external_lex_state = 8},
  [2113] = {.lex_state = 0, .external_lex_state = 2},
  [2114] = {.lex_state = 0, .external_lex_state = 8},
  [2115] = {.lex_state = 0, .external_lex_state = 2},
  [2116] = {.lex_state = 0, .external_lex_state = 8},
  [2117] = {.lex_state = 0, .external_lex_state = 2},
  [2118] = {.lex_state = 0, .external_lex_state = 8},
  [2119] = {.lex_state = 0, .external_lex_state = 2},
  [2120] = {.lex_state = 0, .external_lex_state = 2},
  [2121] = {.lex_state = 53, .external_lex_state = 2},
  [2122] = {.lex_state = 0, .external_lex_state = 2},
  [2123] = {.lex_state = 0, .external_lex_state = 9},
  [2124] = {.lex_state = 0, .external_lex_state = 2},
  [2125] = {.lex_state = 0, .external_lex_state = 2},
  [2126] = {.lex_state = 0, .external_lex_state = 2},
  [2127] = {.lex_state = 0, .external_lex_state = 8},
  [2128] = {.lex_state = 0, .external_lex_state = 2},
  [2129] = {.lex_state = 0, .external_lex_state = 8},
  [2130] = {.lex_state = 0, .external_lex_state = 8},
  [2131] = {.lex_state = 53, .external_lex_state = 2},
  [2132] = {.lex_state = 0, .external_lex_state = 2},
  [2133] = {.lex_state = 0, .external_lex_state = 2},
  [2134] = {.lex_state = 0, .external_lex_state = 2},
  [2135] = {.lex_state = 53, .external_lex_state = 2},
  [2136] = {.lex_state = 0, .external_lex_state = 8},
  [2137] = {.lex_state = 0, .external_lex_state = 2},
  [2138] = {.lex_state = 0, .external_lex_state = 8},
  [2139] = {.lex_state = 0, .external_lex_state = 2},
  [2140] = {.lex_state = 0, .external_lex_state = 2},
  [2141] = {.lex_state = 0, .external_lex_state = 8},
  [2142] = {.lex_state = 0, .external_lex_state = 2},
  [2143] = {.lex_state = 0, .external_lex_state = 2},
  [2144] = {.lex_state = 0, .external_lex_state = 2},
  [2145] = {.lex_state = 0, .external_lex_state = 2},
  [2146] = {.lex_state = 0, .external_lex_state = 2},
  [2147] = {.lex_state = 0, .external_lex_state = 2},
  [2148] = {.lex_state = 0, .external_lex_state = 2},
  [2149] = {.lex_state = 0, .external_lex_state = 2},
  [2150] = {.lex_state = 0, .external_lex_state = 2},
  [2151] = {.lex_state = 0, .external_lex_state = 2},
  [2152] = {.lex_state = 0, .external_lex_state = 2},
  [2153] = {.lex_state = 0, .external_lex_state = 2},
  [2154] = {.lex_state = 0, .external_lex_state = 2},
  [2155] = {.lex_state = 0, .external_lex_state = 2},
  [2156] = {.lex_state = 0, .external_lex_state = 2},
  [2157] = {.lex_state = 0, .external_lex_state = 2},
  [2158] = {.lex_state = 0, .external_lex_state = 2},
  [2159] = {.lex_state = 0, .external_lex_state = 2},
  [2160] = {.lex_state = 0, .external_lex_state = 2},
  [2161] = {.lex_state = 0, .external_lex_state = 2},
  [2162] = {.lex_state = 0, .external_lex_state = 8},
  [2163] = {.lex_state = 0, .external_lex_state = 2},
  [2164] = {.lex_state = 53, .external_lex_state = 2},
  [2165] = {.lex_state = 0, .external_lex_state = 8},
  [2166] = {.lex_state = 0, .external_lex_state = 8},
  [2167] = {.lex_state = 0, .external_lex_state = 2},
  [2168] = {.lex_state = 0, .external_lex_state = 2},
  [2169] = {.lex_state = 0, .external_lex_state = 2},
  [2170] = {.lex_state = 0, .external_lex_state = 2},
  [2171] = {.lex_state = 5, .external_lex_state = 2},
  [2172] = {.lex_state = 0, .external_lex_state = 2},
  [2173] = {.lex_state = 0, .external_lex_state = 8},
  [2174] = {.lex_state = 0, .external_lex_state = 2},
  [2175] = {.lex_state = 0, .external_lex_state = 8},
  [2176] = {.lex_state = 0, .external_lex_state = 8},
  [2177] = {.lex_state = 0, .external_lex_state = 2},
  [2178] = {.lex_state = 0, .external_lex_state = 2},
  [2179] = {.lex_state = 0, .external_lex_state = 2},
  [2180] = {.lex_state = 0, .external_lex_state = 2},
  [2181] = {.lex_state = 0, .external_lex_state = 2},
  [2182] = {.lex_state = 0, .external_lex_state = 2},
  [2183] = {.lex_state = 0, .external_lex_state = 2},
  [2184] = {.lex_state = 53, .external_lex_state = 2},
  [2185] = {.lex_state = 0, .external_lex_state = 8},
  [2186] = {.lex_state = 0, .external_lex_state = 2},
  [2187] = {.lex_state = 0, .external_lex_state = 2},
  [2188] = {.lex_state = 0, .external_lex_state = 8},
  [2189] = {.lex_state = 0, .external_lex_state = 2},
  [2190] = {.lex_state = 0, .external_lex_state = 2},
  [2191] = {.lex_state = 0, .external_lex_state = 8},
  [2192] = {.lex_state = 0, .external_lex_state = 2},
  [2193] = {.lex_state = 0, .external_lex_state = 2},
  [2194] = {.lex_state = 0, .external_lex_state = 8},
  [2195] = {.lex_state = 0, .external_lex_state = 2},
  [2196] = {.lex_state = 0, .external_lex_state = 2},
  [2197] = {.lex_state = 0, .external_lex_state = 2},
  [2198] = {.lex_state = 53, .external_lex_state = 2},
  [2199] = {.lex_state = 0, .external_lex_state = 2},
  [2200] = {.lex_state = 0, .external_lex_state = 2},
  [2201] = {.lex_state = 0, .external_lex_state = 2},
  [2202] = {.lex_state = 0, .external_lex_state = 2},
  [2203] = {.lex_state = 0, .external_lex_state = 2},
  [2204] = {.lex_state = 0, .external_lex_state = 2},
  [2205] = {.lex_state = 5, .external_lex_state = 2},
  [2206] = {.lex_state = 53, .external_lex_state = 2},
  [2207] = {.lex_state = 0, .external_lex_state = 2},
  [2208] = {.lex_state = 0, .external_lex_state = 2},
  [2209] = {.lex_state = 0, .external_lex_state = 2},
  [2210] = {.lex_state = 0, .external_lex_state = 2},
  [2211] = {.lex_state = 0, .external_lex_state = 2},
  [2212] = {.lex_state = 0, .external_lex_state = 8},
  [2213] = {.lex_state = 0, .external_lex_state = 2},
  [2214] = {.lex_state = 0, .external_lex_state = 2},
  [2215] = {.lex_state = 0, .external_lex_state = 2},
  [2216] = {.lex_state = 0, .external_lex_state = 2},
  [2217] = {.lex_state = 0, .external_lex_state = 2},
  [2218] = {.lex_state = 0, .external_lex_state = 2},
  [2219] = {.lex_state = 0, .external_lex_state = 2},
  [2220] = {.lex_state = 0, .external_lex_state = 2},
  [2221] = {.lex_state = 0, .external_lex_state = 2},
  [2222] = {.lex_state = 0, .external_lex_state = 2},
  [2223] = {.lex_state = 0, .external_lex_state = 2},
  [2224] = {.lex_state = 0, .external_lex_state = 2},
  [2225] = {.lex_state = 53, .external_lex_state = 2},
  [2226] = {.lex_state = 0, .external_lex_state = 2},
  [2227] = {.lex_state = 0, .external_lex_state = 2},
  [2228] = {.lex_state = 0, .external_lex_state = 8},
  [2229] = {.lex_state = 0, .external_lex_state = 2},
  [2230] = {.lex_state = 0, .external_lex_state = 2},
  [2231] = {.lex_state = 0, .external_lex_state = 2},
  [2232] = {.lex_state = 0, .external_lex_state = 2},
  [2233] = {.lex_state = 0, .external_lex_state = 2},
  [2234] = {.lex_state = 0, .external_lex_state = 2},
  [2235] = {.lex_state = 0, .external_lex_state = 2},
  [2236] = {.lex_state = 0, .external_lex_state = 2},
  [2237] = {.lex_state = 0, .external_lex_state = 2},
  [2238] = {.lex_state = 0, .external_lex_state = 2},
  [2239] = {.lex_state = 0, .external_lex_state = 2},
  [2240] = {.lex_state = 0, .external_lex_state = 2},
  [2241] = {.lex_state = 0, .external_lex_state = 2},
  [2242] = {.lex_state = 0, .external_lex_state = 2},
  [2243] = {.lex_state = 0, .external_lex_state = 2},
  [2244] = {.lex_state = 0, .external_lex_state = 2},
  [2245] = {.lex_state = 0, .external_lex_state = 8},
  [2246] = {.lex_state = 0, .external_lex_state = 2},
  [2247] = {.lex_state = 0, .external_lex_state = 2},
  [2248] = {.lex_state = 0, .external_lex_state = 8},
  [2249] = {.lex_state = 0, .external_lex_state = 2},
  [2250] = {.lex_state = 0, .external_lex_state = 2},
  [2251] = {.lex_state = 0, .external_lex_state = 8},
  [2252] = {.lex_state = 0, .external_lex_state = 2},
  [2253] = {.lex_state = 0, .external_lex_state = 2},
  [2254] = {.lex_state = 53, .external_lex_state = 2},
  [2255] = {.lex_state = 0, .external_lex_state = 2},
  [2256] = {.lex_state = 0, .external_lex_state = 2},
  [2257] = {.lex_state = 0, .external_lex_state = 2},
  [2258] = {.lex_state = 0, .external_lex_state = 8},
  [2259] = {.lex_state = 0, .external_lex_state = 2},
  [2260] = {.lex_state = 0, .external_lex_state = 2},
  [2261] = {.lex_state = 0, .external_lex_state = 2},
  [2262] = {.lex_state = 0, .external_lex_state = 2},
  [2263] = {.lex_state = 0, .external_lex_state = 8},
  [2264] = {.lex_state = 0, .external_lex_state = 2},
  [2265] = {.lex_state = 0, .external_lex_state = 2},
  [2266] = {.lex_state = 0, .external_lex_state = 2},
  [2267] = {.lex_state = 53, .external_lex_state = 2},
  [2268] = {.lex_state = 0, .external_lex_state = 2},
  [2269] = {.lex_state = 0, .external_lex_state = 8},
  [2270] = {.lex_state = 0, .external_lex_state = 2},
  [2271] = {.lex_state = 0, .external_lex_state = 2},
  [2272] = {.lex_state = 53, .external_lex_state = 2},
  [2273] = {.lex_state = 0, .external_lex_state = 2},
  [2274] = {.lex_state = 0, .external_lex_state = 2},
  [2275] = {.lex_state = 0, .external_lex_state = 2},
  [2276] = {.lex_state = 0, .external_lex_state = 2},
  [2277] = {.lex_state = 0, .external_lex_state = 2},
  [2278] = {.lex_state = 0, .external_lex_state = 2},
  [2279] = {.lex_state = 0, .external_lex_state = 2},
  [2280] = {.lex_state = 0, .external_lex_state = 2},
  [2281] = {.lex_state = 0, .external_lex_state = 2},
  [2282] = {.lex_state = 0, .external_lex_state = 2},
  [2283] = {.lex_state = 0, .external_lex_state = 2},
  [2284] = {.lex_state = 0, .external_lex_state = 2},
  [2285] = {.lex_state = 0, .external_lex_state = 2},
  [2286] = {.lex_state = 0, .external_lex_state = 2},
  [2287] = {.lex_state = 0, .external_lex_state = 2},
  [2288] = {.lex_state = 0, .external_lex_state = 2},
  [2289] = {.lex_state = 0, .external_lex_state = 8},
  [2290] = {.lex_state = 0, .external_lex_state = 2},
  [2291] = {.lex_state = 0, .external_lex_state = 2},
  [2292] = {.lex_state = 0, .external_lex_state = 8},
  [2293] = {.lex_state = 0, .external_lex_state = 2},
  [2294] = {.lex_state = 0, .external_lex_state = 2},
  [2295] = {.lex_state = 6, .external_lex_state = 2},
  [2296] = {.lex_state = 0, .external_lex_state = 2},
  [2297] = {.lex_state = 0, .external_lex_state = 2},
  [2298] = {.lex_state = 0, .external_lex_state = 2},
  [2299] = {.lex_state = 0, .external_lex_state = 8},
  [2300] = {.lex_state = 0, .external_lex_state = 2},
  [2301] = {.lex_state = 0, .external_lex_state = 2},
  [2302] = {.lex_state = 0, .external_lex_state = 2},
  [2303] = {.lex_state = 0, .external_lex_state = 2},
  [2304] = {.lex_state = 0, .external_lex_state = 2},
  [2305] = {.lex_state = 0, .external_lex_state = 2},
  [2306] = {.lex_state = 0, .external_lex_state = 2},
  [2307] = {.lex_state = 0, .external_lex_state = 2},
  [2308] = {.lex_state = 0, .external_lex_state = 8},
  [2309] = {.lex_state = 0, .external_lex_state = 2},
  [2310] = {.lex_state = 0, .external_lex_state = 2},
  [2311] = {.lex_state = 0, .external_lex_state = 2},
  [2312] = {.lex_state = 53, .external_lex_state = 2},
  [2313] = {.lex_state = 0, .external_lex_state = 2},
  [2314] = {.lex_state = 0, .external_lex_state = 8},
  [2315] = {.lex_state = 0, .external_lex_state = 2},
  [2316] = {.lex_state = 0, .external_lex_state = 2},
  [2317] = {.lex_state = 0, .external_lex_state = 2},
  [2318] = {.lex_state = 53, .external_lex_state = 2},
  [2319] = {.lex_state = 0, .external_lex_state = 2},
  [2320] = {.lex_state = 0, .external_lex_state = 2},
  [2321] = {.lex_state = 0, .external_lex_state = 2},
  [2322] = {.lex_state = 0, .external_lex_state = 2},
  [2323] = {.lex_state = 0, .external_lex_state = 2},
  [2324] = {.lex_state = 53, .external_lex_state = 2},
  [2325] = {.lex_state = 0, .external_lex_state = 2},
  [2326] = {.lex_state = 0, .external_lex_state = 9},
  [2327] = {.lex_state = 0, .external_lex_state = 2},
  [2328] = {.lex_state = 0, .external_lex_state = 2},
  [2329] = {.lex_state = 0, .external_lex_state = 2},
  [2330] = {.lex_state = 0, .external_lex_state = 2},
  [2331] = {.lex_state = 0, .external_lex_state = 8},
  [2332] = {.lex_state = 53, .external_lex_state = 2},
  [2333] = {.lex_state = 0, .external_lex_state = 2},
  [2334] = {.lex_state = 53, .external_lex_state = 2},
  [2335] = {.lex_state = 0, .external_lex_state = 2},
  [2336] = {.lex_state = 0, .external_lex_state = 2},
  [2337] = {.lex_state = 0, .external_lex_state = 8},
  [2338] = {.lex_state = 0, .external_lex_state = 8},
  [2339] = {.lex_state = 53, .external_lex_state = 2},
  [2340] = {.lex_state = 0, .external_lex_state = 2},
  [2341] = {.lex_state = 0, .external_lex_state = 2},
  [2342] = {.lex_state = 0, .external_lex_state = 8},
  [2343] = {.lex_state = 0, .external_lex_state = 8},
  [2344] = {.lex_state = 0, .external_lex_state = 2},
  [2345] = {.lex_state = 0, .external_lex_state = 2},
  [2346] = {.lex_state = 0, .external_lex_state = 8},
  [2347] = {.lex_state = 0, .external_lex_state = 2},
  [2348] = {.lex_state = 53, .external_lex_state = 2},
  [2349] = {.lex_state = 0, .external_lex_state = 8},
  [2350] = {.lex_state = 0, .external_lex_state = 2},
  [2351] = {.lex_state = 53, .external_lex_state = 2},
  [2352] = {.lex_state = 0, .external_lex_state = 2},
  [2353] = {.lex_state = 0, .external_lex_state = 2},
  [2354] = {.lex_state = 0, .external_lex_state = 2},
  [2355] = {.lex_state = 53, .external_lex_state = 2},
  [2356] = {.lex_state = 0, .external_lex_state = 2},
  [2357] = {.lex_state = 0, .external_lex_state = 2},
  [2358] = {.lex_state = 53, .external_lex_state = 2},
  [2359] = {.lex_state = 0, .external_lex_state = 2},
  [2360] = {.lex_state = 0, .external_lex_state = 8},
  [2361] = {.lex_state = 0, .external_lex_state = 8},
  [2362] = {.lex_state = 0, .external_lex_state = 8},
  [2363] = {.lex_state = 0, .external_lex_state = 2},
  [2364] = {.lex_state = 0, .external_lex_state = 8},
  [2365] = {.lex_state = 0, .external_lex_state = 2},
  [2366] = {.lex_state = 0, .external_lex_state = 8},
  [2367] = {.lex_state = 6, .external_lex_state = 2},
  [2368] = {.lex_state = 0, .external_lex_state = 2},
  [2369] = {.lex_state = 0, .external_lex_state = 8},
  [2370] = {.lex_state = 0, .external_lex_state = 2},
  [2371] = {.lex_state = 0, .external_lex_state = 8},
  [2372] = {.lex_state = 0, .external_lex_state = 2},
  [2373] = {.lex_state = 0, .external_lex_state = 2},
  [2374] = {.lex_state = 0, .external_lex_state = 2},
  [2375] = {.lex_state = 0, .external_lex_state = 2},
  [2376] = {.lex_state = 0, .external_lex_state = 2},
  [2377] = {.lex_state = 0, .external_lex_state = 2},
  [2378] = {.lex_state = 0, .external_lex_state = 2},
  [2379] = {.lex_state = 0, .external_lex_state = 2},
  [2380] = {.lex_state = 0, .external_lex_state = 2},
  [2381] = {.lex_state = 53, .external_lex_state = 2},
  [2382] = {.lex_state = 0, .external_lex_state = 8},
  [2383] = {.lex_state = 0, .external_lex_state = 2},
  [2384] = {.lex_state = 0, .external_lex_state = 2},
  [2385] = {.lex_state = 0, .external_lex_state = 8},
  [2386] = {.lex_state = 53, .external_lex_state = 2},
  [2387] = {.lex_state = 0, .external_lex_state = 2},
  [2388] = {.lex_state = 0, .external_lex_state = 8},
  [2389] = {.lex_state = 0, .external_lex_state = 2},
  [2390] = {.lex_state = 0, .external_lex_state = 8},
  [2391] = {.lex_state = 53, .external_lex_state = 2},
  [2392] = {.lex_state = 0, .external_lex_state = 8},
  [2393] = {.lex_state = 0, .external_lex_state = 2},
  [2394] = {.lex_state = 0, .external_lex_state = 2},
  [2395] = {.lex_state = 0, .external_lex_state = 2},
  [2396] = {.lex_state = 0, .external_lex_state = 2},
  [2397] = {.lex_state = 0, .external_lex_state = 2},
  [2398] = {.lex_state = 0, .external_lex_state = 2},
  [2399] = {.lex_state = 0, .external_lex_state = 8},
  [2400] = {.lex_state = 0, .external_lex_state = 2},
  [2401] = {.lex_state = 0, .external_lex_state = 8},
  [2402] = {.lex_state = 0, .external_lex_state = 8},
  [2403] = {.lex_state = 0, .external_lex_state = 2},
  [2404] = {.lex_state = 0, .external_lex_state = 8},
  [2405] = {.lex_state = 0, .external_lex_state = 2},
  [2406] = {.lex_state = 0, .external_lex_state = 2},
  [2407] = {.lex_state = 53, .external_lex_state = 2},
  [2408] = {.lex_state = 0, .external_lex_state = 8},
  [2409] = {.lex_state = 0, .external_lex_state = 8},
  [2410] = {.lex_state = 5, .external_lex_state = 2},
  [2411] = {.lex_state = 0, .external_lex_state = 8},
  [2412] = {.lex_state = 53, .external_lex_state = 2},
  [2413] = {.lex_state = 0, .external_lex_state = 2},
  [2414] = {.lex_state = 0, .external_lex_state = 8},
  [2415] = {.lex_state = 0, .external_lex_state = 2},
  [2416] = {.lex_state = 0, .external_lex_state = 2},
  [2417] = {.lex_state = 0, .external_lex_state = 8},
  [2418] = {.lex_state = 0, .external_lex_state = 2},
  [2419] = {.lex_state = 0, .external_lex_state = 9},
  [2420] = {.lex_state = 0, .external_lex_state = 2},
  [2421] = {.lex_state = 0, .external_lex_state = 2},
  [2422] = {.lex_state = 0, .external_lex_state = 8},
  [2423] = {.lex_state = 0, .external_lex_state = 8},
  [2424] = {.lex_state = 53, .external_lex_state = 2},
  [2425] = {.lex_state = 0, .external_lex_state = 8},
  [2426] = {.lex_state = 0, .external_lex_state = 8},
  [2427] = {.lex_state = 0, .external_lex_state = 2},
  [2428] = {.lex_state = 0, .external_lex_state = 8},
  [2429] = {.lex_state = 0, .external_lex_state = 2},
  [2430] = {.lex_state = 0, .external_lex_state = 8},
  [2431] = {.lex_state = 5, .external_lex_state = 2},
  [2432] = {.lex_state = 0, .external_lex_state = 2},
  [2433] = {.lex_state = 0, .external_lex_state = 2},
  [2434] = {.lex_state = 0, .external_lex_state = 2},
  [2435] = {.lex_state = 0, .external_lex_state = 8},
  [2436] = {.lex_state = 0, .external_lex_state = 2},
  [2437] = {.lex_state = 0, .external_lex_state = 2},
  [2438] = {.lex_state = 0, .external_lex_state = 2},
  [2439] = {.lex_state = 0, .external_lex_state = 8},
  [2440] = {.lex_state = 0, .external_lex_state = 2},
  [2441] = {.lex_state = 0, .external_lex_state = 8},
  [2442] = {.lex_state = 0, .external_lex_state = 2},
  [2443] = {.lex_state = 0, .external_lex_state = 2},
  [2444] = {.lex_state = 53, .external_lex_state = 2},
  [2445] = {.lex_state = 0, .external_lex_state = 2},
  [2446] = {.lex_state = 0, .external_lex_state = 2},
  [2447] = {.lex_state = 0, .external_lex_state = 2},
  [2448] = {.lex_state = 0, .external_lex_state = 2},
  [2449] = {.lex_state = 0, .external_lex_state = 8},
  [2450] = {.lex_state = 0, .external_lex_state = 8},
  [2451] = {.lex_state = 0, .external_lex_state = 8},
  [2452] = {.lex_state = 0, .external_lex_state = 2},
  [2453] = {.lex_state = 0, .external_lex_state = 8},
  [2454] = {.lex_state = 0, .external_lex_state = 2},
  [2455] = {.lex_state = 0, .external_lex_state = 8},
  [2456] = {.lex_state = 6, .external_lex_state = 2},
  [2457] = {.lex_state = 54, .external_lex_state = 2},
  [2458] = {.lex_state = 0, .external_lex_state = 2},
  [2459] = {.lex_state = 0, .external_lex_state = 2},
  [2460] = {.lex_state = 0, .external_lex_state = 2},
  [2461] = {.lex_state = 0, .external_lex_state = 2},
  [2462] = {.lex_state = 0, .external_lex_state = 2},
  [2463] = {.lex_state = 53, .external_lex_state = 10},
  [2464] = {.lex_state = 54, .external_lex_state = 2},
  [2465] = {.lex_state = 0, .external_lex_state = 2},
  [2466] = {.lex_state = 0, .external_lex_state = 2},
  [2467] = {.lex_state = 0, .external_lex_state = 2},
  [2468] = {.lex_state = 0, .external_lex_state = 2},
  [2469] = {.lex_state = 0, .external_lex_state = 2},
  [2470] = {.lex_state = 0, .external_lex_state = 2},
  [2471] = {.lex_state = 0, .external_lex_state = 9},
  [2472] = {.lex_state = 0, .external_lex_state = 2},
  [2473] = {.lex_state = 0, .external_lex_state = 2},
  [2474] = {.lex_state = 0, .external_lex_state = 2},
  [2475] = {.lex_state = 0, .external_lex_state = 2},
  [2476] = {.lex_state = 0, .external_lex_state = 2},
  [2477] = {.lex_state = 0, .external_lex_state = 2},
  [2478] = {.lex_state = 0, .external_lex_state = 2},
  [2479] = {.lex_state = 0, .external_lex_state = 2},
  [2480] = {.lex_state = 0, .external_lex_state = 2},
  [2481] = {.lex_state = 0, .external_lex_state = 2},
  [2482] = {.lex_state = 0, .external_lex_state = 2},
  [2483] = {.lex_state = 0, .external_lex_state = 2},
  [2484] = {.lex_state = 0, .external_lex_state = 2},
  [2485] = {.lex_state = 0, .external_lex_state = 2},
  [2486] = {.lex_state = 0, .external_lex_state = 2},
  [2487] = {.lex_state = 0, .external_lex_state = 2},
  [2488] = {.lex_state = 0, .external_lex_state = 2},
  [2489] = {.lex_state = 0, .external_lex_state = 2},
  [2490] = {.lex_state = 0, .external_lex_state = 2},
  [2491] = {.lex_state = 0, .external_lex_state = 2},
  [2492] = {.lex_state = 0, .external_lex_state = 2},
  [2493] = {.lex_state = 0, .external_lex_state = 2},
  [2494] = {.lex_state = 0, .external_lex_state = 2},
  [2495] = {.lex_state = 0, .external_lex_state = 2},
  [2496] = {.lex_state = 0, .external_lex_state = 2},
  [2497] = {.lex_state = 0, .external_lex_state = 2},
  [2498] = {.lex_state = 0, .external_lex_state = 2},
  [2499] = {.lex_state = 0, .external_lex_state = 2},
  [2500] = {.lex_state = 0, .external_lex_state = 2},
  [2501] = {.lex_state = 0, .external_lex_state = 2},
  [2502] = {.lex_state = 0, .external_lex_state = 2},
  [2503] = {.lex_state = 0, .external_lex_state = 2},
  [2504] = {.lex_state = 0, .external_lex_state = 9},
  [2505] = {.lex_state = 0, .external_lex_state = 2},
  [2506] = {.lex_state = 0, .external_lex_state = 2},
  [2507] = {.lex_state = 0, .external_lex_state = 2},
  [2508] = {.lex_state = 0, .external_lex_state = 2},
  [2509] = {.lex_state = 0, .external_lex_state = 2},
  [2510] = {.lex_state = 0, .external_lex_state = 2},
  [2511] = {.lex_state = 0, .external_lex_state = 9},
  [2512] = {.lex_state = 0, .external_lex_state = 2},
  [2513] = {.lex_state = 0, .external_lex_state = 2},
  [2514] = {.lex_state = 0, .external_lex_state = 2},
  [2515] = {.lex_state = 0, .external_lex_state = 9},
  [2516] = {.lex_state = 0, .external_lex_state = 2},
  [2517] = {.lex_state = 0, .external_lex_state = 9},
  [2518] = {.lex_state = 0, .external_lex_state = 2},
  [2519] = {.lex_state = 0, .external_lex_state = 9},
  [2520] = {.lex_state = 0, .external_lex_state = 2},
  [2521] = {.lex_state = 0, .external_lex_state = 2},
  [2522] = {.lex_state = 0, .external_lex_state = 2},
  [2523] = {.lex_state = 0, .external_lex_state = 2},
  [2524] = {.lex_state = 0, .external_lex_state = 2},
  [2525] = {.lex_state = 0, .external_lex_state = 2},
  [2526] = {.lex_state = 53, .external_lex_state = 2},
  [2527] = {.lex_state = 53, .external_lex_state = 10},
  [2528] = {.lex_state = 0, .external_lex_state = 2},
  [2529] = {.lex_state = 0, .external_lex_state = 9},
  [2530] = {.lex_state = 0, .external_lex_state = 2},
  [2531] = {.lex_state = 0, .external_lex_state = 2},
  [2532] = {.lex_state = 0, .external_lex_state = 9},
  [2533] = {.lex_state = 0, .external_lex_state = 2},
  [2534] = {.lex_state = 0, .external_lex_state = 2},
  [2535] = {.lex_state = 0, .external_lex_state = 2},
  [2536] = {.lex_state = 0, .external_lex_state = 2},
  [2537] = {.lex_state = 54, .external_lex_state = 2},
  [2538] = {.lex_state = 0, .external_lex_state = 2},
  [2539] = {.lex_state = 0, .external_lex_state = 2},
  [2540] = {.lex_state = 0, .external_lex_state = 2},
  [2541] = {.lex_state = 54, .external_lex_state = 2},
  [2542] = {.lex_state = 0, .external_lex_state = 2},
  [2543] = {.lex_state = 0, .external_lex_state = 2},
  [2544] = {.lex_state = 0, .external_lex_state = 2},
  [2545] = {.lex_state = 0, .external_lex_state = 2},
  [2546] = {.lex_state = 0, .external_lex_state = 2},
  [2547] = {.lex_state = 53, .external_lex_state = 10},
  [2548] = {.lex_state = 0, .external_lex_state = 2},
  [2549] = {.lex_state = 0, .external_lex_state = 2},
  [2550] = {.lex_state = 0, .external_lex_state = 2},
  [2551] = {.lex_state = 54, .external_lex_state = 2},
  [2552] = {.lex_state = 0, .external_lex_state = 2},
  [2553] = {.lex_state = 0, .external_lex_state = 2},
  [2554] = {.lex_state = 0, .external_lex_state = 2},
  [2555] = {.lex_state = 0, .external_lex_state = 2},
  [2556] = {.lex_state = 0, .external_lex_state = 2},
  [2557] = {.lex_state = 0, .external_lex_state = 2},
  [2558] = {.lex_state = 0, .external_lex_state = 2},
  [2559] = {.lex_state = 0, .external_lex_state = 2},
  [2560] = {.lex_state = 0, .external_lex_state = 2},
  [2561] = {.lex_state = 53, .external_lex_state = 2},
  [2562] = {.lex_state = 54, .external_lex_state = 2},
  [2563] = {.lex_state = 0, .external_lex_state = 2},
  [2564] = {.lex_state = 0, .external_lex_state = 2},
  [2565] = {.lex_state = 0, .external_lex_state = 2},
  [2566] = {.lex_state = 0, .external_lex_state = 2},
  [2567] = {.lex_state = 0, .external_lex_state = 2},
  [2568] = {.lex_state = 0, .external_lex_state = 2},
  [2569] = {.lex_state = 0, .external_lex_state = 2},
  [2570] = {.lex_state = 0, .external_lex_state = 2},
  [2571] = {.lex_state = 0, .external_lex_state = 2},
  [2572] = {.lex_state = 0, .external_lex_state = 2},
  [2573] = {.lex_state = 54, .external_lex_state = 2},
  [2574] = {.lex_state = 54, .external_lex_state = 2},
  [2575] = {.lex_state = 0, .external_lex_state = 9},
  [2576] = {.lex_state = 54, .external_lex_state = 2},
  [2577] = {.lex_state = 54, .external_lex_state = 2},
  [2578] = {.lex_state = 54, .external_lex_state = 2},
  [2579] = {.lex_state = 0, .external_lex_state = 2},
  [2580] = {.lex_state = 0, .external_lex_state = 2},
  [2581] = {.lex_state = 0, .external_lex_state = 2},
  [2582] = {.lex_state = 0, .external_lex_state = 2},
  [2583] = {.lex_state = 0, .external_lex_state = 2},
  [2584] = {.lex_state = 54, .external_lex_state = 2},
  [2585] = {.lex_state = 0, .external_lex_state = 2},
  [2586] = {.lex_state = 54, .external_lex_state = 2},
  [2587] = {.lex_state = 54, .external_lex_state = 2},
  [2588] = {.lex_state = 53, .external_lex_state = 10},
  [2589] = {.lex_state = 0, .external_lex_state = 2},
  [2590] = {.lex_state = 0, .external_lex_state = 2},
  [2591] = {.lex_state = 54, .external_lex_state = 2},
  [2592] = {.lex_state = 0, .external_lex_state = 2},
  [2593] = {.lex_state = 54, .external_lex_state = 2},
  [2594] = {.lex_state = 54, .external_lex_state = 2},
  [2595] = {.lex_state = 0, .external_lex_state = 2},
  [2596] = {.lex_state = 54, .external_lex_state = 2},
  [2597] = {.lex_state = 0, .external_lex_state = 2},
  [2598] = {.lex_state = 54, .external_lex_state = 2},
  [2599] = {.lex_state = 0, .external_lex_state = 2},
  [2600] = {.lex_state = 0, .external_lex_state = 2},
  [2601] = {.lex_state = 0, .external_lex_state = 2},
  [2602] = {.lex_state = 54, .external_lex_state = 2},
  [2603] = {.lex_state = 0, .external_lex_state = 2},
  [2604] = {.lex_state = 0, .external_lex_state = 2},
  [2605] = {.lex_state = 0, .external_lex_state = 9},
  [2606] = {.lex_state = 0, .external_lex_state = 2},
  [2607] = {.lex_state = 0, .external_lex_state = 2},
  [2608] = {.lex_state = 0, .external_lex_state = 2},
  [2609] = {.lex_state = 0, .external_lex_state = 2},
  [2610] = {.lex_state = 0, .external_lex_state = 2},
  [2611] = {.lex_state = 53, .external_lex_state = 2},
  [2612] = {.lex_state = 0, .external_lex_state = 2},
  [2613] = {.lex_state = 0, .external_lex_state = 2},
  [2614] = {.lex_state = 0, .external_lex_state = 2},
  [2615] = {.lex_state = 0, .external_lex_state = 2},
  [2616] = {.lex_state = 0, .external_lex_state = 2},
  [2617] = {.lex_state = 0, .external_lex_state = 2},
  [2618] = {.lex_state = 0, .external_lex_state = 2},
  [2619] = {.lex_state = 0, .external_lex_state = 2},
  [2620] = {.lex_state = 0, .external_lex_state = 2},
  [2621] = {.lex_state = 0, .external_lex_state = 2},
  [2622] = {.lex_state = 6, .external_lex_state = 2},
  [2623] = {.lex_state = 53, .external_lex_state = 2},
  [2624] = {.lex_state = 0, .external_lex_state = 2},
  [2625] = {.lex_state = 0, .external_lex_state = 2},
  [2626] = {.lex_state = 0, .external_lex_state = 2},
  [2627] = {.lex_state = 0, .external_lex_state = 2},
  [2628] = {.lex_state = 0, .external_lex_state = 2},
  [2629] = {.lex_state = 0, .external_lex_state = 2},
  [2630] = {.lex_state = 53, .external_lex_state = 2},
  [2631] = {.lex_state = 0, .external_lex_state = 2},
  [2632] = {.lex_state = 0, .external_lex_state = 2},
  [2633] = {.lex_state = 104, .external_lex_state = 2},
  [2634] = {.lex_state = 0, .external_lex_state = 2},
  [2635] = {.lex_state = 104, .external_lex_state = 2},
  [2636] = {.lex_state = 53, .external_lex_state = 2},
  [2637] = {.lex_state = 0, .external_lex_state = 2},
  [2638] = {.lex_state = 0, .external_lex_state = 2},
  [2639] = {.lex_state = 6, .external_lex_state = 2},
  [2640] = {.lex_state = 0, .external_lex_state = 2},
  [2641] = {.lex_state = 0, .external_lex_state = 2},
  [2642] = {.lex_state = 0, .external_lex_state = 2},
  [2643] = {.lex_state = 0, .external_lex_state = 2},
  [2644] = {.lex_state = 0, .external_lex_state = 2},
  [2645] = {.lex_state = 0, .external_lex_state = 2},
  [2646] = {.lex_state = 0, .external_lex_state = 2},
  [2647] = {.lex_state = 0, .external_lex_state = 2},
  [2648] = {.lex_state = 0, .external_lex_state = 2},
  [2649] = {.lex_state = 0, .external_lex_state = 2},
  [2650] = {.lex_state = 0, .external_lex_state = 2},
  [2651] = {.lex_state = 0, .external_lex_state = 2},
  [2652] = {.lex_state = 0, .external_lex_state = 2},
  [2653] = {.lex_state = 0, .external_lex_state = 2},
  [2654] = {.lex_state = 53, .external_lex_state = 2},
  [2655] = {.lex_state = 0, .external_lex_state = 2},
  [2656] = {.lex_state = 0, .external_lex_state = 2},
  [2657] = {.lex_state = 0, .external_lex_state = 2},
  [2658] = {.lex_state = 0, .external_lex_state = 2},
  [2659] = {.lex_state = 0, .external_lex_state = 2},
  [2660] = {.lex_state = 0, .external_lex_state = 2},
  [2661] = {.lex_state = 49, .external_lex_state = 2},
  [2662] = {.lex_state = 53, .external_lex_state = 2},
  [2663] = {.lex_state = 53, .external_lex_state = 2},
  [2664] = {.lex_state = 0, .external_lex_state = 2},
  [2665] = {.lex_state = 0, .external_lex_state = 2},
  [2666] = {.lex_state = 0, .external_lex_state = 2},
  [2667] = {.lex_state = 0, .external_lex_state = 2},
  [2668] = {.lex_state = 0, .external_lex_state = 2},
  [2669] = {.lex_state = 49, .external_lex_state = 2},
  [2670] = {.lex_state = 0, .external_lex_state = 2},
  [2671] = {.lex_state = 0, .external_lex_state = 2},
  [2672] = {.lex_state = 0, .external_lex_state = 2},
  [2673] = {.lex_state = 53, .external_lex_state = 2},
  [2674] = {.lex_state = 6, .external_lex_state = 2},
  [2675] = {.lex_state = 49, .external_lex_state = 2},
  [2676] = {.lex_state = 0, .external_lex_state = 2},
  [2677] = {.lex_state = 0, .external_lex_state = 2},
  [2678] = {.lex_state = 0, .external_lex_state = 2},
  [2679] = {.lex_state = 0, .external_lex_state = 2},
  [2680] = {.lex_state = 0, .external_lex_state = 2},
  [2681] = {.lex_state = 6, .external_lex_state = 2},
  [2682] = {.lex_state = 0, .external_lex_state = 2},
  [2683] = {.lex_state = 0, .external_lex_state = 2},
  [2684] = {.lex_state = 0, .external_lex_state = 2},
  [2685] = {.lex_state = 0, .external_lex_state = 2},
  [2686] = {.lex_state = 53, .external_lex_state = 2},
  [2687] = {.lex_state = 0, .external_lex_state = 2},
  [2688] = {.lex_state = 0, .external_lex_state = 2},
  [2689] = {.lex_state = 0, .external_lex_state = 2},
  [2690] = {.lex_state = 0, .external_lex_state = 2},
  [2691] = {.lex_state = 0, .external_lex_state = 2},
  [2692] = {.lex_state = 0, .external_lex_state = 2},
  [2693] = {.lex_state = 0, .external_lex_state = 2},
  [2694] = {.lex_state = 53, .external_lex_state = 2},
  [2695] = {.lex_state = 0, .external_lex_state = 2},
  [2696] = {.lex_state = 0, .external_lex_state = 2},
  [2697] = {.lex_state = 0, .external_lex_state = 2},
  [2698] = {.lex_state = 0, .external_lex_state = 2},
  [2699] = {.lex_state = 53, .external_lex_state = 2},
  [2700] = {.lex_state = 0, .external_lex_state = 2},
  [2701] = {.lex_state = 104, .external_lex_state = 2},
  [2702] = {.lex_state = 0, .external_lex_state = 2},
  [2703] = {.lex_state = 0, .external_lex_state = 2},
  [2704] = {.lex_state = 0, .external_lex_state = 2},
  [2705] = {.lex_state = 0, .external_lex_state = 2},
  [2706] = {.lex_state = 0, .external_lex_state = 2},
  [2707] = {.lex_state = 0, .external_lex_state = 2},
  [2708] = {.lex_state = 0, .external_lex_state = 2},
  [2709] = {.lex_state = 0, .external_lex_state = 2},
  [2710] = {.lex_state = 0, .external_lex_state = 2},
  [2711] = {.lex_state = 0, .external_lex_state = 2},
  [2712] = {.lex_state = 0, .external_lex_state = 2},
  [2713] = {.lex_state = 0, .external_lex_state = 2},
  [2714] = {.lex_state = 6, .external_lex_state = 2},
  [2715] = {.lex_state = 0, .external_lex_state = 2},
  [2716] = {.lex_state = 53, .external_lex_state = 2},
  [2717] = {.lex_state = 104, .external_lex_state = 2},
  [2718] = {.lex_state = 53, .external_lex_state = 2},
  [2719] = {.lex_state = 0, .external_lex_state = 2},
  [2720] = {.lex_state = 0, .external_lex_state = 2},
  [2721] = {.lex_state = 0, .external_lex_state = 2},
  [2722] = {.lex_state = 0, .external_lex_state = 2},
  [2723] = {.lex_state = 0, .external_lex_state = 2},
  [2724] = {.lex_state = 0, .external_lex_state = 2},
  [2725] = {.lex_state = 0, .external_lex_state = 2},
  [2726] = {.lex_state = 0, .external_lex_state = 2},
  [2727] = {.lex_state = 53, .external_lex_state = 2},
  [2728] = {.lex_state = 0, .external_lex_state = 2},
  [2729] = {.lex_state = 0, .external_lex_state = 2},
  [2730] = {.lex_state = 104, .external_lex_state = 2},
  [2731] = {.lex_state = 0, .external_lex_state = 2},
  [2732] = {.lex_state = 0, .external_lex_state = 2},
  [2733] = {.lex_state = 0, .external_lex_state = 2},
  [2734] = {.lex_state = 0, .external_lex_state = 2},
  [2735] = {.lex_state = 0, .external_lex_state = 2},
  [2736] = {.lex_state = 0, .external_lex_state = 2},
  [2737] = {.lex_state = 0, .external_lex_state = 2},
  [2738] = {.lex_state = 0, .external_lex_state = 2},
  [2739] = {.lex_state = 0, .external_lex_state = 2},
  [2740] = {.lex_state = 0, .external_lex_state = 2},
  [2741] = {.lex_state = 0, .external_lex_state = 2},
  [2742] = {.lex_state = 49, .external_lex_state = 2},
  [2743] = {.lex_state = 0, .external_lex_state = 2},
  [2744] = {.lex_state = 0, .external_lex_state = 2},
  [2745] = {.lex_state = 0, .external_lex_state = 2},
  [2746] = {.lex_state = 0, .external_lex_state = 2},
  [2747] = {.lex_state = 0, .external_lex_state = 2},
  [2748] = {.lex_state = 0, .external_lex_state = 2},
  [2749] = {.lex_state = 0, .external_lex_state = 2},
  [2750] = {.lex_state = 0, .external_lex_state = 2},
  [2751] = {.lex_state = 0, .external_lex_state = 2},
  [2752] = {.lex_state = 0, .external_lex_state = 2},
  [2753] = {.lex_state = 0, .external_lex_state = 2},
  [2754] = {.lex_state = 49, .external_lex_state = 2},
  [2755] = {.lex_state = 0, .external_lex_state = 2},
  [2756] = {.lex_state = 0, .external_lex_state = 2},
  [2757] = {.lex_state = 0, .external_lex_state = 2},
  [2758] = {.lex_state = 0, .external_lex_state = 2},
  [2759] = {.lex_state = 0, .external_lex_state = 2},
  [2760] = {.lex_state = 0, .external_lex_state = 2},
  [2761] = {.lex_state = 0, .external_lex_state = 2},
  [2762] = {.lex_state = 53, .external_lex_state = 2},
  [2763] = {.lex_state = 0, .external_lex_state = 2},
  [2764] = {.lex_state = 0, .external_lex_state = 2},
  [2765] = {.lex_state = 0, .external_lex_state = 2},
  [2766] = {.lex_state = 9, .external_lex_state = 2},
  [2767] = {.lex_state = 0, .external_lex_state = 2},
  [2768] = {.lex_state = 0, .external_lex_state = 2},
  [2769] = {.lex_state = 53, .external_lex_state = 2},
  [2770] = {.lex_state = 0, .external_lex_state = 2},
  [2771] = {.lex_state = 0, .external_lex_state = 2},
  [2772] = {.lex_state = 0, .external_lex_state = 2},
  [2773] = {.lex_state = 0, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_lowercase_identifier] = ACTIONS(1),
    [anon_sym_priv] = ACTIONS(1),
    [anon_sym_pub] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_all] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [sym_derive_keyword] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typealias] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_mut] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_test] = ACTIONS(1),
    [anon_sym_trait] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_traitalias] = ACTIONS(1),
    [anon_sym_impl] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH_LBRACE] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [anon_sym_b_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_b_DQUOTE] = ACTIONS(1),
    [aux_sym_unescaped_string_fragment_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [aux_sym_escape_sequence_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token6] = ACTIONS(1),
    [sym_multiline_string_separator] = ACTIONS(1),
    [sym_multiline_interpolation_separator] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [sym_pipe_operator] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym_accessor_token1] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [sym_unfinished] = ACTIONS(1),
    [anon_sym_guard] = ACTIONS(1),
    [anon_sym_TILDE_COLON] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_loop] = ACTIONS(1),
    [sym_for_keyword] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_uppercase_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym_dot] = ACTIONS(1),
    [sym_dot_dot_lt] = ACTIONS(1),
    [sym_dot_dot_eq] = ACTIONS(1),
    [sym_colon] = ACTIONS(1),
    [sym_colon_colon] = ACTIONS(1),
    [sym_question_operator] = ACTIONS(1),
    [sym_is_keyword] = ACTIONS(1),
    [sym_plus_equal] = ACTIONS(1),
    [sym_minus_equal] = ACTIONS(1),
    [sym_asterisk_equal] = ACTIONS(1),
    [sym_slash_equal] = ACTIONS(1),
    [sym_percent_equal] = ACTIONS(1),
    [sym_dot_lowercase_identifier] = ACTIONS(1),
    [sym_dot_uppercase_identifier] = ACTIONS(1),
    [sym_package_identifier] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(1),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
  },
  [1] = {
    [sym_structure] = STATE(2738),
    [sym_structure_item] = STATE(1817),
    [sym_visibility] = STATE(1207),
    [sym_type_definition] = STATE(2349),
    [sym_error_type_definition] = STATE(2349),
    [sym_type_alias_definition] = STATE(2349),
    [sym_struct_definition] = STATE(2349),
    [sym_enum_definition] = STATE(2349),
    [sym_value_definition] = STATE(2349),
    [sym_const_definition] = STATE(2349),
    [sym_external_linkage] = STATE(2512),
    [sym_function_definition] = STATE(2349),
    [sym_test_definition] = STATE(2349),
    [sym_trait_definition] = STATE(2349),
    [sym_trait_alias_definition] = STATE(2349),
    [sym_impl_definition] = STATE(2349),
    [sym_pub] = STATE(2670),
    [sym_attribute] = STATE(990),
    [sym_attributes] = STATE(1035),
    [aux_sym_attributes_repeat1] = STATE(990),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_priv] = ACTIONS(9),
    [anon_sym_pub] = ACTIONS(11),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_typealias] = ACTIONS(17),
    [anon_sym_struct] = ACTIONS(19),
    [anon_sym_enum] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(27),
    [anon_sym_fn] = ACTIONS(29),
    [anon_sym_test] = ACTIONS(31),
    [anon_sym_trait] = ACTIONS(33),
    [anon_sym_traitalias] = ACTIONS(35),
    [anon_sym_impl] = ACTIONS(37),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(39),
    [sym_automatic_newline] = ACTIONS(3),
  },
  [2] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(665),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_labeled_expression] = STATE(2585),
    [sym_labeled_expression_pun] = STATE(2731),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_map_element_key] = STATE(2765),
    [sym_map_element_expression] = STATE(2095),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1832),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(41),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [3] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(665),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_labeled_expression] = STATE(2520),
    [sym_labeled_expression_pun] = STATE(2721),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_map_element_key] = STATE(2765),
    [sym_map_element_expression] = STATE(2137),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1599),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(41),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [4] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(665),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_labeled_expression] = STATE(2579),
    [sym_labeled_expression_pun] = STATE(2650),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_map_element_key] = STATE(2765),
    [sym_map_element_expression] = STATE(2102),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1692),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(41),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [5] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(665),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_labeled_expression] = STATE(2548),
    [sym_labeled_expression_pun] = STATE(2671),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_map_element_key] = STATE(2765),
    [sym_map_element_expression] = STATE(2193),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1867),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(41),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [6] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(665),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_labeled_expression] = STATE(2467),
    [sym_labeled_expression_pun] = STATE(2687),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_map_element_key] = STATE(2765),
    [sym_map_element_expression] = STATE(2265),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1777),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(41),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [7] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1644),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(143),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [8] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(145),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [9] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(147),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [10] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(149),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [11] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [12] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1596),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [13] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [14] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(157),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [15] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(159),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [16] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1691),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [17] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [18] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(165),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [19] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(167),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [20] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(169),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [21] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1742),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(171),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [22] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [23] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [24] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(177),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [25] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [26] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(1776),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(181),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [27] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [28] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [29] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [30] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [31] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(191),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [32] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2072),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [33] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2028),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [34] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2097),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [35] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2371),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [36] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2188),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [37] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2176),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [38] = {
    [sym_visibility] = STATE(1892),
    [sym_type_definition] = STATE(2451),
    [sym_struct_definition] = STATE(2451),
    [sym_enum_definition] = STATE(2451),
    [sym_expression] = STATE(2451),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(531),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(531),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_break_expression] = STATE(2451),
    [sym_continue_expression] = STATE(2451),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_statement_expression] = STATE(2046),
    [sym_let_expression] = STATE(2451),
    [sym_let_mut_expression] = STATE(2451),
    [sym_guard_expression] = STATE(2451),
    [sym_guard_let_expression] = STATE(2451),
    [sym_assign_expression] = STATE(2451),
    [sym_left_value] = STATE(1310),
    [sym_named_lambda_expression] = STATE(2451),
    [sym_named_matrix_expression] = STATE(2451),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_return_expression] = STATE(2451),
    [sym_raise_expression] = STATE(2451),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(531),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [sym_attribute] = STATE(1291),
    [sym_attributes] = STATE(1442),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [aux_sym_attributes_repeat1] = STATE(1291),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_priv] = ACTIONS(43),
    [anon_sym_pub] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_enum] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_fn] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_break] = ACTIONS(99),
    [anon_sym_continue] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(103),
    [sym_unfinished] = ACTIONS(105),
    [anon_sym_guard] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [anon_sym_return] = ACTIONS(115),
    [anon_sym_raise] = ACTIONS(117),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [anon_sym_POUND] = ACTIONS(123),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [39] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [40] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [41] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [42] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [43] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [44] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [45] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [46] = {
    [sym_expression] = STATE(1822),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_parameter_label] = STATE(120),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(257),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(257),
    [sym_float_literal] = ACTIONS(75),
  },
  [47] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2134),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [48] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [49] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [50] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2155),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [51] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2156),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [52] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2157),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [53] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(275),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [54] = {
    [sym_expression] = STATE(1754),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_parameter_label] = STATE(109),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(277),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(277),
    [sym_float_literal] = ACTIONS(75),
  },
  [55] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [56] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [57] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [58] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(285),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [59] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [60] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [61] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [62] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [63] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2174),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [64] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2215),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [65] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [66] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2329),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [67] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2290),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [68] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2234),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [69] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2235),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [70] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [71] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(311),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [72] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [73] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [74] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [75] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [76] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [77] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [78] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [79] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2443),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [80] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2446),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [81] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2285),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [82] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2447),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [83] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2070),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [84] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2302),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [85] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2303),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [86] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2304),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [87] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2387),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [88] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [89] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [90] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [91] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(351),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [92] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(353),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [93] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [94] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [95] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2233),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [96] = {
    [sym_expression] = STATE(2409),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(361),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(361),
    [sym_float_literal] = ACTIONS(75),
  },
  [97] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(365),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [98] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(367),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [99] = {
    [sym_expression] = STATE(2408),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(369),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(369),
    [sym_float_literal] = ACTIONS(75),
  },
  [100] = {
    [sym_expression] = STATE(2103),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(169),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(371),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [101] = {
    [sym_expression] = STATE(2111),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(196),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(373),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [102] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [103] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(377),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [104] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(379),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [105] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(381),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [106] = {
    [sym_expression] = STATE(2200),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(200),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(383),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [107] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(385),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [108] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(387),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [109] = {
    [sym_expression] = STATE(1678),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(389),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(389),
    [sym_float_literal] = ACTIONS(75),
  },
  [110] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(391),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [111] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(393),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [112] = {
    [sym_expression] = STATE(2522),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(533),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_argument_label] = STATE(179),
    [sym_argument_pun] = STATE(2522),
    [sym_argument] = STATE(2544),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [113] = {
    [sym_expression] = STATE(2271),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(204),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(395),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [114] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(397),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [115] = {
    [sym_expression] = STATE(2183),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(187),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(399),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [116] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(401),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [117] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(403),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [118] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(405),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [119] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(407),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [120] = {
    [sym_expression] = STATE(1675),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(409),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(409),
    [sym_float_literal] = ACTIONS(75),
  },
  [121] = {
    [sym_expression] = STATE(2533),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_dot_dot] = STATE(176),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_DOT_DOT] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [122] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [123] = {
    [sym_expression] = STATE(2626),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [124] = {
    [sym_expression] = STATE(2734),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(415),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [125] = {
    [sym_expression] = STATE(1938),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [126] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [127] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [128] = {
    [sym_expression] = STATE(1991),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [129] = {
    [sym_expression] = STATE(2753),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(425),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [130] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [131] = {
    [sym_expression] = STATE(2722),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(429),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [132] = {
    [sym_expression] = STATE(2530),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_colon] = ACTIONS(431),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [133] = {
    [sym_expression] = STATE(1973),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(433),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [134] = {
    [sym_expression] = STATE(2697),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(435),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [135] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(437),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [136] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(439),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [137] = {
    [sym_expression] = STATE(1887),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [138] = {
    [sym_expression] = STATE(2612),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(443),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [139] = {
    [sym_expression] = STATE(1959),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(445),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [140] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [141] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [142] = {
    [sym_expression] = STATE(2679),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(451),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [143] = {
    [sym_expression] = STATE(2638),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(453),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [144] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [145] = {
    [sym_expression] = STATE(2739),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(457),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [146] = {
    [sym_expression] = STATE(2736),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(459),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [147] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_RPAREN] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [148] = {
    [sym_expression] = STATE(2518),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_colon] = ACTIONS(463),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [149] = {
    [sym_expression] = STATE(2475),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_colon] = ACTIONS(465),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [150] = {
    [sym_expression] = STATE(2567),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_colon] = ACTIONS(467),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [151] = {
    [sym_expression] = STATE(2488),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_colon] = ACTIONS(469),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [152] = {
    [sym_expression] = STATE(2539),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [153] = {
    [sym_expression] = STATE(2449),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [154] = {
    [sym_expression] = STATE(2555),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [155] = {
    [sym_expression] = STATE(2366),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [156] = {
    [sym_expression] = STATE(2414),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [157] = {
    [sym_expression] = STATE(2618),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [158] = {
    [sym_expression] = STATE(2558),
    [sym_pipeline_expression] = STATE(2421),
    [sym_compound_expression] = STATE(936),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [159] = {
    [sym_expression] = STATE(2212),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [160] = {
    [sym_expression] = STATE(2217),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [161] = {
    [sym_expression] = STATE(2090),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [162] = {
    [sym_expression] = STATE(2600),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [163] = {
    [sym_expression] = STATE(2269),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [164] = {
    [sym_expression] = STATE(2173),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [165] = {
    [sym_expression] = STATE(2569),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [166] = {
    [sym_expression] = STATE(2343),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [167] = {
    [sym_expression] = STATE(2399),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [168] = {
    [sym_expression] = STATE(2039),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [169] = {
    [sym_expression] = STATE(2069),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [170] = {
    [sym_expression] = STATE(2112),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [171] = {
    [sym_expression] = STATE(2550),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [172] = {
    [sym_expression] = STATE(2138),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [173] = {
    [sym_expression] = STATE(2489),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [174] = {
    [sym_expression] = STATE(2681),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [175] = {
    [sym_expression] = STATE(2589),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [176] = {
    [sym_expression] = STATE(2604),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [177] = {
    [sym_expression] = STATE(2245),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [178] = {
    [sym_expression] = STATE(2259),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [179] = {
    [sym_expression] = STATE(2491),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [180] = {
    [sym_expression] = STATE(2524),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [181] = {
    [sym_expression] = STATE(2599),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [182] = {
    [sym_expression] = STATE(2417),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [183] = {
    [sym_expression] = STATE(1950),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [184] = {
    [sym_expression] = STATE(2500),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [185] = {
    [sym_expression] = STATE(2597),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [186] = {
    [sym_expression] = STATE(2640),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [187] = {
    [sym_expression] = STATE(2286),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [188] = {
    [sym_expression] = STATE(2502),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [189] = {
    [sym_expression] = STATE(2486),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [190] = {
    [sym_expression] = STATE(2583),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [191] = {
    [sym_expression] = STATE(2493),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [192] = {
    [sym_expression] = STATE(2505),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [193] = {
    [sym_expression] = STATE(2534),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [194] = {
    [sym_expression] = STATE(2603),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [195] = {
    [sym_expression] = STATE(2725),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [196] = {
    [sym_expression] = STATE(2133),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [197] = {
    [sym_expression] = STATE(2523),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [198] = {
    [sym_expression] = STATE(2560),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [199] = {
    [sym_expression] = STATE(2685),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [200] = {
    [sym_expression] = STATE(2214),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [201] = {
    [sym_expression] = STATE(2601),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [202] = {
    [sym_expression] = STATE(2477),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [203] = {
    [sym_expression] = STATE(2629),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [204] = {
    [sym_expression] = STATE(2284),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [205] = {
    [sym_expression] = STATE(2507),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [206] = {
    [sym_expression] = STATE(2700),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [207] = {
    [sym_expression] = STATE(2521),
    [sym_pipeline_expression] = STATE(2421),
    [sym_compound_expression] = STATE(936),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [208] = {
    [sym_expression] = STATE(2333),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [209] = {
    [sym_expression] = STATE(2345),
    [sym_pipeline_expression] = STATE(1316),
    [sym_compound_expression] = STATE(862),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_match_expression] = STATE(1317),
    [sym_try_expression] = STATE(1317),
    [sym_if_expression] = STATE(1317),
    [sym_loop_label] = STATE(2326),
    [sym_while_expression] = STATE(1317),
    [sym_loop_expression] = STATE(1317),
    [sym_for_expression] = STATE(1317),
    [sym_for_in_expression] = STATE(1317),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_loop] = ACTIONS(235),
    [sym_for_keyword] = ACTIONS(237),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [210] = {
    [sym_expression] = STATE(1961),
    [sym_pipeline_expression] = STATE(1478),
    [sym_compound_expression] = STATE(886),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_match_expression] = STATE(1508),
    [sym_try_expression] = STATE(1508),
    [sym_if_expression] = STATE(1508),
    [sym_loop_label] = STATE(2123),
    [sym_while_expression] = STATE(1508),
    [sym_loop_expression] = STATE(1508),
    [sym_for_expression] = STATE(1508),
    [sym_for_in_expression] = STATE(1508),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_if] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_match] = ACTIONS(97),
    [anon_sym_try] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_loop] = ACTIONS(111),
    [sym_for_keyword] = ACTIONS(113),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [211] = {
    [sym_compound_expression] = STATE(927),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_semicolon] = STATE(1917),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(473),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(473),
    [sym_float_literal] = ACTIONS(75),
  },
  [212] = {
    [sym_compound_expression] = STATE(922),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_semicolon] = STATE(1997),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(473),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(473),
    [sym_float_literal] = ACTIONS(75),
  },
  [213] = {
    [sym_compound_expression] = STATE(920),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_semicolon] = STATE(1947),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(473),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(473),
    [sym_float_literal] = ACTIONS(75),
  },
  [214] = {
    [sym_compound_expression] = STATE(916),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_semicolon] = STATE(1954),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(473),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(473),
    [sym_float_literal] = ACTIONS(75),
  },
  [215] = {
    [sym_compound_expression] = STATE(914),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_semicolon] = STATE(1901),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(473),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(473),
    [sym_float_literal] = ACTIONS(75),
  },
  [216] = {
    [sym_compound_expression] = STATE(915),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_semicolon] = STATE(1924),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(473),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(473),
    [sym_float_literal] = ACTIONS(75),
  },
  [217] = {
    [sym_compound_expression] = STATE(926),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_semicolon] = STATE(1910),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(473),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(473),
    [sym_float_literal] = ACTIONS(75),
  },
  [218] = {
    [sym_compound_expression] = STATE(917),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_semicolon] = STATE(1889),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(473),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_automatic_semicolon] = ACTIONS(473),
    [sym_float_literal] = ACTIONS(75),
  },
  [219] = {
    [sym_compound_expression] = STATE(897),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [220] = {
    [sym_compound_expression] = STATE(879),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [221] = {
    [sym_compound_expression] = STATE(962),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [222] = {
    [sym_compound_expression] = STATE(866),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [223] = {
    [sym_compound_expression] = STATE(869),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [224] = {
    [sym_compound_expression] = STATE(848),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [225] = {
    [sym_compound_expression] = STATE(874),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [226] = {
    [sym_compound_expression] = STATE(884),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [227] = {
    [sym_compound_expression] = STATE(865),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [228] = {
    [sym_compound_expression] = STATE(852),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [229] = {
    [sym_compound_expression] = STATE(853),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [230] = {
    [sym_compound_expression] = STATE(854),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [231] = {
    [sym_compound_expression] = STATE(855),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [232] = {
    [sym_compound_expression] = STATE(942),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [233] = {
    [sym_compound_expression] = STATE(934),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [234] = {
    [sym_compound_expression] = STATE(960),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [235] = {
    [sym_compound_expression] = STATE(949),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [236] = {
    [sym_compound_expression] = STATE(887),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [237] = {
    [sym_compound_expression] = STATE(872),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [238] = {
    [sym_compound_expression] = STATE(873),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [239] = {
    [sym_compound_expression] = STATE(851),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [240] = {
    [sym_compound_expression] = STATE(947),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [241] = {
    [sym_compound_expression] = STATE(948),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [242] = {
    [sym_compound_expression] = STATE(875),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [243] = {
    [sym_compound_expression] = STATE(876),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [244] = {
    [sym_compound_expression] = STATE(929),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [245] = {
    [sym_compound_expression] = STATE(878),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [246] = {
    [sym_compound_expression] = STATE(928),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [247] = {
    [sym_compound_expression] = STATE(950),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [248] = {
    [sym_compound_expression] = STATE(951),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [249] = {
    [sym_compound_expression] = STATE(848),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [250] = {
    [sym_compound_expression] = STATE(952),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [251] = {
    [sym_compound_expression] = STATE(953),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [252] = {
    [sym_compound_expression] = STATE(954),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [253] = {
    [sym_compound_expression] = STATE(955),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [254] = {
    [sym_compound_expression] = STATE(956),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [255] = {
    [sym_compound_expression] = STATE(957),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [256] = {
    [sym_compound_expression] = STATE(940),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(603),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
  [257] = {
    [sym_compound_expression] = STATE(880),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [258] = {
    [sym_compound_expression] = STATE(881),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [259] = {
    [sym_compound_expression] = STATE(882),
    [sym_postfix_expression] = STATE(856),
    [sym_simple_expression] = STATE(433),
    [sym_atomic_expression] = STATE(602),
    [sym_string_interpolation] = STATE(555),
    [sym_literal] = STATE(555),
    [sym_boolean_literal] = STATE(540),
    [sym_byte_literal] = STATE(540),
    [sym_char_literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_bytes_literal] = STATE(540),
    [sym_multiline_string_fragment] = STATE(421),
    [sym_multiline_interpolation_fragment] = STATE(421),
    [sym_multiline_string_literal] = STATE(540),
    [sym_unary_expression] = STATE(602),
    [sym_binary_expression] = STATE(856),
    [sym_struct_expression] = STATE(602),
    [sym_nonempty_block_expression] = STATE(602),
    [sym_anonymous_lambda_expression] = STATE(602),
    [sym_anonymous_matrix_lambda_expression] = STATE(602),
    [sym_constructor_expression] = STATE(602),
    [sym_apply_expression] = STATE(602),
    [sym_array_access_expression] = STATE(602),
    [sym_dot_apply_expression] = STATE(602),
    [sym_dot_dot_apply_expression] = STATE(602),
    [sym_access_expression] = STATE(602),
    [sym_method_expression] = STATE(602),
    [sym_unit_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_constraint_expression] = STATE(602),
    [sym_array_expression] = STATE(602),
    [sym_map_expression] = STATE(602),
    [sym_as_expression] = STATE(870),
    [sym_is_expression] = STATE(870),
    [sym_range_expression] = STATE(856),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(602),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2621),
    [aux_sym_multiline_string_literal_repeat1] = STATE(421),
    [sym_lowercase_identifier] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym__] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [sym_integer_literal] = ACTIONS(75),
    [anon_sym_b_SQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [anon_sym_b_DQUOTE] = ACTIONS(81),
    [sym_multiline_string_separator] = ACTIONS(83),
    [sym_multiline_interpolation_separator] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(95),
    [sym_uppercase_identifier] = ACTIONS(119),
    [sym_package_identifier] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(75),
  },
  [260] = {
    [sym_compound_expression] = STATE(863),
    [sym_postfix_expression] = STATE(844),
    [sym_simple_expression] = STATE(438),
    [sym_atomic_expression] = STATE(524),
    [sym_string_interpolation] = STATE(525),
    [sym_literal] = STATE(525),
    [sym_boolean_literal] = STATE(454),
    [sym_byte_literal] = STATE(454),
    [sym_char_literal] = STATE(454),
    [sym_string_literal] = STATE(454),
    [sym_bytes_literal] = STATE(454),
    [sym_multiline_string_fragment] = STATE(391),
    [sym_multiline_interpolation_fragment] = STATE(391),
    [sym_multiline_string_literal] = STATE(454),
    [sym_unary_expression] = STATE(524),
    [sym_binary_expression] = STATE(844),
    [sym_struct_expression] = STATE(524),
    [sym_nonempty_block_expression] = STATE(524),
    [sym_anonymous_lambda_expression] = STATE(524),
    [sym_anonymous_matrix_lambda_expression] = STATE(524),
    [sym_constructor_expression] = STATE(524),
    [sym_apply_expression] = STATE(524),
    [sym_array_access_expression] = STATE(524),
    [sym_dot_apply_expression] = STATE(524),
    [sym_dot_dot_apply_expression] = STATE(524),
    [sym_access_expression] = STATE(524),
    [sym_method_expression] = STATE(524),
    [sym_unit_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_constraint_expression] = STATE(524),
    [sym_array_expression] = STATE(524),
    [sym_map_expression] = STATE(524),
    [sym_as_expression] = STATE(845),
    [sym_is_expression] = STATE(845),
    [sym_range_expression] = STATE(844),
    [sym_identifier] = STATE(1217),
    [sym_qualified_identifier] = STATE(524),
    [sym_qualified_type_identifier] = STATE(810),
    [sym_type_name] = STATE(2715),
    [aux_sym_multiline_string_literal_repeat1] = STATE(391),
    [sym_lowercase_identifier] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(201),
    [anon_sym_fn] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym__] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(211),
    [anon_sym_false] = ACTIONS(211),
    [sym_integer_literal] = ACTIONS(213),
    [anon_sym_b_SQUOTE] = ACTIONS(215),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_b_DQUOTE] = ACTIONS(219),
    [sym_multiline_string_separator] = ACTIONS(221),
    [sym_multiline_interpolation_separator] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(227),
    [sym_uppercase_identifier] = ACTIONS(239),
    [sym_package_identifier] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [sym_docstring] = ACTIONS(5),
    [sym_automatic_newline] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(213),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_LBRACE,
    ACTIONS(201), 1,
      anon_sym_async,
    ACTIONS(203), 1,
      anon_sym_fn,
    ACTIONS(207), 1,
      anon_sym__,
    ACTIONS(209), 1,
      anon_sym_DQUOTE,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(227), 1,
      anon_sym_LBRACK,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(241), 1,
      sym_package_identifier,
    ACTIONS(477), 1,
      sym_lowercase_identifier,
    STATE(410), 1,
      sym_simple_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2715), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(205), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(525), 2,
      sym_string_interpolation,
      sym_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(524), 19,
      sym_atomic_expression,
      sym_unary_expression,
      sym_struct_expression,
      sym_nonempty_block_expression,
      sym_anonymous_lambda_expression,
      sym_anonymous_matrix_lambda_expression,
      sym_constructor_expression,
      sym_apply_expression,
      sym_array_access_expression,
      sym_dot_apply_expression,
      sym_dot_dot_apply_expression,
      sym_access_expression,
      sym_method_expression,
      sym_unit_expression,
      sym_tuple_expression,
      sym_constraint_expression,
      sym_array_expression,
      sym_map_expression,
      sym_qualified_identifier,
  [118] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(479), 1,
      sym_lowercase_identifier,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_LBRACE,
    ACTIONS(485), 1,
      anon_sym_async,
    ACTIONS(487), 1,
      anon_sym_fn,
    ACTIONS(491), 1,
      anon_sym__,
    ACTIONS(493), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_SQUOTE,
    ACTIONS(503), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(505), 1,
      sym_multiline_string_separator,
    ACTIONS(507), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(509), 1,
      anon_sym_LBRACK,
    ACTIONS(511), 1,
      sym_uppercase_identifier,
    ACTIONS(513), 1,
      sym_package_identifier,
    STATE(532), 1,
      sym_simple_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2668), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(495), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(497), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(626), 2,
      sym_string_interpolation,
      sym_literal,
    STATE(518), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(623), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(628), 19,
      sym_atomic_expression,
      sym_unary_expression,
      sym_struct_expression,
      sym_nonempty_block_expression,
      sym_anonymous_lambda_expression,
      sym_anonymous_matrix_lambda_expression,
      sym_constructor_expression,
      sym_apply_expression,
      sym_array_access_expression,
      sym_dot_apply_expression,
      sym_dot_dot_apply_expression,
      sym_access_expression,
      sym_method_expression,
      sym_unit_expression,
      sym_tuple_expression,
      sym_constraint_expression,
      sym_array_expression,
      sym_map_expression,
      sym_qualified_identifier,
  [236] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(515), 1,
      sym_lowercase_identifier,
    ACTIONS(517), 1,
      anon_sym_LPAREN,
    ACTIONS(519), 1,
      anon_sym_LBRACE,
    ACTIONS(521), 1,
      anon_sym_async,
    ACTIONS(523), 1,
      anon_sym_fn,
    ACTIONS(527), 1,
      anon_sym__,
    ACTIONS(529), 1,
      anon_sym_DQUOTE,
    ACTIONS(535), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(537), 1,
      anon_sym_SQUOTE,
    ACTIONS(539), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(541), 1,
      sym_multiline_string_separator,
    ACTIONS(543), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      sym_uppercase_identifier,
    ACTIONS(549), 1,
      sym_package_identifier,
    STATE(537), 1,
      sym_simple_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2647), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(531), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(533), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(704), 2,
      sym_string_interpolation,
      sym_literal,
    STATE(536), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(700), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(702), 19,
      sym_atomic_expression,
      sym_unary_expression,
      sym_struct_expression,
      sym_nonempty_block_expression,
      sym_anonymous_lambda_expression,
      sym_anonymous_matrix_lambda_expression,
      sym_constructor_expression,
      sym_apply_expression,
      sym_array_access_expression,
      sym_dot_apply_expression,
      sym_dot_dot_apply_expression,
      sym_access_expression,
      sym_method_expression,
      sym_unit_expression,
      sym_tuple_expression,
      sym_constraint_expression,
      sym_array_expression,
      sym_map_expression,
      sym_qualified_identifier,
  [354] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(551), 1,
      sym_lowercase_identifier,
    ACTIONS(553), 1,
      anon_sym_LPAREN,
    ACTIONS(555), 1,
      anon_sym_LBRACE,
    ACTIONS(557), 1,
      anon_sym_async,
    ACTIONS(559), 1,
      anon_sym_fn,
    ACTIONS(563), 1,
      anon_sym__,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(571), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(573), 1,
      anon_sym_SQUOTE,
    ACTIONS(575), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(577), 1,
      sym_multiline_string_separator,
    ACTIONS(579), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      sym_uppercase_identifier,
    ACTIONS(585), 1,
      sym_package_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(979), 1,
      sym_simple_expression,
    STATE(1217), 1,
      sym_identifier,
    STATE(2684), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(569), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(1197), 2,
      sym_string_interpolation,
      sym_literal,
    STATE(981), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1193), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(1194), 19,
      sym_atomic_expression,
      sym_unary_expression,
      sym_struct_expression,
      sym_nonempty_block_expression,
      sym_anonymous_lambda_expression,
      sym_anonymous_matrix_lambda_expression,
      sym_constructor_expression,
      sym_apply_expression,
      sym_array_access_expression,
      sym_dot_apply_expression,
      sym_dot_dot_apply_expression,
      sym_access_expression,
      sym_method_expression,
      sym_unit_expression,
      sym_tuple_expression,
      sym_constraint_expression,
      sym_array_expression,
      sym_map_expression,
      sym_qualified_identifier,
  [472] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(515), 1,
      sym_lowercase_identifier,
    ACTIONS(517), 1,
      anon_sym_LPAREN,
    ACTIONS(519), 1,
      anon_sym_LBRACE,
    ACTIONS(521), 1,
      anon_sym_async,
    ACTIONS(523), 1,
      anon_sym_fn,
    ACTIONS(527), 1,
      anon_sym__,
    ACTIONS(529), 1,
      anon_sym_DQUOTE,
    ACTIONS(535), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(537), 1,
      anon_sym_SQUOTE,
    ACTIONS(539), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(541), 1,
      sym_multiline_string_separator,
    ACTIONS(543), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      sym_uppercase_identifier,
    ACTIONS(549), 1,
      sym_package_identifier,
    STATE(541), 1,
      sym_simple_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2647), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(531), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(533), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(704), 2,
      sym_string_interpolation,
      sym_literal,
    STATE(536), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(700), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(702), 19,
      sym_atomic_expression,
      sym_unary_expression,
      sym_struct_expression,
      sym_nonempty_block_expression,
      sym_anonymous_lambda_expression,
      sym_anonymous_matrix_lambda_expression,
      sym_constructor_expression,
      sym_apply_expression,
      sym_array_access_expression,
      sym_dot_apply_expression,
      sym_dot_dot_apply_expression,
      sym_access_expression,
      sym_method_expression,
      sym_unit_expression,
      sym_tuple_expression,
      sym_constraint_expression,
      sym_array_expression,
      sym_map_expression,
      sym_qualified_identifier,
  [590] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym__,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(119), 1,
      sym_uppercase_identifier,
    ACTIONS(121), 1,
      sym_package_identifier,
    ACTIONS(259), 1,
      anon_sym_async,
    ACTIONS(261), 1,
      anon_sym_fn,
    ACTIONS(471), 1,
      sym_lowercase_identifier,
    STATE(441), 1,
      sym_simple_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2621), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(67), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(73), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(587), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(555), 2,
      sym_string_interpolation,
      sym_literal,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(540), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(602), 19,
      sym_atomic_expression,
      sym_unary_expression,
      sym_struct_expression,
      sym_nonempty_block_expression,
      sym_anonymous_lambda_expression,
      sym_anonymous_matrix_lambda_expression,
      sym_constructor_expression,
      sym_apply_expression,
      sym_array_access_expression,
      sym_dot_apply_expression,
      sym_dot_dot_apply_expression,
      sym_access_expression,
      sym_method_expression,
      sym_unit_expression,
      sym_tuple_expression,
      sym_constraint_expression,
      sym_array_expression,
      sym_map_expression,
      sym_qualified_identifier,
  [708] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(551), 1,
      sym_lowercase_identifier,
    ACTIONS(553), 1,
      anon_sym_LPAREN,
    ACTIONS(555), 1,
      anon_sym_LBRACE,
    ACTIONS(557), 1,
      anon_sym_async,
    ACTIONS(559), 1,
      anon_sym_fn,
    ACTIONS(563), 1,
      anon_sym__,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(571), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(573), 1,
      anon_sym_SQUOTE,
    ACTIONS(575), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(577), 1,
      sym_multiline_string_separator,
    ACTIONS(579), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      sym_uppercase_identifier,
    ACTIONS(585), 1,
      sym_package_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(973), 1,
      sym_simple_expression,
    STATE(1217), 1,
      sym_identifier,
    STATE(2684), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(569), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(1197), 2,
      sym_string_interpolation,
      sym_literal,
    STATE(981), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1193), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(1194), 19,
      sym_atomic_expression,
      sym_unary_expression,
      sym_struct_expression,
      sym_nonempty_block_expression,
      sym_anonymous_lambda_expression,
      sym_anonymous_matrix_lambda_expression,
      sym_constructor_expression,
      sym_apply_expression,
      sym_array_access_expression,
      sym_dot_apply_expression,
      sym_dot_dot_apply_expression,
      sym_access_expression,
      sym_method_expression,
      sym_unit_expression,
      sym_tuple_expression,
      sym_constraint_expression,
      sym_array_expression,
      sym_map_expression,
      sym_qualified_identifier,
  [826] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(479), 1,
      sym_lowercase_identifier,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_LBRACE,
    ACTIONS(485), 1,
      anon_sym_async,
    ACTIONS(487), 1,
      anon_sym_fn,
    ACTIONS(491), 1,
      anon_sym__,
    ACTIONS(493), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_SQUOTE,
    ACTIONS(503), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(505), 1,
      sym_multiline_string_separator,
    ACTIONS(507), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(509), 1,
      anon_sym_LBRACK,
    ACTIONS(511), 1,
      sym_uppercase_identifier,
    ACTIONS(513), 1,
      sym_package_identifier,
    STATE(530), 1,
      sym_simple_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2668), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(495), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(497), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(626), 2,
      sym_string_interpolation,
      sym_literal,
    STATE(518), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(623), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(628), 19,
      sym_atomic_expression,
      sym_unary_expression,
      sym_struct_expression,
      sym_nonempty_block_expression,
      sym_anonymous_lambda_expression,
      sym_anonymous_matrix_lambda_expression,
      sym_constructor_expression,
      sym_apply_expression,
      sym_array_access_expression,
      sym_dot_apply_expression,
      sym_dot_dot_apply_expression,
      sym_access_expression,
      sym_method_expression,
      sym_unit_expression,
      sym_tuple_expression,
      sym_constraint_expression,
      sym_array_expression,
      sym_map_expression,
      sym_qualified_identifier,
  [944] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym__,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(119), 1,
      sym_uppercase_identifier,
    ACTIONS(121), 1,
      sym_package_identifier,
    ACTIONS(259), 1,
      anon_sym_async,
    ACTIONS(261), 1,
      anon_sym_fn,
    ACTIONS(471), 1,
      sym_lowercase_identifier,
    STATE(441), 1,
      sym_simple_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2621), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(67), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(73), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(75), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(555), 2,
      sym_string_interpolation,
      sym_literal,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(540), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(602), 19,
      sym_atomic_expression,
      sym_unary_expression,
      sym_struct_expression,
      sym_nonempty_block_expression,
      sym_anonymous_lambda_expression,
      sym_anonymous_matrix_lambda_expression,
      sym_constructor_expression,
      sym_apply_expression,
      sym_array_access_expression,
      sym_dot_apply_expression,
      sym_dot_dot_apply_expression,
      sym_access_expression,
      sym_method_expression,
      sym_unit_expression,
      sym_tuple_expression,
      sym_constraint_expression,
      sym_array_expression,
      sym_map_expression,
      sym_qualified_identifier,
  [1062] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(591), 8,
      anon_sym_type,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(589), 43,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_impl,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
      anon_sym_POUND,
  [1125] = 7,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(595), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(393), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(598), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(271), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(593), 45,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [1194] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(603), 8,
      anon_sym_type,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(601), 43,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_impl,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
      anon_sym_POUND,
  [1257] = 7,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(607), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(393), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(609), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(274), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(605), 45,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [1326] = 7,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(607), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(393), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(609), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(271), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(611), 45,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [1395] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(603), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(601), 41,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
      anon_sym_POUND,
  [1457] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(627), 1,
      anon_sym_if,
    ACTIONS(629), 1,
      anon_sym_EQ_GT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1532), 1,
      sym_pattern,
    STATE(2639), 1,
      sym_pattern_guard,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [1577] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    ACTIONS(637), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2545), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [1697] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    ACTIONS(639), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2397), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [1817] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    ACTIONS(641), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2222), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [1937] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(591), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(589), 41,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
      anon_sym_POUND,
  [1999] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    ACTIONS(643), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2545), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [2119] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    ACTIONS(645), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2545), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [2239] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    ACTIONS(647), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2545), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [2359] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    ACTIONS(649), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2145), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [2479] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(627), 1,
      anon_sym_if,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(651), 1,
      anon_sym_EQ_GT,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1532), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    STATE(2674), 1,
      sym_pattern_guard,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [2599] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    ACTIONS(653), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2545), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [2719] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    ACTIONS(655), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2545), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [2839] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(657), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1595), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [2956] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(659), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [3073] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(661), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [3190] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(663), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [3307] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(665), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(1834), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [3424] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(667), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [3541] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(669), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2270), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [3660] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(671), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1618), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [3777] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(673), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1637), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [3894] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(675), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1640), 1,
      sym_case_clause,
    STATE(1786), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [4011] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(677), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1641), 1,
      sym_case_clause,
    STATE(1786), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [4128] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(679), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1642), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [4245] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(681), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1705), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [4362] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(683), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2459), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [4481] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(685), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1649), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [4598] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(685), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [4715] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(687), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1655), 1,
      sym_case_clause,
    STATE(1786), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [4832] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(689), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1657), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [4949] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(691), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [5066] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(693), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2459), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [5185] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [5302] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [5419] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [5536] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1663), 1,
      sym_case_clause,
    STATE(1786), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [5653] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(701), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [5770] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(701), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1668), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [5887] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(703), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [6004] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(705), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [6121] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(707), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [6238] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(709), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1671), 1,
      sym_case_clause,
    STATE(1786), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [6355] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(711), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [6472] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(713), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [6589] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(715), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [6706] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(717), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [6823] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(719), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [6940] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(721), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [7057] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(723), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [7174] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [7291] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [7408] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1774), 1,
      sym_case_clause,
    STATE(1786), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [7525] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(731), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(1815), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [7642] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(733), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1630), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [7759] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(735), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2125), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [7878] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(737), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1703), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [7995] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(739), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [8112] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(741), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [8229] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(743), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [8346] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(745), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1714), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [8463] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(635), 1,
      sym_lowercase_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1953), 1,
      sym_pattern,
    STATE(2545), 1,
      sym_constructor_pattern_argument,
    STATE(2582), 1,
      sym_parameter_label,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [8580] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(747), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1651), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [8697] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(749), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2459), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [8816] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(751), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1721), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [8933] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(751), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [9050] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(753), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2459), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [9169] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(755), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [9286] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(757), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [9403] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(759), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [9520] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(761), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [9637] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(763), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [9754] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(765), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1751), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [9871] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(767), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2459), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [9990] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1758), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [10107] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1835), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [10224] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(773), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1827), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [10341] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [10458] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(775), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [10575] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(777), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1764), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [10692] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(777), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [10809] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(779), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [10926] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(781), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1706), 1,
      sym_case_clause,
    STATE(1786), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [11043] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(783), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1753), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [11160] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(785), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [11277] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(787), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [11394] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(789), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1783), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [11511] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(791), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1792), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [11628] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(793), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1741), 1,
      sym_case_clause,
    STATE(1786), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [11745] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1795), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [11862] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [11979] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(797), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2459), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [12098] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(799), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [12215] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(801), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [12332] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(803), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [12449] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(805), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1807), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [12566] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(807), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [12683] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [12800] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(805), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [12917] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(811), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [13034] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(813), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [13151] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(813), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(1839), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [13268] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(815), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [13385] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [13502] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(815), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(1613), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [13619] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(819), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [13736] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(821), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [13853] = 33,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(823), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2344), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [13972] = 31,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(825), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1532), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [14086] = 31,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1480), 1,
      sym_pattern,
    STATE(2085), 1,
      sym_matrix_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [14200] = 31,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(827), 1,
      anon_sym_mut,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1853), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [14314] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(831), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(423), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(829), 2,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(834), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(386), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(593), 40,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [14382] = 31,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(837), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1532), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [14496] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(843), 1,
      sym_multiline_string_separator,
    ACTIONS(846), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(388), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(841), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(839), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [14562] = 31,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(849), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1532), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [14676] = 31,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(851), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1532), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [14790] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(388), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(855), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(853), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [14856] = 31,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1786), 1,
      sym_pattern,
    STATE(2062), 1,
      sym_case_clause,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [14970] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(859), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(857), 46,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [15030] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(863), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(423), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(861), 2,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(865), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(395), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(605), 40,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [15098] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(863), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(423), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(865), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(867), 2,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
    STATE(386), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(611), 40,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [15166] = 31,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(869), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1532), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [15280] = 32,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1002), 1,
      sym_dot_dot,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1902), 1,
      sym_pattern,
    STATE(2459), 1,
      sym_array_sub_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 8,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
  [15396] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(873), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(871), 46,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [15456] = 31,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(875), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1532), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [15570] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1718), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [15681] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1467), 1,
      sym_simple_pattern,
    STATE(1760), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [15792] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1877), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [15903] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1467), 1,
      sym_simple_pattern,
    STATE(1635), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [16014] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1611), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [16125] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1846), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [16236] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1615), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [16347] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1467), 1,
      sym_simple_pattern,
    STATE(1852), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [16458] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1647), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [16569] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1467), 1,
      sym_simple_pattern,
    STATE(1857), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [16680] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(877), 1,
      anon_sym_LPAREN,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(885), 1,
      anon_sym_DOT_DOT,
    ACTIONS(889), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_dot,
    STATE(508), 1,
      sym_dot_identifier,
    STATE(520), 1,
      sym_accessor,
    STATE(2746), 1,
      sym_apply_operator,
    STATE(2747), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(893), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(883), 6,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(879), 27,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_is_keyword,
  [16763] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(2092), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [16874] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1532), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [16985] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1700), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [17096] = 30,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_simple_pattern,
    STATE(1285), 1,
      sym_pattern,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(1228), 3,
      sym_as_pattern,
      sym_or_pattern,
      sym_range_pattern,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [17207] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(897), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(895), 33,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      sym_derive_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17265] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(903), 1,
      anon_sym_TILDE_COLON,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(901), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(899), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17327] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(909), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(907), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17387] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(913), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(911), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17444] = 7,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(915), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(519), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(918), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(419), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(593), 39,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17507] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(873), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(871), 41,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17564] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(430), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(855), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(853), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17627] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(923), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(921), 36,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17684] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(859), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(857), 41,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17741] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(927), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(925), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17798] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(931), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(929), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17855] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(903), 1,
      anon_sym_TILDE_COLON,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(933), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(901), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(899), 28,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17920] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(939), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(937), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [17977] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(943), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(941), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [18034] = 7,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(945), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(519), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(947), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(431), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(605), 39,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [18097] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(949), 1,
      sym_multiline_string_separator,
    ACTIONS(952), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(430), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(841), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(839), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [18160] = 7,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(945), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(519), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(947), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(419), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(611), 39,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [18223] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(957), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(959), 13,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(955), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [18282] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(885), 1,
      anon_sym_DOT_DOT,
    ACTIONS(963), 1,
      anon_sym_LPAREN,
    ACTIONS(967), 1,
      anon_sym_LBRACK,
    ACTIONS(969), 1,
      anon_sym_as,
    ACTIONS(971), 1,
      sym_dot,
    ACTIONS(975), 1,
      sym_is_keyword,
    STATE(427), 1,
      sym_accessor,
    STATE(432), 1,
      sym_dot_identifier,
    STATE(2707), 1,
      sym_dot_dot_identifier,
    STATE(2748), 1,
      sym_apply_operator,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(973), 2,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
    ACTIONS(977), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(965), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(961), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [18368] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(981), 10,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
      sym_colon,
    ACTIONS(979), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [18426] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(983), 1,
      anon_sym_DOT_DOT,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(847), 1,
      sym_range_pattern,
    STATE(911), 1,
      sym_simple_pattern,
    STATE(1217), 1,
      sym_identifier,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [18532] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(985), 1,
      anon_sym_DOT_DOT,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(816), 1,
      sym_simple_pattern,
    STATE(847), 1,
      sym_range_pattern,
    STATE(1217), 1,
      sym_identifier,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [18638] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(903), 1,
      anon_sym_TILDE_COLON,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(901), 11,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_TILDE,
      sym_dot,
      sym_colon,
    ACTIONS(899), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [18698] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(877), 1,
      anon_sym_LPAREN,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(885), 1,
      anon_sym_DOT_DOT,
    ACTIONS(889), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_dot,
    ACTIONS(987), 1,
      anon_sym_as,
    ACTIONS(991), 1,
      sym_is_keyword,
    STATE(508), 1,
      sym_dot_identifier,
    STATE(520), 1,
      sym_accessor,
    STATE(2746), 1,
      sym_apply_operator,
    STATE(2747), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(893), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(989), 2,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
    ACTIONS(965), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(961), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [18784] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(995), 10,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
      sym_colon,
    ACTIONS(993), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [18842] = 29,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(77), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(119), 1,
      sym_uppercase_identifier,
    ACTIONS(997), 1,
      sym_lowercase_identifier,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_LBRACE,
    ACTIONS(1003), 1,
      anon_sym__,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_DASH,
    ACTIONS(1009), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1011), 1,
      anon_sym_LBRACK,
    ACTIONS(1013), 1,
      sym_package_identifier,
    STATE(805), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(841), 1,
      sym_simple_pattern,
    STATE(885), 1,
      sym_range_pattern,
    STATE(1217), 1,
      sym_identifier,
    STATE(2724), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(73), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(75), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(540), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(840), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [18948] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(885), 1,
      anon_sym_DOT_DOT,
    ACTIONS(963), 1,
      anon_sym_LPAREN,
    ACTIONS(967), 1,
      anon_sym_LBRACK,
    ACTIONS(971), 1,
      sym_dot,
    STATE(427), 1,
      sym_accessor,
    STATE(432), 1,
      sym_dot_identifier,
    STATE(2707), 1,
      sym_dot_dot_identifier,
    STATE(2748), 1,
      sym_apply_operator,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(977), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(883), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(879), 25,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_is_keyword,
  [19028] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(909), 10,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
      sym_colon,
    ACTIONS(907), 32,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19085] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1017), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1015), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19140] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(901), 10,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
      sym_colon,
    ACTIONS(899), 32,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19197] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1019), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(539), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(867), 2,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(1021), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(449), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(611), 35,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19260] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1025), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1023), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19315] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1029), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1027), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19370] = 28,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(799), 1,
      sym_simple_pattern,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [19473] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1033), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(539), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(829), 2,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(1036), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(449), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(593), 35,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19536] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1041), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1039), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      anon_sym_else,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19591] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1045), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1043), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19646] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1049), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1047), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19701] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1053), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1051), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      anon_sym_else,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19756] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1057), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1055), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [19811] = 28,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(799), 1,
      sym_simple_pattern,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [19914] = 28,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(613), 1,
      sym_lowercase_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(619), 1,
      anon_sym__,
    ACTIONS(623), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      sym_package_identifier,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1059), 1,
      anon_sym_DOT_DOT,
    STATE(774), 1,
      sym_constructor_expression,
    STATE(799), 1,
      sym_simple_pattern,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(795), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [20017] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1063), 18,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_integer_literal,
      anon_sym_b_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_b_DQUOTE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_unfinished,
      sym_uppercase_identifier,
      sym_package_identifier,
    ACTIONS(1061), 25,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_async,
      anon_sym_fn,
      anon_sym__,
      anon_sym_true,
      anon_sym_false,
      anon_sym_if,
      anon_sym_match,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_try,
      anon_sym_guard,
      anon_sym_while,
      anon_sym_loop,
      sym_for_keyword,
      anon_sym_return,
      anon_sym_raise,
      sym_lowercase_identifier,
      anon_sym_POUND,
  [20072] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1067), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1065), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      anon_sym_else,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20127] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1071), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1069), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20182] = 28,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(499), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_SQUOTE,
    ACTIONS(503), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(505), 1,
      sym_multiline_string_separator,
    ACTIONS(507), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(511), 1,
      sym_uppercase_identifier,
    ACTIONS(1059), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1073), 1,
      sym_lowercase_identifier,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_LBRACE,
    ACTIONS(1079), 1,
      anon_sym__,
    ACTIONS(1081), 1,
      anon_sym_DQUOTE,
    ACTIONS(1083), 1,
      anon_sym_DASH,
    ACTIONS(1085), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      sym_package_identifier,
    STATE(799), 1,
      sym_simple_pattern,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1518), 1,
      sym_constructor_expression,
    STATE(2652), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(495), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(497), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(518), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(623), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(1619), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [20285] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1091), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1089), 34,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      anon_sym_else,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20340] = 28,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(77), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(119), 1,
      sym_uppercase_identifier,
    ACTIONS(997), 1,
      sym_lowercase_identifier,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_LBRACE,
    ACTIONS(1003), 1,
      anon_sym__,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_DASH,
    ACTIONS(1009), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1011), 1,
      anon_sym_LBRACK,
    ACTIONS(1013), 1,
      sym_package_identifier,
    STATE(805), 1,
      sym_constructor_expression,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(864), 1,
      sym_simple_pattern,
    STATE(1217), 1,
      sym_identifier,
    STATE(2724), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(73), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(75), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(540), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
    STATE(840), 9,
      sym_literal,
      sym_constructor_pattern,
      sym_tuple_pattern,
      sym_constraint_pattern,
      sym_array_pattern,
      sym_struct_pattern,
      sym_map_pattern,
      sym_empty_struct_or_map_pattern,
      sym_dot_dot,
  [20443] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1019), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(539), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(861), 2,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(1021), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(445), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(605), 35,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20506] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(943), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(941), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20560] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1095), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1093), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20614] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1099), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1097), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20668] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(873), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(871), 40,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20722] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1103), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1101), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20776] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1107), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1105), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20830] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1111), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1109), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20884] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1115), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1113), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20938] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1119), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1117), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [20992] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1123), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1121), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21046] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1127), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1125), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21100] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1131), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1129), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21154] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1135), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1133), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21208] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1139), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1137), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21262] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1143), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1141), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21316] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1147), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1145), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21370] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1151), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1149), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21424] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1155), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1153), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21478] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1159), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1157), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21532] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1163), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1161), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21586] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1167), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1165), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21640] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1171), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1169), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21694] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1175), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1173), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21748] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1179), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1177), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21802] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(927), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(925), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21856] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1183), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1181), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21910] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1187), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1185), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [21964] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1191), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1189), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22018] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1195), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1193), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22072] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1199), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1197), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22126] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1203), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1201), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22180] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1207), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1205), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22234] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(931), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(929), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22288] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1211), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1209), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22342] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1215), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1213), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22396] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1219), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1217), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22450] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1223), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1221), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22504] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1227), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1225), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22558] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1231), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1229), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22612] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1235), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1233), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22666] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1239), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1237), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22720] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1243), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1241), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22774] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1247), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1245), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22828] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1251), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1249), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22882] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1253), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(959), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(955), 32,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22938] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1257), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1255), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [22992] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1261), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1259), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23046] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1265), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1263), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23100] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1269), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1267), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23154] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1273), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1271), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23208] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(913), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(911), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23262] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(897), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(895), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23316] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1277), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1275), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23370] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(923), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(921), 34,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23424] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(505), 1,
      sym_multiline_string_separator,
    ACTIONS(507), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(521), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(855), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(853), 30,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23484] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(859), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(857), 40,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23538] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(939), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(937), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23592] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1279), 1,
      sym_multiline_string_separator,
    ACTIONS(1282), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(521), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(841), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(839), 30,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23652] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1287), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1285), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23706] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1291), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1289), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23760] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1295), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1293), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23814] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1299), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1297), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23868] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1303), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1301), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23922] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1307), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1305), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [23976] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1311), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1309), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24030] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1315), 9,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1313), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_TILDE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24084] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1323), 1,
      anon_sym_LBRACK,
    ACTIONS(1325), 1,
      sym_dot,
    STATE(675), 1,
      sym_accessor,
    STATE(678), 1,
      sym_dot_identifier,
    STATE(2676), 1,
      sym_apply_operator,
    STATE(2677), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(1327), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(1321), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1319), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [24161] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1329), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1331), 5,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
    ACTIONS(1295), 12,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1293), 23,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24218] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1323), 1,
      anon_sym_LBRACK,
    ACTIONS(1325), 1,
      sym_dot,
    STATE(675), 1,
      sym_accessor,
    STATE(678), 1,
      sym_dot_identifier,
    STATE(2676), 1,
      sym_apply_operator,
    STATE(2677), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(1327), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(883), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(879), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [24295] = 22,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(877), 1,
      anon_sym_LPAREN,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(885), 1,
      anon_sym_DOT_DOT,
    ACTIONS(887), 1,
      anon_sym_BANG_BANG,
    ACTIONS(889), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_dot,
    ACTIONS(987), 1,
      anon_sym_as,
    ACTIONS(991), 1,
      sym_is_keyword,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1335), 1,
      anon_sym_TILDE,
    ACTIONS(1337), 1,
      sym_question_operator,
    STATE(508), 1,
      sym_dot_identifier,
    STATE(520), 1,
      sym_accessor,
    STATE(2746), 1,
      sym_apply_operator,
    STATE(2747), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(893), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(989), 2,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
    ACTIONS(965), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(961), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24384] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(603), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(601), 33,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24437] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(591), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(589), 33,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24490] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(541), 1,
      sym_multiline_string_separator,
    ACTIONS(543), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(542), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(855), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(853), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24548] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1339), 1,
      anon_sym_LPAREN,
    ACTIONS(1341), 1,
      anon_sym_LBRACK,
    ACTIONS(1343), 1,
      sym_dot,
    STATE(709), 1,
      sym_accessor,
    STATE(710), 1,
      sym_dot_identifier,
    STATE(2657), 1,
      sym_apply_operator,
    STATE(2658), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(1345), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(883), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(879), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [24624] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1025), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1023), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24676] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(859), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(857), 36,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24728] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1057), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1055), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24780] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1339), 1,
      anon_sym_LPAREN,
    ACTIONS(1341), 1,
      anon_sym_LBRACK,
    ACTIONS(1343), 1,
      sym_dot,
    STATE(709), 1,
      sym_accessor,
    STATE(710), 1,
      sym_dot_identifier,
    STATE(2657), 1,
      sym_apply_operator,
    STATE(2658), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(1345), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(1321), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1319), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [24856] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1347), 1,
      sym_multiline_string_separator,
    ACTIONS(1350), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(542), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(841), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(839), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24914] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1017), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1015), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [24966] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(995), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(993), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25020] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(873), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(871), 36,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25072] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1049), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1047), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25124] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(901), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(899), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25178] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(981), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(979), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25232] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1071), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1069), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25284] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1029), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1027), 32,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25336] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1231), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1229), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25387] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1227), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1225), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25438] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1115), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1113), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25489] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1091), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1089), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25540] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1299), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1297), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25591] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1041), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1039), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25642] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1139), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1137), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25693] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1045), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1043), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25744] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1261), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1259), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25795] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1269), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1267), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25846] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1287), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1285), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25897] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1239), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1237), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25948] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1291), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1289), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [25999] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1251), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1249), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26050] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1095), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1093), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26101] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1099), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1097), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26152] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1103), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1101), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26203] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1215), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1213), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26254] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1257), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1255), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26305] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1277), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1275), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26356] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(923), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(921), 32,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26407] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1315), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1313), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26458] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1107), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1105), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26509] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1111), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1109), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26560] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1243), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1241), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26611] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1311), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1309), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26662] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1119), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1117), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26713] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1123), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1121), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26764] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(903), 1,
      anon_sym_TILDE_COLON,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(1353), 1,
      anon_sym_TILDE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(901), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(899), 28,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26821] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1203), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1201), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26872] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1067), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1065), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26923] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1247), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1245), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [26974] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1303), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1301), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27025] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1127), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1125), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27076] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1219), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1217), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27127] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1131), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1129), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27178] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1135), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1133), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27229] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1053), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1051), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27280] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1235), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1233), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27331] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1143), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1141), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27382] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1147), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1145), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27433] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1151), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1149), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27484] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1155), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1153), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27535] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1159), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1157), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27586] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1163), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1161), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27637] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1167), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1165), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27688] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1307), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1305), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27739] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1171), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1169), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27790] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1175), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1173), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27841] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1273), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1271), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27892] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1179), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1177), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27943] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1295), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1293), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [27994] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(877), 1,
      anon_sym_LPAREN,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(885), 1,
      anon_sym_DOT_DOT,
    ACTIONS(889), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_dot,
    ACTIONS(987), 1,
      anon_sym_as,
    ACTIONS(1355), 1,
      sym_is_keyword,
    STATE(508), 1,
      sym_dot_identifier,
    STATE(520), 1,
      sym_accessor,
    STATE(2746), 1,
      sym_apply_operator,
    STATE(2747), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(893), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(989), 2,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
    ACTIONS(965), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(961), 16,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [28075] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1207), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1205), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28126] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1183), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1181), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28177] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1187), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1185), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28228] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1191), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1189), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28279] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1211), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1209), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28330] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1195), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1193), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28381] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1199), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1197), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28432] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1265), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1263), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28483] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1223), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1221), 31,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28534] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(981), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
      sym_colon,
    ACTIONS(979), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28586] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(995), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
      sym_colon,
    ACTIONS(993), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28638] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(901), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
      sym_colon,
    ACTIONS(899), 28,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28689] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1029), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1027), 30,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28738] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(923), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(921), 30,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28787] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1017), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1015), 30,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28836] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1045), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1043), 30,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28885] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(909), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
      sym_colon,
    ACTIONS(907), 28,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28936] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1025), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1023), 30,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [28985] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1049), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1047), 30,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29034] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1057), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1055), 30,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29083] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1071), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1069), 30,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29132] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1219), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1217), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29180] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1299), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1297), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29228] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1257), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1255), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29276] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1295), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1293), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29324] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1273), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1271), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29372] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(913), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(911), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29420] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1265), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1263), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29468] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1041), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1039), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29516] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1287), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1285), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29564] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1291), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1289), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29612] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1095), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1093), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29660] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1099), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1097), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29708] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1269), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1267), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29756] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1277), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1275), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29804] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1103), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1101), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29852] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1107), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1105), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29900] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1111), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1109), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29948] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1311), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1309), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [29996] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1119), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1117), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30044] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1123), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1121), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30092] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1127), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1125), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30140] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(943), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(941), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30188] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1131), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1129), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30236] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1135), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1133), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30284] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(995), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(993), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30334] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1115), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1113), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30382] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1067), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1065), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30430] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1143), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1141), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30478] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1147), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1145), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30526] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(901), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(899), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30576] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1091), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1089), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30624] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1151), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1149), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30672] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1155), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1153), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30720] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1159), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1157), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30768] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1163), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1161), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30816] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1139), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1137), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30864] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1251), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1249), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30912] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1167), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1165), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [30960] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1303), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1301), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31008] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1357), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1057), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1055), 27,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31058] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1359), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1299), 8,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_dot,
    ACTIONS(1297), 27,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_question_operator,
      sym_is_keyword,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31108] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1175), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1173), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31156] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1179), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1177), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31204] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(927), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(925), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31252] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1183), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1181), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31300] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1187), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1185), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31348] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1307), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1305), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31396] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1191), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1189), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31444] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1195), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1193), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31492] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1053), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1051), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31540] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(939), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(937), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31588] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1199), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1197), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31636] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1203), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1201), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31684] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1361), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(959), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(955), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31734] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1207), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1205), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31782] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(931), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(929), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31830] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1211), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1209), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31878] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1215), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1213), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [31926] = 26,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(9), 1,
      anon_sym_priv,
    ACTIONS(11), 1,
      anon_sym_pub,
    ACTIONS(13), 1,
      anon_sym_extern,
    ACTIONS(15), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_typealias,
    ACTIONS(19), 1,
      anon_sym_struct,
    ACTIONS(21), 1,
      anon_sym_enum,
    ACTIONS(23), 1,
      anon_sym_let,
    ACTIONS(25), 1,
      anon_sym_const,
    ACTIONS(27), 1,
      anon_sym_async,
    ACTIONS(29), 1,
      anon_sym_fn,
    ACTIONS(31), 1,
      anon_sym_test,
    ACTIONS(33), 1,
      anon_sym_trait,
    ACTIONS(35), 1,
      anon_sym_traitalias,
    ACTIONS(37), 1,
      anon_sym_impl,
    ACTIONS(39), 1,
      anon_sym_POUND,
    ACTIONS(1363), 1,
      ts_builtin_sym_end,
    STATE(1035), 1,
      sym_attributes,
    STATE(1207), 1,
      sym_visibility,
    STATE(2099), 1,
      sym_structure_item,
    STATE(2512), 1,
      sym_external_linkage,
    STATE(2670), 1,
      sym_pub,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(990), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    STATE(2349), 12,
      sym_type_definition,
      sym_error_type_definition,
      sym_type_alias_definition,
      sym_struct_definition,
      sym_enum_definition,
      sym_value_definition,
      sym_const_definition,
      sym_function_definition,
      sym_test_definition,
      sym_trait_definition,
      sym_trait_alias_definition,
      sym_impl_definition,
  [32018] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1247), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1245), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32066] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1243), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1241), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32114] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1223), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1221), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32162] = 26,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(9), 1,
      anon_sym_priv,
    ACTIONS(11), 1,
      anon_sym_pub,
    ACTIONS(13), 1,
      anon_sym_extern,
    ACTIONS(15), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_typealias,
    ACTIONS(19), 1,
      anon_sym_struct,
    ACTIONS(21), 1,
      anon_sym_enum,
    ACTIONS(23), 1,
      anon_sym_let,
    ACTIONS(25), 1,
      anon_sym_const,
    ACTIONS(27), 1,
      anon_sym_async,
    ACTIONS(29), 1,
      anon_sym_fn,
    ACTIONS(31), 1,
      anon_sym_test,
    ACTIONS(33), 1,
      anon_sym_trait,
    ACTIONS(35), 1,
      anon_sym_traitalias,
    ACTIONS(37), 1,
      anon_sym_impl,
    ACTIONS(39), 1,
      anon_sym_POUND,
    ACTIONS(1365), 1,
      ts_builtin_sym_end,
    STATE(1035), 1,
      sym_attributes,
    STATE(1207), 1,
      sym_visibility,
    STATE(2099), 1,
      sym_structure_item,
    STATE(2512), 1,
      sym_external_linkage,
    STATE(2670), 1,
      sym_pub,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(990), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    STATE(2349), 12,
      sym_type_definition,
      sym_error_type_definition,
      sym_type_alias_definition,
      sym_struct_definition,
      sym_enum_definition,
      sym_value_definition,
      sym_const_definition,
      sym_function_definition,
      sym_test_definition,
      sym_trait_definition,
      sym_trait_alias_definition,
      sym_impl_definition,
  [32254] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(981), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(979), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32304] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1227), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1225), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32352] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1261), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1259), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32400] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1231), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1229), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32448] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1315), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1313), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32496] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1235), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1233), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32544] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(909), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(907), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32594] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1239), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1237), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32642] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(897), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(895), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32690] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1171), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1169), 29,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32738] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1265), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1263), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32785] = 25,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(9), 1,
      anon_sym_priv,
    ACTIONS(11), 1,
      anon_sym_pub,
    ACTIONS(13), 1,
      anon_sym_extern,
    ACTIONS(15), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_typealias,
    ACTIONS(19), 1,
      anon_sym_struct,
    ACTIONS(21), 1,
      anon_sym_enum,
    ACTIONS(23), 1,
      anon_sym_let,
    ACTIONS(25), 1,
      anon_sym_const,
    ACTIONS(27), 1,
      anon_sym_async,
    ACTIONS(29), 1,
      anon_sym_fn,
    ACTIONS(31), 1,
      anon_sym_test,
    ACTIONS(33), 1,
      anon_sym_trait,
    ACTIONS(35), 1,
      anon_sym_traitalias,
    ACTIONS(37), 1,
      anon_sym_impl,
    ACTIONS(39), 1,
      anon_sym_POUND,
    STATE(1035), 1,
      sym_attributes,
    STATE(1207), 1,
      sym_visibility,
    STATE(2099), 1,
      sym_structure_item,
    STATE(2512), 1,
      sym_external_linkage,
    STATE(2670), 1,
      sym_pub,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(990), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    STATE(2349), 12,
      sym_type_definition,
      sym_error_type_definition,
      sym_type_alias_definition,
      sym_struct_definition,
      sym_enum_definition,
      sym_value_definition,
      sym_const_definition,
      sym_function_definition,
      sym_test_definition,
      sym_trait_definition,
      sym_trait_alias_definition,
      sym_impl_definition,
  [32874] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1057), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1055), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32921] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1067), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1065), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [32968] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1295), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1293), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33015] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1029), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1027), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33062] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1299), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1297), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33109] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1303), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1301), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33156] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1307), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1305), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33203] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1025), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1023), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33250] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1311), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1309), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33297] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(939), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(937), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33344] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1367), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(959), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(955), 27,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33393] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1091), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1089), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33440] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1257), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1255), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33487] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1269), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1267), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33534] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1277), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1275), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33581] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1115), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1113), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33628] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1139), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1137), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33675] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1251), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1249), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33722] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1017), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1015), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33769] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1049), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1047), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33816] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1071), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1069), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33863] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1261), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1259), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33910] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1273), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1271), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [33957] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(913), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(911), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34004] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1041), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1039), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34051] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1045), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1043), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34098] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1287), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1285), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34145] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1291), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1289), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34192] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1095), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1093), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34239] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1099), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1097), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34286] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1103), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1101), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34333] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1107), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1105), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34380] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1111), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1109), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34427] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1119), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1117), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34474] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1123), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1121), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34521] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1127), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1125), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34568] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(943), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(941), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34615] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(897), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(895), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34662] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1135), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1133), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34709] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1053), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1051), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34756] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1143), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1141), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34803] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1147), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1145), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34850] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1151), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1149), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34897] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1155), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1153), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34944] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1159), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1157), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [34991] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1163), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1161), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35038] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1167), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1165), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35085] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1171), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1169), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35132] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1175), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1173), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35179] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1179), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1177), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35226] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(927), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(925), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35273] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1183), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1181), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35320] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1187), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1185), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35367] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1191), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1189), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35414] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1195), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1193), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35461] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1199), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1197), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35508] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1203), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1201), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35555] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1207), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1205), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35602] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(931), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(929), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35649] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1211), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1209), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35696] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1215), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1213), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35743] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1219), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1217), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35790] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1223), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1221), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35837] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1227), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1225), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35884] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1231), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1229), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35931] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1315), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1313), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [35978] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1235), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1233), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [36025] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1239), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1237), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [36072] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1243), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1241), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [36119] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1247), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1245), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [36166] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(603), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(601), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [36213] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(591), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(589), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [36260] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1131), 7,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_dot,
    ACTIONS(1129), 28,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [36307] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1371), 8,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      sym_colon,
    ACTIONS(1369), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [36355] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1373), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1377), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1375), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36403] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1381), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1379), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36448] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1385), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1383), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36493] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1389), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1387), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36538] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1393), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1391), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36583] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1397), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1395), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36628] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1401), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1399), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36673] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1405), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1403), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36718] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1409), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1407), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36763] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1413), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1411), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36808] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1417), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1415), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36853] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1421), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1419), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36898] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1425), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1423), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36943] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1429), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1427), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [36988] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1433), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1431), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37033] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1437), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1435), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37078] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1441), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1439), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37123] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1445), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1443), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37168] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1449), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1447), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37213] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1453), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1451), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37258] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1457), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1455), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37303] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1371), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1369), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37348] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1461), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1459), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37393] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1465), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1463), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37438] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1469), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
    ACTIONS(1467), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
  [37483] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1473), 6,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1471), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_catch,
      sym_colon,
  [37526] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1475), 12,
      anon_sym_async,
      anon_sym_fn,
      anon_sym__,
      anon_sym_true,
      anon_sym_false,
      anon_sym_if,
      anon_sym_match,
      anon_sym_try,
      anon_sym_while,
      anon_sym_loop,
      sym_for_keyword,
      sym_lowercase_identifier,
    ACTIONS(1477), 19,
      sym_automatic_semicolon,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_integer_literal,
      anon_sym_b_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_b_DQUOTE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_package_identifier,
  [37569] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1481), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1479), 24,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
  [37610] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1485), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1483), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      aux_sym_dot_dot_identifier_token1,
  [37651] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1489), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1487), 24,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
  [37692] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1371), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1369), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [37735] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1491), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1375), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [37778] = 20,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_lowercase_identifier,
    ACTIONS(1495), 1,
      anon_sym_RBRACE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    STATE(1620), 1,
      sym_struct_field_pattern,
    STATE(1621), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [37850] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1485), 12,
      anon_sym_async,
      anon_sym_fn,
      anon_sym__,
      anon_sym_true,
      anon_sym_false,
      anon_sym_if,
      anon_sym_match,
      anon_sym_try,
      anon_sym_while,
      anon_sym_loop,
      sym_for_keyword,
      sym_lowercase_identifier,
    ACTIONS(1483), 16,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_integer_literal,
      anon_sym_b_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_b_DQUOTE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      sym_package_identifier,
  [37890] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1499), 12,
      anon_sym_async,
      anon_sym_fn,
      anon_sym__,
      anon_sym_true,
      anon_sym_false,
      anon_sym_if,
      anon_sym_match,
      anon_sym_try,
      anon_sym_while,
      anon_sym_loop,
      sym_for_keyword,
      sym_lowercase_identifier,
    ACTIONS(1501), 16,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_integer_literal,
      anon_sym_b_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_b_DQUOTE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      sym_package_identifier,
  [37930] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1503), 12,
      anon_sym_async,
      anon_sym_fn,
      anon_sym__,
      anon_sym_true,
      anon_sym_false,
      anon_sym_if,
      anon_sym_match,
      anon_sym_try,
      anon_sym_while,
      anon_sym_loop,
      sym_for_keyword,
      sym_lowercase_identifier,
    ACTIONS(1505), 16,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_integer_literal,
      anon_sym_b_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_b_DQUOTE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      sym_package_identifier,
  [37970] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1509), 6,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_colon,
    ACTIONS(1507), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon_colon,
  [38010] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1453), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1451), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38050] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1511), 12,
      anon_sym_async,
      anon_sym_fn,
      anon_sym__,
      anon_sym_true,
      anon_sym_false,
      anon_sym_if,
      anon_sym_match,
      anon_sym_try,
      anon_sym_while,
      anon_sym_loop,
      sym_for_keyword,
      sym_lowercase_identifier,
    ACTIONS(1513), 16,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_integer_literal,
      anon_sym_b_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_b_DQUOTE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      sym_package_identifier,
  [38090] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1465), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1463), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38130] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1381), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1379), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38170] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1469), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1467), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38210] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1519), 2,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
    ACTIONS(1517), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1515), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [38252] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1385), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1383), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38292] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1461), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1459), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38332] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1397), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1395), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38372] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1401), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1399), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38412] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1405), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1403), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38452] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1409), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1407), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38492] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1393), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1391), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38532] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1389), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1387), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38572] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1413), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1411), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38612] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1417), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1415), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38652] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1421), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1419), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38692] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1425), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1423), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38732] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1429), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1427), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38772] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1433), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1431), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38812] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1437), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1435), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38852] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1441), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1439), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38892] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1445), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1443), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38932] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1485), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1483), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [38972] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1449), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1447), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [39012] = 20,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_lowercase_identifier,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    STATE(1616), 1,
      sym_struct_field_pattern,
    STATE(1617), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [39084] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1523), 12,
      anon_sym_async,
      anon_sym_fn,
      anon_sym__,
      anon_sym_true,
      anon_sym_false,
      anon_sym_if,
      anon_sym_match,
      anon_sym_try,
      anon_sym_while,
      anon_sym_loop,
      sym_for_keyword,
      sym_lowercase_identifier,
    ACTIONS(1525), 16,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_integer_literal,
      anon_sym_b_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_b_DQUOTE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      sym_package_identifier,
  [39124] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1529), 6,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_colon,
    ACTIONS(1527), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon_colon,
  [39164] = 20,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_lowercase_identifier,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1531), 1,
      anon_sym_RBRACE,
    STATE(1701), 1,
      sym_struct_field_pattern,
    STATE(1702), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [39236] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1371), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1369), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [39276] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1533), 2,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
    ACTIONS(1517), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1515), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [39318] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1457), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1455), 23,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [39358] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1489), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1487), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [39397] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(965), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(961), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [39436] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1537), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1535), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [39475] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1481), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1479), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [39514] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1517), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1515), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [39553] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1541), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [39592] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1545), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1543), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [39631] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1547), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(905), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [39670] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1541), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [39708] = 11,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1541), 1,
      anon_sym_PIPE,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [39760] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1541), 1,
      anon_sym_PIPE,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [39814] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [39868] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [39924] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(965), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(961), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [39962] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1569), 1,
      anon_sym_RBRACE,
    STATE(2367), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    STATE(2642), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [40030] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    STATE(2367), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    STATE(2632), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [40098] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1529), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1527), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [40136] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1547), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(905), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [40174] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1509), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1507), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [40212] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1575), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [40272] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [40332] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1473), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1471), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [40370] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1541), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [40420] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1541), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [40462] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1583), 1,
      anon_sym_RBRACE,
    STATE(2367), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    STATE(2708), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [40530] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    STATE(2367), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    STATE(2698), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [40598] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [40656] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1537), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1535), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [40694] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1587), 1,
      anon_sym_RBRACE,
    STATE(2367), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    STATE(2695), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [40762] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1541), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 19,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [40804] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 8,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_else,
      anon_sym_SEMI,
  [40862] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1541), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [40906] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1541), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 17,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [40950] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1541), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 15,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [40996] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1611), 1,
      anon_sym_RBRACE,
    STATE(2367), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    STATE(2760), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [41064] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1541), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 11,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [41114] = 11,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1541), 1,
      anon_sym_PIPE,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 11,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [41166] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1541), 1,
      anon_sym_PIPE,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 10,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [41220] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 10,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [41274] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 9,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [41330] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1545), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1543), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [41368] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1541), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_pipe_operator,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [41414] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1517), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1515), 21,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_else,
      anon_sym_SEMI,
  [41452] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1575), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [41511] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [41570] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1485), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1483), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
      anon_sym_catch,
  [41607] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1615), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [41669] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1617), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [41731] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1619), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [41793] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1629), 1,
      anon_sym_with,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1427), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
    ACTIONS(1625), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_RBRACK,
      sym_question_operator,
  [41851] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [41913] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [41975] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1061), 6,
      anon_sym_async,
      anon_sym_fn,
      anon_sym__,
      anon_sym_true,
      anon_sym_false,
      sym_lowercase_identifier,
    ACTIONS(1063), 18,
      sym_automatic_semicolon,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_integer_literal,
      anon_sym_b_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_b_DQUOTE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_package_identifier,
  [42011] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1643), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [42073] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    ACTIONS(1647), 1,
      anon_sym_else,
    STATE(2094), 1,
      sym_guard_else_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1645), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [42135] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [42197] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1651), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [42259] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1653), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [42321] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    ACTIONS(1655), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [42383] = 18,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(938), 1,
      sym_type_parameters,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1452), 1,
      sym_type,
    STATE(1989), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1663), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [42446] = 18,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    ACTIONS(1685), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_identifier,
    STATE(946), 1,
      sym_type_parameters,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1464), 1,
      sym_type,
    STATE(1883), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1677), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [42509] = 18,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    ACTIONS(1685), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_identifier,
    STATE(935), 1,
      sym_type_parameters,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1462), 1,
      sym_type,
    STATE(1878), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1687), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [42572] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    STATE(2465), 1,
      sym_literal,
    STATE(2516), 1,
      sym_map_element_expression,
    STATE(2765), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [42631] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1485), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1483), 18,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [42666] = 18,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    ACTIONS(1685), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_identifier,
    STATE(945), 1,
      sym_type_parameters,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1452), 1,
      sym_type,
    STATE(1989), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1663), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [42729] = 18,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(937), 1,
      sym_type_parameters,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1464), 1,
      sym_type,
    STATE(1883), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1677), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [42792] = 18,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(939), 1,
      sym_type_parameters,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1462), 1,
      sym_type,
    STATE(1878), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1687), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [42855] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(215), 1,
      anon_sym_b_SQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_b_DQUOTE,
    ACTIONS(221), 1,
      sym_multiline_string_separator,
    ACTIONS(223), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DASH,
    STATE(2367), 1,
      sym_map_element_pattern,
    STATE(2465), 1,
      sym_literal,
    STATE(2487), 1,
      sym_map_element_key,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(213), 2,
      sym_float_literal,
      sym_integer_literal,
    ACTIONS(1571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(391), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    STATE(454), 6,
      sym_boolean_literal,
      sym_byte_literal,
      sym_char_literal,
      sym_string_literal,
      sym_bytes_literal,
      sym_multiline_string_literal,
  [42914] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1689), 2,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
    ACTIONS(1517), 5,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1515), 16,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [42951] = 18,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(933), 1,
      sym_type_parameters,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1439), 1,
      sym_type,
    STATE(1987), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1691), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [43014] = 18,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    ACTIONS(1685), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_identifier,
    STATE(941), 1,
      sym_type_parameters,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1439), 1,
      sym_type,
    STATE(1987), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1691), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [43077] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    STATE(1910), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43135] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    STATE(1929), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43193] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    STATE(1889), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43251] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    STATE(1978), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43309] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1629), 1,
      sym_derive_keyword,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_async,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      sym_package_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1447), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1625), 5,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_BANG,
      anon_sym_SEMI,
      sym_question_operator,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [43365] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1629), 1,
      sym_derive_keyword,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1699), 1,
      sym_package_identifier,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_async,
    ACTIONS(1705), 1,
      anon_sym_AMP,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1447), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1625), 5,
      sym_automatic_semicolon,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [43421] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    STATE(1997), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43479] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    ACTIONS(1709), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1526), 1,
      sym_type,
    STATE(2053), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1707), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [43539] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    STATE(1954), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43597] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    ACTIONS(1713), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1516), 1,
      sym_type,
    STATE(2175), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1711), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [43657] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    ACTIONS(1717), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1511), 1,
      sym_type,
    STATE(2331), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1715), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [43717] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    ACTIONS(1721), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1510), 1,
      sym_type,
    STATE(2337), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1719), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [43777] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    STATE(1917), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43835] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1603), 1,
      anon_sym_CARET,
    ACTIONS(1605), 1,
      anon_sym_PIPE,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      sym_pipe_operator,
    STATE(1924), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1589), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1597), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1599), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43893] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1725), 1,
      sym_pipe_operator,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(1737), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    ACTIONS(1741), 1,
      anon_sym_PIPE,
    ACTIONS(1743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1581), 2,
      anon_sym_LBRACE,
      anon_sym_catch,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1733), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1735), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43948] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(1242), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [44005] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1629), 1,
      sym_derive_keyword,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1447), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1625), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_question_operator,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [44060] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(829), 1,
      sym_automatic_semicolon,
    ACTIONS(1749), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(983), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1752), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(931), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(593), 14,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_RBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [44101] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(867), 1,
      sym_automatic_semicolon,
    ACTIONS(1755), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(983), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1757), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(931), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(611), 14,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_RBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [44142] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1458), 1,
      sym_type,
    STATE(2017), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1759), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [44199] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(1401), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [44256] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1452), 1,
      sym_type,
    STATE(1989), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1663), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [44313] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1725), 1,
      sym_pipe_operator,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(1737), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    ACTIONS(1741), 1,
      anon_sym_PIPE,
    ACTIONS(1743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1575), 2,
      anon_sym_LBRACE,
      anon_sym_catch,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1733), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1735), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [44368] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1462), 1,
      sym_type,
    STATE(1878), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1687), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [44425] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1439), 1,
      sym_type,
    STATE(1987), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1691), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [44482] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1452), 1,
      sym_type,
    STATE(1989), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1663), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [44539] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(1737), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    ACTIONS(1741), 1,
      anon_sym_PIPE,
    ACTIONS(1743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1733), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1539), 4,
      anon_sym_LBRACE,
      sym_pipe_operator,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
    ACTIONS(1735), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [44590] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1458), 1,
      sym_type,
    STATE(2017), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1759), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [44647] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(1314), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [44704] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1061), 4,
      anon_sym__,
      anon_sym_true,
      anon_sym_false,
      sym_lowercase_identifier,
    ACTIONS(1063), 17,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_integer_literal,
      anon_sym_b_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_b_DQUOTE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      sym_package_identifier,
  [44737] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(861), 1,
      sym_automatic_semicolon,
    ACTIONS(1755), 1,
      anon_sym_BSLASH_LBRACE,
    STATE(983), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1757), 2,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    STATE(932), 2,
      sym_multiline_interpolation_content,
      aux_sym_multiline_interpolation_fragment_repeat1,
    ACTIONS(605), 14,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_RBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [44778] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1439), 1,
      sym_type,
    STATE(1987), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1691), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [44835] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1661), 1,
      sym_derive_keyword,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1462), 1,
      sym_type,
    STATE(1878), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1687), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [44892] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(1256), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [44949] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(1247), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45006] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(1404), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45063] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1541), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 14,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [45100] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(1737), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    ACTIONS(1741), 1,
      anon_sym_PIPE,
    ACTIONS(1743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1733), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1539), 3,
      anon_sym_LBRACE,
      sym_pipe_operator,
      anon_sym_catch,
    ACTIONS(1735), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45153] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1541), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 12,
      anon_sym_LBRACE,
      sym_pipe_operator,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [45192] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1541), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1539), 10,
      anon_sym_LBRACE,
      sym_pipe_operator,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [45233] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1541), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1733), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1735), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 6,
      anon_sym_LBRACE,
      sym_pipe_operator,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [45278] = 11,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1541), 1,
      anon_sym_PIPE,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(1737), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1733), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1735), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 6,
      anon_sym_LBRACE,
      sym_pipe_operator,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [45325] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1541), 1,
      anon_sym_PIPE,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(1737), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1733), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1735), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 5,
      anon_sym_LBRACE,
      sym_pipe_operator,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [45374] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1729), 1,
      anon_sym_SLASH,
    ACTIONS(1737), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    ACTIONS(1741), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1733), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1735), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 5,
      anon_sym_LBRACE,
      sym_pipe_operator,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [45423] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1629), 1,
      sym_derive_keyword,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1447), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1625), 4,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [45478] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      anon_sym_type,
    ACTIONS(1769), 1,
      sym_dot_lowercase_identifier,
    STATE(1007), 1,
      sym_attribute_properties,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1763), 16,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [45516] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1771), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45570] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
    ACTIONS(1777), 1,
      anon_sym_mut,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2384), 1,
      sym_type,
    STATE(2535), 1,
      sym_constructor_parameter,
    STATE(2664), 1,
      sym_parameter_label,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [45628] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1553), 1,
      anon_sym_SLASH,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_CARET,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      sym_pipe_operator,
    ACTIONS(1579), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1779), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1551), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1557), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1559), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45682] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1777), 1,
      anon_sym_mut,
    ACTIONS(1781), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2384), 1,
      sym_type,
    STATE(2535), 1,
      sym_constructor_parameter,
    STATE(2664), 1,
      sym_parameter_label,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [45740] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1783), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2047), 1,
      sym_type,
    STATE(2247), 1,
      sym_trait_method_parameter,
    STATE(2528), 1,
      sym_parameter_label,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [45795] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2047), 1,
      sym_type,
    STATE(2297), 1,
      sym_trait_method_parameter,
    STATE(2528), 1,
      sym_parameter_label,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [45850] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1787), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2047), 1,
      sym_type,
    STATE(2528), 1,
      sym_parameter_label,
    STATE(2546), 1,
      sym_trait_method_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [45905] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2047), 1,
      sym_type,
    STATE(2375), 1,
      sym_trait_method_parameter,
    STATE(2528), 1,
      sym_parameter_label,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [45960] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1777), 1,
      anon_sym_mut,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2384), 1,
      sym_type,
    STATE(2535), 1,
      sym_constructor_parameter,
    STATE(2664), 1,
      sym_parameter_label,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46015] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1777), 1,
      anon_sym_mut,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2380), 1,
      sym_constructor_parameter,
    STATE(2384), 1,
      sym_type,
    STATE(2664), 1,
      sym_parameter_label,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46070] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2047), 1,
      sym_type,
    STATE(2528), 1,
      sym_parameter_label,
    STATE(2546), 1,
      sym_trait_method_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46125] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1061), 2,
      anon_sym_type,
      anon_sym_trait,
    ACTIONS(1063), 17,
      ts_builtin_sym_end,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_RBRACE,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_traitalias,
      anon_sym_impl,
      sym_uppercase_identifier,
      anon_sym_POUND,
  [46156] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1791), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2047), 1,
      sym_type,
    STATE(2528), 1,
      sym_parameter_label,
    STATE(2546), 1,
      sym_trait_method_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46211] = 17,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      anon_sym_LBRACK,
    ACTIONS(1799), 1,
      anon_sym_else,
    ACTIONS(1801), 1,
      sym_dot,
    STATE(1143), 1,
      sym_accessor,
    STATE(1144), 1,
      sym_dot_identifier,
    STATE(2082), 1,
      sym_guard_let_else_expression,
    STATE(2692), 1,
      sym_apply_operator,
    STATE(2693), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(1803), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(1795), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46268] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1805), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2043), 1,
      sym_trait_method_parameter,
    STATE(2047), 1,
      sym_type,
    STATE(2528), 1,
      sym_parameter_label,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46323] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_type,
    STATE(992), 1,
      sym_attribute_properties,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1807), 16,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [46358] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2047), 1,
      sym_type,
    STATE(2528), 1,
      sym_parameter_label,
    STATE(2546), 1,
      sym_trait_method_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46413] = 16,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    ACTIONS(1811), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2047), 1,
      sym_type,
    STATE(2528), 1,
      sym_parameter_label,
    STATE(2546), 1,
      sym_trait_method_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46468] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2047), 1,
      sym_type,
    STATE(2528), 1,
      sym_parameter_label,
    STATE(2546), 1,
      sym_trait_method_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46520] = 15,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(881), 1,
      anon_sym_BANG,
    ACTIONS(985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      anon_sym_LBRACK,
    ACTIONS(1801), 1,
      sym_dot,
    STATE(1143), 1,
      sym_accessor,
    STATE(1144), 1,
      sym_dot_identifier,
    STATE(2692), 1,
      sym_apply_operator,
    STATE(2693), 1,
      sym_dot_dot_identifier,
    STATE(2766), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(887), 2,
      anon_sym_BANG_BANG,
      sym_question_operator,
    ACTIONS(1803), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
    ACTIONS(879), 4,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_SEMI,
  [46572] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(873), 3,
      sym_automatic_semicolon,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(871), 15,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [46602] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(577), 1,
      sym_multiline_string_separator,
    ACTIONS(579), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(855), 2,
      anon_sym_BANG,
      sym_dot,
    STATE(982), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(853), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [46638] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1813), 1,
      sym_multiline_string_separator,
    ACTIONS(1816), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(841), 2,
      anon_sym_BANG,
      sym_dot,
    STATE(982), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
    ACTIONS(839), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [46674] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(859), 3,
      sym_automatic_semicolon,
      aux_sym_multiline_interpolation_content_token1,
      aux_sym_multiline_interpolation_content_token2,
    ACTIONS(857), 15,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_BSLASH_LBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_dot,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [46704] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1485), 5,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_as,
      sym_lowercase_identifier,
    ACTIONS(1483), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_uppercase_identifier,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
      sym_colon,
      sym_package_identifier,
  [46734] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1819), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2019), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46783] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1998), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46832] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46881] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1825), 1,
      anon_sym_RBRACK,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [46930] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1767), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1763), 16,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [46959] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(39), 1,
      anon_sym_POUND,
    ACTIONS(1829), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(997), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    ACTIONS(1827), 13,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
  [46992] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1833), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1831), 16,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [47021] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1837), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1835), 16,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [47050] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47099] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1841), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1880), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47148] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1843), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1886), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47197] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1845), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1895), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47246] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1849), 1,
      anon_sym_type,
    ACTIONS(1851), 1,
      anon_sym_POUND,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(997), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    ACTIONS(1847), 13,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
  [47279] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1854), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47328] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47377] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47426] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1860), 1,
      anon_sym_RBRACK,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47475] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(239), 1,
      sym_uppercase_identifier,
    ACTIONS(241), 1,
      sym_package_identifier,
    ACTIONS(477), 1,
      sym_lowercase_identifier,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1371), 1,
      anon_sym_as,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2651), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2508), 3,
      sym_string_literal,
      sym_constructor_expression,
      sym_qualified_identifier,
    ACTIONS(1369), 5,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [47522] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1862), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47571] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1864), 1,
      anon_sym_RBRACK,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47620] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1311), 1,
      sym_type,
    STATE(1315), 1,
      sym_type_with_error,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47669] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_async,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      sym_package_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1492), 1,
      sym_type_with_error,
    STATE(1565), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47718] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1809), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1807), 16,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [47747] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1868), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1866), 16,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [47776] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1870), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47825] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1874), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1872), 16,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [47854] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1876), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47903] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1880), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1878), 16,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [47932] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1699), 1,
      sym_package_identifier,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_async,
    ACTIONS(1705), 1,
      anon_sym_AMP,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1492), 1,
      sym_type_with_error,
    STATE(1546), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [47981] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1882), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48030] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1884), 1,
      anon_sym_RBRACK,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48079] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1773), 1,
      sym_lowercase_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2436), 1,
      sym_type,
    STATE(2756), 1,
      sym_parameter_label,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48128] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1699), 1,
      sym_package_identifier,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_async,
    ACTIONS(1705), 1,
      anon_sym_AMP,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1492), 1,
      sym_type_with_error,
    STATE(1551), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48177] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_async,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      sym_package_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1492), 1,
      sym_type_with_error,
    STATE(1575), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48226] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1886), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48275] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1888), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2020), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48324] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1890), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48373] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1892), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48422] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1894), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48471] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1896), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48520] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1898), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2021), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48569] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1900), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2023), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48618] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1902), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48667] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1904), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48716] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1906), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48765] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1908), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48814] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1910), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2026), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48863] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1912), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1952), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48912] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1914), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [48961] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(1916), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49010] = 19,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1918), 1,
      anon_sym_priv,
    ACTIONS(1920), 1,
      anon_sym_pub,
    ACTIONS(1922), 1,
      anon_sym_extern,
    ACTIONS(1924), 1,
      anon_sym_type,
    ACTIONS(1926), 1,
      anon_sym_typealias,
    ACTIONS(1928), 1,
      anon_sym_struct,
    ACTIONS(1930), 1,
      anon_sym_enum,
    ACTIONS(1932), 1,
      anon_sym_let,
    ACTIONS(1934), 1,
      anon_sym_const,
    ACTIONS(1936), 1,
      anon_sym_async,
    ACTIONS(1938), 1,
      anon_sym_fn,
    ACTIONS(1940), 1,
      anon_sym_test,
    ACTIONS(1942), 1,
      anon_sym_trait,
    ACTIONS(1944), 1,
      anon_sym_impl,
    STATE(1211), 1,
      sym_visibility,
    STATE(2571), 1,
      sym_external_linkage,
    STATE(2689), 1,
      sym_pub,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [49069] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1896), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49115] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2110), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49161] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2540), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49207] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2472), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49253] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(2001), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49299] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1547), 4,
      sym_derive_keyword,
      anon_sym_async,
      anon_sym__,
      sym_lowercase_identifier,
    ACTIONS(905), 12,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_question_operator,
      sym_package_identifier,
  [49327] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1986), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49373] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1990), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49419] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2481), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49465] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2509), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49511] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1893), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49557] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2572), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49603] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2492), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49649] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1994), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49695] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1871), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49741] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1669), 1,
      anon_sym_AMP,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1468), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49787] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1869), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49833] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2557), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49879] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2476), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49925] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1319), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [49971] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1468), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50017] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1699), 1,
      sym_package_identifier,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_async,
    ACTIONS(1705), 1,
      anon_sym_AMP,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1468), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50063] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2150), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50109] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_async,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      sym_package_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1468), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50155] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1868), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50201] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1970), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50247] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1945), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50293] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2480), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50339] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2498), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50385] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2000), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50431] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2542), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50477] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1657), 1,
      sym_lowercase_identifier,
    ACTIONS(1667), 1,
      anon_sym__,
    ACTIONS(1673), 1,
      sym_uppercase_identifier,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_async,
    ACTIONS(1683), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(1292), 1,
      sym_qualified_type_identifier,
    STATE(1932), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1466), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50523] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(2460), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50569] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1621), 1,
      sym_lowercase_identifier,
    ACTIONS(1623), 1,
      anon_sym_LPAREN,
    ACTIONS(1627), 1,
      anon_sym_async,
    ACTIONS(1631), 1,
      anon_sym__,
    ACTIONS(1633), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1230), 1,
      sym_qualified_type_identifier,
    STATE(1975), 1,
      sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1313), 6,
      sym_tuple_type,
      sym_function_type,
      sym_apply_type,
      sym_option_type,
      sym_trait_object_type,
      sym_any,
  [50615] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1946), 1,
      anon_sym_DQUOTE,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    STATE(1101), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1071), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [50654] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1956), 1,
      anon_sym_DQUOTE,
    STATE(1080), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [50693] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1958), 1,
      anon_sym_DQUOTE,
    STATE(1073), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1074), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [50732] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1960), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1075), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [50769] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1962), 1,
      anon_sym_DQUOTE,
    STATE(1076), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [50808] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [50845] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1078), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [50882] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1968), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1966), 14,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_const,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_test,
      anon_sym_trait,
      anon_sym_impl,
      anon_sym_POUND,
  [50909] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1970), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [50946] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1972), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [50983] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1972), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1100), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51020] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1974), 1,
      anon_sym_DQUOTE,
    STATE(1082), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1083), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51059] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1976), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1085), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51096] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1978), 1,
      anon_sym_DQUOTE,
    STATE(1086), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51135] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(923), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(921), 13,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      sym_multiline_string_separator,
      sym_multiline_interpolation_separator,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [51162] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1980), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51199] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1980), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1087), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51236] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1982), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51273] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1984), 1,
      anon_sym_DQUOTE,
    STATE(1090), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1098), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51312] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1986), 1,
      anon_sym_DQUOTE,
    STATE(1095), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1091), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51351] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1988), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1092), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51388] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1990), 1,
      anon_sym_DQUOTE,
    STATE(1097), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51427] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1992), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51464] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1992), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1094), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51501] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1994), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51538] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1996), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1096), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51575] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1998), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51612] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1998), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1099), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51649] = 10,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2000), 1,
      anon_sym_DQUOTE,
    STATE(1093), 1,
      sym_interpolator,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51688] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2002), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51725] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2004), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51762] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1948), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2006), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1079), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51799] = 9,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2008), 1,
      anon_sym_DQUOTE,
    ACTIONS(2010), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2016), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2013), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    STATE(1102), 3,
      sym_interpolator,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat2,
    ACTIONS(2019), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51836] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(909), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(907), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [51864] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2027), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2022), 2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2024), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(2030), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [51898] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(895), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(995), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(993), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [51926] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    ACTIONS(2039), 1,
      anon_sym_const,
    STATE(1191), 1,
      sym_pub_attribute,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2037), 2,
      anon_sym_type,
      anon_sym_trait,
    ACTIONS(2035), 9,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_traitalias,
      anon_sym_impl,
  [51958] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(981), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(979), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [51986] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(901), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(899), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52014] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1115), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1113), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52039] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1155), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1153), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52064] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1159), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1157), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52089] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1163), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1161), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52114] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1167), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1165), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52139] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1171), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1169), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52164] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1175), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1173), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52189] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1179), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1177), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52214] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(927), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(925), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52239] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1183), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1181), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52264] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1187), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1185), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52289] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1191), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1189), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52314] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1199), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1197), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52339] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1203), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1201), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52364] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1207), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1205), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52389] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(931), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(929), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52414] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1211), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1209), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52439] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1215), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1213), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52464] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1219), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1217), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52489] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1223), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1221), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52514] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1227), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1225), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52539] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1231), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1229), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52564] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1315), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1313), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52589] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1235), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1233), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52614] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1239), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1237), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52639] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1243), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1241), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52664] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1247), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1245), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52689] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2037), 1,
      anon_sym_type,
    ACTIONS(2039), 1,
      anon_sym_const,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    STATE(1261), 1,
      sym_pub_attribute,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2035), 9,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_trait,
      anon_sym_impl,
  [52720] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(897), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(895), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52745] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1946), 1,
      anon_sym_DQUOTE,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1139), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [52778] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1956), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [52811] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2043), 13,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_mut,
      anon_sym_let,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_trait,
      anon_sym_traitalias,
      anon_sym_impl,
      sym_lowercase_identifier,
  [52834] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1311), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1309), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52859] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1145), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [52892] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(939), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(937), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52917] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2047), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(959), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(955), 10,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [52944] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2049), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [52977] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1257), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1255), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53002] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2051), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53035] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1265), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1263), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53060] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2053), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1147), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53093] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1269), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1267), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53118] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1277), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1275), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53143] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1139), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1137), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53168] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1958), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1154), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53201] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1962), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53234] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1251), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1249), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53259] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2055), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1159), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53292] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1017), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1015), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53317] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1049), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1047), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53342] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2057), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53375] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1071), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1069), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53400] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1261), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1259), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53425] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1273), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1271), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53450] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(913), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(911), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53475] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2000), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53508] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(1984), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1164), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53541] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2059), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1167), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53574] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2061), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53607] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1045), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1043), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53632] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2063), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1172), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53665] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1287), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1285), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53690] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1291), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1289), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53715] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2065), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53748] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1095), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1093), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53773] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1099), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1097), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53798] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1103), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1101), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53823] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2067), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1178), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53856] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1107), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1105), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53881] = 8,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(1952), 1,
      aux_sym_escape_sequence_token1,
    ACTIONS(2069), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(1950), 2,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
    STATE(1104), 2,
      sym_string_fragment,
      aux_sym_string_interpolation_repeat1,
    STATE(1250), 2,
      sym_unescaped_string_fragment,
      sym_escape_sequence,
    ACTIONS(1954), 5,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [53914] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1111), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1109), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53939] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1119), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1117), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53964] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1123), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1121), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [53989] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1127), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1125), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54014] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1067), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1065), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54039] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(943), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(941), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54064] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1091), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1089), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54089] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1041), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1039), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54114] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2037), 13,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_mut,
      anon_sym_let,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_trait,
      anon_sym_traitalias,
      anon_sym_impl,
      sym_lowercase_identifier,
  [54137] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1131), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1129), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54162] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1053), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1051), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54187] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1135), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1133), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54212] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2071), 13,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_mut,
      anon_sym_let,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_trait,
      anon_sym_traitalias,
      anon_sym_impl,
      sym_lowercase_identifier,
  [54235] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(603), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(601), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54260] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1057), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1055), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54285] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1295), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1293), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54310] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1029), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1027), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54335] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1143), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1141), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54360] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1299), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1297), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54385] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(591), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(589), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54410] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1303), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1301), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54435] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1307), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1305), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54460] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1147), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1145), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54485] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1025), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1023), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54510] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1151), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1149), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54535] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1195), 2,
      anon_sym_BANG,
      sym_dot,
    ACTIONS(1193), 11,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_BANG_BANG,
      anon_sym_LBRACK,
      anon_sym_else,
      anon_sym_SEMI,
      sym_question_operator,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [54560] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1547), 4,
      sym_derive_keyword,
      anon_sym_async,
      anon_sym__,
      sym_lowercase_identifier,
    ACTIONS(905), 8,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_package_identifier,
  [54584] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1547), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(905), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_with,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_colon_colon,
      sym_question_operator,
  [54608] = 14,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1922), 1,
      anon_sym_extern,
    ACTIONS(1924), 1,
      anon_sym_type,
    ACTIONS(1926), 1,
      anon_sym_typealias,
    ACTIONS(1928), 1,
      anon_sym_struct,
    ACTIONS(1930), 1,
      anon_sym_enum,
    ACTIONS(1932), 1,
      anon_sym_let,
    ACTIONS(1936), 1,
      anon_sym_async,
    ACTIONS(1938), 1,
      anon_sym_fn,
    ACTIONS(1944), 1,
      anon_sym_impl,
    ACTIONS(2073), 1,
      anon_sym_trait,
    ACTIONS(2075), 1,
      anon_sym_traitalias,
    STATE(2571), 1,
      sym_external_linkage,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [54652] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2077), 4,
      sym_derive_keyword,
      anon_sym_async,
      anon_sym__,
      sym_lowercase_identifier,
    ACTIONS(2079), 7,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_package_identifier,
  [54675] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2083), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2081), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      sym_colon,
  [54698] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_async,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2455), 1,
      sym_trait_method_declaration,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [54739] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2091), 1,
      anon_sym_extern,
    ACTIONS(2093), 1,
      anon_sym_type,
    ACTIONS(2095), 1,
      anon_sym_typealias,
    ACTIONS(2097), 1,
      anon_sym_struct,
    ACTIONS(2099), 1,
      anon_sym_enum,
    ACTIONS(2101), 1,
      anon_sym_let,
    ACTIONS(2103), 1,
      anon_sym_async,
    ACTIONS(2105), 1,
      anon_sym_fn,
    ACTIONS(2107), 1,
      anon_sym_trait,
    ACTIONS(2109), 1,
      anon_sym_impl,
    STATE(2590), 1,
      sym_external_linkage,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [54780] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2089), 1,
      anon_sym_async,
    ACTIONS(2111), 1,
      anon_sym_RBRACE,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1805), 1,
      sym_trait_method_declaration,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [54821] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2115), 4,
      sym_derive_keyword,
      anon_sym_async,
      anon_sym__,
      sym_lowercase_identifier,
    ACTIONS(2113), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AMP,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_package_identifier,
  [54844] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2089), 1,
      anon_sym_async,
    ACTIONS(2117), 1,
      anon_sym_RBRACE,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1768), 1,
      sym_trait_method_declaration,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [54885] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2089), 1,
      anon_sym_async,
    ACTIONS(2119), 1,
      anon_sym_RBRACE,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2455), 1,
      sym_trait_method_declaration,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [54926] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2089), 1,
      anon_sym_async,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2455), 1,
      sym_trait_method_declaration,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [54967] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1487), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_with,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_colon_colon,
      sym_question_operator,
  [54988] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2123), 4,
      sym_derive_keyword,
      anon_sym_async,
      anon_sym__,
      sym_lowercase_identifier,
    ACTIONS(2125), 7,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_package_identifier,
  [55011] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1479), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_with,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_colon_colon,
      sym_question_operator,
  [55032] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_async,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1735), 1,
      sym_trait_method_declaration,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [55073] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2077), 4,
      sym_derive_keyword,
      anon_sym_async,
      anon_sym__,
      sym_lowercase_identifier,
    ACTIONS(2079), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AMP,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_package_identifier,
  [55096] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2089), 1,
      anon_sym_async,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1629), 1,
      sym_trait_method_declaration,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [55137] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2129), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2131), 2,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
    ACTIONS(2127), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      sym_colon,
  [55162] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2123), 4,
      sym_derive_keyword,
      anon_sym_async,
      anon_sym__,
      sym_lowercase_identifier,
    ACTIONS(2125), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AMP,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_package_identifier,
  [55185] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2115), 4,
      sym_derive_keyword,
      anon_sym_async,
      anon_sym__,
      sym_lowercase_identifier,
    ACTIONS(2113), 7,
      sym_automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      sym_uppercase_identifier,
      anon_sym_SEMI,
      sym_package_identifier,
  [55208] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2089), 1,
      anon_sym_async,
    ACTIONS(2133), 1,
      anon_sym_RBRACE,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2455), 1,
      sym_trait_method_declaration,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [55249] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(895), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_with,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_colon_colon,
      sym_question_operator,
  [55270] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2129), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2127), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      sym_colon,
  [55293] = 13,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2089), 1,
      anon_sym_async,
    ACTIONS(2135), 1,
      anon_sym_RBRACE,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2455), 1,
      sym_trait_method_declaration,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [55334] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2139), 1,
      anon_sym_LBRACK,
    STATE(1321), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2137), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [55358] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1366), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2141), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55382] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2043), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2145), 9,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_trait,
      anon_sym_impl,
  [55404] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2149), 1,
      anon_sym_else,
    STATE(1368), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2147), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55428] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2149), 1,
      anon_sym_else,
    STATE(1342), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2151), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55452] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2149), 1,
      anon_sym_else,
    STATE(1358), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2153), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55476] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(1325), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2155), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [55500] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_BANG,
    ACTIONS(2163), 1,
      anon_sym_EQ,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    STATE(1503), 1,
      sym_type_parameters,
    STATE(1844), 1,
      sym_parameters,
    STATE(2254), 1,
      sym_return_type,
    STATE(2382), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [55538] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1326), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2167), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55562] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1345), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2169), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55586] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1061), 5,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_mut,
      anon_sym_async,
      sym_lowercase_identifier,
    ACTIONS(1063), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AMP,
      sym_uppercase_identifier,
      sym_package_identifier,
  [55608] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1369), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2171), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55632] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1346), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2173), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55656] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_BANG,
    ACTIONS(2177), 1,
      anon_sym_EQ,
    STATE(1440), 1,
      sym_type_parameters,
    STATE(1845), 1,
      sym_parameters,
    STATE(2402), 1,
      sym_block_expression,
    STATE(2407), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [55694] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1361), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2179), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55718] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1365), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2181), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55742] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2085), 1,
      sym_lowercase_identifier,
    ACTIONS(2089), 1,
      anon_sym_async,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1925), 1,
      sym_function_identifier,
    STATE(2455), 1,
      sym_trait_method_declaration,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [55780] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1333), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2183), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55804] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(1347), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2185), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [55828] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2187), 1,
      anon_sym_BANG,
    ACTIONS(2189), 1,
      anon_sym_EQ,
    STATE(1456), 1,
      sym_type_parameters,
    STATE(1622), 1,
      sym_parameters,
    STATE(2422), 1,
      sym_block_expression,
    STATE(2424), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [55866] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2193), 3,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
      aux_sym_escape_sequence_token1,
    ACTIONS(2191), 7,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [55888] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1344), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2195), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [55912] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2197), 1,
      anon_sym_BANG,
    ACTIONS(2199), 1,
      anon_sym_EQ,
    STATE(1484), 1,
      sym_type_parameters,
    STATE(1725), 1,
      sym_parameters,
    STATE(2116), 1,
      sym_block_expression,
    STATE(2135), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [55950] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2201), 1,
      anon_sym_LPAREN,
    ACTIONS(2203), 1,
      sym_dot_lowercase_identifier,
    STATE(1485), 1,
      sym_attribute_properties,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1763), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [55976] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(1328), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2205), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [56000] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1373), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2207), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56024] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1330), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2209), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56048] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1374), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2211), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56072] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1336), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2213), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56096] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2217), 3,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
      aux_sym_escape_sequence_token1,
    ACTIONS(2215), 7,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [56118] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1360), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2219), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56142] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2071), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2221), 9,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_trait,
      anon_sym_impl,
  [56164] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2149), 1,
      anon_sym_else,
    STATE(1350), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2223), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56188] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(873), 3,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
      aux_sym_escape_sequence_token1,
    ACTIONS(871), 7,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [56210] = 12,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2225), 1,
      anon_sym_BANG,
    ACTIONS(2227), 1,
      anon_sym_EQ,
    STATE(1457), 1,
      sym_type_parameters,
    STATE(1636), 1,
      sym_parameters,
    STATE(2063), 1,
      sym_block_expression,
    STATE(2073), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [56248] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1352), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2229), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56272] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(1338), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2231), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [56296] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2143), 1,
      anon_sym_else,
    STATE(1353), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2233), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56320] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2149), 1,
      anon_sym_else,
    STATE(1363), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2235), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56344] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2037), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2035), 9,
      anon_sym_extern,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_async,
      anon_sym_fn,
      anon_sym_trait,
      anon_sym_impl,
  [56366] = 4,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2239), 3,
      aux_sym_unescaped_string_fragment_token1,
      aux_sym_unescaped_string_fragment_token2,
      aux_sym_escape_sequence_token1,
    ACTIONS(2237), 7,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [56388] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2149), 1,
      anon_sym_else,
    STATE(1372), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2241), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [56412] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2136), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [56443] = 11,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2227), 1,
      anon_sym_EQ,
    STATE(1457), 1,
      sym_type_parameters,
    STATE(1636), 1,
      sym_parameters,
    STATE(2063), 1,
      sym_block_expression,
    STATE(2073), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [56478] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2299), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [56509] = 11,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2243), 1,
      anon_sym_EQ,
    STATE(1482), 1,
      sym_type_parameters,
    STATE(1680), 1,
      sym_parameters,
    STATE(2064), 1,
      sym_return_type,
    STATE(2185), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [56544] = 11,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2177), 1,
      anon_sym_EQ,
    STATE(1440), 1,
      sym_type_parameters,
    STATE(1845), 1,
      sym_parameters,
    STATE(2402), 1,
      sym_block_expression,
    STATE(2407), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [56579] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2423), 1,
      sym_multiline_string_literal,
    STATE(2450), 1,
      sym_external_source,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [56610] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2245), 1,
      anon_sym_RPAREN,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2549), 1,
      sym_type_name,
    STATE(2580), 1,
      sym_derive_item,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [56643] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2422), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [56674] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2130), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [56705] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2402), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [56736] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2063), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [56767] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2056), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [56798] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2247), 1,
      anon_sym_RPAREN,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2549), 1,
      sym_type_name,
    STATE(2580), 1,
      sym_derive_item,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [56831] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2251), 1,
      anon_sym_EQ,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2249), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_as,
      sym_colon,
  [56854] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2257), 1,
      anon_sym_AMP,
    ACTIONS(2259), 1,
      sym_package_identifier,
    STATE(1441), 1,
      sym_type_parameters,
    STATE(2511), 1,
      sym_type_name,
    STATE(2532), 1,
      sym_identifier,
    STATE(2605), 1,
      sym_qualified_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2255), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [56887] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2257), 1,
      anon_sym_AMP,
    ACTIONS(2259), 1,
      sym_package_identifier,
    STATE(1451), 1,
      sym_type_parameters,
    STATE(2504), 1,
      sym_type_name,
    STATE(2532), 1,
      sym_identifier,
    STATE(2605), 1,
      sym_qualified_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2255), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [56920] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2261), 1,
      anon_sym_RPAREN,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2370), 1,
      sym_derive_item,
    STATE(2549), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [56953] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2263), 1,
      anon_sym_POUND,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1289), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    ACTIONS(1847), 6,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
  [56976] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2105), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [57007] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2266), 1,
      anon_sym_POUND,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1289), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    ACTIONS(1827), 6,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
  [57030] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2268), 1,
      anon_sym_LBRACK,
    STATE(1470), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2137), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [57053] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2382), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [57084] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2314), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [57115] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2360), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [57146] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2185), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [57177] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2423), 1,
      sym_multiline_string_literal,
    STATE(2441), 1,
      sym_external_source,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [57208] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2423), 1,
      sym_multiline_string_literal,
    STATE(2453), 1,
      sym_external_source,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [57239] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2127), 1,
      sym_external_source,
    STATE(2423), 1,
      sym_multiline_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [57270] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2257), 1,
      anon_sym_AMP,
    ACTIONS(2259), 1,
      sym_package_identifier,
    STATE(1448), 1,
      sym_type_parameters,
    STATE(2471), 1,
      sym_type_name,
    STATE(2532), 1,
      sym_identifier,
    STATE(2605), 1,
      sym_qualified_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2255), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [57303] = 11,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2189), 1,
      anon_sym_EQ,
    STATE(1456), 1,
      sym_type_parameters,
    STATE(1622), 1,
      sym_parameters,
    STATE(2422), 1,
      sym_block_expression,
    STATE(2424), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [57338] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(83), 1,
      sym_multiline_string_separator,
    ACTIONS(85), 1,
      sym_multiline_interpolation_separator,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(1781), 1,
      sym_string_literal,
    STATE(2423), 1,
      sym_multiline_string_literal,
    STATE(2428), 1,
      sym_external_source,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(421), 3,
      sym_multiline_string_fragment,
      sym_multiline_interpolation_fragment,
      aux_sym_multiline_string_literal_repeat1,
  [57369] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(2270), 1,
      anon_sym_EQ,
    ACTIONS(2272), 1,
      anon_sym_TILDE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1369), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
  [57394] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2201), 1,
      anon_sym_LPAREN,
    STATE(1438), 1,
      sym_attribute_properties,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1807), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [57417] = 11,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2163), 1,
      anon_sym_EQ,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    STATE(1503), 1,
      sym_type_parameters,
    STATE(1844), 1,
      sym_parameters,
    STATE(2254), 1,
      sym_return_type,
    STATE(2382), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [57452] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2274), 1,
      aux_sym_byte_literal_token1,
    STATE(2653), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [57474] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2278), 1,
      anon_sym_else,
    STATE(1563), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2241), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57496] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1583), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2207), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57518] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1570), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2211), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57540] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2282), 1,
      anon_sym_EQ,
    STATE(159), 1,
      sym_assign_operator,
    STATE(809), 1,
      sym_equal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2284), 5,
      sym_plus_equal,
      sym_minus_equal,
      sym_asterisk_equal,
      sym_slash_equal,
      sym_percent_equal,
  [57564] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2288), 1,
      anon_sym_BANG,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2286), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
  [57586] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2292), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [57604] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2294), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [57622] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1506), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2173), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57644] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2286), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [57662] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2298), 1,
      sym_pipe_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2296), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      sym_colon,
  [57682] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2296), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [57700] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1237), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [57732] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2302), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
  [57752] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2304), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [57770] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2306), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [57788] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2250), 1,
      sym_qualified_type_identifier,
    STATE(2281), 1,
      sym_constraint,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
    ACTIONS(2308), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57816] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2079), 8,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
      sym_package_identifier,
  [57834] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2358), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [57866] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2310), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [57884] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2213), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [57902] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2318), 1,
      anon_sym_RBRACE,
    ACTIONS(2320), 1,
      anon_sym_mut,
    STATE(1722), 1,
      sym_struct_field_declaration,
    STATE(2149), 1,
      sym_visibility,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [57934] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2322), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [57952] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2324), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [57970] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2326), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [57988] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1547), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2167), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58010] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2328), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58028] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2173), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58046] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2330), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58064] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2332), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58082] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2169), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58100] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2320), 1,
      anon_sym_mut,
    ACTIONS(2334), 1,
      anon_sym_RBRACE,
    STATE(2149), 1,
      sym_visibility,
    STATE(2364), 1,
      sym_struct_field_declaration,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [58132] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2336), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [58150] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2338), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [58168] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2340), 1,
      aux_sym_byte_literal_token1,
    STATE(2749), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [58190] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2342), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58208] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2223), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58226] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2344), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58244] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2229), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58262] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2233), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58280] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2346), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58298] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2348), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [58316] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2350), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [58334] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2352), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58352] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2153), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58370] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2354), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58388] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2219), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58406] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2179), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58424] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2356), 1,
      aux_sym_byte_literal_token1,
    STATE(2613), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [58446] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2358), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
      sym_question_operator,
  [58464] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2360), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58482] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2362), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58500] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2235), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58518] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2364), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58536] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2141), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58554] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2181), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58572] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2366), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58590] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2147), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58608] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2368), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58626] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2171), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58644] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2370), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58662] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2372), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58680] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2241), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58698] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2207), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58716] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2374), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58734] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2376), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58752] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2378), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58770] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2211), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58788] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2380), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_catch,
      sym_colon,
  [58806] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2272), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [58838] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2382), 1,
      sym_lowercase_identifier,
    ACTIONS(2384), 1,
      anon_sym_in,
    STATE(212), 1,
      sym_semicolon,
    STATE(1405), 1,
      sym_block_expression,
    STATE(1490), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [58868] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1968), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [58900] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2388), 1,
      anon_sym_DASH_GT,
    STATE(1459), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2185), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_SEMI,
      sym_question_operator,
  [58922] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1249), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [58954] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2125), 8,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
      sym_package_identifier,
  [58972] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2390), 1,
      sym_lowercase_identifier,
    ACTIONS(2392), 1,
      anon_sym_in,
    STATE(213), 1,
      sym_semicolon,
    STATE(1331), 1,
      sym_block_expression,
    STATE(1465), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [59002] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1531), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2229), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59024] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1535), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2233), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59046] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2267), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59078] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2250), 1,
      sym_qualified_type_identifier,
    STATE(2281), 1,
      sym_constraint,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
    ACTIONS(2394), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59106] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1243), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59138] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2320), 1,
      anon_sym_mut,
    ACTIONS(2396), 1,
      anon_sym_RBRACE,
    STATE(2149), 1,
      sym_visibility,
    STATE(2364), 1,
      sym_struct_field_declaration,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59170] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1487), 8,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym_question_operator,
  [59188] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1479), 8,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym_question_operator,
  [59206] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59238] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2549), 1,
      sym_type_name,
    STATE(2580), 1,
      sym_derive_item,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [59268] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2278), 1,
      anon_sym_else,
    STATE(1543), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2151), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59290] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2278), 1,
      anon_sym_else,
    STATE(1556), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2153), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59312] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(895), 8,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym_question_operator,
  [59330] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1561), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2219), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59352] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1562), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2179), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59374] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      sym_lowercase_identifier,
    ACTIONS(2400), 1,
      anon_sym_in,
    STATE(215), 1,
      sym_semicolon,
    STATE(1238), 1,
      sym_block_expression,
    STATE(1471), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [59404] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2402), 1,
      sym_lowercase_identifier,
    ACTIONS(2404), 1,
      anon_sym_in,
    STATE(217), 1,
      sym_semicolon,
    STATE(1258), 1,
      sym_block_expression,
    STATE(1474), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [59434] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2320), 1,
      anon_sym_mut,
    ACTIONS(2406), 1,
      anon_sym_RBRACE,
    STATE(1716), 1,
      sym_struct_field_declaration,
    STATE(2149), 1,
      sym_visibility,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59466] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2320), 1,
      anon_sym_mut,
    ACTIONS(2408), 1,
      anon_sym_RBRACE,
    STATE(2149), 1,
      sym_visibility,
    STATE(2364), 1,
      sym_struct_field_declaration,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59498] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1521), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2209), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59520] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1568), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2195), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59542] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2355), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59574] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1537), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2183), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59596] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1574), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2213), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59618] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2320), 1,
      anon_sym_mut,
    ACTIONS(2410), 1,
      anon_sym_RBRACE,
    STATE(1590), 1,
      sym_struct_field_declaration,
    STATE(2149), 1,
      sym_visibility,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59650] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2278), 1,
      anon_sym_else,
    STATE(1578), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2235), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59672] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1584), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2181), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59694] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2113), 8,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
      sym_package_identifier,
  [59712] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2391), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59744] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1585), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2141), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59766] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2320), 1,
      anon_sym_mut,
    ACTIONS(2396), 1,
      anon_sym_RBRACE,
    STATE(1689), 1,
      sym_struct_field_declaration,
    STATE(2149), 1,
      sym_visibility,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59798] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2412), 1,
      aux_sym_byte_literal_token1,
    STATE(2624), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [59820] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2414), 1,
      aux_sym_byte_literal_token1,
    STATE(2625), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [59842] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1264), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59874] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2320), 1,
      anon_sym_mut,
    ACTIONS(2416), 1,
      anon_sym_RBRACE,
    STATE(2149), 1,
      sym_visibility,
    STATE(2364), 1,
      sym_struct_field_declaration,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59906] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2318), 1,
      anon_sym_RBRACE,
    ACTIONS(2320), 1,
      anon_sym_mut,
    STATE(2149), 1,
      sym_visibility,
    STATE(2364), 1,
      sym_struct_field_declaration,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [59938] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1582), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2169), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59960] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2418), 1,
      aux_sym_byte_literal_token1,
    STATE(2741), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [59982] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2420), 1,
      aux_sym_byte_literal_token1,
    STATE(2744), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [60004] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2278), 1,
      anon_sym_else,
    STATE(1524), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2147), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60026] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2422), 1,
      aux_sym_byte_literal_token1,
    STATE(2649), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [60048] = 10,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(89), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      sym_uppercase_identifier,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2300), 1,
      sym_lowercase_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1252), 1,
      sym_function_identifier,
    STATE(2682), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [60080] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2424), 1,
      aux_sym_byte_literal_token1,
    STATE(2617), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [60102] = 5,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(2426), 1,
      aux_sym_byte_literal_token1,
    STATE(2619), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
    ACTIONS(2276), 6,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      aux_sym_escape_sequence_token5,
      aux_sym_escape_sequence_token6,
  [60124] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2280), 1,
      anon_sym_else,
    STATE(1519), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2171), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60146] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2428), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_RBRACK,
  [60166] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2430), 1,
      anon_sym_DASH_GT,
    STATE(1453), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2155), 6,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60188] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2430), 1,
      anon_sym_DASH_GT,
    STATE(1493), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2205), 6,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60210] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2430), 1,
      anon_sym_DASH_GT,
    STATE(1449), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2231), 6,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60232] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2430), 1,
      anon_sym_DASH_GT,
    STATE(1459), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2185), 6,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60254] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2388), 1,
      anon_sym_DASH_GT,
    STATE(1453), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2155), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_SEMI,
      sym_question_operator,
  [60276] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2388), 1,
      anon_sym_DASH_GT,
    STATE(1493), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2205), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_SEMI,
      sym_question_operator,
  [60298] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2388), 1,
      anon_sym_DASH_GT,
    STATE(1449), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2231), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_SEMI,
      sym_question_operator,
  [60320] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2278), 1,
      anon_sym_else,
    STATE(1527), 1,
      sym_try_else_clause,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2223), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60342] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2432), 1,
      anon_sym_COMMA,
    STATE(211), 1,
      sym_semicolon,
    STATE(1239), 1,
      sym_block_expression,
    STATE(1863), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [60369] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      sym_lowercase_identifier,
    ACTIONS(2436), 1,
      anon_sym_RBRACE,
    STATE(2456), 1,
      sym_struct_field_pattern,
    STATE(2637), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
  [60396] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1835), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [60413] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    ACTIONS(2440), 1,
      sym_question_operator,
    STATE(2017), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1759), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60436] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2227), 1,
      anon_sym_EQ,
    STATE(1636), 1,
      sym_parameters,
    STATE(2063), 1,
      sym_block_expression,
    STATE(2073), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [60465] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2257), 1,
      anon_sym_AMP,
    ACTIONS(2259), 1,
      sym_package_identifier,
    STATE(2471), 1,
      sym_type_name,
    STATE(2532), 1,
      sym_identifier,
    STATE(2605), 1,
      sym_qualified_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2255), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [60492] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1928), 1,
      anon_sym_struct,
    ACTIONS(1930), 1,
      anon_sym_enum,
    ACTIONS(2442), 1,
      anon_sym_priv,
    ACTIONS(2444), 1,
      anon_sym_pub,
    ACTIONS(2446), 1,
      anon_sym_extern,
    ACTIONS(2448), 1,
      anon_sym_type,
    STATE(1920), 1,
      sym_visibility,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [60521] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(1971), 1,
      sym_constraint,
    STATE(2250), 1,
      sym_qualified_type_identifier,
    STATE(2458), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [60548] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1866), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [60565] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1763), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [60582] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1966), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [60599] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2428), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60618] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2257), 1,
      anon_sym_AMP,
    ACTIONS(2259), 1,
      sym_package_identifier,
    STATE(2504), 1,
      sym_type_name,
    STATE(2532), 1,
      sym_identifier,
    STATE(2605), 1,
      sym_qualified_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2255), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [60645] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2336), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60662] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2450), 1,
      anon_sym_DASH_GT,
    STATE(1459), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2185), 5,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_SEMI,
      sym_question_operator,
  [60683] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2257), 1,
      anon_sym_AMP,
    ACTIONS(2259), 1,
      sym_package_identifier,
    STATE(2515), 1,
      sym_type_name,
    STATE(2532), 1,
      sym_identifier,
    STATE(2605), 1,
      sym_qualified_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2255), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [60710] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    ACTIONS(2440), 1,
      sym_question_operator,
    STATE(1987), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1691), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60733] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2310), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60750] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2450), 1,
      anon_sym_DASH_GT,
    STATE(1493), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2205), 5,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_SEMI,
      sym_question_operator,
  [60771] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2338), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60788] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2177), 1,
      anon_sym_EQ,
    STATE(1845), 1,
      sym_parameters,
    STATE(2402), 1,
      sym_block_expression,
    STATE(2407), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [60817] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2243), 1,
      anon_sym_EQ,
    STATE(1680), 1,
      sym_parameters,
    STATE(2064), 1,
      sym_return_type,
    STATE(2185), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [60846] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    ACTIONS(2440), 1,
      sym_question_operator,
    STATE(1934), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2452), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60869] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2348), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60886] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2350), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60903] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2292), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [60920] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    ACTIONS(2440), 1,
      sym_question_operator,
    STATE(1989), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1663), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60943] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2450), 1,
      anon_sym_DASH_GT,
    STATE(1453), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2155), 5,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_SEMI,
      sym_question_operator,
  [60964] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    ACTIONS(2440), 1,
      sym_question_operator,
    STATE(1878), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1687), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60987] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2432), 1,
      anon_sym_COMMA,
    STATE(212), 1,
      sym_semicolon,
    STATE(1405), 1,
      sym_block_expression,
    STATE(1486), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [61014] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2294), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61031] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2129), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2454), 2,
      sym_dot_dot_lt,
      sym_dot_dot_eq,
    ACTIONS(2127), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_as,
  [61052] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2302), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [61071] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2304), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61088] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2306), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61105] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2432), 1,
      anon_sym_COMMA,
    STATE(217), 1,
      sym_semicolon,
    STATE(1258), 1,
      sym_block_expression,
    STATE(1436), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [61132] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1831), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [61149] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2312), 1,
      sym_lowercase_identifier,
    ACTIONS(2314), 1,
      anon_sym_priv,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2320), 1,
      anon_sym_mut,
    STATE(2149), 1,
      sym_visibility,
    STATE(2364), 1,
      sym_struct_field_declaration,
    STATE(2606), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [61178] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2432), 1,
      anon_sym_COMMA,
    STATE(211), 1,
      sym_semicolon,
    STATE(1239), 1,
      sym_block_expression,
    STATE(1477), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [61205] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      sym_lowercase_identifier,
    ACTIONS(2456), 1,
      anon_sym_RBRACE,
    STATE(2456), 1,
      sym_struct_field_pattern,
    STATE(2646), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
  [61232] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2432), 1,
      anon_sym_COMMA,
    STATE(218), 1,
      sym_semicolon,
    STATE(1383), 1,
      sym_block_expression,
    STATE(1863), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [61259] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2432), 1,
      anon_sym_COMMA,
    STATE(216), 1,
      sym_semicolon,
    STATE(1267), 1,
      sym_block_expression,
    STATE(1863), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [61286] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2458), 1,
      sym_pipe_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2296), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [61305] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      sym_lowercase_identifier,
    ACTIONS(2460), 1,
      anon_sym_RBRACE,
    STATE(2456), 1,
      sym_struct_field_pattern,
    STATE(2643), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
  [61332] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2462), 1,
      anon_sym_COMMA,
    ACTIONS(2464), 1,
      anon_sym_if,
    ACTIONS(2466), 1,
      anon_sym_EQ_GT,
    ACTIONS(2468), 1,
      anon_sym_as,
    STATE(1847), 1,
      aux_sym_matrix_case_clause_repeat1,
    STATE(2622), 1,
      sym_pattern_guard,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [61361] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1878), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [61378] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2470), 1,
      anon_sym_EQ,
    STATE(1820), 1,
      sym_parameters,
    STATE(2136), 1,
      sym_block_expression,
    STATE(2348), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [61407] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2358), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61424] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2163), 1,
      anon_sym_EQ,
    STATE(1844), 1,
      sym_parameters,
    STATE(2254), 1,
      sym_return_type,
    STATE(2382), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [61453] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1807), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [61470] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2432), 1,
      anon_sym_COMMA,
    STATE(214), 1,
      sym_semicolon,
    STATE(1418), 1,
      sym_block_expression,
    STATE(1863), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [61497] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      sym_lowercase_identifier,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
    STATE(2456), 1,
      sym_struct_field_pattern,
    STATE(2680), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
  [61524] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      sym_lowercase_identifier,
    ACTIONS(2474), 1,
      anon_sym_RBRACE,
    STATE(2456), 1,
      sym_struct_field_pattern,
    STATE(2751), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
  [61551] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2272), 1,
      anon_sym_TILDE,
    ACTIONS(2478), 1,
      anon_sym_EQ,
    ACTIONS(2480), 1,
      sym_colon,
    ACTIONS(2482), 1,
      sym_question_operator,
    STATE(2198), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2476), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61578] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2432), 1,
      anon_sym_COMMA,
    STATE(214), 1,
      sym_semicolon,
    STATE(1418), 1,
      sym_block_expression,
    STATE(1476), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2386), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [61605] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1872), 7,
      anon_sym_priv,
      anon_sym_pub,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_POUND,
  [61622] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2286), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61639] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2322), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61656] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2450), 1,
      anon_sym_DASH_GT,
    STATE(1449), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2231), 5,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_SEMI,
      sym_question_operator,
  [61677] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      sym_lowercase_identifier,
    ACTIONS(2484), 1,
      anon_sym_RBRACE,
    STATE(2456), 1,
      sym_struct_field_pattern,
    STATE(2755), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
  [61704] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2324), 7,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_BANG,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61721] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2486), 6,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
  [61740] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1675), 1,
      sym_package_identifier,
    ACTIONS(2490), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_identifier,
    STATE(861), 1,
      sym_qualified_type_identifier,
    STATE(883), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2488), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [61767] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(1453), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2155), 5,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61788] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(1493), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2205), 5,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61809] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(1449), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2231), 5,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61830] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(1459), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2185), 5,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_question_operator,
  [61851] = 9,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2189), 1,
      anon_sym_EQ,
    STATE(1622), 1,
      sym_parameters,
    STATE(2422), 1,
      sym_block_expression,
    STATE(2424), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [61880] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2496), 1,
      anon_sym_AMP,
    ACTIONS(2498), 1,
      sym_package_identifier,
    STATE(810), 1,
      sym_qualified_type_identifier,
    STATE(843), 1,
      sym_identifier,
    STATE(849), 1,
      sym_type_name,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2494), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [61907] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2372), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [61923] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2346), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [61939] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      sym_dot_lowercase_identifier,
    ACTIONS(2500), 1,
      anon_sym_EQ,
    STATE(1007), 1,
      sym_attribute_properties,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1763), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61963] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2296), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [61979] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(2502), 1,
      sym_lowercase_identifier,
    ACTIONS(2504), 1,
      anon_sym_RPAREN,
    STATE(989), 1,
      sym_string_literal,
    STATE(2482), 1,
      sym_attribute_expression,
    STATE(2490), 1,
      sym_attribute_property,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [62005] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    ACTIONS(2440), 1,
      sym_question_operator,
    STATE(2331), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1715), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [62027] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    ACTIONS(2440), 1,
      sym_question_operator,
    STATE(2175), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1711), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [62049] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(1995), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2506), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62069] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(2502), 1,
      sym_lowercase_identifier,
    ACTIONS(2508), 1,
      anon_sym_RPAREN,
    STATE(989), 1,
      sym_string_literal,
    STATE(2278), 1,
      sym_attribute_property,
    STATE(2482), 1,
      sym_attribute_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [62095] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2006), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2510), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62115] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(1915), 1,
      sym_string_literal,
    STATE(2068), 1,
      sym_block_expression,
    STATE(2553), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [62141] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    ACTIONS(2440), 1,
      sym_question_operator,
    STATE(2411), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2512), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [62163] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(905), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1369), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [62181] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2514), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1375), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [62199] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2207), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62215] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(1941), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2516), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62235] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2326), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62251] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(1946), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2518), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62271] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2328), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62287] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2241), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62303] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2352), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62319] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    ACTIONS(2440), 1,
      sym_question_operator,
    STATE(2337), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1719), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [62341] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2153), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62357] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2374), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62373] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2520), 6,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
  [62389] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2354), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62405] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2219), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62421] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2522), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ_GT,
  [62441] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(1872), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2524), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62461] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(2502), 1,
      sym_lowercase_identifier,
    ACTIONS(2526), 1,
      anon_sym_RPAREN,
    STATE(989), 1,
      sym_string_literal,
    STATE(2216), 1,
      sym_attribute_property,
    STATE(2482), 1,
      sym_attribute_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [62487] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2179), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62503] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2003), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2528), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62523] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2173), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62539] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(1937), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2530), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62559] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2342), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62575] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2534), 1,
      anon_sym_RBRACE,
    ACTIONS(2536), 1,
      anon_sym_DOT_DOT,
    STATE(2377), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [62599] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(2502), 1,
      sym_lowercase_identifier,
    ACTIONS(2538), 1,
      anon_sym_RPAREN,
    STATE(989), 1,
      sym_string_literal,
    STATE(2482), 1,
      sym_attribute_expression,
    STATE(2490), 1,
      sym_attribute_property,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [62625] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2330), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62641] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2223), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62657] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2250), 1,
      sym_qualified_type_identifier,
    STATE(2281), 1,
      sym_constraint,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [62681] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(2502), 1,
      sym_lowercase_identifier,
    ACTIONS(2540), 1,
      anon_sym_RPAREN,
    STATE(989), 1,
      sym_string_literal,
    STATE(2482), 1,
      sym_attribute_expression,
    STATE(2490), 1,
      sym_attribute_property,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [62707] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(2542), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2286), 4,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62727] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2213), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62743] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2544), 1,
      anon_sym_RBRACE,
    ACTIONS(2546), 1,
      anon_sym_DOT_DOT,
    STATE(2139), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [62767] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(1935), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2548), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62787] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2009), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2550), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62807] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(2552), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2286), 4,
      sym_automatic_semicolon,
      sym_derive_keyword,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62827] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2554), 1,
      anon_sym_LPAREN,
    ACTIONS(2558), 1,
      anon_sym_EQ,
    STATE(2401), 1,
      sym_enum_constructor_payload,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2556), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62849] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2360), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62865] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2560), 1,
      anon_sym_LPAREN,
    STATE(1909), 1,
      sym_pub_attribute,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2035), 4,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
  [62885] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2362), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62901] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2235), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62917] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2376), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62933] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2364), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [62949] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2562), 1,
      anon_sym_RBRACE,
    ACTIONS(2564), 1,
      anon_sym_DOT_DOT,
    STATE(2356), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [62973] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    ACTIONS(2568), 1,
      anon_sym_DOT_DOT,
    STATE(2223), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [62997] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2141), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63013] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2181), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63029] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2378), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63045] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(1873), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2570), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63065] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(2572), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2286), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_SEMI,
  [63085] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(2502), 1,
      sym_lowercase_identifier,
    ACTIONS(2574), 1,
      anon_sym_RPAREN,
    STATE(989), 1,
      sym_string_literal,
    STATE(2482), 1,
      sym_attribute_expression,
    STATE(2490), 1,
      sym_attribute_property,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [63111] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2576), 1,
      anon_sym_RBRACE,
    ACTIONS(2578), 1,
      anon_sym_DOT_DOT,
    STATE(2293), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [63135] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2229), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63151] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2332), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63167] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2380), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63183] = 8,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(1963), 1,
      sym_string_literal,
    STATE(2075), 1,
      sym_block_expression,
    STATE(2552), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [63209] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2024), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2580), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63229] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2025), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2582), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63249] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2169), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63265] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(2584), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2286), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      sym_derive_keyword,
      anon_sym_SEMI,
  [63285] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2007), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2586), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63305] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2366), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63321] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2147), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63337] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1637), 1,
      sym_package_identifier,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    STATE(1217), 1,
      sym_identifier,
    STATE(2076), 1,
      sym_qualified_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [63361] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(1874), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2590), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63381] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2368), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63397] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2233), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63413] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2211), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63429] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2171), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63445] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2370), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63461] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2344), 6,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [63477] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(813), 1,
      anon_sym_RBRACE,
    STATE(371), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63498] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2259), 1,
      sym_package_identifier,
    STATE(2517), 1,
      sym_qualified_type_identifier,
    STATE(2532), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2255), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [63519] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    STATE(293), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63540] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2396), 1,
      anon_sym_RBRACE,
    STATE(1417), 1,
      sym_semicolon,
    STATE(1831), 1,
      aux_sym_struct_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63561] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2594), 1,
      anon_sym_RBRACE,
    STATE(384), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2596), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63582] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2599), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [63603] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(2502), 1,
      sym_lowercase_identifier,
    STATE(989), 1,
      sym_string_literal,
    STATE(2482), 1,
      sym_attribute_expression,
    STATE(2490), 1,
      sym_attribute_property,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [63626] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1463), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [63641] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(773), 1,
      anon_sym_RBRACE,
    STATE(373), 1,
      sym_semicolon,
    STATE(1604), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63662] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2601), 1,
      anon_sym_RBRACE,
    STATE(13), 1,
      sym_semicolon,
    STATE(1607), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63683] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2605), 1,
      anon_sym_RBRACE,
    STATE(1841), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2396), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63704] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2605), 1,
      anon_sym_RBRACE,
    STATE(1842), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2396), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63725] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    STATE(11), 1,
      sym_semicolon,
    STATE(1614), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63746] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1379), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [63761] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1467), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [63776] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2484), 1,
      anon_sym_RBRACE,
    ACTIONS(2611), 1,
      anon_sym_COMMA,
    STATE(1900), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2755), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [63799] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2613), 1,
      anon_sym_COMMA,
    STATE(1603), 1,
      aux_sym_matrix_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2522), 3,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ_GT,
  [63818] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(805), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63839] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2616), 1,
      ts_builtin_sym_end,
    STATE(699), 1,
      sym_semicolon,
    STATE(1605), 1,
      aux_sym_structure_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2618), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63860] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(145), 1,
      anon_sym_RBRACE,
    STATE(10), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63881] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(155), 1,
      anon_sym_RBRACE,
    STATE(14), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63902] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2621), 1,
      anon_sym_RBRACK,
    STATE(2031), 1,
      sym_identifier,
    STATE(2462), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [63923] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2623), 1,
      anon_sym_RBRACK,
    STATE(2031), 1,
      sym_identifier,
    STATE(2462), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [63944] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    STATE(1660), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2034), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [63965] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2627), 1,
      anon_sym_RPAREN,
    ACTIONS(2629), 1,
      anon_sym_COMMA,
    ACTIONS(2631), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [63988] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2534), 1,
      anon_sym_RBRACE,
    STATE(2377), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [64009] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    STATE(293), 1,
      sym_semicolon,
    STATE(1784), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64030] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(151), 1,
      anon_sym_RBRACE,
    STATE(15), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64051] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2633), 1,
      anon_sym_RPAREN,
    ACTIONS(2635), 1,
      anon_sym_COMMA,
    ACTIONS(2637), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64074] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2639), 1,
      anon_sym_COMMA,
    ACTIONS(2641), 1,
      anon_sym_RBRACE,
    STATE(1633), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2644), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64097] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2643), 1,
      anon_sym_COMMA,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    STATE(1634), 1,
      aux_sym_map_pattern_repeat1,
    STATE(2656), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64120] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(673), 1,
      anon_sym_RBRACE,
    STATE(303), 1,
      sym_semicolon,
    STATE(1638), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64141] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1369), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [64156] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2647), 1,
      anon_sym_COMMA,
    ACTIONS(2649), 1,
      anon_sym_RBRACE,
    STATE(1602), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2764), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64179] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2651), 1,
      anon_sym_COMMA,
    ACTIONS(2653), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym_map_pattern_repeat1,
    STATE(2735), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64202] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2177), 1,
      anon_sym_EQ,
    STATE(2402), 1,
      sym_block_expression,
    STATE(2407), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64225] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2655), 1,
      anon_sym_RBRACE,
    STATE(2288), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [64246] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(2289), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2657), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [64265] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2334), 1,
      anon_sym_RBRACE,
    STATE(1400), 1,
      sym_semicolon,
    STATE(1830), 1,
      aux_sym_struct_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64286] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2659), 1,
      sym_lowercase_identifier,
    ACTIONS(2661), 1,
      anon_sym_RPAREN,
    STATE(2592), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1729), 2,
      sym_parameter_label,
      sym_optional_parameter_label,
  [64307] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2663), 1,
      anon_sym_RBRACK,
    STATE(2031), 1,
      sym_identifier,
    STATE(2462), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [64328] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2665), 1,
      anon_sym_RBRACE,
    STATE(1841), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2057), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64349] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    STATE(1215), 1,
      sym_semicolon,
    STATE(1639), 1,
      aux_sym_trait_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64370] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(783), 1,
      anon_sym_RBRACE,
    STATE(377), 1,
      sym_semicolon,
    STATE(1727), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64391] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    STATE(2029), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [64412] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(811), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64433] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2456), 1,
      anon_sym_RBRACE,
    ACTIONS(2669), 1,
      anon_sym_COMMA,
    STATE(1900), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2646), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64456] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1583), 1,
      anon_sym_RBRACE,
    ACTIONS(2671), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_map_pattern_repeat1,
    STATE(2708), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64479] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2673), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2249), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [64496] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2243), 1,
      anon_sym_EQ,
    STATE(2064), 1,
      sym_return_type,
    STATE(2185), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64519] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(685), 1,
      anon_sym_RBRACE,
    STATE(308), 1,
      sym_semicolon,
    STATE(1650), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64540] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(685), 1,
      anon_sym_RBRACE,
    STATE(308), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64561] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2119), 1,
      anon_sym_RBRACE,
    STATE(1226), 1,
      sym_semicolon,
    STATE(1824), 1,
      aux_sym_trait_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64582] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    STATE(309), 1,
      sym_semicolon,
    STATE(1653), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64603] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(687), 1,
      anon_sym_RBRACE,
    STATE(310), 1,
      sym_semicolon,
    STATE(1654), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64624] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(689), 1,
      anon_sym_RBRACE,
    STATE(312), 1,
      sym_semicolon,
    STATE(1656), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64645] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [64660] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    STATE(27), 1,
      sym_semicolon,
    STATE(1812), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64681] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1459), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [64696] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [64717] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2681), 1,
      anon_sym_RPAREN,
    ACTIONS(2683), 1,
      anon_sym_COMMA,
    STATE(2054), 1,
      aux_sym_matrix_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64740] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1395), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [64755] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    STATE(315), 1,
      sym_semicolon,
    STATE(1661), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64776] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    STATE(315), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64797] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(681), 1,
      anon_sym_RBRACE,
    STATE(352), 1,
      sym_semicolon,
    STATE(1744), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64818] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [64833] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    STATE(316), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64854] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    STATE(318), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64875] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    STATE(318), 1,
      sym_semicolon,
    STATE(1664), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64896] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(701), 1,
      anon_sym_RBRACE,
    STATE(319), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64917] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(701), 1,
      anon_sym_RBRACE,
    STATE(319), 1,
      sym_semicolon,
    STATE(1666), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [64938] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2685), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [64959] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2687), 1,
      anon_sym_EQ,
    STATE(2299), 1,
      sym_block_expression,
    STATE(2312), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [64982] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    STATE(1841), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2327), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65003] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(705), 1,
      anon_sym_RBRACE,
    STATE(320), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65024] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1403), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [65039] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(711), 1,
      anon_sym_RBRACE,
    STATE(321), 1,
      sym_semicolon,
    STATE(1672), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65060] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(711), 1,
      anon_sym_RBRACE,
    STATE(321), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65081] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2659), 1,
      sym_lowercase_identifier,
    ACTIONS(2691), 1,
      anon_sym_RPAREN,
    STATE(2592), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1729), 2,
      sym_parameter_label,
      sym_optional_parameter_label,
  [65102] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(713), 1,
      anon_sym_RBRACE,
    STATE(322), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65123] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(2439), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2693), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [65142] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(713), 1,
      anon_sym_RBRACE,
    STATE(322), 1,
      sym_semicolon,
    STATE(1674), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65163] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2685), 1,
      anon_sym_RBRACE,
    STATE(2078), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [65184] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [65205] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2697), 1,
      anon_sym_RBRACE,
    STATE(323), 1,
      sym_semicolon,
    STATE(1676), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65226] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(717), 1,
      anon_sym_RBRACE,
    STATE(324), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65247] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    STATE(1719), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2701), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [65266] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(719), 1,
      anon_sym_RBRACE,
    STATE(325), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65287] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2701), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [65306] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(721), 1,
      anon_sym_RBRACE,
    STATE(326), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65327] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    STATE(1719), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2703), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [65346] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    STATE(1789), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2703), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [65365] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [65386] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2470), 1,
      anon_sym_EQ,
    STATE(2136), 1,
      sym_block_expression,
    STATE(2348), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [65409] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [65430] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(759), 1,
      anon_sym_RBRACE,
    STATE(353), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65451] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    STATE(1816), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2327), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65472] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2408), 1,
      anon_sym_RBRACE,
    STATE(1416), 1,
      sym_semicolon,
    STATE(1830), 1,
      aux_sym_struct_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65493] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    STATE(1841), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2354), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65514] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1675), 1,
      sym_package_identifier,
    STATE(803), 1,
      sym_identifier,
    STATE(859), 1,
      sym_qualified_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2488), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [65535] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2133), 1,
      anon_sym_RBRACE,
    STATE(1229), 1,
      sym_semicolon,
    STATE(1824), 1,
      aux_sym_trait_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65556] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1365), 1,
      ts_builtin_sym_end,
    STATE(683), 1,
      sym_semicolon,
    STATE(1605), 1,
      aux_sym_structure_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65577] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2318), 1,
      anon_sym_RBRACE,
    STATE(1337), 1,
      sym_semicolon,
    STATE(1625), 1,
      aux_sym_struct_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65598] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2141), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2711), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [65617] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    STATE(17), 1,
      sym_semicolon,
    STATE(1695), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65638] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    STATE(18), 1,
      sym_semicolon,
    STATE(1699), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65659] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2361), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2717), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [65678] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2411), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2512), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [65697] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(163), 1,
      anon_sym_RBRACE,
    STATE(19), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65718] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2719), 1,
      anon_sym_RBRACK,
    STATE(2031), 1,
      sym_identifier,
    STATE(2462), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [65739] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2544), 1,
      anon_sym_RBRACE,
    STATE(2139), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [65760] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    STATE(1628), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2420), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65781] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(165), 1,
      anon_sym_RBRACE,
    STATE(20), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65802] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2723), 1,
      anon_sym_RPAREN,
    ACTIONS(2725), 1,
      anon_sym_COMMA,
    ACTIONS(2727), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [65825] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2729), 1,
      anon_sym_COMMA,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    STATE(1711), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2702), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [65848] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2733), 1,
      anon_sym_COMMA,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    STATE(1713), 1,
      aux_sym_map_pattern_repeat1,
    STATE(2710), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [65871] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(745), 1,
      anon_sym_RBRACE,
    STATE(340), 1,
      sym_semicolon,
    STATE(1715), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65892] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(801), 1,
      anon_sym_RBRACE,
    STATE(380), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65913] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    STATE(368), 1,
      sym_semicolon,
    STATE(1704), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65934] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(813), 1,
      anon_sym_RBRACE,
    STATE(371), 1,
      sym_semicolon,
    STATE(1843), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [65955] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [65970] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2737), 1,
      anon_sym_RBRACK,
    STATE(2031), 1,
      sym_identifier,
    STATE(2462), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [65991] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    STATE(2158), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66012] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    STATE(1841), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2034), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66033] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    STATE(1900), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2680), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [66056] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66077] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_RBRACE,
    ACTIONS(2745), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_map_pattern_repeat1,
    STATE(2695), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [66100] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(751), 1,
      anon_sym_RBRACE,
    STATE(343), 1,
      sym_semicolon,
    STATE(1723), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66121] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(751), 1,
      anon_sym_RBRACE,
    STATE(343), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66142] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2410), 1,
      anon_sym_RBRACE,
    STATE(1387), 1,
      sym_semicolon,
    STATE(1866), 1,
      aux_sym_struct_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66163] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66184] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2749), 1,
      anon_sym_RPAREN,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    STATE(2172), 1,
      aux_sym_matrix_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [66207] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2753), 1,
      anon_sym_COMMA,
    STATE(1719), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2756), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [66226] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2758), 1,
      anon_sym_EQ,
    STATE(2225), 1,
      sym_return_type,
    STATE(2428), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [66249] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(757), 1,
      anon_sym_RBRACE,
    STATE(345), 1,
      sym_semicolon,
    STATE(1728), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66270] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2334), 1,
      anon_sym_RBRACE,
    STATE(1400), 1,
      sym_semicolon,
    STATE(1684), 1,
      aux_sym_struct_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66291] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(757), 1,
      anon_sym_RBRACE,
    STATE(345), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66312] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(661), 1,
      anon_sym_RBRACE,
    STATE(314), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66333] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2163), 1,
      anon_sym_EQ,
    STATE(2254), 1,
      sym_return_type,
    STATE(2382), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [66356] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2760), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66377] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(815), 1,
      anon_sym_RBRACE,
    STATE(378), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66398] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(761), 1,
      anon_sym_RBRACE,
    STATE(346), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66419] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2478), 1,
      anon_sym_EQ,
    ACTIONS(2480), 1,
      sym_colon,
    STATE(2198), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2476), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [66440] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2760), 1,
      anon_sym_RBRACE,
    STATE(2181), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66461] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2762), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66482] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2764), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66503] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2766), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66524] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2665), 1,
      anon_sym_RBRACE,
    STATE(1685), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2057), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66545] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2119), 1,
      anon_sym_RBRACE,
    STATE(1226), 1,
      sym_semicolon,
    STATE(1687), 1,
      aux_sym_trait_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66566] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2498), 1,
      sym_package_identifier,
    STATE(838), 1,
      sym_qualified_type_identifier,
    STATE(843), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2494), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [66587] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2104), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2768), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [66606] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2770), 1,
      anon_sym_RBRACE,
    STATE(1597), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2405), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66627] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2772), 1,
      anon_sym_EQ,
    STATE(2033), 1,
      sym_return_type,
    STATE(2453), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [66650] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2774), 1,
      anon_sym_RBRACE,
    STATE(2081), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66671] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2776), 1,
      anon_sym_RBRACE,
    STATE(332), 1,
      sym_semicolon,
    STATE(1826), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66692] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2778), 1,
      anon_sym_RBRACE,
    STATE(22), 1,
      sym_semicolon,
    STATE(1746), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66713] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1431), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [66728] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    STATE(368), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66749] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [66764] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(173), 1,
      anon_sym_RBRACE,
    STATE(24), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66785] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    STATE(2223), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66806] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(663), 1,
      anon_sym_RBRACE,
    STATE(333), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66827] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(175), 1,
      anon_sym_RBRACE,
    STATE(25), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66848] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2780), 1,
      anon_sym_RBRACE,
    STATE(33), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2782), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66869] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    STATE(355), 1,
      sym_semicolon,
    STATE(1759), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66890] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1447), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [66905] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(815), 1,
      anon_sym_RBRACE,
    STATE(378), 1,
      sym_semicolon,
    STATE(1589), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [66926] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    STATE(1677), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(389), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [66945] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1451), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [66960] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2785), 1,
      anon_sym_RBRACE,
    STATE(2236), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [66981] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2655), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67002] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(777), 1,
      anon_sym_RBRACE,
    STATE(356), 1,
      sym_semicolon,
    STATE(1765), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67023] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(777), 1,
      anon_sym_RBRACE,
    STATE(356), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67044] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2673), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2787), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [67063] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1435), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [67078] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    STATE(1210), 1,
      sym_semicolon,
    STATE(1824), 1,
      aux_sym_trait_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67099] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67120] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(779), 1,
      anon_sym_RBRACE,
    STATE(359), 1,
      sym_semicolon,
    STATE(1769), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67141] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(779), 1,
      anon_sym_RBRACE,
    STATE(359), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67162] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(1217), 1,
      sym_identifier,
    STATE(2568), 1,
      sym_qualified_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [67183] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2791), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67204] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    STATE(1210), 1,
      sym_semicolon,
    STATE(1836), 1,
      aux_sym_trait_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67225] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(785), 1,
      anon_sym_RBRACE,
    STATE(360), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67246] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2791), 1,
      anon_sym_RBRACE,
    STATE(2253), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67267] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2793), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67288] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67309] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67330] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(374), 1,
      sym_semicolon,
    STATE(1632), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67351] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2801), 1,
      anon_sym_RBRACK,
    STATE(2031), 1,
      sym_identifier,
    STATE(2462), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [67372] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    STATE(28), 1,
      sym_semicolon,
    STATE(1778), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67393] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2805), 1,
      anon_sym_RBRACE,
    STATE(29), 1,
      sym_semicolon,
    STATE(1782), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67414] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(185), 1,
      anon_sym_RBRACE,
    STATE(30), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67435] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2807), 1,
      anon_sym_EQ,
    STATE(2362), 1,
      sym_block_expression,
    STATE(2381), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [67458] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2576), 1,
      anon_sym_RBRACE,
    STATE(2293), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67479] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1005), 1,
      anon_sym_DQUOTE,
    STATE(2426), 1,
      sym_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2809), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [67498] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(187), 1,
      anon_sym_RBRACE,
    STATE(31), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67519] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(791), 1,
      anon_sym_RBRACE,
    STATE(365), 1,
      sym_semicolon,
    STATE(1793), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67540] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(667), 1,
      anon_sym_RBRACE,
    STATE(334), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67561] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2562), 1,
      anon_sym_RBRACE,
    STATE(2356), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67582] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2464), 1,
      anon_sym_if,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2811), 1,
      anon_sym_EQ_GT,
    STATE(2714), 1,
      sym_pattern_guard,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [67605] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(2435), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2813), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [67624] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    STATE(1719), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2815), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [67643] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    STATE(1719), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2817), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [67662] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    STATE(2305), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67683] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(819), 1,
      anon_sym_RBRACE,
    STATE(289), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67704] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    STATE(367), 1,
      sym_semicolon,
    STATE(1797), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67725] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    STATE(367), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67746] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2821), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67767] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(799), 1,
      anon_sym_RBRACE,
    STATE(369), 1,
      sym_semicolon,
    STATE(1800), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67788] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2823), 1,
      anon_sym_EQ,
    STATE(2441), 1,
      sym_block_expression,
    STATE(2444), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [67811] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(799), 1,
      anon_sym_RBRACE,
    STATE(369), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67832] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2825), 1,
      sym_lowercase_identifier,
    ACTIONS(2827), 1,
      anon_sym_BANG,
    ACTIONS(2829), 1,
      anon_sym_LBRACE,
    STATE(1904), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [67855] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67876] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(803), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [67897] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    STATE(2317), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67918] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67939] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67960] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2837), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [67981] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2117), 1,
      anon_sym_RBRACE,
    STATE(1216), 1,
      sym_semicolon,
    STATE(1762), 1,
      aux_sym_trait_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68002] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1637), 1,
      sym_package_identifier,
    STATE(838), 1,
      sym_qualified_type_identifier,
    STATE(1217), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [68023] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(821), 1,
      anon_sym_RBRACE,
    STATE(290), 1,
      sym_semicolon,
    STATE(1724), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68044] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2175), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1711), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [68063] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    STATE(1710), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2178), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68084] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2331), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1715), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [68103] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    STATE(1841), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2178), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68124] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(183), 1,
      anon_sym_RBRACE,
    STATE(9), 1,
      sym_semicolon,
    STATE(1750), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68145] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(821), 1,
      anon_sym_RBRACE,
    STATE(290), 1,
      sym_semicolon,
    STATE(1591), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68166] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68181] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(781), 1,
      anon_sym_RBRACE,
    STATE(375), 1,
      sym_semicolon,
    STATE(1587), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68202] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    STATE(1841), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2454), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68223] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2843), 1,
      ts_builtin_sym_end,
    STATE(687), 1,
      sym_semicolon,
    STATE(1688), 1,
      aux_sym_structure_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68244] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1391), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68259] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    STATE(1811), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2335), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68280] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2847), 1,
      anon_sym_EQ,
    STATE(2386), 1,
      sym_return_type,
    STATE(2450), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [68303] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68318] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    STATE(1673), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(409), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [68337] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1411), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68352] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_semicolon,
    STATE(1824), 1,
      aux_sym_trait_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2851), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68373] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2854), 1,
      anon_sym_RBRACE,
    STATE(392), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2856), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68394] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(739), 1,
      anon_sym_RBRACE,
    STATE(342), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68415] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(805), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_semicolon,
    STATE(1813), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68436] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [68457] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(2258), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2861), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [68476] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2863), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_semicolon,
    STATE(1830), 1,
      aux_sym_struct_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2865), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68497] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2318), 1,
      anon_sym_RBRACE,
    STATE(1337), 1,
      sym_semicolon,
    STATE(1830), 1,
      aux_sym_struct_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68518] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2868), 1,
      anon_sym_RBRACE,
    STATE(8), 1,
      sym_semicolon,
    STATE(1606), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68539] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2272), 1,
      anon_sym_TILDE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(905), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_question_operator,
  [68556] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2870), 1,
      anon_sym_RBRACE,
    STATE(344), 1,
      sym_semicolon,
    STATE(1682), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68577] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(801), 1,
      anon_sym_RBRACE,
    STATE(380), 1,
      sym_semicolon,
    STATE(1791), 1,
      aux_sym_anonymous_matrix_lambda_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68598] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    STATE(1215), 1,
      sym_semicolon,
    STATE(1824), 1,
      aux_sym_trait_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68619] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1455), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68634] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(601), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68649] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(807), 1,
      anon_sym_RBRACE,
    STATE(291), 1,
      sym_semicolon,
    STATE(1748), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68670] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(589), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68685] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2872), 1,
      anon_sym_RBRACE,
    STATE(1841), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2525), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2874), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68706] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    STATE(1841), 1,
      aux_sym_error_type_definition_repeat1,
    STATE(2420), 1,
      sym_semicolon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2607), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68727] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(807), 1,
      anon_sym_RBRACE,
    STATE(291), 1,
      sym_semicolon,
    STATE(1825), 1,
      aux_sym_match_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2592), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [68748] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2189), 1,
      anon_sym_EQ,
    STATE(2422), 1,
      sym_block_expression,
    STATE(2424), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [68771] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2227), 1,
      anon_sym_EQ,
    STATE(2063), 1,
      sym_block_expression,
    STATE(2073), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [68794] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2877), 1,
      anon_sym_RPAREN,
    ACTIONS(2879), 1,
      anon_sym_COMMA,
    STATE(2316), 1,
      aux_sym_matrix_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [68817] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(651), 1,
      anon_sym_EQ_GT,
    ACTIONS(2464), 1,
      anon_sym_if,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    STATE(1603), 1,
      aux_sym_matrix_case_clause_repeat1,
    STATE(2674), 1,
      sym_pattern_guard,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [68840] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2659), 1,
      sym_lowercase_identifier,
    ACTIONS(2883), 1,
      anon_sym_RPAREN,
    STATE(2179), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1729), 2,
      sym_parameter_label,
      sym_optional_parameter_label,
  [68861] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1415), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68876] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68891] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [68906] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2673), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [68925] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2480), 1,
      sym_colon,
    ACTIONS(2887), 1,
      anon_sym_EQ,
    STATE(2699), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [68948] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2889), 1,
      anon_sym_EQ,
    STATE(2314), 1,
      sym_block_expression,
    STATE(2351), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [68971] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(2041), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2891), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [68990] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(2342), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2893), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [69009] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(2673), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2895), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [69028] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    ACTIONS(2897), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [69049] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2899), 1,
      sym_lowercase_identifier,
    ACTIONS(2901), 1,
      anon_sym_BANG,
    ACTIONS(2903), 1,
      anon_sym_LBRACE,
    STATE(1913), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69072] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_map_pattern_repeat1,
    STATE(2632), 1,
      sym_dot_dot,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69095] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(2292), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2907), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [69114] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1427), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_DOT_DOT,
      anon_sym_as,
  [69129] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2909), 1,
      anon_sym_COMMA,
    STATE(1863), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2912), 3,
      sym_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [69148] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2438), 1,
      sym_derive_keyword,
    STATE(2338), 1,
      sym_derive_directive,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2914), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [69167] = 7,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(2916), 1,
      anon_sym_EQ,
    STATE(2130), 1,
      sym_block_expression,
    STATE(2412), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69190] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2396), 1,
      anon_sym_RBRACE,
    STATE(1417), 1,
      sym_semicolon,
    STATE(1830), 1,
      aux_sym_struct_definition_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(473), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [69211] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2918), 1,
      anon_sym_RBRACE,
    STATE(23), 1,
      sym_semicolon,
    STATE(1749), 1,
      aux_sym_block_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2603), 2,
      sym_automatic_semicolon,
      anon_sym_SEMI,
  [69232] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2920), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [69248] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2922), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [69264] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2924), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [69278] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2926), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [69294] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2516), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [69308] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2518), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [69322] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2570), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [69336] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2928), 1,
      anon_sym_BANG,
    STATE(904), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1673), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [69354] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2434), 1,
      sym_lowercase_identifier,
    STATE(2456), 1,
      sym_struct_field_pattern,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2295), 2,
      sym_labeled_pattern,
      sym_labeled_pattern_pun,
  [69372] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2930), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [69390] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1663), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [69404] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2932), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2934), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [69422] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(2938), 1,
      anon_sym_RPAREN,
    ACTIONS(2940), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69442] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(596), 1,
      sym_block_expression,
    STATE(2513), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69462] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(2942), 1,
      sym_lowercase_identifier,
    STATE(1445), 1,
      sym_string_literal,
    STATE(1446), 1,
      sym_attribute_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69482] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1687), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [69496] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    STATE(1191), 1,
      sym_pub_attribute,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2037), 2,
      anon_sym_mut,
      sym_lowercase_identifier,
  [69514] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1408), 1,
      sym_block_expression,
    STATE(1969), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69534] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(2946), 1,
      anon_sym_RPAREN,
    ACTIONS(2948), 1,
      anon_sym_COMMA,
    STATE(2224), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69554] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2950), 1,
      anon_sym_RPAREN,
    ACTIONS(2952), 1,
      anon_sym_COMMA,
    ACTIONS(2954), 1,
      sym_colon,
    STATE(2239), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69574] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1408), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69594] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1408), 1,
      sym_block_expression,
    STATE(1972), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69614] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(477), 1,
      sym_block_expression,
    STATE(2479), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69634] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2958), 1,
      anon_sym_PLUS,
    STATE(1980), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2308), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [69652] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1928), 1,
      anon_sym_struct,
    ACTIONS(1930), 1,
      anon_sym_enum,
    ACTIONS(2446), 1,
      anon_sym_extern,
    ACTIONS(2448), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69672] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2960), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [69688] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2031), 1,
      sym_identifier,
    STATE(2462), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [69706] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(2962), 1,
      anon_sym_RPAREN,
    ACTIONS(2964), 1,
      anon_sym_COMMA,
    STATE(2374), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69726] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(2966), 1,
      anon_sym_COMMA,
    ACTIONS(2968), 1,
      anon_sym_RBRACK,
    STATE(2376), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69746] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2972), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2970), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [69762] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(470), 1,
      sym_block_expression,
    STATE(2565), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69782] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2974), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1335), 2,
      sym_block_expression,
      sym_if_expression,
  [69800] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2976), 1,
      anon_sym_COMMA,
    STATE(1900), 1,
      aux_sym_struct_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2979), 2,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [69818] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1239), 1,
      sym_block_expression,
    STATE(1911), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69838] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2981), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [69856] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2983), 1,
      anon_sym_BANG,
    ACTIONS(2985), 1,
      anon_sym_LBRACE,
    STATE(1916), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69876] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(557), 1,
      sym_block_expression,
    STATE(2499), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69896] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(484), 1,
      sym_block_expression,
    STATE(2469), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69916] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(2080), 1,
      sym_block_expression,
    STATE(2554), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [69936] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2987), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_map_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2990), 2,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [69954] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2035), 4,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
  [69968] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2221), 4,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
  [69982] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1267), 1,
      sym_block_expression,
    STATE(1918), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70002] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1267), 1,
      sym_block_expression,
    STATE(1919), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70022] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2992), 1,
      anon_sym_BANG,
    ACTIONS(2994), 1,
      anon_sym_LBRACE,
    STATE(1906), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70042] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(574), 1,
      sym_block_expression,
    STATE(2470), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70062] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2996), 1,
      anon_sym_BANG,
    STATE(903), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1673), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [70080] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(2075), 1,
      sym_block_expression,
    STATE(2552), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70100] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(2263), 1,
      sym_block_expression,
    STATE(2484), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70120] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1244), 1,
      sym_block_expression,
    STATE(1922), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70140] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1244), 1,
      sym_block_expression,
    STATE(1923), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70160] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1244), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70180] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2097), 1,
      anon_sym_struct,
    ACTIONS(2099), 1,
      anon_sym_enum,
    ACTIONS(2998), 1,
      anon_sym_extern,
    ACTIONS(3000), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70200] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2145), 4,
      anon_sym_extern,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_enum,
  [70214] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1245), 1,
      sym_block_expression,
    STATE(1927), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70234] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1245), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70254] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1245), 1,
      sym_block_expression,
    STATE(1928), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70274] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_LPAREN,
    ACTIONS(3004), 1,
      anon_sym_BANG,
    STATE(2752), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70294] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(2042), 1,
      sym_block_expression,
    STATE(2461), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70314] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70334] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      sym_block_expression,
    STATE(1930), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70354] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1241), 1,
      sym_block_expression,
    STATE(1931), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70374] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1255), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70394] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1255), 1,
      sym_block_expression,
    STATE(1933), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70414] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3006), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [70430] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1257), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70450] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3008), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [70464] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3010), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [70478] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2031), 1,
      sym_identifier,
    STATE(2037), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [70496] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3012), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [70510] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3014), 1,
      anon_sym_RPAREN,
    ACTIONS(3016), 1,
      anon_sym_COMMA,
    ACTIONS(3018), 1,
      sym_colon,
    STATE(2117), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70530] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3020), 1,
      anon_sym_COMMA,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2756), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
  [70548] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(3023), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym_block_expression,
    STATE(2466), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70568] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2580), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [70582] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3025), 1,
      anon_sym_BANG,
    STATE(907), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1673), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [70600] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(3027), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1569), 2,
      sym_block_expression,
      sym_if_expression,
  [70618] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(3023), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_block_expression,
    STATE(2497), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70638] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3029), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [70654] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2582), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [70668] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1418), 1,
      sym_block_expression,
    STATE(2022), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70688] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(3031), 1,
      sym_lowercase_identifier,
    STATE(989), 1,
      sym_string_literal,
    STATE(1077), 1,
      sym_attribute_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70708] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2532), 1,
      sym_lowercase_identifier,
    STATE(2538), 1,
      sym_struct_field_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(2485), 2,
      sym_labeled_expression,
      sym_labeled_expression_pun,
  [70726] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3033), 4,
      sym_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [70740] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(3023), 1,
      anon_sym_LBRACE,
    STATE(746), 1,
      sym_block_expression,
    STATE(2514), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70760] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3035), 1,
      anon_sym_RPAREN,
    ACTIONS(3037), 1,
      anon_sym_COMMA,
    STATE(2203), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70780] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3039), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [70798] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1396), 1,
      sym_block_expression,
    STATE(1885), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70818] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1396), 1,
      sym_block_expression,
    STATE(1888), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70838] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1396), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70858] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1477), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      sym_colon,
  [70872] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3041), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      sym_colon,
  [70886] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3043), 1,
      anon_sym_RPAREN,
    ACTIONS(3045), 1,
      anon_sym_COMMA,
    ACTIONS(3047), 1,
      sym_colon,
    STATE(2204), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70906] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(3049), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym_block_expression,
    STATE(2564), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70926] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2756), 4,
      sym_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [70940] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(3049), 1,
      anon_sym_LBRACE,
    STATE(641), 1,
      sym_block_expression,
    STATE(2581), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70960] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(2065), 1,
      sym_block_expression,
    STATE(2510), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [70980] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2827), 1,
      anon_sym_BANG,
    ACTIONS(2829), 1,
      anon_sym_LBRACE,
    STATE(1904), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71000] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(3055), 1,
      anon_sym_in,
    STATE(2177), 1,
      aux_sym_for_in_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71020] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3057), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71034] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(3049), 1,
      anon_sym_LBRACE,
    STATE(662), 1,
      sym_block_expression,
    STATE(2595), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71054] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    ACTIONS(3061), 1,
      anon_sym_BANG,
    STATE(2723), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71074] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1426), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71094] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3063), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [71110] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3067), 1,
      anon_sym_PLUS,
    STATE(1891), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3065), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71128] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1426), 1,
      sym_block_expression,
    STATE(2016), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71148] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3069), 1,
      anon_sym_RPAREN,
    ACTIONS(3071), 1,
      anon_sym_COMMA,
    ACTIONS(3073), 1,
      sym_colon,
    STATE(2274), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71168] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    STATE(1152), 1,
      sym_block_expression,
    STATE(2483), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71188] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3077), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [71204] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(3031), 1,
      sym_lowercase_identifier,
    STATE(989), 1,
      sym_string_literal,
    STATE(2563), 1,
      sym_attribute_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71224] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    STATE(1179), 1,
      sym_block_expression,
    STATE(2495), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71244] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1426), 1,
      sym_block_expression,
    STATE(2018), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71264] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(3079), 1,
      anon_sym_in,
    STATE(2126), 1,
      aux_sym_for_in_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71284] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3083), 1,
      anon_sym_PLUS,
    STATE(1980), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3081), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71302] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    STATE(1113), 1,
      sym_block_expression,
    STATE(2503), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71322] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2912), 4,
      sym_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [71336] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3086), 1,
      anon_sym_BANG,
    STATE(913), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1673), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [71354] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2031), 1,
      sym_identifier,
    STATE(2128), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [71372] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3088), 1,
      anon_sym_BANG,
    ACTIONS(3090), 1,
      anon_sym_LBRACE,
    STATE(1890), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71392] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3092), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71408] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1759), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71422] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3094), 1,
      anon_sym_BANG,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    STATE(1898), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71442] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1691), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71456] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3098), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71472] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3100), 1,
      anon_sym_RPAREN,
    ACTIONS(3102), 1,
      anon_sym_COMMA,
    ACTIONS(3104), 1,
      sym_colon,
    STATE(2096), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71492] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3106), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3098), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [71510] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3109), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71524] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3111), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71540] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2586), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71554] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3113), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71568] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(1383), 1,
      sym_block_expression,
    STATE(1955), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71588] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(3117), 1,
      anon_sym_COMMA,
    STATE(2357), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71608] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2031), 1,
      sym_identifier,
    STATE(2100), 1,
      sym_type_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [71626] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3119), 1,
      anon_sym_COMMA,
    ACTIONS(3121), 1,
      anon_sym_RBRACK,
    STATE(2359), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71646] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2440), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3123), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [71662] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3125), 1,
      anon_sym_BANG,
    ACTIONS(3127), 1,
      anon_sym_LBRACE,
    STATE(1940), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71682] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2506), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71696] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3129), 1,
      anon_sym_BANG,
    ACTIONS(3131), 1,
      anon_sym_LBRACE,
    STATE(1944), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71716] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3133), 1,
      anon_sym_BANG,
    ACTIONS(3135), 1,
      anon_sym_LBRACE,
    STATE(1960), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71736] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2590), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71750] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2524), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71764] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3137), 1,
      anon_sym_BANG,
    ACTIONS(3139), 1,
      anon_sym_LBRACE,
    STATE(1962), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71784] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2510), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71798] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3141), 1,
      anon_sym_BANG,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
    STATE(1974), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71818] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3145), 1,
      anon_sym_BANG,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1977), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71838] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_BANG,
    ACTIONS(2903), 1,
      anon_sym_LBRACE,
    STATE(1913), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71858] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(3149), 1,
      anon_sym_in,
    STATE(2415), 1,
      aux_sym_for_in_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71878] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2659), 1,
      sym_lowercase_identifier,
    STATE(2592), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    STATE(1729), 2,
      sym_parameter_label,
      sym_optional_parameter_label,
  [71896] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(3151), 1,
      anon_sym_in,
    STATE(2418), 1,
      aux_sym_for_in_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71916] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1308), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71936] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2452), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71950] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1308), 1,
      sym_block_expression,
    STATE(2027), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71970] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    ACTIONS(3155), 1,
      anon_sym_COMMA,
    STATE(2433), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [71990] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(3159), 1,
      anon_sym_COMMA,
    STATE(2437), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72010] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(3163), 1,
      anon_sym_COMMA,
    STATE(2445), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72030] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1383), 1,
      sym_block_expression,
    STATE(1956), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72050] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(3167), 1,
      anon_sym_COMMA,
    STATE(2448), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72070] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2548), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72084] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2530), 4,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72098] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    ACTIONS(3171), 1,
      anon_sym_COMMA,
    STATE(2452), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72118] = 6,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1309), 1,
      sym_block_expression,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72138] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2780), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72151] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(3173), 1,
      anon_sym_COMMA,
    STATE(2052), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72168] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(3173), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72185] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3177), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3175), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72200] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    ACTIONS(3182), 1,
      anon_sym_RBRACK,
    STATE(2032), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72217] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2687), 1,
      anon_sym_EQ,
    STATE(2299), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72234] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72251] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3186), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72264] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(643), 1,
      anon_sym_RPAREN,
    ACTIONS(3188), 1,
      anon_sym_COMMA,
    STATE(2427), 1,
      aux_sym_constructor_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72281] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3190), 1,
      anon_sym_COMMA,
    ACTIONS(3192), 1,
      anon_sym_RBRACK,
    STATE(2256), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72298] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(637), 1,
      anon_sym_RPAREN,
    ACTIONS(3194), 1,
      anon_sym_COMMA,
    STATE(2427), 1,
      aux_sym_constructor_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72315] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3196), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72328] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2994), 1,
      anon_sym_LBRACE,
    STATE(1906), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72345] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3198), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72358] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3200), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72371] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1783), 1,
      anon_sym_RPAREN,
    ACTIONS(3202), 1,
      anon_sym_COMMA,
    STATE(2266), 1,
      aux_sym_trait_method_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72388] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3204), 1,
      sym_lowercase_identifier,
    ACTIONS(3206), 1,
      anon_sym_LBRACE,
    ACTIONS(3208), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72405] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3210), 1,
      anon_sym_EQ,
    STATE(2662), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72422] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3212), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72435] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3214), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [72450] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(351), 1,
      anon_sym_RPAREN,
    ACTIONS(3216), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72467] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(243), 1,
      anon_sym_RPAREN,
    ACTIONS(3218), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72484] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(245), 1,
      anon_sym_RPAREN,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72501] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    ACTIONS(3222), 1,
      anon_sym_RBRACE,
    STATE(1819), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72518] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2685), 1,
      anon_sym_RBRACE,
    ACTIONS(3224), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72535] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1719), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [72548] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(875), 1,
      anon_sym_RPAREN,
    ACTIONS(3226), 1,
      anon_sym_COMMA,
    STATE(1603), 1,
      aux_sym_matrix_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72565] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2045), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [72580] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3228), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [72593] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72610] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3230), 1,
      anon_sym_RPAREN,
    ACTIONS(3232), 1,
      anon_sym_COMMA,
    STATE(2058), 1,
      aux_sym_attribute_properties_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72627] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(1610), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72644] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3235), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72657] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(1219), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3237), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [72672] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2854), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72685] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3239), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [72698] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2470), 1,
      anon_sym_EQ,
    STATE(2136), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72715] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3241), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [72728] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(407), 1,
      anon_sym_RBRACK,
    ACTIONS(3243), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72745] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3245), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [72758] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3247), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [72771] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(407), 1,
      anon_sym_RBRACK,
    ACTIONS(3243), 1,
      anon_sym_COMMA,
    STATE(2347), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72788] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    ACTIONS(3251), 1,
      anon_sym_COMMA,
    STATE(2227), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72805] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3253), 1,
      anon_sym_BANG,
    STATE(1796), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72822] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3255), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72835] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2243), 1,
      anon_sym_EQ,
    STATE(2185), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72852] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2124), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [72867] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3257), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [72880] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      anon_sym_PLUS,
    STATE(2243), 1,
      aux_sym_super_trait_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72897] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2121), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [72912] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(3263), 1,
      anon_sym_COMMA,
    STATE(2084), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72929] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3265), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72942] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3267), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72955] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    ACTIONS(3269), 1,
      anon_sym_COMMA,
    STATE(2226), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [72972] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3271), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72985] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2122), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [73000] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    ACTIONS(3273), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73017] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2594), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [73030] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2529), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3275), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [73045] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3279), 1,
      sym_colon,
    STATE(2609), 1,
      sym_super_trait_declaration,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73062] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(1683), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73079] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3281), 1,
      anon_sym_EQ,
    STATE(2762), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73096] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2756), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [73109] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(801), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(977), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [73124] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    ACTIONS(2468), 1,
      anon_sym_as,
    ACTIONS(3283), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73141] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3285), 1,
      sym_dot_lowercase_identifier,
    ACTIONS(3287), 1,
      sym_dot_uppercase_identifier,
    STATE(1219), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73158] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3289), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [73171] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3291), 1,
      anon_sym_COMMA,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    STATE(2143), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73188] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(437), 1,
      anon_sym_RPAREN,
    ACTIONS(3295), 1,
      anon_sym_COMMA,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73205] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3297), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [73218] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3299), 1,
      sym_dot_lowercase_identifier,
    ACTIONS(3301), 1,
      sym_dot_uppercase_identifier,
    STATE(1219), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73235] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2616), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73248] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3303), 1,
      anon_sym_COMMA,
    ACTIONS(3305), 1,
      anon_sym_RBRACK,
    STATE(2115), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73265] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    ACTIONS(3269), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73282] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_RBRACE,
    STATE(2119), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73299] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3311), 1,
      anon_sym_COMMA,
    ACTIONS(3313), 1,
      anon_sym_RBRACK,
    STATE(2066), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73316] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2717), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73329] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3315), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73342] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3237), 1,
      sym_dot_lowercase_identifier,
    ACTIONS(3317), 1,
      sym_dot_uppercase_identifier,
    STATE(1219), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73359] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3321), 1,
      anon_sym_LBRACE,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73376] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_PLUS,
    STATE(2108), 1,
      aux_sym_super_trait_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73393] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2159), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [73408] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3328), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [73423] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3332), 1,
      anon_sym_RBRACK,
    STATE(2132), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73440] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3334), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73453] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3336), 1,
      sym_lowercase_identifier,
    ACTIONS(3338), 1,
      anon_sym_LBRACE,
    ACTIONS(3340), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73470] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3342), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [73483] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2719), 1,
      anon_sym_RBRACK,
    ACTIONS(3344), 1,
      anon_sym_COMMA,
    STATE(2261), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73500] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3346), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73513] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(455), 1,
      anon_sym_RPAREN,
    ACTIONS(3348), 1,
      anon_sym_COMMA,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73530] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3350), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [73543] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    ACTIONS(3352), 1,
      anon_sym_COMMA,
    STATE(2352), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73560] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3354), 1,
      sym_dot_lowercase_identifier,
    ACTIONS(3356), 1,
      sym_dot_uppercase_identifier,
    STATE(1219), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73577] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    STATE(2727), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73594] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3360), 1,
      anon_sym_LBRACE,
    STATE(2732), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73611] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3362), 1,
      anon_sym_while,
    ACTIONS(3364), 1,
      anon_sym_loop,
    ACTIONS(3366), 1,
      sym_for_keyword,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73628] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3368), 1,
      anon_sym_LBRACE,
    STATE(2750), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73645] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3370), 1,
      anon_sym_COMMA,
    ACTIONS(3372), 1,
      anon_sym_RBRACK,
    STATE(2144), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73662] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    ACTIONS(3055), 1,
      anon_sym_in,
    STATE(2152), 1,
      aux_sym_for_in_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73679] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3374), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73692] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3376), 1,
      anon_sym_COMMA,
    ACTIONS(3378), 1,
      anon_sym_RBRACK,
    STATE(2210), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73709] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3380), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [73722] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3382), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73735] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2480), 1,
      sym_colon,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    STATE(2769), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73752] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(375), 1,
      anon_sym_RBRACK,
    ACTIONS(3386), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73769] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(375), 1,
      anon_sym_RBRACK,
    ACTIONS(3386), 1,
      anon_sym_COMMA,
    STATE(2151), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73786] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(269), 1,
      anon_sym_RPAREN,
    ACTIONS(3388), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73803] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2163), 1,
      anon_sym_EQ,
    STATE(2382), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73820] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3390), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73833] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3392), 1,
      anon_sym_COMMA,
    ACTIONS(3394), 1,
      anon_sym_RBRACE,
    STATE(2252), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73850] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3396), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73863] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    ACTIONS(3398), 1,
      anon_sym_COMMA,
    STATE(2160), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73880] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(902), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3400), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [73895] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3402), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [73908] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(767), 1,
      anon_sym_RBRACK,
    ACTIONS(3404), 1,
      anon_sym_COMMA,
    STATE(2032), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73925] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1619), 1,
      anon_sym_RBRACE,
    ACTIONS(3406), 1,
      anon_sym_COMMA,
    STATE(2352), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73942] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(749), 1,
      anon_sym_RBRACK,
    ACTIONS(3408), 1,
      anon_sym_COMMA,
    STATE(2032), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73959] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3410), 1,
      anon_sym_RPAREN,
    ACTIONS(3412), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym_constructor_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73976] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3237), 1,
      sym_dot_lowercase_identifier,
    ACTIONS(3287), 1,
      sym_dot_uppercase_identifier,
    STATE(1219), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [73993] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3414), 1,
      anon_sym_RPAREN,
    ACTIONS(3416), 1,
      anon_sym_COMMA,
    STATE(2147), 1,
      aux_sym_enum_constructor_payload_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74010] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(1734), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74027] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2320), 1,
      anon_sym_mut,
    ACTIONS(3419), 1,
      sym_lowercase_identifier,
    STATE(2665), 1,
      sym_mutability,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74044] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3421), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [74059] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(379), 1,
      anon_sym_RBRACK,
    ACTIONS(3423), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74076] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3425), 1,
      anon_sym_COMMA,
    ACTIONS(3428), 1,
      anon_sym_in,
    STATE(2152), 1,
      aux_sym_for_in_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74093] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(279), 1,
      anon_sym_RPAREN,
    ACTIONS(3430), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74110] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3432), 1,
      anon_sym_LBRACE,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74127] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(279), 1,
      anon_sym_RPAREN,
    ACTIONS(3430), 1,
      anon_sym_COMMA,
    STATE(2167), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74144] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3434), 1,
      anon_sym_RPAREN,
    ACTIONS(3436), 1,
      anon_sym_COMMA,
    STATE(2168), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74161] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3438), 1,
      anon_sym_RPAREN,
    ACTIONS(3440), 1,
      anon_sym_COMMA,
    STATE(2169), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74178] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    ACTIONS(3442), 1,
      anon_sym_COMMA,
    STATE(2170), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74195] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3279), 1,
      sym_colon,
    ACTIONS(3444), 1,
      anon_sym_LBRACE,
    STATE(2627), 1,
      sym_super_trait_declaration,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74212] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    ACTIONS(3442), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74229] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2087), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [74244] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3446), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [74257] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(647), 1,
      anon_sym_RPAREN,
    ACTIONS(3448), 1,
      anon_sym_COMMA,
    STATE(2427), 1,
      aux_sym_constructor_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74274] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    STATE(2630), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74291] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3452), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [74304] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3454), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [74317] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(281), 1,
      anon_sym_RPAREN,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74334] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(283), 1,
      anon_sym_RPAREN,
    ACTIONS(3458), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74351] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(285), 1,
      anon_sym_RPAREN,
    ACTIONS(3460), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74368] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2760), 1,
      anon_sym_RBRACE,
    ACTIONS(3462), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74385] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3464), 3,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
  [74398] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(849), 1,
      anon_sym_RPAREN,
    ACTIONS(3466), 1,
      anon_sym_COMMA,
    STATE(1603), 1,
      aux_sym_matrix_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74415] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3468), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [74428] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(303), 1,
      anon_sym_RPAREN,
    ACTIONS(3470), 1,
      anon_sym_COMMA,
    STATE(2192), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74445] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2512), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [74458] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3472), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [74471] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    ACTIONS(3474), 1,
      anon_sym_in,
    STATE(2152), 1,
      aux_sym_for_in_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74488] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74505] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3476), 1,
      anon_sym_RPAREN,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(2277), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74522] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2275), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [74537] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2762), 1,
      anon_sym_RBRACE,
    ACTIONS(3480), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74554] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2764), 1,
      anon_sym_RBRACE,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74571] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3484), 1,
      anon_sym_COMMA,
    ACTIONS(3486), 1,
      anon_sym_RBRACK,
    STATE(2282), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74588] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2480), 1,
      sym_colon,
    ACTIONS(3488), 1,
      anon_sym_EQ,
    STATE(2636), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74605] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3490), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [74618] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(1389), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3492), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [74633] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(925), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1673), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [74648] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3494), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [74661] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3496), 1,
      anon_sym_RPAREN,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74678] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3317), 1,
      sym_dot_uppercase_identifier,
    ACTIONS(3501), 1,
      sym_dot_lowercase_identifier,
    STATE(1219), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74695] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3503), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [74708] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(275), 1,
      anon_sym_RPAREN,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74725] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3507), 1,
      anon_sym_COMMA,
    ACTIONS(3509), 1,
      anon_sym_RBRACE,
    STATE(2207), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74742] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3511), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [74755] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2368), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [74770] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3513), 3,
      anon_sym_readonly,
      anon_sym_all,
      anon_sym_open,
  [74783] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3237), 1,
      sym_dot_lowercase_identifier,
    ACTIONS(3356), 1,
      sym_dot_uppercase_identifier,
    STATE(1219), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74800] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3517), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [74815] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2770), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(1598), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74832] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3519), 1,
      anon_sym_COMMA,
    ACTIONS(3521), 1,
      anon_sym_RBRACK,
    STATE(2213), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74849] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(908), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3400), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [74864] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3523), 1,
      sym_lowercase_identifier,
    ACTIONS(3525), 1,
      anon_sym_LBRACE,
    ACTIONS(3527), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74881] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1870), 1,
      anon_sym_RPAREN,
    ACTIONS(3529), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74898] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(461), 1,
      anon_sym_RPAREN,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74915] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3533), 3,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
  [74928] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2480), 1,
      sym_colon,
    ACTIONS(3535), 1,
      anon_sym_EQ,
    STATE(2663), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74945] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1643), 1,
      anon_sym_RBRACE,
    ACTIONS(3537), 1,
      anon_sym_COMMA,
    STATE(2352), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74962] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(293), 1,
      anon_sym_RPAREN,
    ACTIONS(3539), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74979] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3541), 1,
      sym_lowercase_identifier,
    ACTIONS(3543), 1,
      anon_sym_LBRACE,
    ACTIONS(3545), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [74996] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2623), 1,
      anon_sym_RBRACK,
    ACTIONS(3547), 1,
      anon_sym_COMMA,
    STATE(2261), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75013] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(3549), 1,
      anon_sym_type,
    STATE(2494), 1,
      sym_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75030] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3551), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [75043] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(387), 1,
      anon_sym_RBRACK,
    ACTIONS(3553), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75060] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(387), 1,
      anon_sym_RBRACK,
    ACTIONS(3553), 1,
      anon_sym_COMMA,
    STATE(2229), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75077] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(359), 1,
      anon_sym_RPAREN,
    ACTIONS(3555), 1,
      anon_sym_COMMA,
    STATE(2231), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75094] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3557), 1,
      anon_sym_RPAREN,
    ACTIONS(3559), 1,
      anon_sym_COMMA,
    STATE(2365), 1,
      aux_sym_attribute_properties_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75111] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3321), 1,
      anon_sym_LBRACE,
    STATE(2154), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75128] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(921), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1673), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [75143] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(309), 1,
      anon_sym_RPAREN,
    ACTIONS(3561), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75160] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [75175] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2320), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [75190] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3563), 1,
      anon_sym_RPAREN,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    STATE(2038), 1,
      aux_sym_constructor_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75207] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2785), 1,
      anon_sym_RBRACE,
    ACTIONS(3567), 1,
      anon_sym_COMMA,
    STATE(2237), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75224] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1854), 1,
      anon_sym_RPAREN,
    ACTIONS(3569), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75241] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      anon_sym_EQ,
    STATE(2105), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75258] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2655), 1,
      anon_sym_RBRACE,
    ACTIONS(3573), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75275] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(311), 1,
      anon_sym_RPAREN,
    ACTIONS(3575), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75292] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3577), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [75305] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(391), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75322] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3581), 1,
      anon_sym_RPAREN,
    ACTIONS(3583), 1,
      anon_sym_COMMA,
    STATE(2230), 1,
      aux_sym_derive_directive_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75339] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(313), 1,
      anon_sym_RPAREN,
    ACTIONS(3586), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75356] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2323), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [75371] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(313), 1,
      anon_sym_RPAREN,
    ACTIONS(3586), 1,
      anon_sym_COMMA,
    STATE(2241), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75388] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3588), 1,
      anon_sym_RPAREN,
    ACTIONS(3590), 1,
      anon_sym_COMMA,
    STATE(2242), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75405] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3592), 1,
      anon_sym_RPAREN,
    ACTIONS(3594), 1,
      anon_sym_COMMA,
    STATE(2244), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75422] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(3596), 1,
      anon_sym_COMMA,
    STATE(2246), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75439] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(3596), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75456] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2325), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [75471] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(449), 1,
      anon_sym_RPAREN,
    ACTIONS(3598), 1,
      anon_sym_COMMA,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75488] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    STATE(2723), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75505] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(315), 1,
      anon_sym_RPAREN,
    ACTIONS(3600), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75522] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(317), 1,
      anon_sym_RPAREN,
    ACTIONS(3602), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75539] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3261), 1,
      anon_sym_PLUS,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    STATE(2108), 1,
      aux_sym_super_trait_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75556] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(319), 1,
      anon_sym_RPAREN,
    ACTIONS(3606), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75573] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3608), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [75586] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2791), 1,
      anon_sym_RBRACE,
    ACTIONS(3610), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75603] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    STATE(2372), 1,
      aux_sym_trait_method_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75620] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3614), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [75633] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3616), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(933), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75648] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3618), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_RBRACK,
  [75661] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3620), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [75674] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(3622), 1,
      anon_sym_COMMA,
    STATE(2352), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75691] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2793), 1,
      anon_sym_RBRACE,
    ACTIONS(3624), 1,
      anon_sym_COMMA,
    STATE(2255), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75708] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2189), 1,
      anon_sym_EQ,
    STATE(2422), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75725] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(3626), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75742] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2621), 1,
      anon_sym_RBRACK,
    ACTIONS(3628), 1,
      anon_sym_COMMA,
    STATE(2261), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75759] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(846), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(893), 2,
      sym_dot_lowercase_identifier,
      sym_dot_uppercase_identifier,
  [75774] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2893), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [75787] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3630), 1,
      anon_sym_LBRACE,
    STATE(2107), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75804] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE,
    STATE(1926), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75821] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3634), 1,
      anon_sym_COMMA,
    ACTIONS(3637), 1,
      anon_sym_RBRACK,
    STATE(2261), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75838] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3639), 1,
      sym_dot_lowercase_identifier,
    ACTIONS(3641), 1,
      sym_dot_uppercase_identifier,
    STATE(1219), 1,
      sym_dot_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75855] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3643), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [75868] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(3645), 1,
      anon_sym_type,
    STATE(2494), 1,
      sym_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75885] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3647), 1,
      anon_sym_COMMA,
    ACTIONS(3649), 1,
      anon_sym_RBRACE,
    STATE(2276), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75902] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    STATE(2378), 1,
      aux_sym_trait_method_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75919] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3651), 1,
      anon_sym_BANG,
    STATE(1854), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75936] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    ACTIONS(3653), 1,
      anon_sym_type,
    STATE(2494), 1,
      sym_string_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75953] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3655), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [75966] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3657), 1,
      anon_sym_COMMA,
    ACTIONS(3659), 1,
      anon_sym_RBRACK,
    STATE(2393), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [75983] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3661), 1,
      anon_sym_COMMA,
    ACTIONS(3663), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76000] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3665), 1,
      anon_sym_BANG,
    STATE(1779), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76017] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3667), 1,
      sym_lowercase_identifier,
    ACTIONS(3669), 1,
      anon_sym_LBRACE,
    ACTIONS(3671), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76034] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(439), 1,
      anon_sym_RPAREN,
    ACTIONS(3673), 1,
      anon_sym_COMMA,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76051] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_LBRACE,
    STATE(2709), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76068] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1653), 1,
      anon_sym_RBRACE,
    ACTIONS(3677), 1,
      anon_sym_COMMA,
    STATE(2352), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76085] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2691), 1,
      anon_sym_RPAREN,
    ACTIONS(3679), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76102] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    ACTIONS(3683), 1,
      anon_sym_COMMA,
    STATE(2287), 1,
      aux_sym_attribute_properties_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76119] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3685), 1,
      anon_sym_COMMA,
    ACTIONS(3688), 1,
      anon_sym_RBRACE,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76136] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2089), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [76151] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3081), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_RBRACK,
  [76164] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    ACTIONS(3690), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76181] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(397), 1,
      anon_sym_RBRACK,
    ACTIONS(3692), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76198] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(397), 1,
      anon_sym_RBRACK,
    ACTIONS(3692), 1,
      anon_sym_COMMA,
    STATE(2298), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76215] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(337), 1,
      anon_sym_RPAREN,
    ACTIONS(3694), 1,
      anon_sym_COMMA,
    STATE(2300), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76232] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    ACTIONS(3690), 1,
      anon_sym_COMMA,
    STATE(2413), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76249] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2574), 1,
      anon_sym_RPAREN,
    ACTIONS(3696), 1,
      anon_sym_COMMA,
    STATE(2058), 1,
      aux_sym_attribute_properties_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76266] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    ACTIONS(3698), 1,
      anon_sym_COMMA,
    STATE(2432), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76283] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2813), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [76296] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(275), 1,
      anon_sym_RPAREN,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    STATE(2208), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76313] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(924), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1673), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [76328] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2693), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [76341] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    ACTIONS(3700), 1,
      anon_sym_COMMA,
    STATE(2306), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76358] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2605), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(1698), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76375] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3702), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [76388] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1787), 1,
      anon_sym_RPAREN,
    ACTIONS(3704), 1,
      anon_sym_COMMA,
    STATE(2378), 1,
      aux_sym_trait_method_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76405] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1787), 1,
      anon_sym_RPAREN,
    ACTIONS(3704), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      aux_sym_trait_method_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76422] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(401), 1,
      anon_sym_RBRACK,
    ACTIONS(3706), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76439] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3708), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [76452] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(347), 1,
      anon_sym_RPAREN,
    ACTIONS(3710), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76469] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2903), 1,
      anon_sym_LBRACE,
    STATE(1913), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76486] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(347), 1,
      anon_sym_RPAREN,
    ACTIONS(3710), 1,
      anon_sym_COMMA,
    STATE(2309), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76503] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3712), 1,
      anon_sym_RPAREN,
    ACTIONS(3714), 1,
      anon_sym_COMMA,
    STATE(2311), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76520] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3716), 1,
      anon_sym_RPAREN,
    ACTIONS(3718), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76537] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2821), 1,
      anon_sym_RBRACE,
    ACTIONS(3720), 1,
      anon_sym_COMMA,
    STATE(2315), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76554] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2821), 1,
      anon_sym_RBRACE,
    ACTIONS(3720), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76571] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(912), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3400), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [76586] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3722), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [76599] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(349), 1,
      anon_sym_RPAREN,
    ACTIONS(3724), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76616] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(923), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1673), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [76631] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(197), 1,
      anon_sym_RPAREN,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76648] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2823), 1,
      anon_sym_EQ,
    STATE(2441), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76665] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(353), 1,
      anon_sym_RPAREN,
    ACTIONS(3728), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76682] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3730), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [76695] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76712] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(869), 1,
      anon_sym_RPAREN,
    ACTIONS(3734), 1,
      anon_sym_COMMA,
    STATE(1603), 1,
      aux_sym_matrix_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76729] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(3736), 1,
      anon_sym_COMMA,
    STATE(2319), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76746] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3738), 1,
      anon_sym_EQ,
    STATE(2654), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76763] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(3740), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76780] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    STATE(2666), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76797] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3744), 3,
      anon_sym_readonly,
      anon_sym_all,
      anon_sym_open,
  [76810] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
    ACTIONS(3746), 1,
      anon_sym_COMMA,
    STATE(2147), 1,
      aux_sym_enum_constructor_payload_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76827] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3748), 1,
      anon_sym_LBRACE,
    STATE(2672), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76844] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2480), 1,
      sym_colon,
    ACTIONS(3750), 1,
      anon_sym_EQ,
    STATE(2673), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76861] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3279), 1,
      sym_colon,
    ACTIONS(3752), 1,
      anon_sym_LBRACE,
    STATE(2683), 1,
      sym_super_trait_declaration,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76878] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3754), 1,
      anon_sym_while,
    ACTIONS(3756), 1,
      anon_sym_loop,
    ACTIONS(3758), 1,
      sym_for_keyword,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76895] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76912] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3760), 1,
      anon_sym_COMMA,
    ACTIONS(3763), 1,
      anon_sym_RBRACK,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76929] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(327), 1,
      anon_sym_RPAREN,
    ACTIONS(3765), 1,
      anon_sym_COMMA,
    STATE(2434), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76946] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    STATE(1898), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76963] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1711), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [76976] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2480), 1,
      sym_colon,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    STATE(2718), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [76993] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2341), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77010] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2480), 1,
      sym_colon,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    STATE(2611), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77027] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77044] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(1809), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77061] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1715), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77074] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2711), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77087] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2480), 1,
      sym_colon,
    ACTIONS(3773), 1,
      anon_sym_EQ,
    STATE(2716), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77104] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3775), 1,
      anon_sym_LBRACE,
    STATE(1905), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77121] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3777), 1,
      anon_sym_LBRACE,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77138] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2657), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [77151] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3779), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77164] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3781), 1,
      anon_sym_COMMA,
    ACTIONS(3783), 1,
      anon_sym_RBRACK,
    STATE(2142), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77181] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3777), 1,
      anon_sym_LBRACE,
    STATE(2350), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77198] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3785), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77211] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(377), 1,
      anon_sym_RBRACK,
    ACTIONS(3787), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77228] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2847), 1,
      anon_sym_EQ,
    STATE(2450), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77245] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3789), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77258] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3791), 1,
      anon_sym_LBRACE,
    STATE(1939), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77275] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2772), 1,
      anon_sym_EQ,
    STATE(2453), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77292] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3793), 1,
      anon_sym_COMMA,
    ACTIONS(3796), 1,
      anon_sym_RBRACE,
    STATE(2352), 1,
      aux_sym_map_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77309] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2247), 1,
      anon_sym_RPAREN,
    ACTIONS(3798), 1,
      anon_sym_COMMA,
    STATE(2230), 1,
      aux_sym_derive_directive_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77326] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    ACTIONS(3800), 1,
      anon_sym_RBRACE,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77343] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3802), 1,
      anon_sym_BANG,
    STATE(1865), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77360] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2774), 1,
      anon_sym_RBRACE,
    ACTIONS(3804), 1,
      anon_sym_COMMA,
    STATE(2101), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77377] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1882), 1,
      anon_sym_RPAREN,
    ACTIONS(3806), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77394] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3808), 1,
      anon_sym_BANG,
    STATE(1659), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77411] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1884), 1,
      anon_sym_RBRACK,
    ACTIONS(3810), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77428] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3812), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77441] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2914), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77454] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3814), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77467] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    ACTIONS(3816), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77484] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2863), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [77497] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2538), 1,
      anon_sym_RPAREN,
    ACTIONS(3818), 1,
      anon_sym_COMMA,
    STATE(2058), 1,
      aux_sym_attribute_properties_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77514] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3820), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77527] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2990), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [77540] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3822), 1,
      anon_sym_LBRACE,
    STATE(2610), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77557] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3824), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [77570] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3826), 1,
      anon_sym_RPAREN,
    ACTIONS(3828), 1,
      anon_sym_COMMA,
    STATE(2353), 1,
      aux_sym_derive_directive_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77587] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3830), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [77600] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    ACTIONS(3832), 1,
      anon_sym_COMMA,
    STATE(2378), 1,
      aux_sym_trait_method_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77617] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3834), 3,
      anon_sym_readonly,
      anon_sym_all,
      anon_sym_open,
  [77630] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
    ACTIONS(3836), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77647] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    ACTIONS(3832), 1,
      anon_sym_COMMA,
    STATE(2296), 1,
      aux_sym_trait_method_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77664] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1860), 1,
      anon_sym_RBRACK,
    ACTIONS(3838), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77681] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(3840), 1,
      anon_sym_COMMA,
    STATE(2030), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77698] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3842), 1,
      anon_sym_RPAREN,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    STATE(2378), 1,
      aux_sym_trait_method_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77715] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3131), 1,
      anon_sym_LBRACE,
    STATE(1944), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77732] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3847), 1,
      anon_sym_RPAREN,
    ACTIONS(3849), 1,
      anon_sym_COMMA,
    STATE(2322), 1,
      aux_sym_enum_constructor_payload_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77749] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2889), 1,
      anon_sym_EQ,
    STATE(2314), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77766] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3851), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77779] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3853), 1,
      anon_sym_LBRACE,
    STATE(1951), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77796] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3855), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [77811] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3857), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [77824] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(3859), 1,
      anon_sym_EQ,
    STATE(2056), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77841] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3861), 1,
      anon_sym_RPAREN,
    ACTIONS(3863), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77858] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3865), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [77871] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_LBRACE,
    STATE(1962), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77888] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3867), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [77901] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3869), 1,
      anon_sym_BANG,
    STATE(1739), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77918] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2872), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [77931] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(683), 1,
      anon_sym_RBRACK,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(2032), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77948] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2912), 1,
      anon_sym_LBRACE,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(2394), 1,
      aux_sym_for_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77965] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    STATE(1967), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77982] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [77999] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3878), 1,
      anon_sym_RPAREN,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(2036), 1,
      aux_sym_constructor_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78016] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(909), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3400), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [78031] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3882), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78044] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1977), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78061] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3884), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78074] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3886), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78087] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    STATE(2607), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78104] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3890), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78117] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2605), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78134] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3892), 1,
      anon_sym_LBRACE,
    STATE(1981), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78151] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_EQ,
    STATE(2063), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78168] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3894), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78181] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3896), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78194] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3898), 3,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
  [78207] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2768), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78220] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_EQ,
    STATE(2428), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78237] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(365), 1,
      anon_sym_RBRACK,
    ACTIONS(3900), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78254] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3902), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78267] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    ACTIONS(3151), 1,
      anon_sym_in,
    STATE(2152), 1,
      aux_sym_for_in_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78284] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    STATE(2164), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1635), 2,
      sym_uppercase_identifier,
      sym_lowercase_identifier,
  [78299] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3904), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78312] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    ACTIONS(3906), 1,
      anon_sym_in,
    STATE(2152), 1,
      aux_sym_for_in_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78329] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3908), 3,
      anon_sym_while,
      anon_sym_loop,
      sym_for_keyword,
  [78342] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2665), 1,
      anon_sym_RBRACE,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78359] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3910), 1,
      sym_pipe_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2296), 2,
      anon_sym_LBRACE,
      anon_sym_catch,
  [78374] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3912), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78387] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2809), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78400] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_EQ,
    STATE(2402), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78417] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3914), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78430] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3916), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78443] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3918), 1,
      anon_sym_RPAREN,
    ACTIONS(3920), 1,
      anon_sym_COMMA,
    STATE(2427), 1,
      aux_sym_constructor_pattern_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78460] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3923), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78473] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(3925), 1,
      anon_sym_LBRACE,
    STATE(1881), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78490] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3927), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78503] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3929), 3,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
  [78516] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2897), 1,
      anon_sym_RBRACE,
    ACTIONS(3931), 1,
      anon_sym_COMMA,
    STATE(2279), 1,
      aux_sym_struct_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78533] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1890), 1,
      anon_sym_RPAREN,
    ACTIONS(3933), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78550] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(345), 1,
      anon_sym_RPAREN,
    ACTIONS(3935), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78567] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2907), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78580] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3937), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [78595] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1894), 1,
      anon_sym_RPAREN,
    ACTIONS(3939), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78612] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3941), 1,
      anon_sym_RPAREN,
    ACTIONS(3943), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78629] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2891), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78642] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1811), 1,
      anon_sym_RPAREN,
    ACTIONS(3946), 1,
      anon_sym_COMMA,
    STATE(2378), 1,
      aux_sym_trait_method_declaration_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78659] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3948), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78672] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    ACTIONS(3950), 1,
      anon_sym_RBRACE,
    STATE(1738), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78689] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(345), 1,
      anon_sym_RPAREN,
    ACTIONS(3935), 1,
      anon_sym_COMMA,
    STATE(2048), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78706] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(2916), 1,
      anon_sym_EQ,
    STATE(2130), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78723] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1902), 1,
      anon_sym_RPAREN,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78740] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3954), 1,
      anon_sym_RPAREN,
    ACTIONS(3956), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78757] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3958), 1,
      anon_sym_RPAREN,
    ACTIONS(3960), 1,
      anon_sym_COMMA,
    STATE(2050), 1,
      aux_sym_apply_expression_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78774] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1906), 1,
      anon_sym_RPAREN,
    ACTIONS(3962), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78791] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3964), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78804] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3966), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78817] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3968), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78830] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1914), 1,
      anon_sym_RPAREN,
    ACTIONS(3970), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78847] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3972), 3,
      sym_automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [78860] = 5,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    ACTIONS(3974), 1,
      anon_sym_RBRACE,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78877] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2849), 3,
      sym_automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78890] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2979), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [78903] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2430), 1,
      anon_sym_DASH_GT,
    STATE(1493), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78917] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3976), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [78929] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3182), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [78941] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3978), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78955] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(2166), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [78969] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3637), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [78981] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3980), 2,
      sym_float_literal,
      sym_integer_literal,
  [78993] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(1355), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79007] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1359), 2,
      sym_colon,
      sym_question_operator,
  [79019] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3023), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79033] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3982), 1,
      anon_sym_COMMA,
    ACTIONS(3984), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79047] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3428), 2,
      anon_sym_COMMA,
      anon_sym_in,
  [79059] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(493), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79073] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(596), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79087] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3986), 1,
      anon_sym_with,
    ACTIONS(3988), 1,
      sym_for_keyword,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79101] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3990), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79115] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(1854), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79129] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3992), 1,
      sym_lowercase_identifier,
    STATE(1982), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79143] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(413), 1,
      anon_sym_RBRACK,
    ACTIONS(3994), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79157] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(3996), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79171] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2576), 1,
      anon_sym_RBRACE,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79185] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4000), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [79197] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79211] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(4002), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79225] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(4004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79239] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4006), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [79251] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    STATE(1179), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79265] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(2080), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79279] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4008), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [79291] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(1411), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79305] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4010), 1,
      sym_colon,
    ACTIONS(4012), 1,
      sym_question_operator,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79319] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(443), 1,
      anon_sym_RBRACK,
    ACTIONS(4014), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79333] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4016), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [79345] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3230), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [79357] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4018), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [79369] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(4020), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79383] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(1260), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79397] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4022), 2,
      anon_sym_async,
      anon_sym_fn,
  [79409] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    STATE(1113), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79423] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(1796), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79437] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3023), 1,
      anon_sym_LBRACE,
    STATE(746), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79451] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(4024), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79465] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79479] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(1382), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79493] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1357), 2,
      sym_colon,
      sym_question_operator,
  [79505] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(1251), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79519] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79533] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3996), 1,
      anon_sym_with,
    ACTIONS(4026), 1,
      sym_for_keyword,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79547] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(4028), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79561] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2956), 1,
      sym_lowercase_identifier,
    STATE(2559), 1,
      sym_for_binder,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79575] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2821), 1,
      anon_sym_RBRACE,
    ACTIONS(4030), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79589] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4032), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [79601] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(4034), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79615] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(2308), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79629] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4036), 1,
      anon_sym_with,
    ACTIONS(4038), 1,
      sym_for_keyword,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79643] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1936), 1,
      anon_sym_async,
    ACTIONS(1938), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79657] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(610), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79671] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3023), 1,
      anon_sym_LBRACE,
    STATE(755), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79685] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3990), 1,
      anon_sym_with,
    ACTIONS(4040), 1,
      sym_for_keyword,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79699] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3796), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [79711] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1527), 2,
      anon_sym_with,
      sym_for_keyword,
  [79723] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(459), 1,
      anon_sym_RBRACK,
    ACTIONS(4042), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79737] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(895), 2,
      anon_sym_with,
      sym_for_keyword,
  [79749] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4046), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79763] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4048), 1,
      anon_sym_LBRACE,
    ACTIONS(4050), 1,
      anon_sym_catch,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79777] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4052), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [79789] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79803] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(1395), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79817] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3184), 1,
      sym_uppercase_identifier,
    STATE(2392), 1,
      sym_enum_constructor,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79831] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4056), 1,
      anon_sym_BANG,
    ACTIONS(4058), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79845] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4060), 2,
      sym_float_literal,
      sym_integer_literal,
  [79857] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2480), 1,
      sym_colon,
    STATE(2478), 1,
      sym_type_annotation,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79871] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1479), 2,
      anon_sym_with,
      sym_for_keyword,
  [79883] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(457), 1,
      anon_sym_RBRACK,
    ACTIONS(4062), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79897] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(1865), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79911] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1487), 2,
      anon_sym_with,
      sym_for_keyword,
  [79923] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [79935] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(1231), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79949] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [79961] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(1720), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79975] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2450), 1,
      anon_sym_DASH_GT,
    STATE(1449), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [79989] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [80001] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3033), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [80013] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(4064), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80027] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(1338), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80041] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(4066), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80055] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2934), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80067] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3496), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80079] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3918), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80091] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3842), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80103] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4068), 2,
      sym_float_literal,
      sym_integer_literal,
  [80115] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    ACTIONS(4072), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80129] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4074), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80141] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4076), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [80153] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2450), 1,
      anon_sym_DASH_GT,
    STATE(1493), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80167] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(2065), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80181] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(2075), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80195] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(2042), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80209] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2562), 1,
      anon_sym_RBRACE,
    ACTIONS(4078), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80223] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(1659), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80237] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(4080), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80251] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4082), 1,
      anon_sym_LBRACE,
    ACTIONS(4084), 1,
      anon_sym_catch,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80265] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(2912), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [80277] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    ACTIONS(4086), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80291] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4088), 1,
      anon_sym_BANG,
    ACTIONS(4090), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80305] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(1328), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80319] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4092), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80331] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3049), 1,
      anon_sym_LBRACE,
    STATE(641), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80345] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80359] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(2191), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80373] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(415), 1,
      anon_sym_RBRACK,
    ACTIONS(4094), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80387] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3323), 2,
      anon_sym_LBRACE,
      anon_sym_PLUS,
  [80399] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4096), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80411] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(1739), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80425] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2103), 1,
      anon_sym_async,
    ACTIONS(2105), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80439] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2290), 1,
      sym_question_operator,
    ACTIONS(4098), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80453] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(1493), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80467] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2450), 1,
      anon_sym_DASH_GT,
    STATE(1483), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80481] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(905), 2,
      anon_sym_with,
      sym_for_keyword,
  [80493] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(1449), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80507] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(1459), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80521] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(1483), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80535] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4100), 1,
      anon_sym_COMMA,
    ACTIONS(4102), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80549] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3581), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80561] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3049), 1,
      anon_sym_LBRACE,
    STATE(662), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80575] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3039), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80587] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1747), 1,
      anon_sym_LBRACE,
    STATE(1265), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80601] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2430), 1,
      anon_sym_DASH_GT,
    STATE(1449), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80615] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    ACTIONS(4106), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80629] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2430), 1,
      anon_sym_DASH_GT,
    STATE(1459), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80643] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2430), 1,
      anon_sym_DASH_GT,
    STATE(1483), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80657] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4108), 2,
      sym_float_literal,
      sym_integer_literal,
  [80669] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4110), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80681] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4112), 1,
      anon_sym_async,
    ACTIONS(4114), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80695] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2388), 1,
      anon_sym_DASH_GT,
    STATE(1493), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80709] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(3941), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80721] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2388), 1,
      anon_sym_DASH_GT,
    STATE(1449), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80735] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2388), 1,
      anon_sym_DASH_GT,
    STATE(1459), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80749] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3049), 1,
      anon_sym_LBRACE,
    STATE(676), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80763] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2388), 1,
      anon_sym_DASH_GT,
    STATE(1483), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80777] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2534), 1,
      anon_sym_RBRACE,
    ACTIONS(4116), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80791] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2450), 1,
      anon_sym_DASH_GT,
    STATE(1459), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80805] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    STATE(1402), 1,
      sym_block_expression,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80819] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    ACTIONS(4118), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80833] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(4120), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80847] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2157), 1,
      anon_sym_DASH_GT,
    STATE(1347), 1,
      sym_return_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80861] = 4,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2544), 1,
      anon_sym_RBRACE,
    ACTIONS(4122), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80875] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(4124), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [80887] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
    ACTIONS(1507), 2,
      anon_sym_with,
      sym_for_keyword,
  [80899] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4126), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80910] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4128), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80921] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4130), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80932] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3444), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80943] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3368), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80954] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4132), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80965] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(453), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80976] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4134), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80987] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4136), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [80998] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3527), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81009] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4138), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81020] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4140), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81031] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4142), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81042] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4144), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81053] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4146), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81064] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4148), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81075] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(651), 1,
      anon_sym_EQ_GT,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81086] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4150), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81097] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4152), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81108] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4154), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81119] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(429), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81130] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3752), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81141] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4156), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81152] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4158), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81163] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4160), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81174] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4114), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81185] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1569), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81196] = 3,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(4162), 1,
      sym_multiline_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
  [81207] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4164), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81218] = 3,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(4166), 1,
      sym_multiline_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
  [81229] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81240] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4168), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81251] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4170), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81262] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4172), 1,
      anon_sym_EQ_GT,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81273] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4174), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81284] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4176), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81295] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4178), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81306] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4180), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81317] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2456), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81328] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81339] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2460), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81350] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4184), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81361] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4186), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81372] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4188), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81383] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4100), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81394] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4190), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81405] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4192), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81416] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4194), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81427] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4196), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81438] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4198), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81449] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1583), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81460] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4200), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81471] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4202), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81482] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4204), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81493] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2448), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81504] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4206), 1,
      aux_sym_accessor_token1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81515] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81526] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81537] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4208), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81548] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4210), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81559] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81570] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2932), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81581] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4214), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81592] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4216), 1,
      aux_sym_accessor_token1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81603] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1934), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81614] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81625] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81636] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4220), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81647] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(629), 1,
      anon_sym_EQ_GT,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81658] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4222), 1,
      aux_sym_accessor_token1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81669] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4224), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81680] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4226), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81691] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4228), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81702] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4230), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81713] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2474), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81724] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81735] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4234), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81746] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4236), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81757] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4238), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81768] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4240), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81779] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4242), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81790] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3982), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81801] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4244), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81812] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4246), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81823] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3208), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81834] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4248), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81845] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4250), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81856] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4252), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81867] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81878] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1611), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81889] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4254), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81900] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4256), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81911] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4258), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81922] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4260), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81933] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4262), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81944] = 3,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(4264), 1,
      sym_multiline_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
  [81955] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81966] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4266), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81977] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4268), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81988] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4270), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [81999] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4272), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82010] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4274), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82021] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82032] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3360), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82043] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1587), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82054] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4276), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82065] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1938), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82076] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4278), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82087] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82098] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4282), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82109] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3535), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82120] = 3,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(4284), 1,
      sym_multiline_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
  [82131] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82142] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3545), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82153] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4288), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82164] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82175] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4290), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82186] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82197] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4292), 1,
      sym_colon_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82208] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4294), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82219] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4296), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82230] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3738), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82241] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4298), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82252] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4300), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82263] = 3,
    ACTIONS(3), 1,
      sym_automatic_newline,
    ACTIONS(4302), 1,
      sym_multiline_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_docstring,
  [82274] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82285] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82296] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4304), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82307] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(425), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82318] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82329] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(435), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82340] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2239), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82351] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4306), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82362] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(451), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82373] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4308), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82384] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82395] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4312), 1,
      aux_sym_accessor_token1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82406] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4314), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82417] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4316), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82428] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4318), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82439] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4320), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82450] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82461] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4324), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82472] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4326), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82483] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3748), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82494] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4328), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82505] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82516] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4330), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82527] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4332), 1,
      aux_sym_accessor_token1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82538] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2436), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82549] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4334), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82560] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4336), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82571] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2105), 1,
      anon_sym_fn,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82582] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4338), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82593] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4340), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82604] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4342), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82615] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82626] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4344), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82637] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(2484), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82648] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4346), 1,
      sym_colon,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82659] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4348), 1,
      aux_sym_dot_dot_identifier_token1,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82670] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3000), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82681] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4350), 1,
      sym_uppercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82692] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(3750), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82703] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4352), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82714] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4354), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82725] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4356), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
  [82736] = 3,
    ACTIONS(5), 1,
      sym_docstring,
    ACTIONS(4358), 1,
      sym_lowercase_identifier,
    ACTIONS(3), 2,
      sym_automatic_newline,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(261)] = 0,
  [SMALL_STATE(262)] = 118,
  [SMALL_STATE(263)] = 236,
  [SMALL_STATE(264)] = 354,
  [SMALL_STATE(265)] = 472,
  [SMALL_STATE(266)] = 590,
  [SMALL_STATE(267)] = 708,
  [SMALL_STATE(268)] = 826,
  [SMALL_STATE(269)] = 944,
  [SMALL_STATE(270)] = 1062,
  [SMALL_STATE(271)] = 1125,
  [SMALL_STATE(272)] = 1194,
  [SMALL_STATE(273)] = 1257,
  [SMALL_STATE(274)] = 1326,
  [SMALL_STATE(275)] = 1395,
  [SMALL_STATE(276)] = 1457,
  [SMALL_STATE(277)] = 1577,
  [SMALL_STATE(278)] = 1697,
  [SMALL_STATE(279)] = 1817,
  [SMALL_STATE(280)] = 1937,
  [SMALL_STATE(281)] = 1999,
  [SMALL_STATE(282)] = 2119,
  [SMALL_STATE(283)] = 2239,
  [SMALL_STATE(284)] = 2359,
  [SMALL_STATE(285)] = 2479,
  [SMALL_STATE(286)] = 2599,
  [SMALL_STATE(287)] = 2719,
  [SMALL_STATE(288)] = 2839,
  [SMALL_STATE(289)] = 2956,
  [SMALL_STATE(290)] = 3073,
  [SMALL_STATE(291)] = 3190,
  [SMALL_STATE(292)] = 3307,
  [SMALL_STATE(293)] = 3424,
  [SMALL_STATE(294)] = 3541,
  [SMALL_STATE(295)] = 3660,
  [SMALL_STATE(296)] = 3777,
  [SMALL_STATE(297)] = 3894,
  [SMALL_STATE(298)] = 4011,
  [SMALL_STATE(299)] = 4128,
  [SMALL_STATE(300)] = 4245,
  [SMALL_STATE(301)] = 4362,
  [SMALL_STATE(302)] = 4481,
  [SMALL_STATE(303)] = 4598,
  [SMALL_STATE(304)] = 4715,
  [SMALL_STATE(305)] = 4832,
  [SMALL_STATE(306)] = 4949,
  [SMALL_STATE(307)] = 5066,
  [SMALL_STATE(308)] = 5185,
  [SMALL_STATE(309)] = 5302,
  [SMALL_STATE(310)] = 5419,
  [SMALL_STATE(311)] = 5536,
  [SMALL_STATE(312)] = 5653,
  [SMALL_STATE(313)] = 5770,
  [SMALL_STATE(314)] = 5887,
  [SMALL_STATE(315)] = 6004,
  [SMALL_STATE(316)] = 6121,
  [SMALL_STATE(317)] = 6238,
  [SMALL_STATE(318)] = 6355,
  [SMALL_STATE(319)] = 6472,
  [SMALL_STATE(320)] = 6589,
  [SMALL_STATE(321)] = 6706,
  [SMALL_STATE(322)] = 6823,
  [SMALL_STATE(323)] = 6940,
  [SMALL_STATE(324)] = 7057,
  [SMALL_STATE(325)] = 7174,
  [SMALL_STATE(326)] = 7291,
  [SMALL_STATE(327)] = 7408,
  [SMALL_STATE(328)] = 7525,
  [SMALL_STATE(329)] = 7642,
  [SMALL_STATE(330)] = 7759,
  [SMALL_STATE(331)] = 7878,
  [SMALL_STATE(332)] = 7995,
  [SMALL_STATE(333)] = 8112,
  [SMALL_STATE(334)] = 8229,
  [SMALL_STATE(335)] = 8346,
  [SMALL_STATE(336)] = 8463,
  [SMALL_STATE(337)] = 8580,
  [SMALL_STATE(338)] = 8697,
  [SMALL_STATE(339)] = 8816,
  [SMALL_STATE(340)] = 8933,
  [SMALL_STATE(341)] = 9050,
  [SMALL_STATE(342)] = 9169,
  [SMALL_STATE(343)] = 9286,
  [SMALL_STATE(344)] = 9403,
  [SMALL_STATE(345)] = 9520,
  [SMALL_STATE(346)] = 9637,
  [SMALL_STATE(347)] = 9754,
  [SMALL_STATE(348)] = 9871,
  [SMALL_STATE(349)] = 9990,
  [SMALL_STATE(350)] = 10107,
  [SMALL_STATE(351)] = 10224,
  [SMALL_STATE(352)] = 10341,
  [SMALL_STATE(353)] = 10458,
  [SMALL_STATE(354)] = 10575,
  [SMALL_STATE(355)] = 10692,
  [SMALL_STATE(356)] = 10809,
  [SMALL_STATE(357)] = 10926,
  [SMALL_STATE(358)] = 11043,
  [SMALL_STATE(359)] = 11160,
  [SMALL_STATE(360)] = 11277,
  [SMALL_STATE(361)] = 11394,
  [SMALL_STATE(362)] = 11511,
  [SMALL_STATE(363)] = 11628,
  [SMALL_STATE(364)] = 11745,
  [SMALL_STATE(365)] = 11862,
  [SMALL_STATE(366)] = 11979,
  [SMALL_STATE(367)] = 12098,
  [SMALL_STATE(368)] = 12215,
  [SMALL_STATE(369)] = 12332,
  [SMALL_STATE(370)] = 12449,
  [SMALL_STATE(371)] = 12566,
  [SMALL_STATE(372)] = 12683,
  [SMALL_STATE(373)] = 12800,
  [SMALL_STATE(374)] = 12917,
  [SMALL_STATE(375)] = 13034,
  [SMALL_STATE(376)] = 13151,
  [SMALL_STATE(377)] = 13268,
  [SMALL_STATE(378)] = 13385,
  [SMALL_STATE(379)] = 13502,
  [SMALL_STATE(380)] = 13619,
  [SMALL_STATE(381)] = 13736,
  [SMALL_STATE(382)] = 13853,
  [SMALL_STATE(383)] = 13972,
  [SMALL_STATE(384)] = 14086,
  [SMALL_STATE(385)] = 14200,
  [SMALL_STATE(386)] = 14314,
  [SMALL_STATE(387)] = 14382,
  [SMALL_STATE(388)] = 14496,
  [SMALL_STATE(389)] = 14562,
  [SMALL_STATE(390)] = 14676,
  [SMALL_STATE(391)] = 14790,
  [SMALL_STATE(392)] = 14856,
  [SMALL_STATE(393)] = 14970,
  [SMALL_STATE(394)] = 15030,
  [SMALL_STATE(395)] = 15098,
  [SMALL_STATE(396)] = 15166,
  [SMALL_STATE(397)] = 15280,
  [SMALL_STATE(398)] = 15396,
  [SMALL_STATE(399)] = 15456,
  [SMALL_STATE(400)] = 15570,
  [SMALL_STATE(401)] = 15681,
  [SMALL_STATE(402)] = 15792,
  [SMALL_STATE(403)] = 15903,
  [SMALL_STATE(404)] = 16014,
  [SMALL_STATE(405)] = 16125,
  [SMALL_STATE(406)] = 16236,
  [SMALL_STATE(407)] = 16347,
  [SMALL_STATE(408)] = 16458,
  [SMALL_STATE(409)] = 16569,
  [SMALL_STATE(410)] = 16680,
  [SMALL_STATE(411)] = 16763,
  [SMALL_STATE(412)] = 16874,
  [SMALL_STATE(413)] = 16985,
  [SMALL_STATE(414)] = 17096,
  [SMALL_STATE(415)] = 17207,
  [SMALL_STATE(416)] = 17265,
  [SMALL_STATE(417)] = 17327,
  [SMALL_STATE(418)] = 17387,
  [SMALL_STATE(419)] = 17444,
  [SMALL_STATE(420)] = 17507,
  [SMALL_STATE(421)] = 17564,
  [SMALL_STATE(422)] = 17627,
  [SMALL_STATE(423)] = 17684,
  [SMALL_STATE(424)] = 17741,
  [SMALL_STATE(425)] = 17798,
  [SMALL_STATE(426)] = 17855,
  [SMALL_STATE(427)] = 17920,
  [SMALL_STATE(428)] = 17977,
  [SMALL_STATE(429)] = 18034,
  [SMALL_STATE(430)] = 18097,
  [SMALL_STATE(431)] = 18160,
  [SMALL_STATE(432)] = 18223,
  [SMALL_STATE(433)] = 18282,
  [SMALL_STATE(434)] = 18368,
  [SMALL_STATE(435)] = 18426,
  [SMALL_STATE(436)] = 18532,
  [SMALL_STATE(437)] = 18638,
  [SMALL_STATE(438)] = 18698,
  [SMALL_STATE(439)] = 18784,
  [SMALL_STATE(440)] = 18842,
  [SMALL_STATE(441)] = 18948,
  [SMALL_STATE(442)] = 19028,
  [SMALL_STATE(443)] = 19085,
  [SMALL_STATE(444)] = 19140,
  [SMALL_STATE(445)] = 19197,
  [SMALL_STATE(446)] = 19260,
  [SMALL_STATE(447)] = 19315,
  [SMALL_STATE(448)] = 19370,
  [SMALL_STATE(449)] = 19473,
  [SMALL_STATE(450)] = 19536,
  [SMALL_STATE(451)] = 19591,
  [SMALL_STATE(452)] = 19646,
  [SMALL_STATE(453)] = 19701,
  [SMALL_STATE(454)] = 19756,
  [SMALL_STATE(455)] = 19811,
  [SMALL_STATE(456)] = 19914,
  [SMALL_STATE(457)] = 20017,
  [SMALL_STATE(458)] = 20072,
  [SMALL_STATE(459)] = 20127,
  [SMALL_STATE(460)] = 20182,
  [SMALL_STATE(461)] = 20285,
  [SMALL_STATE(462)] = 20340,
  [SMALL_STATE(463)] = 20443,
  [SMALL_STATE(464)] = 20506,
  [SMALL_STATE(465)] = 20560,
  [SMALL_STATE(466)] = 20614,
  [SMALL_STATE(467)] = 20668,
  [SMALL_STATE(468)] = 20722,
  [SMALL_STATE(469)] = 20776,
  [SMALL_STATE(470)] = 20830,
  [SMALL_STATE(471)] = 20884,
  [SMALL_STATE(472)] = 20938,
  [SMALL_STATE(473)] = 20992,
  [SMALL_STATE(474)] = 21046,
  [SMALL_STATE(475)] = 21100,
  [SMALL_STATE(476)] = 21154,
  [SMALL_STATE(477)] = 21208,
  [SMALL_STATE(478)] = 21262,
  [SMALL_STATE(479)] = 21316,
  [SMALL_STATE(480)] = 21370,
  [SMALL_STATE(481)] = 21424,
  [SMALL_STATE(482)] = 21478,
  [SMALL_STATE(483)] = 21532,
  [SMALL_STATE(484)] = 21586,
  [SMALL_STATE(485)] = 21640,
  [SMALL_STATE(486)] = 21694,
  [SMALL_STATE(487)] = 21748,
  [SMALL_STATE(488)] = 21802,
  [SMALL_STATE(489)] = 21856,
  [SMALL_STATE(490)] = 21910,
  [SMALL_STATE(491)] = 21964,
  [SMALL_STATE(492)] = 22018,
  [SMALL_STATE(493)] = 22072,
  [SMALL_STATE(494)] = 22126,
  [SMALL_STATE(495)] = 22180,
  [SMALL_STATE(496)] = 22234,
  [SMALL_STATE(497)] = 22288,
  [SMALL_STATE(498)] = 22342,
  [SMALL_STATE(499)] = 22396,
  [SMALL_STATE(500)] = 22450,
  [SMALL_STATE(501)] = 22504,
  [SMALL_STATE(502)] = 22558,
  [SMALL_STATE(503)] = 22612,
  [SMALL_STATE(504)] = 22666,
  [SMALL_STATE(505)] = 22720,
  [SMALL_STATE(506)] = 22774,
  [SMALL_STATE(507)] = 22828,
  [SMALL_STATE(508)] = 22882,
  [SMALL_STATE(509)] = 22938,
  [SMALL_STATE(510)] = 22992,
  [SMALL_STATE(511)] = 23046,
  [SMALL_STATE(512)] = 23100,
  [SMALL_STATE(513)] = 23154,
  [SMALL_STATE(514)] = 23208,
  [SMALL_STATE(515)] = 23262,
  [SMALL_STATE(516)] = 23316,
  [SMALL_STATE(517)] = 23370,
  [SMALL_STATE(518)] = 23424,
  [SMALL_STATE(519)] = 23484,
  [SMALL_STATE(520)] = 23538,
  [SMALL_STATE(521)] = 23592,
  [SMALL_STATE(522)] = 23652,
  [SMALL_STATE(523)] = 23706,
  [SMALL_STATE(524)] = 23760,
  [SMALL_STATE(525)] = 23814,
  [SMALL_STATE(526)] = 23868,
  [SMALL_STATE(527)] = 23922,
  [SMALL_STATE(528)] = 23976,
  [SMALL_STATE(529)] = 24030,
  [SMALL_STATE(530)] = 24084,
  [SMALL_STATE(531)] = 24161,
  [SMALL_STATE(532)] = 24218,
  [SMALL_STATE(533)] = 24295,
  [SMALL_STATE(534)] = 24384,
  [SMALL_STATE(535)] = 24437,
  [SMALL_STATE(536)] = 24490,
  [SMALL_STATE(537)] = 24548,
  [SMALL_STATE(538)] = 24624,
  [SMALL_STATE(539)] = 24676,
  [SMALL_STATE(540)] = 24728,
  [SMALL_STATE(541)] = 24780,
  [SMALL_STATE(542)] = 24856,
  [SMALL_STATE(543)] = 24914,
  [SMALL_STATE(544)] = 24966,
  [SMALL_STATE(545)] = 25020,
  [SMALL_STATE(546)] = 25072,
  [SMALL_STATE(547)] = 25124,
  [SMALL_STATE(548)] = 25178,
  [SMALL_STATE(549)] = 25232,
  [SMALL_STATE(550)] = 25284,
  [SMALL_STATE(551)] = 25336,
  [SMALL_STATE(552)] = 25387,
  [SMALL_STATE(553)] = 25438,
  [SMALL_STATE(554)] = 25489,
  [SMALL_STATE(555)] = 25540,
  [SMALL_STATE(556)] = 25591,
  [SMALL_STATE(557)] = 25642,
  [SMALL_STATE(558)] = 25693,
  [SMALL_STATE(559)] = 25744,
  [SMALL_STATE(560)] = 25795,
  [SMALL_STATE(561)] = 25846,
  [SMALL_STATE(562)] = 25897,
  [SMALL_STATE(563)] = 25948,
  [SMALL_STATE(564)] = 25999,
  [SMALL_STATE(565)] = 26050,
  [SMALL_STATE(566)] = 26101,
  [SMALL_STATE(567)] = 26152,
  [SMALL_STATE(568)] = 26203,
  [SMALL_STATE(569)] = 26254,
  [SMALL_STATE(570)] = 26305,
  [SMALL_STATE(571)] = 26356,
  [SMALL_STATE(572)] = 26407,
  [SMALL_STATE(573)] = 26458,
  [SMALL_STATE(574)] = 26509,
  [SMALL_STATE(575)] = 26560,
  [SMALL_STATE(576)] = 26611,
  [SMALL_STATE(577)] = 26662,
  [SMALL_STATE(578)] = 26713,
  [SMALL_STATE(579)] = 26764,
  [SMALL_STATE(580)] = 26821,
  [SMALL_STATE(581)] = 26872,
  [SMALL_STATE(582)] = 26923,
  [SMALL_STATE(583)] = 26974,
  [SMALL_STATE(584)] = 27025,
  [SMALL_STATE(585)] = 27076,
  [SMALL_STATE(586)] = 27127,
  [SMALL_STATE(587)] = 27178,
  [SMALL_STATE(588)] = 27229,
  [SMALL_STATE(589)] = 27280,
  [SMALL_STATE(590)] = 27331,
  [SMALL_STATE(591)] = 27382,
  [SMALL_STATE(592)] = 27433,
  [SMALL_STATE(593)] = 27484,
  [SMALL_STATE(594)] = 27535,
  [SMALL_STATE(595)] = 27586,
  [SMALL_STATE(596)] = 27637,
  [SMALL_STATE(597)] = 27688,
  [SMALL_STATE(598)] = 27739,
  [SMALL_STATE(599)] = 27790,
  [SMALL_STATE(600)] = 27841,
  [SMALL_STATE(601)] = 27892,
  [SMALL_STATE(602)] = 27943,
  [SMALL_STATE(603)] = 27994,
  [SMALL_STATE(604)] = 28075,
  [SMALL_STATE(605)] = 28126,
  [SMALL_STATE(606)] = 28177,
  [SMALL_STATE(607)] = 28228,
  [SMALL_STATE(608)] = 28279,
  [SMALL_STATE(609)] = 28330,
  [SMALL_STATE(610)] = 28381,
  [SMALL_STATE(611)] = 28432,
  [SMALL_STATE(612)] = 28483,
  [SMALL_STATE(613)] = 28534,
  [SMALL_STATE(614)] = 28586,
  [SMALL_STATE(615)] = 28638,
  [SMALL_STATE(616)] = 28689,
  [SMALL_STATE(617)] = 28738,
  [SMALL_STATE(618)] = 28787,
  [SMALL_STATE(619)] = 28836,
  [SMALL_STATE(620)] = 28885,
  [SMALL_STATE(621)] = 28936,
  [SMALL_STATE(622)] = 28985,
  [SMALL_STATE(623)] = 29034,
  [SMALL_STATE(624)] = 29083,
  [SMALL_STATE(625)] = 29132,
  [SMALL_STATE(626)] = 29180,
  [SMALL_STATE(627)] = 29228,
  [SMALL_STATE(628)] = 29276,
  [SMALL_STATE(629)] = 29324,
  [SMALL_STATE(630)] = 29372,
  [SMALL_STATE(631)] = 29420,
  [SMALL_STATE(632)] = 29468,
  [SMALL_STATE(633)] = 29516,
  [SMALL_STATE(634)] = 29564,
  [SMALL_STATE(635)] = 29612,
  [SMALL_STATE(636)] = 29660,
  [SMALL_STATE(637)] = 29708,
  [SMALL_STATE(638)] = 29756,
  [SMALL_STATE(639)] = 29804,
  [SMALL_STATE(640)] = 29852,
  [SMALL_STATE(641)] = 29900,
  [SMALL_STATE(642)] = 29948,
  [SMALL_STATE(643)] = 29996,
  [SMALL_STATE(644)] = 30044,
  [SMALL_STATE(645)] = 30092,
  [SMALL_STATE(646)] = 30140,
  [SMALL_STATE(647)] = 30188,
  [SMALL_STATE(648)] = 30236,
  [SMALL_STATE(649)] = 30284,
  [SMALL_STATE(650)] = 30334,
  [SMALL_STATE(651)] = 30382,
  [SMALL_STATE(652)] = 30430,
  [SMALL_STATE(653)] = 30478,
  [SMALL_STATE(654)] = 30526,
  [SMALL_STATE(655)] = 30576,
  [SMALL_STATE(656)] = 30624,
  [SMALL_STATE(657)] = 30672,
  [SMALL_STATE(658)] = 30720,
  [SMALL_STATE(659)] = 30768,
  [SMALL_STATE(660)] = 30816,
  [SMALL_STATE(661)] = 30864,
  [SMALL_STATE(662)] = 30912,
  [SMALL_STATE(663)] = 30960,
  [SMALL_STATE(664)] = 31008,
  [SMALL_STATE(665)] = 31058,
  [SMALL_STATE(666)] = 31108,
  [SMALL_STATE(667)] = 31156,
  [SMALL_STATE(668)] = 31204,
  [SMALL_STATE(669)] = 31252,
  [SMALL_STATE(670)] = 31300,
  [SMALL_STATE(671)] = 31348,
  [SMALL_STATE(672)] = 31396,
  [SMALL_STATE(673)] = 31444,
  [SMALL_STATE(674)] = 31492,
  [SMALL_STATE(675)] = 31540,
  [SMALL_STATE(676)] = 31588,
  [SMALL_STATE(677)] = 31636,
  [SMALL_STATE(678)] = 31684,
  [SMALL_STATE(679)] = 31734,
  [SMALL_STATE(680)] = 31782,
  [SMALL_STATE(681)] = 31830,
  [SMALL_STATE(682)] = 31878,
  [SMALL_STATE(683)] = 31926,
  [SMALL_STATE(684)] = 32018,
  [SMALL_STATE(685)] = 32066,
  [SMALL_STATE(686)] = 32114,
  [SMALL_STATE(687)] = 32162,
  [SMALL_STATE(688)] = 32254,
  [SMALL_STATE(689)] = 32304,
  [SMALL_STATE(690)] = 32352,
  [SMALL_STATE(691)] = 32400,
  [SMALL_STATE(692)] = 32448,
  [SMALL_STATE(693)] = 32496,
  [SMALL_STATE(694)] = 32544,
  [SMALL_STATE(695)] = 32594,
  [SMALL_STATE(696)] = 32642,
  [SMALL_STATE(697)] = 32690,
  [SMALL_STATE(698)] = 32738,
  [SMALL_STATE(699)] = 32785,
  [SMALL_STATE(700)] = 32874,
  [SMALL_STATE(701)] = 32921,
  [SMALL_STATE(702)] = 32968,
  [SMALL_STATE(703)] = 33015,
  [SMALL_STATE(704)] = 33062,
  [SMALL_STATE(705)] = 33109,
  [SMALL_STATE(706)] = 33156,
  [SMALL_STATE(707)] = 33203,
  [SMALL_STATE(708)] = 33250,
  [SMALL_STATE(709)] = 33297,
  [SMALL_STATE(710)] = 33344,
  [SMALL_STATE(711)] = 33393,
  [SMALL_STATE(712)] = 33440,
  [SMALL_STATE(713)] = 33487,
  [SMALL_STATE(714)] = 33534,
  [SMALL_STATE(715)] = 33581,
  [SMALL_STATE(716)] = 33628,
  [SMALL_STATE(717)] = 33675,
  [SMALL_STATE(718)] = 33722,
  [SMALL_STATE(719)] = 33769,
  [SMALL_STATE(720)] = 33816,
  [SMALL_STATE(721)] = 33863,
  [SMALL_STATE(722)] = 33910,
  [SMALL_STATE(723)] = 33957,
  [SMALL_STATE(724)] = 34004,
  [SMALL_STATE(725)] = 34051,
  [SMALL_STATE(726)] = 34098,
  [SMALL_STATE(727)] = 34145,
  [SMALL_STATE(728)] = 34192,
  [SMALL_STATE(729)] = 34239,
  [SMALL_STATE(730)] = 34286,
  [SMALL_STATE(731)] = 34333,
  [SMALL_STATE(732)] = 34380,
  [SMALL_STATE(733)] = 34427,
  [SMALL_STATE(734)] = 34474,
  [SMALL_STATE(735)] = 34521,
  [SMALL_STATE(736)] = 34568,
  [SMALL_STATE(737)] = 34615,
  [SMALL_STATE(738)] = 34662,
  [SMALL_STATE(739)] = 34709,
  [SMALL_STATE(740)] = 34756,
  [SMALL_STATE(741)] = 34803,
  [SMALL_STATE(742)] = 34850,
  [SMALL_STATE(743)] = 34897,
  [SMALL_STATE(744)] = 34944,
  [SMALL_STATE(745)] = 34991,
  [SMALL_STATE(746)] = 35038,
  [SMALL_STATE(747)] = 35085,
  [SMALL_STATE(748)] = 35132,
  [SMALL_STATE(749)] = 35179,
  [SMALL_STATE(750)] = 35226,
  [SMALL_STATE(751)] = 35273,
  [SMALL_STATE(752)] = 35320,
  [SMALL_STATE(753)] = 35367,
  [SMALL_STATE(754)] = 35414,
  [SMALL_STATE(755)] = 35461,
  [SMALL_STATE(756)] = 35508,
  [SMALL_STATE(757)] = 35555,
  [SMALL_STATE(758)] = 35602,
  [SMALL_STATE(759)] = 35649,
  [SMALL_STATE(760)] = 35696,
  [SMALL_STATE(761)] = 35743,
  [SMALL_STATE(762)] = 35790,
  [SMALL_STATE(763)] = 35837,
  [SMALL_STATE(764)] = 35884,
  [SMALL_STATE(765)] = 35931,
  [SMALL_STATE(766)] = 35978,
  [SMALL_STATE(767)] = 36025,
  [SMALL_STATE(768)] = 36072,
  [SMALL_STATE(769)] = 36119,
  [SMALL_STATE(770)] = 36166,
  [SMALL_STATE(771)] = 36213,
  [SMALL_STATE(772)] = 36260,
  [SMALL_STATE(773)] = 36307,
  [SMALL_STATE(774)] = 36355,
  [SMALL_STATE(775)] = 36403,
  [SMALL_STATE(776)] = 36448,
  [SMALL_STATE(777)] = 36493,
  [SMALL_STATE(778)] = 36538,
  [SMALL_STATE(779)] = 36583,
  [SMALL_STATE(780)] = 36628,
  [SMALL_STATE(781)] = 36673,
  [SMALL_STATE(782)] = 36718,
  [SMALL_STATE(783)] = 36763,
  [SMALL_STATE(784)] = 36808,
  [SMALL_STATE(785)] = 36853,
  [SMALL_STATE(786)] = 36898,
  [SMALL_STATE(787)] = 36943,
  [SMALL_STATE(788)] = 36988,
  [SMALL_STATE(789)] = 37033,
  [SMALL_STATE(790)] = 37078,
  [SMALL_STATE(791)] = 37123,
  [SMALL_STATE(792)] = 37168,
  [SMALL_STATE(793)] = 37213,
  [SMALL_STATE(794)] = 37258,
  [SMALL_STATE(795)] = 37303,
  [SMALL_STATE(796)] = 37348,
  [SMALL_STATE(797)] = 37393,
  [SMALL_STATE(798)] = 37438,
  [SMALL_STATE(799)] = 37483,
  [SMALL_STATE(800)] = 37526,
  [SMALL_STATE(801)] = 37569,
  [SMALL_STATE(802)] = 37610,
  [SMALL_STATE(803)] = 37651,
  [SMALL_STATE(804)] = 37692,
  [SMALL_STATE(805)] = 37735,
  [SMALL_STATE(806)] = 37778,
  [SMALL_STATE(807)] = 37850,
  [SMALL_STATE(808)] = 37890,
  [SMALL_STATE(809)] = 37930,
  [SMALL_STATE(810)] = 37970,
  [SMALL_STATE(811)] = 38010,
  [SMALL_STATE(812)] = 38050,
  [SMALL_STATE(813)] = 38090,
  [SMALL_STATE(814)] = 38130,
  [SMALL_STATE(815)] = 38170,
  [SMALL_STATE(816)] = 38210,
  [SMALL_STATE(817)] = 38252,
  [SMALL_STATE(818)] = 38292,
  [SMALL_STATE(819)] = 38332,
  [SMALL_STATE(820)] = 38372,
  [SMALL_STATE(821)] = 38412,
  [SMALL_STATE(822)] = 38452,
  [SMALL_STATE(823)] = 38492,
  [SMALL_STATE(824)] = 38532,
  [SMALL_STATE(825)] = 38572,
  [SMALL_STATE(826)] = 38612,
  [SMALL_STATE(827)] = 38652,
  [SMALL_STATE(828)] = 38692,
  [SMALL_STATE(829)] = 38732,
  [SMALL_STATE(830)] = 38772,
  [SMALL_STATE(831)] = 38812,
  [SMALL_STATE(832)] = 38852,
  [SMALL_STATE(833)] = 38892,
  [SMALL_STATE(834)] = 38932,
  [SMALL_STATE(835)] = 38972,
  [SMALL_STATE(836)] = 39012,
  [SMALL_STATE(837)] = 39084,
  [SMALL_STATE(838)] = 39124,
  [SMALL_STATE(839)] = 39164,
  [SMALL_STATE(840)] = 39236,
  [SMALL_STATE(841)] = 39276,
  [SMALL_STATE(842)] = 39318,
  [SMALL_STATE(843)] = 39358,
  [SMALL_STATE(844)] = 39397,
  [SMALL_STATE(845)] = 39436,
  [SMALL_STATE(846)] = 39475,
  [SMALL_STATE(847)] = 39514,
  [SMALL_STATE(848)] = 39553,
  [SMALL_STATE(849)] = 39592,
  [SMALL_STATE(850)] = 39631,
  [SMALL_STATE(851)] = 39670,
  [SMALL_STATE(852)] = 39708,
  [SMALL_STATE(853)] = 39760,
  [SMALL_STATE(854)] = 39814,
  [SMALL_STATE(855)] = 39868,
  [SMALL_STATE(856)] = 39924,
  [SMALL_STATE(857)] = 39962,
  [SMALL_STATE(858)] = 40030,
  [SMALL_STATE(859)] = 40098,
  [SMALL_STATE(860)] = 40136,
  [SMALL_STATE(861)] = 40174,
  [SMALL_STATE(862)] = 40212,
  [SMALL_STATE(863)] = 40272,
  [SMALL_STATE(864)] = 40332,
  [SMALL_STATE(865)] = 40370,
  [SMALL_STATE(866)] = 40420,
  [SMALL_STATE(867)] = 40462,
  [SMALL_STATE(868)] = 40530,
  [SMALL_STATE(869)] = 40598,
  [SMALL_STATE(870)] = 40656,
  [SMALL_STATE(871)] = 40694,
  [SMALL_STATE(872)] = 40762,
  [SMALL_STATE(873)] = 40804,
  [SMALL_STATE(874)] = 40862,
  [SMALL_STATE(875)] = 40906,
  [SMALL_STATE(876)] = 40950,
  [SMALL_STATE(877)] = 40996,
  [SMALL_STATE(878)] = 41064,
  [SMALL_STATE(879)] = 41114,
  [SMALL_STATE(880)] = 41166,
  [SMALL_STATE(881)] = 41220,
  [SMALL_STATE(882)] = 41274,
  [SMALL_STATE(883)] = 41330,
  [SMALL_STATE(884)] = 41368,
  [SMALL_STATE(885)] = 41414,
  [SMALL_STATE(886)] = 41452,
  [SMALL_STATE(887)] = 41511,
  [SMALL_STATE(888)] = 41570,
  [SMALL_STATE(889)] = 41607,
  [SMALL_STATE(890)] = 41669,
  [SMALL_STATE(891)] = 41731,
  [SMALL_STATE(892)] = 41793,
  [SMALL_STATE(893)] = 41851,
  [SMALL_STATE(894)] = 41913,
  [SMALL_STATE(895)] = 41975,
  [SMALL_STATE(896)] = 42011,
  [SMALL_STATE(897)] = 42073,
  [SMALL_STATE(898)] = 42135,
  [SMALL_STATE(899)] = 42197,
  [SMALL_STATE(900)] = 42259,
  [SMALL_STATE(901)] = 42321,
  [SMALL_STATE(902)] = 42383,
  [SMALL_STATE(903)] = 42446,
  [SMALL_STATE(904)] = 42509,
  [SMALL_STATE(905)] = 42572,
  [SMALL_STATE(906)] = 42631,
  [SMALL_STATE(907)] = 42666,
  [SMALL_STATE(908)] = 42729,
  [SMALL_STATE(909)] = 42792,
  [SMALL_STATE(910)] = 42855,
  [SMALL_STATE(911)] = 42914,
  [SMALL_STATE(912)] = 42951,
  [SMALL_STATE(913)] = 43014,
  [SMALL_STATE(914)] = 43077,
  [SMALL_STATE(915)] = 43135,
  [SMALL_STATE(916)] = 43193,
  [SMALL_STATE(917)] = 43251,
  [SMALL_STATE(918)] = 43309,
  [SMALL_STATE(919)] = 43365,
  [SMALL_STATE(920)] = 43421,
  [SMALL_STATE(921)] = 43479,
  [SMALL_STATE(922)] = 43539,
  [SMALL_STATE(923)] = 43597,
  [SMALL_STATE(924)] = 43657,
  [SMALL_STATE(925)] = 43717,
  [SMALL_STATE(926)] = 43777,
  [SMALL_STATE(927)] = 43835,
  [SMALL_STATE(928)] = 43893,
  [SMALL_STATE(929)] = 43948,
  [SMALL_STATE(930)] = 44005,
  [SMALL_STATE(931)] = 44060,
  [SMALL_STATE(932)] = 44101,
  [SMALL_STATE(933)] = 44142,
  [SMALL_STATE(934)] = 44199,
  [SMALL_STATE(935)] = 44256,
  [SMALL_STATE(936)] = 44313,
  [SMALL_STATE(937)] = 44368,
  [SMALL_STATE(938)] = 44425,
  [SMALL_STATE(939)] = 44482,
  [SMALL_STATE(940)] = 44539,
  [SMALL_STATE(941)] = 44590,
  [SMALL_STATE(942)] = 44647,
  [SMALL_STATE(943)] = 44704,
  [SMALL_STATE(944)] = 44737,
  [SMALL_STATE(945)] = 44778,
  [SMALL_STATE(946)] = 44835,
  [SMALL_STATE(947)] = 44892,
  [SMALL_STATE(948)] = 44949,
  [SMALL_STATE(949)] = 45006,
  [SMALL_STATE(950)] = 45063,
  [SMALL_STATE(951)] = 45100,
  [SMALL_STATE(952)] = 45153,
  [SMALL_STATE(953)] = 45192,
  [SMALL_STATE(954)] = 45233,
  [SMALL_STATE(955)] = 45278,
  [SMALL_STATE(956)] = 45325,
  [SMALL_STATE(957)] = 45374,
  [SMALL_STATE(958)] = 45423,
  [SMALL_STATE(959)] = 45478,
  [SMALL_STATE(960)] = 45516,
  [SMALL_STATE(961)] = 45570,
  [SMALL_STATE(962)] = 45628,
  [SMALL_STATE(963)] = 45682,
  [SMALL_STATE(964)] = 45740,
  [SMALL_STATE(965)] = 45795,
  [SMALL_STATE(966)] = 45850,
  [SMALL_STATE(967)] = 45905,
  [SMALL_STATE(968)] = 45960,
  [SMALL_STATE(969)] = 46015,
  [SMALL_STATE(970)] = 46070,
  [SMALL_STATE(971)] = 46125,
  [SMALL_STATE(972)] = 46156,
  [SMALL_STATE(973)] = 46211,
  [SMALL_STATE(974)] = 46268,
  [SMALL_STATE(975)] = 46323,
  [SMALL_STATE(976)] = 46358,
  [SMALL_STATE(977)] = 46413,
  [SMALL_STATE(978)] = 46468,
  [SMALL_STATE(979)] = 46520,
  [SMALL_STATE(980)] = 46572,
  [SMALL_STATE(981)] = 46602,
  [SMALL_STATE(982)] = 46638,
  [SMALL_STATE(983)] = 46674,
  [SMALL_STATE(984)] = 46704,
  [SMALL_STATE(985)] = 46734,
  [SMALL_STATE(986)] = 46783,
  [SMALL_STATE(987)] = 46832,
  [SMALL_STATE(988)] = 46881,
  [SMALL_STATE(989)] = 46930,
  [SMALL_STATE(990)] = 46959,
  [SMALL_STATE(991)] = 46992,
  [SMALL_STATE(992)] = 47021,
  [SMALL_STATE(993)] = 47050,
  [SMALL_STATE(994)] = 47099,
  [SMALL_STATE(995)] = 47148,
  [SMALL_STATE(996)] = 47197,
  [SMALL_STATE(997)] = 47246,
  [SMALL_STATE(998)] = 47279,
  [SMALL_STATE(999)] = 47328,
  [SMALL_STATE(1000)] = 47377,
  [SMALL_STATE(1001)] = 47426,
  [SMALL_STATE(1002)] = 47475,
  [SMALL_STATE(1003)] = 47522,
  [SMALL_STATE(1004)] = 47571,
  [SMALL_STATE(1005)] = 47620,
  [SMALL_STATE(1006)] = 47669,
  [SMALL_STATE(1007)] = 47718,
  [SMALL_STATE(1008)] = 47747,
  [SMALL_STATE(1009)] = 47776,
  [SMALL_STATE(1010)] = 47825,
  [SMALL_STATE(1011)] = 47854,
  [SMALL_STATE(1012)] = 47903,
  [SMALL_STATE(1013)] = 47932,
  [SMALL_STATE(1014)] = 47981,
  [SMALL_STATE(1015)] = 48030,
  [SMALL_STATE(1016)] = 48079,
  [SMALL_STATE(1017)] = 48128,
  [SMALL_STATE(1018)] = 48177,
  [SMALL_STATE(1019)] = 48226,
  [SMALL_STATE(1020)] = 48275,
  [SMALL_STATE(1021)] = 48324,
  [SMALL_STATE(1022)] = 48373,
  [SMALL_STATE(1023)] = 48422,
  [SMALL_STATE(1024)] = 48471,
  [SMALL_STATE(1025)] = 48520,
  [SMALL_STATE(1026)] = 48569,
  [SMALL_STATE(1027)] = 48618,
  [SMALL_STATE(1028)] = 48667,
  [SMALL_STATE(1029)] = 48716,
  [SMALL_STATE(1030)] = 48765,
  [SMALL_STATE(1031)] = 48814,
  [SMALL_STATE(1032)] = 48863,
  [SMALL_STATE(1033)] = 48912,
  [SMALL_STATE(1034)] = 48961,
  [SMALL_STATE(1035)] = 49010,
  [SMALL_STATE(1036)] = 49069,
  [SMALL_STATE(1037)] = 49115,
  [SMALL_STATE(1038)] = 49161,
  [SMALL_STATE(1039)] = 49207,
  [SMALL_STATE(1040)] = 49253,
  [SMALL_STATE(1041)] = 49299,
  [SMALL_STATE(1042)] = 49327,
  [SMALL_STATE(1043)] = 49373,
  [SMALL_STATE(1044)] = 49419,
  [SMALL_STATE(1045)] = 49465,
  [SMALL_STATE(1046)] = 49511,
  [SMALL_STATE(1047)] = 49557,
  [SMALL_STATE(1048)] = 49603,
  [SMALL_STATE(1049)] = 49649,
  [SMALL_STATE(1050)] = 49695,
  [SMALL_STATE(1051)] = 49741,
  [SMALL_STATE(1052)] = 49787,
  [SMALL_STATE(1053)] = 49833,
  [SMALL_STATE(1054)] = 49879,
  [SMALL_STATE(1055)] = 49925,
  [SMALL_STATE(1056)] = 49971,
  [SMALL_STATE(1057)] = 50017,
  [SMALL_STATE(1058)] = 50063,
  [SMALL_STATE(1059)] = 50109,
  [SMALL_STATE(1060)] = 50155,
  [SMALL_STATE(1061)] = 50201,
  [SMALL_STATE(1062)] = 50247,
  [SMALL_STATE(1063)] = 50293,
  [SMALL_STATE(1064)] = 50339,
  [SMALL_STATE(1065)] = 50385,
  [SMALL_STATE(1066)] = 50431,
  [SMALL_STATE(1067)] = 50477,
  [SMALL_STATE(1068)] = 50523,
  [SMALL_STATE(1069)] = 50569,
  [SMALL_STATE(1070)] = 50615,
  [SMALL_STATE(1071)] = 50654,
  [SMALL_STATE(1072)] = 50693,
  [SMALL_STATE(1073)] = 50732,
  [SMALL_STATE(1074)] = 50769,
  [SMALL_STATE(1075)] = 50808,
  [SMALL_STATE(1076)] = 50845,
  [SMALL_STATE(1077)] = 50882,
  [SMALL_STATE(1078)] = 50909,
  [SMALL_STATE(1079)] = 50946,
  [SMALL_STATE(1080)] = 50983,
  [SMALL_STATE(1081)] = 51020,
  [SMALL_STATE(1082)] = 51059,
  [SMALL_STATE(1083)] = 51096,
  [SMALL_STATE(1084)] = 51135,
  [SMALL_STATE(1085)] = 51162,
  [SMALL_STATE(1086)] = 51199,
  [SMALL_STATE(1087)] = 51236,
  [SMALL_STATE(1088)] = 51273,
  [SMALL_STATE(1089)] = 51312,
  [SMALL_STATE(1090)] = 51351,
  [SMALL_STATE(1091)] = 51388,
  [SMALL_STATE(1092)] = 51427,
  [SMALL_STATE(1093)] = 51464,
  [SMALL_STATE(1094)] = 51501,
  [SMALL_STATE(1095)] = 51538,
  [SMALL_STATE(1096)] = 51575,
  [SMALL_STATE(1097)] = 51612,
  [SMALL_STATE(1098)] = 51649,
  [SMALL_STATE(1099)] = 51688,
  [SMALL_STATE(1100)] = 51725,
  [SMALL_STATE(1101)] = 51762,
  [SMALL_STATE(1102)] = 51799,
  [SMALL_STATE(1103)] = 51836,
  [SMALL_STATE(1104)] = 51864,
  [SMALL_STATE(1105)] = 51898,
  [SMALL_STATE(1106)] = 51926,
  [SMALL_STATE(1107)] = 51958,
  [SMALL_STATE(1108)] = 51986,
  [SMALL_STATE(1109)] = 52014,
  [SMALL_STATE(1110)] = 52039,
  [SMALL_STATE(1111)] = 52064,
  [SMALL_STATE(1112)] = 52089,
  [SMALL_STATE(1113)] = 52114,
  [SMALL_STATE(1114)] = 52139,
  [SMALL_STATE(1115)] = 52164,
  [SMALL_STATE(1116)] = 52189,
  [SMALL_STATE(1117)] = 52214,
  [SMALL_STATE(1118)] = 52239,
  [SMALL_STATE(1119)] = 52264,
  [SMALL_STATE(1120)] = 52289,
  [SMALL_STATE(1121)] = 52314,
  [SMALL_STATE(1122)] = 52339,
  [SMALL_STATE(1123)] = 52364,
  [SMALL_STATE(1124)] = 52389,
  [SMALL_STATE(1125)] = 52414,
  [SMALL_STATE(1126)] = 52439,
  [SMALL_STATE(1127)] = 52464,
  [SMALL_STATE(1128)] = 52489,
  [SMALL_STATE(1129)] = 52514,
  [SMALL_STATE(1130)] = 52539,
  [SMALL_STATE(1131)] = 52564,
  [SMALL_STATE(1132)] = 52589,
  [SMALL_STATE(1133)] = 52614,
  [SMALL_STATE(1134)] = 52639,
  [SMALL_STATE(1135)] = 52664,
  [SMALL_STATE(1136)] = 52689,
  [SMALL_STATE(1137)] = 52720,
  [SMALL_STATE(1138)] = 52745,
  [SMALL_STATE(1139)] = 52778,
  [SMALL_STATE(1140)] = 52811,
  [SMALL_STATE(1141)] = 52834,
  [SMALL_STATE(1142)] = 52859,
  [SMALL_STATE(1143)] = 52892,
  [SMALL_STATE(1144)] = 52917,
  [SMALL_STATE(1145)] = 52944,
  [SMALL_STATE(1146)] = 52977,
  [SMALL_STATE(1147)] = 53002,
  [SMALL_STATE(1148)] = 53035,
  [SMALL_STATE(1149)] = 53060,
  [SMALL_STATE(1150)] = 53093,
  [SMALL_STATE(1151)] = 53118,
  [SMALL_STATE(1152)] = 53143,
  [SMALL_STATE(1153)] = 53168,
  [SMALL_STATE(1154)] = 53201,
  [SMALL_STATE(1155)] = 53234,
  [SMALL_STATE(1156)] = 53259,
  [SMALL_STATE(1157)] = 53292,
  [SMALL_STATE(1158)] = 53317,
  [SMALL_STATE(1159)] = 53342,
  [SMALL_STATE(1160)] = 53375,
  [SMALL_STATE(1161)] = 53400,
  [SMALL_STATE(1162)] = 53425,
  [SMALL_STATE(1163)] = 53450,
  [SMALL_STATE(1164)] = 53475,
  [SMALL_STATE(1165)] = 53508,
  [SMALL_STATE(1166)] = 53541,
  [SMALL_STATE(1167)] = 53574,
  [SMALL_STATE(1168)] = 53607,
  [SMALL_STATE(1169)] = 53632,
  [SMALL_STATE(1170)] = 53665,
  [SMALL_STATE(1171)] = 53690,
  [SMALL_STATE(1172)] = 53715,
  [SMALL_STATE(1173)] = 53748,
  [SMALL_STATE(1174)] = 53773,
  [SMALL_STATE(1175)] = 53798,
  [SMALL_STATE(1176)] = 53823,
  [SMALL_STATE(1177)] = 53856,
  [SMALL_STATE(1178)] = 53881,
  [SMALL_STATE(1179)] = 53914,
  [SMALL_STATE(1180)] = 53939,
  [SMALL_STATE(1181)] = 53964,
  [SMALL_STATE(1182)] = 53989,
  [SMALL_STATE(1183)] = 54014,
  [SMALL_STATE(1184)] = 54039,
  [SMALL_STATE(1185)] = 54064,
  [SMALL_STATE(1186)] = 54089,
  [SMALL_STATE(1187)] = 54114,
  [SMALL_STATE(1188)] = 54137,
  [SMALL_STATE(1189)] = 54162,
  [SMALL_STATE(1190)] = 54187,
  [SMALL_STATE(1191)] = 54212,
  [SMALL_STATE(1192)] = 54235,
  [SMALL_STATE(1193)] = 54260,
  [SMALL_STATE(1194)] = 54285,
  [SMALL_STATE(1195)] = 54310,
  [SMALL_STATE(1196)] = 54335,
  [SMALL_STATE(1197)] = 54360,
  [SMALL_STATE(1198)] = 54385,
  [SMALL_STATE(1199)] = 54410,
  [SMALL_STATE(1200)] = 54435,
  [SMALL_STATE(1201)] = 54460,
  [SMALL_STATE(1202)] = 54485,
  [SMALL_STATE(1203)] = 54510,
  [SMALL_STATE(1204)] = 54535,
  [SMALL_STATE(1205)] = 54560,
  [SMALL_STATE(1206)] = 54584,
  [SMALL_STATE(1207)] = 54608,
  [SMALL_STATE(1208)] = 54652,
  [SMALL_STATE(1209)] = 54675,
  [SMALL_STATE(1210)] = 54698,
  [SMALL_STATE(1211)] = 54739,
  [SMALL_STATE(1212)] = 54780,
  [SMALL_STATE(1213)] = 54821,
  [SMALL_STATE(1214)] = 54844,
  [SMALL_STATE(1215)] = 54885,
  [SMALL_STATE(1216)] = 54926,
  [SMALL_STATE(1217)] = 54967,
  [SMALL_STATE(1218)] = 54988,
  [SMALL_STATE(1219)] = 55011,
  [SMALL_STATE(1220)] = 55032,
  [SMALL_STATE(1221)] = 55073,
  [SMALL_STATE(1222)] = 55096,
  [SMALL_STATE(1223)] = 55137,
  [SMALL_STATE(1224)] = 55162,
  [SMALL_STATE(1225)] = 55185,
  [SMALL_STATE(1226)] = 55208,
  [SMALL_STATE(1227)] = 55249,
  [SMALL_STATE(1228)] = 55270,
  [SMALL_STATE(1229)] = 55293,
  [SMALL_STATE(1230)] = 55334,
  [SMALL_STATE(1231)] = 55358,
  [SMALL_STATE(1232)] = 55382,
  [SMALL_STATE(1233)] = 55404,
  [SMALL_STATE(1234)] = 55428,
  [SMALL_STATE(1235)] = 55452,
  [SMALL_STATE(1236)] = 55476,
  [SMALL_STATE(1237)] = 55500,
  [SMALL_STATE(1238)] = 55538,
  [SMALL_STATE(1239)] = 55562,
  [SMALL_STATE(1240)] = 55586,
  [SMALL_STATE(1241)] = 55608,
  [SMALL_STATE(1242)] = 55632,
  [SMALL_STATE(1243)] = 55656,
  [SMALL_STATE(1244)] = 55694,
  [SMALL_STATE(1245)] = 55718,
  [SMALL_STATE(1246)] = 55742,
  [SMALL_STATE(1247)] = 55780,
  [SMALL_STATE(1248)] = 55804,
  [SMALL_STATE(1249)] = 55828,
  [SMALL_STATE(1250)] = 55866,
  [SMALL_STATE(1251)] = 55888,
  [SMALL_STATE(1252)] = 55912,
  [SMALL_STATE(1253)] = 55950,
  [SMALL_STATE(1254)] = 55976,
  [SMALL_STATE(1255)] = 56000,
  [SMALL_STATE(1256)] = 56024,
  [SMALL_STATE(1257)] = 56048,
  [SMALL_STATE(1258)] = 56072,
  [SMALL_STATE(1259)] = 56096,
  [SMALL_STATE(1260)] = 56118,
  [SMALL_STATE(1261)] = 56142,
  [SMALL_STATE(1262)] = 56164,
  [SMALL_STATE(1263)] = 56188,
  [SMALL_STATE(1264)] = 56210,
  [SMALL_STATE(1265)] = 56248,
  [SMALL_STATE(1266)] = 56272,
  [SMALL_STATE(1267)] = 56296,
  [SMALL_STATE(1268)] = 56320,
  [SMALL_STATE(1269)] = 56344,
  [SMALL_STATE(1270)] = 56366,
  [SMALL_STATE(1271)] = 56388,
  [SMALL_STATE(1272)] = 56412,
  [SMALL_STATE(1273)] = 56443,
  [SMALL_STATE(1274)] = 56478,
  [SMALL_STATE(1275)] = 56509,
  [SMALL_STATE(1276)] = 56544,
  [SMALL_STATE(1277)] = 56579,
  [SMALL_STATE(1278)] = 56610,
  [SMALL_STATE(1279)] = 56643,
  [SMALL_STATE(1280)] = 56674,
  [SMALL_STATE(1281)] = 56705,
  [SMALL_STATE(1282)] = 56736,
  [SMALL_STATE(1283)] = 56767,
  [SMALL_STATE(1284)] = 56798,
  [SMALL_STATE(1285)] = 56831,
  [SMALL_STATE(1286)] = 56854,
  [SMALL_STATE(1287)] = 56887,
  [SMALL_STATE(1288)] = 56920,
  [SMALL_STATE(1289)] = 56953,
  [SMALL_STATE(1290)] = 56976,
  [SMALL_STATE(1291)] = 57007,
  [SMALL_STATE(1292)] = 57030,
  [SMALL_STATE(1293)] = 57053,
  [SMALL_STATE(1294)] = 57084,
  [SMALL_STATE(1295)] = 57115,
  [SMALL_STATE(1296)] = 57146,
  [SMALL_STATE(1297)] = 57177,
  [SMALL_STATE(1298)] = 57208,
  [SMALL_STATE(1299)] = 57239,
  [SMALL_STATE(1300)] = 57270,
  [SMALL_STATE(1301)] = 57303,
  [SMALL_STATE(1302)] = 57338,
  [SMALL_STATE(1303)] = 57369,
  [SMALL_STATE(1304)] = 57394,
  [SMALL_STATE(1305)] = 57417,
  [SMALL_STATE(1306)] = 57452,
  [SMALL_STATE(1307)] = 57474,
  [SMALL_STATE(1308)] = 57496,
  [SMALL_STATE(1309)] = 57518,
  [SMALL_STATE(1310)] = 57540,
  [SMALL_STATE(1311)] = 57564,
  [SMALL_STATE(1312)] = 57586,
  [SMALL_STATE(1313)] = 57604,
  [SMALL_STATE(1314)] = 57622,
  [SMALL_STATE(1315)] = 57644,
  [SMALL_STATE(1316)] = 57662,
  [SMALL_STATE(1317)] = 57682,
  [SMALL_STATE(1318)] = 57700,
  [SMALL_STATE(1319)] = 57732,
  [SMALL_STATE(1320)] = 57752,
  [SMALL_STATE(1321)] = 57770,
  [SMALL_STATE(1322)] = 57788,
  [SMALL_STATE(1323)] = 57816,
  [SMALL_STATE(1324)] = 57834,
  [SMALL_STATE(1325)] = 57866,
  [SMALL_STATE(1326)] = 57884,
  [SMALL_STATE(1327)] = 57902,
  [SMALL_STATE(1328)] = 57934,
  [SMALL_STATE(1329)] = 57952,
  [SMALL_STATE(1330)] = 57970,
  [SMALL_STATE(1331)] = 57988,
  [SMALL_STATE(1332)] = 58010,
  [SMALL_STATE(1333)] = 58028,
  [SMALL_STATE(1334)] = 58046,
  [SMALL_STATE(1335)] = 58064,
  [SMALL_STATE(1336)] = 58082,
  [SMALL_STATE(1337)] = 58100,
  [SMALL_STATE(1338)] = 58132,
  [SMALL_STATE(1339)] = 58150,
  [SMALL_STATE(1340)] = 58168,
  [SMALL_STATE(1341)] = 58190,
  [SMALL_STATE(1342)] = 58208,
  [SMALL_STATE(1343)] = 58226,
  [SMALL_STATE(1344)] = 58244,
  [SMALL_STATE(1345)] = 58262,
  [SMALL_STATE(1346)] = 58280,
  [SMALL_STATE(1347)] = 58298,
  [SMALL_STATE(1348)] = 58316,
  [SMALL_STATE(1349)] = 58334,
  [SMALL_STATE(1350)] = 58352,
  [SMALL_STATE(1351)] = 58370,
  [SMALL_STATE(1352)] = 58388,
  [SMALL_STATE(1353)] = 58406,
  [SMALL_STATE(1354)] = 58424,
  [SMALL_STATE(1355)] = 58446,
  [SMALL_STATE(1356)] = 58464,
  [SMALL_STATE(1357)] = 58482,
  [SMALL_STATE(1358)] = 58500,
  [SMALL_STATE(1359)] = 58518,
  [SMALL_STATE(1360)] = 58536,
  [SMALL_STATE(1361)] = 58554,
  [SMALL_STATE(1362)] = 58572,
  [SMALL_STATE(1363)] = 58590,
  [SMALL_STATE(1364)] = 58608,
  [SMALL_STATE(1365)] = 58626,
  [SMALL_STATE(1366)] = 58644,
  [SMALL_STATE(1367)] = 58662,
  [SMALL_STATE(1368)] = 58680,
  [SMALL_STATE(1369)] = 58698,
  [SMALL_STATE(1370)] = 58716,
  [SMALL_STATE(1371)] = 58734,
  [SMALL_STATE(1372)] = 58752,
  [SMALL_STATE(1373)] = 58770,
  [SMALL_STATE(1374)] = 58788,
  [SMALL_STATE(1375)] = 58806,
  [SMALL_STATE(1376)] = 58838,
  [SMALL_STATE(1377)] = 58868,
  [SMALL_STATE(1378)] = 58900,
  [SMALL_STATE(1379)] = 58922,
  [SMALL_STATE(1380)] = 58954,
  [SMALL_STATE(1381)] = 58972,
  [SMALL_STATE(1382)] = 59002,
  [SMALL_STATE(1383)] = 59024,
  [SMALL_STATE(1384)] = 59046,
  [SMALL_STATE(1385)] = 59078,
  [SMALL_STATE(1386)] = 59106,
  [SMALL_STATE(1387)] = 59138,
  [SMALL_STATE(1388)] = 59170,
  [SMALL_STATE(1389)] = 59188,
  [SMALL_STATE(1390)] = 59206,
  [SMALL_STATE(1391)] = 59238,
  [SMALL_STATE(1392)] = 59268,
  [SMALL_STATE(1393)] = 59290,
  [SMALL_STATE(1394)] = 59312,
  [SMALL_STATE(1395)] = 59330,
  [SMALL_STATE(1396)] = 59352,
  [SMALL_STATE(1397)] = 59374,
  [SMALL_STATE(1398)] = 59404,
  [SMALL_STATE(1399)] = 59434,
  [SMALL_STATE(1400)] = 59466,
  [SMALL_STATE(1401)] = 59498,
  [SMALL_STATE(1402)] = 59520,
  [SMALL_STATE(1403)] = 59542,
  [SMALL_STATE(1404)] = 59574,
  [SMALL_STATE(1405)] = 59596,
  [SMALL_STATE(1406)] = 59618,
  [SMALL_STATE(1407)] = 59650,
  [SMALL_STATE(1408)] = 59672,
  [SMALL_STATE(1409)] = 59694,
  [SMALL_STATE(1410)] = 59712,
  [SMALL_STATE(1411)] = 59744,
  [SMALL_STATE(1412)] = 59766,
  [SMALL_STATE(1413)] = 59798,
  [SMALL_STATE(1414)] = 59820,
  [SMALL_STATE(1415)] = 59842,
  [SMALL_STATE(1416)] = 59874,
  [SMALL_STATE(1417)] = 59906,
  [SMALL_STATE(1418)] = 59938,
  [SMALL_STATE(1419)] = 59960,
  [SMALL_STATE(1420)] = 59982,
  [SMALL_STATE(1421)] = 60004,
  [SMALL_STATE(1422)] = 60026,
  [SMALL_STATE(1423)] = 60048,
  [SMALL_STATE(1424)] = 60080,
  [SMALL_STATE(1425)] = 60102,
  [SMALL_STATE(1426)] = 60124,
  [SMALL_STATE(1427)] = 60146,
  [SMALL_STATE(1428)] = 60166,
  [SMALL_STATE(1429)] = 60188,
  [SMALL_STATE(1430)] = 60210,
  [SMALL_STATE(1431)] = 60232,
  [SMALL_STATE(1432)] = 60254,
  [SMALL_STATE(1433)] = 60276,
  [SMALL_STATE(1434)] = 60298,
  [SMALL_STATE(1435)] = 60320,
  [SMALL_STATE(1436)] = 60342,
  [SMALL_STATE(1437)] = 60369,
  [SMALL_STATE(1438)] = 60396,
  [SMALL_STATE(1439)] = 60413,
  [SMALL_STATE(1440)] = 60436,
  [SMALL_STATE(1441)] = 60465,
  [SMALL_STATE(1442)] = 60492,
  [SMALL_STATE(1443)] = 60521,
  [SMALL_STATE(1444)] = 60548,
  [SMALL_STATE(1445)] = 60565,
  [SMALL_STATE(1446)] = 60582,
  [SMALL_STATE(1447)] = 60599,
  [SMALL_STATE(1448)] = 60618,
  [SMALL_STATE(1449)] = 60645,
  [SMALL_STATE(1450)] = 60662,
  [SMALL_STATE(1451)] = 60683,
  [SMALL_STATE(1452)] = 60710,
  [SMALL_STATE(1453)] = 60733,
  [SMALL_STATE(1454)] = 60750,
  [SMALL_STATE(1455)] = 60771,
  [SMALL_STATE(1456)] = 60788,
  [SMALL_STATE(1457)] = 60817,
  [SMALL_STATE(1458)] = 60846,
  [SMALL_STATE(1459)] = 60869,
  [SMALL_STATE(1460)] = 60886,
  [SMALL_STATE(1461)] = 60903,
  [SMALL_STATE(1462)] = 60920,
  [SMALL_STATE(1463)] = 60943,
  [SMALL_STATE(1464)] = 60964,
  [SMALL_STATE(1465)] = 60987,
  [SMALL_STATE(1466)] = 61014,
  [SMALL_STATE(1467)] = 61031,
  [SMALL_STATE(1468)] = 61052,
  [SMALL_STATE(1469)] = 61071,
  [SMALL_STATE(1470)] = 61088,
  [SMALL_STATE(1471)] = 61105,
  [SMALL_STATE(1472)] = 61132,
  [SMALL_STATE(1473)] = 61149,
  [SMALL_STATE(1474)] = 61178,
  [SMALL_STATE(1475)] = 61205,
  [SMALL_STATE(1476)] = 61232,
  [SMALL_STATE(1477)] = 61259,
  [SMALL_STATE(1478)] = 61286,
  [SMALL_STATE(1479)] = 61305,
  [SMALL_STATE(1480)] = 61332,
  [SMALL_STATE(1481)] = 61361,
  [SMALL_STATE(1482)] = 61378,
  [SMALL_STATE(1483)] = 61407,
  [SMALL_STATE(1484)] = 61424,
  [SMALL_STATE(1485)] = 61453,
  [SMALL_STATE(1486)] = 61470,
  [SMALL_STATE(1487)] = 61497,
  [SMALL_STATE(1488)] = 61524,
  [SMALL_STATE(1489)] = 61551,
  [SMALL_STATE(1490)] = 61578,
  [SMALL_STATE(1491)] = 61605,
  [SMALL_STATE(1492)] = 61622,
  [SMALL_STATE(1493)] = 61639,
  [SMALL_STATE(1494)] = 61656,
  [SMALL_STATE(1495)] = 61677,
  [SMALL_STATE(1496)] = 61704,
  [SMALL_STATE(1497)] = 61721,
  [SMALL_STATE(1498)] = 61740,
  [SMALL_STATE(1499)] = 61767,
  [SMALL_STATE(1500)] = 61788,
  [SMALL_STATE(1501)] = 61809,
  [SMALL_STATE(1502)] = 61830,
  [SMALL_STATE(1503)] = 61851,
  [SMALL_STATE(1504)] = 61880,
  [SMALL_STATE(1505)] = 61907,
  [SMALL_STATE(1506)] = 61923,
  [SMALL_STATE(1507)] = 61939,
  [SMALL_STATE(1508)] = 61963,
  [SMALL_STATE(1509)] = 61979,
  [SMALL_STATE(1510)] = 62005,
  [SMALL_STATE(1511)] = 62027,
  [SMALL_STATE(1512)] = 62049,
  [SMALL_STATE(1513)] = 62069,
  [SMALL_STATE(1514)] = 62095,
  [SMALL_STATE(1515)] = 62115,
  [SMALL_STATE(1516)] = 62141,
  [SMALL_STATE(1517)] = 62163,
  [SMALL_STATE(1518)] = 62181,
  [SMALL_STATE(1519)] = 62199,
  [SMALL_STATE(1520)] = 62215,
  [SMALL_STATE(1521)] = 62235,
  [SMALL_STATE(1522)] = 62251,
  [SMALL_STATE(1523)] = 62271,
  [SMALL_STATE(1524)] = 62287,
  [SMALL_STATE(1525)] = 62303,
  [SMALL_STATE(1526)] = 62319,
  [SMALL_STATE(1527)] = 62341,
  [SMALL_STATE(1528)] = 62357,
  [SMALL_STATE(1529)] = 62373,
  [SMALL_STATE(1530)] = 62389,
  [SMALL_STATE(1531)] = 62405,
  [SMALL_STATE(1532)] = 62421,
  [SMALL_STATE(1533)] = 62441,
  [SMALL_STATE(1534)] = 62461,
  [SMALL_STATE(1535)] = 62487,
  [SMALL_STATE(1536)] = 62503,
  [SMALL_STATE(1537)] = 62523,
  [SMALL_STATE(1538)] = 62539,
  [SMALL_STATE(1539)] = 62559,
  [SMALL_STATE(1540)] = 62575,
  [SMALL_STATE(1541)] = 62599,
  [SMALL_STATE(1542)] = 62625,
  [SMALL_STATE(1543)] = 62641,
  [SMALL_STATE(1544)] = 62657,
  [SMALL_STATE(1545)] = 62681,
  [SMALL_STATE(1546)] = 62707,
  [SMALL_STATE(1547)] = 62727,
  [SMALL_STATE(1548)] = 62743,
  [SMALL_STATE(1549)] = 62767,
  [SMALL_STATE(1550)] = 62787,
  [SMALL_STATE(1551)] = 62807,
  [SMALL_STATE(1552)] = 62827,
  [SMALL_STATE(1553)] = 62849,
  [SMALL_STATE(1554)] = 62865,
  [SMALL_STATE(1555)] = 62885,
  [SMALL_STATE(1556)] = 62901,
  [SMALL_STATE(1557)] = 62917,
  [SMALL_STATE(1558)] = 62933,
  [SMALL_STATE(1559)] = 62949,
  [SMALL_STATE(1560)] = 62973,
  [SMALL_STATE(1561)] = 62997,
  [SMALL_STATE(1562)] = 63013,
  [SMALL_STATE(1563)] = 63029,
  [SMALL_STATE(1564)] = 63045,
  [SMALL_STATE(1565)] = 63065,
  [SMALL_STATE(1566)] = 63085,
  [SMALL_STATE(1567)] = 63111,
  [SMALL_STATE(1568)] = 63135,
  [SMALL_STATE(1569)] = 63151,
  [SMALL_STATE(1570)] = 63167,
  [SMALL_STATE(1571)] = 63183,
  [SMALL_STATE(1572)] = 63209,
  [SMALL_STATE(1573)] = 63229,
  [SMALL_STATE(1574)] = 63249,
  [SMALL_STATE(1575)] = 63265,
  [SMALL_STATE(1576)] = 63285,
  [SMALL_STATE(1577)] = 63305,
  [SMALL_STATE(1578)] = 63321,
  [SMALL_STATE(1579)] = 63337,
  [SMALL_STATE(1580)] = 63361,
  [SMALL_STATE(1581)] = 63381,
  [SMALL_STATE(1582)] = 63397,
  [SMALL_STATE(1583)] = 63413,
  [SMALL_STATE(1584)] = 63429,
  [SMALL_STATE(1585)] = 63445,
  [SMALL_STATE(1586)] = 63461,
  [SMALL_STATE(1587)] = 63477,
  [SMALL_STATE(1588)] = 63498,
  [SMALL_STATE(1589)] = 63519,
  [SMALL_STATE(1590)] = 63540,
  [SMALL_STATE(1591)] = 63561,
  [SMALL_STATE(1592)] = 63582,
  [SMALL_STATE(1593)] = 63603,
  [SMALL_STATE(1594)] = 63626,
  [SMALL_STATE(1595)] = 63641,
  [SMALL_STATE(1596)] = 63662,
  [SMALL_STATE(1597)] = 63683,
  [SMALL_STATE(1598)] = 63704,
  [SMALL_STATE(1599)] = 63725,
  [SMALL_STATE(1600)] = 63746,
  [SMALL_STATE(1601)] = 63761,
  [SMALL_STATE(1602)] = 63776,
  [SMALL_STATE(1603)] = 63799,
  [SMALL_STATE(1604)] = 63818,
  [SMALL_STATE(1605)] = 63839,
  [SMALL_STATE(1606)] = 63860,
  [SMALL_STATE(1607)] = 63881,
  [SMALL_STATE(1608)] = 63902,
  [SMALL_STATE(1609)] = 63923,
  [SMALL_STATE(1610)] = 63944,
  [SMALL_STATE(1611)] = 63965,
  [SMALL_STATE(1612)] = 63988,
  [SMALL_STATE(1613)] = 64009,
  [SMALL_STATE(1614)] = 64030,
  [SMALL_STATE(1615)] = 64051,
  [SMALL_STATE(1616)] = 64074,
  [SMALL_STATE(1617)] = 64097,
  [SMALL_STATE(1618)] = 64120,
  [SMALL_STATE(1619)] = 64141,
  [SMALL_STATE(1620)] = 64156,
  [SMALL_STATE(1621)] = 64179,
  [SMALL_STATE(1622)] = 64202,
  [SMALL_STATE(1623)] = 64225,
  [SMALL_STATE(1624)] = 64246,
  [SMALL_STATE(1625)] = 64265,
  [SMALL_STATE(1626)] = 64286,
  [SMALL_STATE(1627)] = 64307,
  [SMALL_STATE(1628)] = 64328,
  [SMALL_STATE(1629)] = 64349,
  [SMALL_STATE(1630)] = 64370,
  [SMALL_STATE(1631)] = 64391,
  [SMALL_STATE(1632)] = 64412,
  [SMALL_STATE(1633)] = 64433,
  [SMALL_STATE(1634)] = 64456,
  [SMALL_STATE(1635)] = 64479,
  [SMALL_STATE(1636)] = 64496,
  [SMALL_STATE(1637)] = 64519,
  [SMALL_STATE(1638)] = 64540,
  [SMALL_STATE(1639)] = 64561,
  [SMALL_STATE(1640)] = 64582,
  [SMALL_STATE(1641)] = 64603,
  [SMALL_STATE(1642)] = 64624,
  [SMALL_STATE(1643)] = 64645,
  [SMALL_STATE(1644)] = 64660,
  [SMALL_STATE(1645)] = 64681,
  [SMALL_STATE(1646)] = 64696,
  [SMALL_STATE(1647)] = 64717,
  [SMALL_STATE(1648)] = 64740,
  [SMALL_STATE(1649)] = 64755,
  [SMALL_STATE(1650)] = 64776,
  [SMALL_STATE(1651)] = 64797,
  [SMALL_STATE(1652)] = 64818,
  [SMALL_STATE(1653)] = 64833,
  [SMALL_STATE(1654)] = 64854,
  [SMALL_STATE(1655)] = 64875,
  [SMALL_STATE(1656)] = 64896,
  [SMALL_STATE(1657)] = 64917,
  [SMALL_STATE(1658)] = 64938,
  [SMALL_STATE(1659)] = 64959,
  [SMALL_STATE(1660)] = 64982,
  [SMALL_STATE(1661)] = 65003,
  [SMALL_STATE(1662)] = 65024,
  [SMALL_STATE(1663)] = 65039,
  [SMALL_STATE(1664)] = 65060,
  [SMALL_STATE(1665)] = 65081,
  [SMALL_STATE(1666)] = 65102,
  [SMALL_STATE(1667)] = 65123,
  [SMALL_STATE(1668)] = 65142,
  [SMALL_STATE(1669)] = 65163,
  [SMALL_STATE(1670)] = 65184,
  [SMALL_STATE(1671)] = 65205,
  [SMALL_STATE(1672)] = 65226,
  [SMALL_STATE(1673)] = 65247,
  [SMALL_STATE(1674)] = 65266,
  [SMALL_STATE(1675)] = 65287,
  [SMALL_STATE(1676)] = 65306,
  [SMALL_STATE(1677)] = 65327,
  [SMALL_STATE(1678)] = 65346,
  [SMALL_STATE(1679)] = 65365,
  [SMALL_STATE(1680)] = 65386,
  [SMALL_STATE(1681)] = 65409,
  [SMALL_STATE(1682)] = 65430,
  [SMALL_STATE(1683)] = 65451,
  [SMALL_STATE(1684)] = 65472,
  [SMALL_STATE(1685)] = 65493,
  [SMALL_STATE(1686)] = 65514,
  [SMALL_STATE(1687)] = 65535,
  [SMALL_STATE(1688)] = 65556,
  [SMALL_STATE(1689)] = 65577,
  [SMALL_STATE(1690)] = 65598,
  [SMALL_STATE(1691)] = 65617,
  [SMALL_STATE(1692)] = 65638,
  [SMALL_STATE(1693)] = 65659,
  [SMALL_STATE(1694)] = 65678,
  [SMALL_STATE(1695)] = 65697,
  [SMALL_STATE(1696)] = 65718,
  [SMALL_STATE(1697)] = 65739,
  [SMALL_STATE(1698)] = 65760,
  [SMALL_STATE(1699)] = 65781,
  [SMALL_STATE(1700)] = 65802,
  [SMALL_STATE(1701)] = 65825,
  [SMALL_STATE(1702)] = 65848,
  [SMALL_STATE(1703)] = 65871,
  [SMALL_STATE(1704)] = 65892,
  [SMALL_STATE(1705)] = 65913,
  [SMALL_STATE(1706)] = 65934,
  [SMALL_STATE(1707)] = 65955,
  [SMALL_STATE(1708)] = 65970,
  [SMALL_STATE(1709)] = 65991,
  [SMALL_STATE(1710)] = 66012,
  [SMALL_STATE(1711)] = 66033,
  [SMALL_STATE(1712)] = 66056,
  [SMALL_STATE(1713)] = 66077,
  [SMALL_STATE(1714)] = 66100,
  [SMALL_STATE(1715)] = 66121,
  [SMALL_STATE(1716)] = 66142,
  [SMALL_STATE(1717)] = 66163,
  [SMALL_STATE(1718)] = 66184,
  [SMALL_STATE(1719)] = 66207,
  [SMALL_STATE(1720)] = 66226,
  [SMALL_STATE(1721)] = 66249,
  [SMALL_STATE(1722)] = 66270,
  [SMALL_STATE(1723)] = 66291,
  [SMALL_STATE(1724)] = 66312,
  [SMALL_STATE(1725)] = 66333,
  [SMALL_STATE(1726)] = 66356,
  [SMALL_STATE(1727)] = 66377,
  [SMALL_STATE(1728)] = 66398,
  [SMALL_STATE(1729)] = 66419,
  [SMALL_STATE(1730)] = 66440,
  [SMALL_STATE(1731)] = 66461,
  [SMALL_STATE(1732)] = 66482,
  [SMALL_STATE(1733)] = 66503,
  [SMALL_STATE(1734)] = 66524,
  [SMALL_STATE(1735)] = 66545,
  [SMALL_STATE(1736)] = 66566,
  [SMALL_STATE(1737)] = 66587,
  [SMALL_STATE(1738)] = 66606,
  [SMALL_STATE(1739)] = 66627,
  [SMALL_STATE(1740)] = 66650,
  [SMALL_STATE(1741)] = 66671,
  [SMALL_STATE(1742)] = 66692,
  [SMALL_STATE(1743)] = 66713,
  [SMALL_STATE(1744)] = 66728,
  [SMALL_STATE(1745)] = 66749,
  [SMALL_STATE(1746)] = 66764,
  [SMALL_STATE(1747)] = 66785,
  [SMALL_STATE(1748)] = 66806,
  [SMALL_STATE(1749)] = 66827,
  [SMALL_STATE(1750)] = 66848,
  [SMALL_STATE(1751)] = 66869,
  [SMALL_STATE(1752)] = 66890,
  [SMALL_STATE(1753)] = 66905,
  [SMALL_STATE(1754)] = 66926,
  [SMALL_STATE(1755)] = 66945,
  [SMALL_STATE(1756)] = 66960,
  [SMALL_STATE(1757)] = 66981,
  [SMALL_STATE(1758)] = 67002,
  [SMALL_STATE(1759)] = 67023,
  [SMALL_STATE(1760)] = 67044,
  [SMALL_STATE(1761)] = 67063,
  [SMALL_STATE(1762)] = 67078,
  [SMALL_STATE(1763)] = 67099,
  [SMALL_STATE(1764)] = 67120,
  [SMALL_STATE(1765)] = 67141,
  [SMALL_STATE(1766)] = 67162,
  [SMALL_STATE(1767)] = 67183,
  [SMALL_STATE(1768)] = 67204,
  [SMALL_STATE(1769)] = 67225,
  [SMALL_STATE(1770)] = 67246,
  [SMALL_STATE(1771)] = 67267,
  [SMALL_STATE(1772)] = 67288,
  [SMALL_STATE(1773)] = 67309,
  [SMALL_STATE(1774)] = 67330,
  [SMALL_STATE(1775)] = 67351,
  [SMALL_STATE(1776)] = 67372,
  [SMALL_STATE(1777)] = 67393,
  [SMALL_STATE(1778)] = 67414,
  [SMALL_STATE(1779)] = 67435,
  [SMALL_STATE(1780)] = 67458,
  [SMALL_STATE(1781)] = 67479,
  [SMALL_STATE(1782)] = 67498,
  [SMALL_STATE(1783)] = 67519,
  [SMALL_STATE(1784)] = 67540,
  [SMALL_STATE(1785)] = 67561,
  [SMALL_STATE(1786)] = 67582,
  [SMALL_STATE(1787)] = 67605,
  [SMALL_STATE(1788)] = 67624,
  [SMALL_STATE(1789)] = 67643,
  [SMALL_STATE(1790)] = 67662,
  [SMALL_STATE(1791)] = 67683,
  [SMALL_STATE(1792)] = 67704,
  [SMALL_STATE(1793)] = 67725,
  [SMALL_STATE(1794)] = 67746,
  [SMALL_STATE(1795)] = 67767,
  [SMALL_STATE(1796)] = 67788,
  [SMALL_STATE(1797)] = 67811,
  [SMALL_STATE(1798)] = 67832,
  [SMALL_STATE(1799)] = 67855,
  [SMALL_STATE(1800)] = 67876,
  [SMALL_STATE(1801)] = 67897,
  [SMALL_STATE(1802)] = 67918,
  [SMALL_STATE(1803)] = 67939,
  [SMALL_STATE(1804)] = 67960,
  [SMALL_STATE(1805)] = 67981,
  [SMALL_STATE(1806)] = 68002,
  [SMALL_STATE(1807)] = 68023,
  [SMALL_STATE(1808)] = 68044,
  [SMALL_STATE(1809)] = 68063,
  [SMALL_STATE(1810)] = 68084,
  [SMALL_STATE(1811)] = 68103,
  [SMALL_STATE(1812)] = 68124,
  [SMALL_STATE(1813)] = 68145,
  [SMALL_STATE(1814)] = 68166,
  [SMALL_STATE(1815)] = 68181,
  [SMALL_STATE(1816)] = 68202,
  [SMALL_STATE(1817)] = 68223,
  [SMALL_STATE(1818)] = 68244,
  [SMALL_STATE(1819)] = 68259,
  [SMALL_STATE(1820)] = 68280,
  [SMALL_STATE(1821)] = 68303,
  [SMALL_STATE(1822)] = 68318,
  [SMALL_STATE(1823)] = 68337,
  [SMALL_STATE(1824)] = 68352,
  [SMALL_STATE(1825)] = 68373,
  [SMALL_STATE(1826)] = 68394,
  [SMALL_STATE(1827)] = 68415,
  [SMALL_STATE(1828)] = 68436,
  [SMALL_STATE(1829)] = 68457,
  [SMALL_STATE(1830)] = 68476,
  [SMALL_STATE(1831)] = 68497,
  [SMALL_STATE(1832)] = 68518,
  [SMALL_STATE(1833)] = 68539,
  [SMALL_STATE(1834)] = 68556,
  [SMALL_STATE(1835)] = 68577,
  [SMALL_STATE(1836)] = 68598,
  [SMALL_STATE(1837)] = 68619,
  [SMALL_STATE(1838)] = 68634,
  [SMALL_STATE(1839)] = 68649,
  [SMALL_STATE(1840)] = 68670,
  [SMALL_STATE(1841)] = 68685,
  [SMALL_STATE(1842)] = 68706,
  [SMALL_STATE(1843)] = 68727,
  [SMALL_STATE(1844)] = 68748,
  [SMALL_STATE(1845)] = 68771,
  [SMALL_STATE(1846)] = 68794,
  [SMALL_STATE(1847)] = 68817,
  [SMALL_STATE(1848)] = 68840,
  [SMALL_STATE(1849)] = 68861,
  [SMALL_STATE(1850)] = 68876,
  [SMALL_STATE(1851)] = 68891,
  [SMALL_STATE(1852)] = 68906,
  [SMALL_STATE(1853)] = 68925,
  [SMALL_STATE(1854)] = 68948,
  [SMALL_STATE(1855)] = 68971,
  [SMALL_STATE(1856)] = 68990,
  [SMALL_STATE(1857)] = 69009,
  [SMALL_STATE(1858)] = 69028,
  [SMALL_STATE(1859)] = 69049,
  [SMALL_STATE(1860)] = 69072,
  [SMALL_STATE(1861)] = 69095,
  [SMALL_STATE(1862)] = 69114,
  [SMALL_STATE(1863)] = 69129,
  [SMALL_STATE(1864)] = 69148,
  [SMALL_STATE(1865)] = 69167,
  [SMALL_STATE(1866)] = 69190,
  [SMALL_STATE(1867)] = 69211,
  [SMALL_STATE(1868)] = 69232,
  [SMALL_STATE(1869)] = 69248,
  [SMALL_STATE(1870)] = 69264,
  [SMALL_STATE(1871)] = 69278,
  [SMALL_STATE(1872)] = 69294,
  [SMALL_STATE(1873)] = 69308,
  [SMALL_STATE(1874)] = 69322,
  [SMALL_STATE(1875)] = 69336,
  [SMALL_STATE(1876)] = 69354,
  [SMALL_STATE(1877)] = 69372,
  [SMALL_STATE(1878)] = 69390,
  [SMALL_STATE(1879)] = 69404,
  [SMALL_STATE(1880)] = 69422,
  [SMALL_STATE(1881)] = 69442,
  [SMALL_STATE(1882)] = 69462,
  [SMALL_STATE(1883)] = 69482,
  [SMALL_STATE(1884)] = 69496,
  [SMALL_STATE(1885)] = 69514,
  [SMALL_STATE(1886)] = 69534,
  [SMALL_STATE(1887)] = 69554,
  [SMALL_STATE(1888)] = 69574,
  [SMALL_STATE(1889)] = 69594,
  [SMALL_STATE(1890)] = 69614,
  [SMALL_STATE(1891)] = 69634,
  [SMALL_STATE(1892)] = 69652,
  [SMALL_STATE(1893)] = 69672,
  [SMALL_STATE(1894)] = 69688,
  [SMALL_STATE(1895)] = 69706,
  [SMALL_STATE(1896)] = 69726,
  [SMALL_STATE(1897)] = 69746,
  [SMALL_STATE(1898)] = 69762,
  [SMALL_STATE(1899)] = 69782,
  [SMALL_STATE(1900)] = 69800,
  [SMALL_STATE(1901)] = 69818,
  [SMALL_STATE(1902)] = 69838,
  [SMALL_STATE(1903)] = 69856,
  [SMALL_STATE(1904)] = 69876,
  [SMALL_STATE(1905)] = 69896,
  [SMALL_STATE(1906)] = 69916,
  [SMALL_STATE(1907)] = 69936,
  [SMALL_STATE(1908)] = 69954,
  [SMALL_STATE(1909)] = 69968,
  [SMALL_STATE(1910)] = 69982,
  [SMALL_STATE(1911)] = 70002,
  [SMALL_STATE(1912)] = 70022,
  [SMALL_STATE(1913)] = 70042,
  [SMALL_STATE(1914)] = 70062,
  [SMALL_STATE(1915)] = 70080,
  [SMALL_STATE(1916)] = 70100,
  [SMALL_STATE(1917)] = 70120,
  [SMALL_STATE(1918)] = 70140,
  [SMALL_STATE(1919)] = 70160,
  [SMALL_STATE(1920)] = 70180,
  [SMALL_STATE(1921)] = 70200,
  [SMALL_STATE(1922)] = 70214,
  [SMALL_STATE(1923)] = 70234,
  [SMALL_STATE(1924)] = 70254,
  [SMALL_STATE(1925)] = 70274,
  [SMALL_STATE(1926)] = 70294,
  [SMALL_STATE(1927)] = 70314,
  [SMALL_STATE(1928)] = 70334,
  [SMALL_STATE(1929)] = 70354,
  [SMALL_STATE(1930)] = 70374,
  [SMALL_STATE(1931)] = 70394,
  [SMALL_STATE(1932)] = 70414,
  [SMALL_STATE(1933)] = 70430,
  [SMALL_STATE(1934)] = 70450,
  [SMALL_STATE(1935)] = 70464,
  [SMALL_STATE(1936)] = 70478,
  [SMALL_STATE(1937)] = 70496,
  [SMALL_STATE(1938)] = 70510,
  [SMALL_STATE(1939)] = 70530,
  [SMALL_STATE(1940)] = 70548,
  [SMALL_STATE(1941)] = 70568,
  [SMALL_STATE(1942)] = 70582,
  [SMALL_STATE(1943)] = 70600,
  [SMALL_STATE(1944)] = 70618,
  [SMALL_STATE(1945)] = 70638,
  [SMALL_STATE(1946)] = 70654,
  [SMALL_STATE(1947)] = 70668,
  [SMALL_STATE(1948)] = 70688,
  [SMALL_STATE(1949)] = 70708,
  [SMALL_STATE(1950)] = 70726,
  [SMALL_STATE(1951)] = 70740,
  [SMALL_STATE(1952)] = 70760,
  [SMALL_STATE(1953)] = 70780,
  [SMALL_STATE(1954)] = 70798,
  [SMALL_STATE(1955)] = 70818,
  [SMALL_STATE(1956)] = 70838,
  [SMALL_STATE(1957)] = 70858,
  [SMALL_STATE(1958)] = 70872,
  [SMALL_STATE(1959)] = 70886,
  [SMALL_STATE(1960)] = 70906,
  [SMALL_STATE(1961)] = 70926,
  [SMALL_STATE(1962)] = 70940,
  [SMALL_STATE(1963)] = 70960,
  [SMALL_STATE(1964)] = 70980,
  [SMALL_STATE(1965)] = 71000,
  [SMALL_STATE(1966)] = 71020,
  [SMALL_STATE(1967)] = 71034,
  [SMALL_STATE(1968)] = 71054,
  [SMALL_STATE(1969)] = 71074,
  [SMALL_STATE(1970)] = 71094,
  [SMALL_STATE(1971)] = 71110,
  [SMALL_STATE(1972)] = 71128,
  [SMALL_STATE(1973)] = 71148,
  [SMALL_STATE(1974)] = 71168,
  [SMALL_STATE(1975)] = 71188,
  [SMALL_STATE(1976)] = 71204,
  [SMALL_STATE(1977)] = 71224,
  [SMALL_STATE(1978)] = 71244,
  [SMALL_STATE(1979)] = 71264,
  [SMALL_STATE(1980)] = 71284,
  [SMALL_STATE(1981)] = 71302,
  [SMALL_STATE(1982)] = 71322,
  [SMALL_STATE(1983)] = 71336,
  [SMALL_STATE(1984)] = 71354,
  [SMALL_STATE(1985)] = 71372,
  [SMALL_STATE(1986)] = 71392,
  [SMALL_STATE(1987)] = 71408,
  [SMALL_STATE(1988)] = 71422,
  [SMALL_STATE(1989)] = 71442,
  [SMALL_STATE(1990)] = 71456,
  [SMALL_STATE(1991)] = 71472,
  [SMALL_STATE(1992)] = 71492,
  [SMALL_STATE(1993)] = 71510,
  [SMALL_STATE(1994)] = 71524,
  [SMALL_STATE(1995)] = 71540,
  [SMALL_STATE(1996)] = 71554,
  [SMALL_STATE(1997)] = 71568,
  [SMALL_STATE(1998)] = 71588,
  [SMALL_STATE(1999)] = 71608,
  [SMALL_STATE(2000)] = 71626,
  [SMALL_STATE(2001)] = 71646,
  [SMALL_STATE(2002)] = 71662,
  [SMALL_STATE(2003)] = 71682,
  [SMALL_STATE(2004)] = 71696,
  [SMALL_STATE(2005)] = 71716,
  [SMALL_STATE(2006)] = 71736,
  [SMALL_STATE(2007)] = 71750,
  [SMALL_STATE(2008)] = 71764,
  [SMALL_STATE(2009)] = 71784,
  [SMALL_STATE(2010)] = 71798,
  [SMALL_STATE(2011)] = 71818,
  [SMALL_STATE(2012)] = 71838,
  [SMALL_STATE(2013)] = 71858,
  [SMALL_STATE(2014)] = 71878,
  [SMALL_STATE(2015)] = 71896,
  [SMALL_STATE(2016)] = 71916,
  [SMALL_STATE(2017)] = 71936,
  [SMALL_STATE(2018)] = 71950,
  [SMALL_STATE(2019)] = 71970,
  [SMALL_STATE(2020)] = 71990,
  [SMALL_STATE(2021)] = 72010,
  [SMALL_STATE(2022)] = 72030,
  [SMALL_STATE(2023)] = 72050,
  [SMALL_STATE(2024)] = 72070,
  [SMALL_STATE(2025)] = 72084,
  [SMALL_STATE(2026)] = 72098,
  [SMALL_STATE(2027)] = 72118,
  [SMALL_STATE(2028)] = 72138,
  [SMALL_STATE(2029)] = 72151,
  [SMALL_STATE(2030)] = 72168,
  [SMALL_STATE(2031)] = 72185,
  [SMALL_STATE(2032)] = 72200,
  [SMALL_STATE(2033)] = 72217,
  [SMALL_STATE(2034)] = 72234,
  [SMALL_STATE(2035)] = 72251,
  [SMALL_STATE(2036)] = 72264,
  [SMALL_STATE(2037)] = 72281,
  [SMALL_STATE(2038)] = 72298,
  [SMALL_STATE(2039)] = 72315,
  [SMALL_STATE(2040)] = 72328,
  [SMALL_STATE(2041)] = 72345,
  [SMALL_STATE(2042)] = 72358,
  [SMALL_STATE(2043)] = 72371,
  [SMALL_STATE(2044)] = 72388,
  [SMALL_STATE(2045)] = 72405,
  [SMALL_STATE(2046)] = 72422,
  [SMALL_STATE(2047)] = 72435,
  [SMALL_STATE(2048)] = 72450,
  [SMALL_STATE(2049)] = 72467,
  [SMALL_STATE(2050)] = 72484,
  [SMALL_STATE(2051)] = 72501,
  [SMALL_STATE(2052)] = 72518,
  [SMALL_STATE(2053)] = 72535,
  [SMALL_STATE(2054)] = 72548,
  [SMALL_STATE(2055)] = 72565,
  [SMALL_STATE(2056)] = 72580,
  [SMALL_STATE(2057)] = 72593,
  [SMALL_STATE(2058)] = 72610,
  [SMALL_STATE(2059)] = 72627,
  [SMALL_STATE(2060)] = 72644,
  [SMALL_STATE(2061)] = 72657,
  [SMALL_STATE(2062)] = 72672,
  [SMALL_STATE(2063)] = 72685,
  [SMALL_STATE(2064)] = 72698,
  [SMALL_STATE(2065)] = 72715,
  [SMALL_STATE(2066)] = 72728,
  [SMALL_STATE(2067)] = 72745,
  [SMALL_STATE(2068)] = 72758,
  [SMALL_STATE(2069)] = 72771,
  [SMALL_STATE(2070)] = 72788,
  [SMALL_STATE(2071)] = 72805,
  [SMALL_STATE(2072)] = 72822,
  [SMALL_STATE(2073)] = 72835,
  [SMALL_STATE(2074)] = 72852,
  [SMALL_STATE(2075)] = 72867,
  [SMALL_STATE(2076)] = 72880,
  [SMALL_STATE(2077)] = 72897,
  [SMALL_STATE(2078)] = 72912,
  [SMALL_STATE(2079)] = 72929,
  [SMALL_STATE(2080)] = 72942,
  [SMALL_STATE(2081)] = 72955,
  [SMALL_STATE(2082)] = 72972,
  [SMALL_STATE(2083)] = 72985,
  [SMALL_STATE(2084)] = 73000,
  [SMALL_STATE(2085)] = 73017,
  [SMALL_STATE(2086)] = 73030,
  [SMALL_STATE(2087)] = 73045,
  [SMALL_STATE(2088)] = 73062,
  [SMALL_STATE(2089)] = 73079,
  [SMALL_STATE(2090)] = 73096,
  [SMALL_STATE(2091)] = 73109,
  [SMALL_STATE(2092)] = 73124,
  [SMALL_STATE(2093)] = 73141,
  [SMALL_STATE(2094)] = 73158,
  [SMALL_STATE(2095)] = 73171,
  [SMALL_STATE(2096)] = 73188,
  [SMALL_STATE(2097)] = 73205,
  [SMALL_STATE(2098)] = 73218,
  [SMALL_STATE(2099)] = 73235,
  [SMALL_STATE(2100)] = 73248,
  [SMALL_STATE(2101)] = 73265,
  [SMALL_STATE(2102)] = 73282,
  [SMALL_STATE(2103)] = 73299,
  [SMALL_STATE(2104)] = 73316,
  [SMALL_STATE(2105)] = 73329,
  [SMALL_STATE(2106)] = 73342,
  [SMALL_STATE(2107)] = 73359,
  [SMALL_STATE(2108)] = 73376,
  [SMALL_STATE(2109)] = 73393,
  [SMALL_STATE(2110)] = 73408,
  [SMALL_STATE(2111)] = 73423,
  [SMALL_STATE(2112)] = 73440,
  [SMALL_STATE(2113)] = 73453,
  [SMALL_STATE(2114)] = 73470,
  [SMALL_STATE(2115)] = 73483,
  [SMALL_STATE(2116)] = 73500,
  [SMALL_STATE(2117)] = 73513,
  [SMALL_STATE(2118)] = 73530,
  [SMALL_STATE(2119)] = 73543,
  [SMALL_STATE(2120)] = 73560,
  [SMALL_STATE(2121)] = 73577,
  [SMALL_STATE(2122)] = 73594,
  [SMALL_STATE(2123)] = 73611,
  [SMALL_STATE(2124)] = 73628,
  [SMALL_STATE(2125)] = 73645,
  [SMALL_STATE(2126)] = 73662,
  [SMALL_STATE(2127)] = 73679,
  [SMALL_STATE(2128)] = 73692,
  [SMALL_STATE(2129)] = 73709,
  [SMALL_STATE(2130)] = 73722,
  [SMALL_STATE(2131)] = 73735,
  [SMALL_STATE(2132)] = 73752,
  [SMALL_STATE(2133)] = 73769,
  [SMALL_STATE(2134)] = 73786,
  [SMALL_STATE(2135)] = 73803,
  [SMALL_STATE(2136)] = 73820,
  [SMALL_STATE(2137)] = 73833,
  [SMALL_STATE(2138)] = 73850,
  [SMALL_STATE(2139)] = 73863,
  [SMALL_STATE(2140)] = 73880,
  [SMALL_STATE(2141)] = 73895,
  [SMALL_STATE(2142)] = 73908,
  [SMALL_STATE(2143)] = 73925,
  [SMALL_STATE(2144)] = 73942,
  [SMALL_STATE(2145)] = 73959,
  [SMALL_STATE(2146)] = 73976,
  [SMALL_STATE(2147)] = 73993,
  [SMALL_STATE(2148)] = 74010,
  [SMALL_STATE(2149)] = 74027,
  [SMALL_STATE(2150)] = 74044,
  [SMALL_STATE(2151)] = 74059,
  [SMALL_STATE(2152)] = 74076,
  [SMALL_STATE(2153)] = 74093,
  [SMALL_STATE(2154)] = 74110,
  [SMALL_STATE(2155)] = 74127,
  [SMALL_STATE(2156)] = 74144,
  [SMALL_STATE(2157)] = 74161,
  [SMALL_STATE(2158)] = 74178,
  [SMALL_STATE(2159)] = 74195,
  [SMALL_STATE(2160)] = 74212,
  [SMALL_STATE(2161)] = 74229,
  [SMALL_STATE(2162)] = 74244,
  [SMALL_STATE(2163)] = 74257,
  [SMALL_STATE(2164)] = 74274,
  [SMALL_STATE(2165)] = 74291,
  [SMALL_STATE(2166)] = 74304,
  [SMALL_STATE(2167)] = 74317,
  [SMALL_STATE(2168)] = 74334,
  [SMALL_STATE(2169)] = 74351,
  [SMALL_STATE(2170)] = 74368,
  [SMALL_STATE(2171)] = 74385,
  [SMALL_STATE(2172)] = 74398,
  [SMALL_STATE(2173)] = 74415,
  [SMALL_STATE(2174)] = 74428,
  [SMALL_STATE(2175)] = 74445,
  [SMALL_STATE(2176)] = 74458,
  [SMALL_STATE(2177)] = 74471,
  [SMALL_STATE(2178)] = 74488,
  [SMALL_STATE(2179)] = 74505,
  [SMALL_STATE(2180)] = 74522,
  [SMALL_STATE(2181)] = 74537,
  [SMALL_STATE(2182)] = 74554,
  [SMALL_STATE(2183)] = 74571,
  [SMALL_STATE(2184)] = 74588,
  [SMALL_STATE(2185)] = 74605,
  [SMALL_STATE(2186)] = 74618,
  [SMALL_STATE(2187)] = 74633,
  [SMALL_STATE(2188)] = 74648,
  [SMALL_STATE(2189)] = 74661,
  [SMALL_STATE(2190)] = 74678,
  [SMALL_STATE(2191)] = 74695,
  [SMALL_STATE(2192)] = 74708,
  [SMALL_STATE(2193)] = 74725,
  [SMALL_STATE(2194)] = 74742,
  [SMALL_STATE(2195)] = 74755,
  [SMALL_STATE(2196)] = 74770,
  [SMALL_STATE(2197)] = 74783,
  [SMALL_STATE(2198)] = 74800,
  [SMALL_STATE(2199)] = 74815,
  [SMALL_STATE(2200)] = 74832,
  [SMALL_STATE(2201)] = 74849,
  [SMALL_STATE(2202)] = 74864,
  [SMALL_STATE(2203)] = 74881,
  [SMALL_STATE(2204)] = 74898,
  [SMALL_STATE(2205)] = 74915,
  [SMALL_STATE(2206)] = 74928,
  [SMALL_STATE(2207)] = 74945,
  [SMALL_STATE(2208)] = 74962,
  [SMALL_STATE(2209)] = 74979,
  [SMALL_STATE(2210)] = 74996,
  [SMALL_STATE(2211)] = 75013,
  [SMALL_STATE(2212)] = 75030,
  [SMALL_STATE(2213)] = 75043,
  [SMALL_STATE(2214)] = 75060,
  [SMALL_STATE(2215)] = 75077,
  [SMALL_STATE(2216)] = 75094,
  [SMALL_STATE(2217)] = 75111,
  [SMALL_STATE(2218)] = 75128,
  [SMALL_STATE(2219)] = 75143,
  [SMALL_STATE(2220)] = 75160,
  [SMALL_STATE(2221)] = 75175,
  [SMALL_STATE(2222)] = 75190,
  [SMALL_STATE(2223)] = 75207,
  [SMALL_STATE(2224)] = 75224,
  [SMALL_STATE(2225)] = 75241,
  [SMALL_STATE(2226)] = 75258,
  [SMALL_STATE(2227)] = 75275,
  [SMALL_STATE(2228)] = 75292,
  [SMALL_STATE(2229)] = 75305,
  [SMALL_STATE(2230)] = 75322,
  [SMALL_STATE(2231)] = 75339,
  [SMALL_STATE(2232)] = 75356,
  [SMALL_STATE(2233)] = 75371,
  [SMALL_STATE(2234)] = 75388,
  [SMALL_STATE(2235)] = 75405,
  [SMALL_STATE(2236)] = 75422,
  [SMALL_STATE(2237)] = 75439,
  [SMALL_STATE(2238)] = 75456,
  [SMALL_STATE(2239)] = 75471,
  [SMALL_STATE(2240)] = 75488,
  [SMALL_STATE(2241)] = 75505,
  [SMALL_STATE(2242)] = 75522,
  [SMALL_STATE(2243)] = 75539,
  [SMALL_STATE(2244)] = 75556,
  [SMALL_STATE(2245)] = 75573,
  [SMALL_STATE(2246)] = 75586,
  [SMALL_STATE(2247)] = 75603,
  [SMALL_STATE(2248)] = 75620,
  [SMALL_STATE(2249)] = 75633,
  [SMALL_STATE(2250)] = 75648,
  [SMALL_STATE(2251)] = 75661,
  [SMALL_STATE(2252)] = 75674,
  [SMALL_STATE(2253)] = 75691,
  [SMALL_STATE(2254)] = 75708,
  [SMALL_STATE(2255)] = 75725,
  [SMALL_STATE(2256)] = 75742,
  [SMALL_STATE(2257)] = 75759,
  [SMALL_STATE(2258)] = 75774,
  [SMALL_STATE(2259)] = 75787,
  [SMALL_STATE(2260)] = 75804,
  [SMALL_STATE(2261)] = 75821,
  [SMALL_STATE(2262)] = 75838,
  [SMALL_STATE(2263)] = 75855,
  [SMALL_STATE(2264)] = 75868,
  [SMALL_STATE(2265)] = 75885,
  [SMALL_STATE(2266)] = 75902,
  [SMALL_STATE(2267)] = 75919,
  [SMALL_STATE(2268)] = 75936,
  [SMALL_STATE(2269)] = 75953,
  [SMALL_STATE(2270)] = 75966,
  [SMALL_STATE(2271)] = 75983,
  [SMALL_STATE(2272)] = 76000,
  [SMALL_STATE(2273)] = 76017,
  [SMALL_STATE(2274)] = 76034,
  [SMALL_STATE(2275)] = 76051,
  [SMALL_STATE(2276)] = 76068,
  [SMALL_STATE(2277)] = 76085,
  [SMALL_STATE(2278)] = 76102,
  [SMALL_STATE(2279)] = 76119,
  [SMALL_STATE(2280)] = 76136,
  [SMALL_STATE(2281)] = 76151,
  [SMALL_STATE(2282)] = 76164,
  [SMALL_STATE(2283)] = 76181,
  [SMALL_STATE(2284)] = 76198,
  [SMALL_STATE(2285)] = 76215,
  [SMALL_STATE(2286)] = 76232,
  [SMALL_STATE(2287)] = 76249,
  [SMALL_STATE(2288)] = 76266,
  [SMALL_STATE(2289)] = 76283,
  [SMALL_STATE(2290)] = 76296,
  [SMALL_STATE(2291)] = 76313,
  [SMALL_STATE(2292)] = 76328,
  [SMALL_STATE(2293)] = 76341,
  [SMALL_STATE(2294)] = 76358,
  [SMALL_STATE(2295)] = 76375,
  [SMALL_STATE(2296)] = 76388,
  [SMALL_STATE(2297)] = 76405,
  [SMALL_STATE(2298)] = 76422,
  [SMALL_STATE(2299)] = 76439,
  [SMALL_STATE(2300)] = 76452,
  [SMALL_STATE(2301)] = 76469,
  [SMALL_STATE(2302)] = 76486,
  [SMALL_STATE(2303)] = 76503,
  [SMALL_STATE(2304)] = 76520,
  [SMALL_STATE(2305)] = 76537,
  [SMALL_STATE(2306)] = 76554,
  [SMALL_STATE(2307)] = 76571,
  [SMALL_STATE(2308)] = 76586,
  [SMALL_STATE(2309)] = 76599,
  [SMALL_STATE(2310)] = 76616,
  [SMALL_STATE(2311)] = 76631,
  [SMALL_STATE(2312)] = 76648,
  [SMALL_STATE(2313)] = 76665,
  [SMALL_STATE(2314)] = 76682,
  [SMALL_STATE(2315)] = 76695,
  [SMALL_STATE(2316)] = 76712,
  [SMALL_STATE(2317)] = 76729,
  [SMALL_STATE(2318)] = 76746,
  [SMALL_STATE(2319)] = 76763,
  [SMALL_STATE(2320)] = 76780,
  [SMALL_STATE(2321)] = 76797,
  [SMALL_STATE(2322)] = 76810,
  [SMALL_STATE(2323)] = 76827,
  [SMALL_STATE(2324)] = 76844,
  [SMALL_STATE(2325)] = 76861,
  [SMALL_STATE(2326)] = 76878,
  [SMALL_STATE(2327)] = 76895,
  [SMALL_STATE(2328)] = 76912,
  [SMALL_STATE(2329)] = 76929,
  [SMALL_STATE(2330)] = 76946,
  [SMALL_STATE(2331)] = 76963,
  [SMALL_STATE(2332)] = 76976,
  [SMALL_STATE(2333)] = 76993,
  [SMALL_STATE(2334)] = 77010,
  [SMALL_STATE(2335)] = 77027,
  [SMALL_STATE(2336)] = 77044,
  [SMALL_STATE(2337)] = 77061,
  [SMALL_STATE(2338)] = 77074,
  [SMALL_STATE(2339)] = 77087,
  [SMALL_STATE(2340)] = 77104,
  [SMALL_STATE(2341)] = 77121,
  [SMALL_STATE(2342)] = 77138,
  [SMALL_STATE(2343)] = 77151,
  [SMALL_STATE(2344)] = 77164,
  [SMALL_STATE(2345)] = 77181,
  [SMALL_STATE(2346)] = 77198,
  [SMALL_STATE(2347)] = 77211,
  [SMALL_STATE(2348)] = 77228,
  [SMALL_STATE(2349)] = 77245,
  [SMALL_STATE(2350)] = 77258,
  [SMALL_STATE(2351)] = 77275,
  [SMALL_STATE(2352)] = 77292,
  [SMALL_STATE(2353)] = 77309,
  [SMALL_STATE(2354)] = 77326,
  [SMALL_STATE(2355)] = 77343,
  [SMALL_STATE(2356)] = 77360,
  [SMALL_STATE(2357)] = 77377,
  [SMALL_STATE(2358)] = 77394,
  [SMALL_STATE(2359)] = 77411,
  [SMALL_STATE(2360)] = 77428,
  [SMALL_STATE(2361)] = 77441,
  [SMALL_STATE(2362)] = 77454,
  [SMALL_STATE(2363)] = 77467,
  [SMALL_STATE(2364)] = 77484,
  [SMALL_STATE(2365)] = 77497,
  [SMALL_STATE(2366)] = 77514,
  [SMALL_STATE(2367)] = 77527,
  [SMALL_STATE(2368)] = 77540,
  [SMALL_STATE(2369)] = 77557,
  [SMALL_STATE(2370)] = 77570,
  [SMALL_STATE(2371)] = 77587,
  [SMALL_STATE(2372)] = 77600,
  [SMALL_STATE(2373)] = 77617,
  [SMALL_STATE(2374)] = 77630,
  [SMALL_STATE(2375)] = 77647,
  [SMALL_STATE(2376)] = 77664,
  [SMALL_STATE(2377)] = 77681,
  [SMALL_STATE(2378)] = 77698,
  [SMALL_STATE(2379)] = 77715,
  [SMALL_STATE(2380)] = 77732,
  [SMALL_STATE(2381)] = 77749,
  [SMALL_STATE(2382)] = 77766,
  [SMALL_STATE(2383)] = 77779,
  [SMALL_STATE(2384)] = 77796,
  [SMALL_STATE(2385)] = 77811,
  [SMALL_STATE(2386)] = 77824,
  [SMALL_STATE(2387)] = 77841,
  [SMALL_STATE(2388)] = 77858,
  [SMALL_STATE(2389)] = 77871,
  [SMALL_STATE(2390)] = 77888,
  [SMALL_STATE(2391)] = 77901,
  [SMALL_STATE(2392)] = 77918,
  [SMALL_STATE(2393)] = 77931,
  [SMALL_STATE(2394)] = 77948,
  [SMALL_STATE(2395)] = 77965,
  [SMALL_STATE(2396)] = 77982,
  [SMALL_STATE(2397)] = 77999,
  [SMALL_STATE(2398)] = 78016,
  [SMALL_STATE(2399)] = 78031,
  [SMALL_STATE(2400)] = 78044,
  [SMALL_STATE(2401)] = 78061,
  [SMALL_STATE(2402)] = 78074,
  [SMALL_STATE(2403)] = 78087,
  [SMALL_STATE(2404)] = 78104,
  [SMALL_STATE(2405)] = 78117,
  [SMALL_STATE(2406)] = 78134,
  [SMALL_STATE(2407)] = 78151,
  [SMALL_STATE(2408)] = 78168,
  [SMALL_STATE(2409)] = 78181,
  [SMALL_STATE(2410)] = 78194,
  [SMALL_STATE(2411)] = 78207,
  [SMALL_STATE(2412)] = 78220,
  [SMALL_STATE(2413)] = 78237,
  [SMALL_STATE(2414)] = 78254,
  [SMALL_STATE(2415)] = 78267,
  [SMALL_STATE(2416)] = 78284,
  [SMALL_STATE(2417)] = 78299,
  [SMALL_STATE(2418)] = 78312,
  [SMALL_STATE(2419)] = 78329,
  [SMALL_STATE(2420)] = 78342,
  [SMALL_STATE(2421)] = 78359,
  [SMALL_STATE(2422)] = 78374,
  [SMALL_STATE(2423)] = 78387,
  [SMALL_STATE(2424)] = 78400,
  [SMALL_STATE(2425)] = 78417,
  [SMALL_STATE(2426)] = 78430,
  [SMALL_STATE(2427)] = 78443,
  [SMALL_STATE(2428)] = 78460,
  [SMALL_STATE(2429)] = 78473,
  [SMALL_STATE(2430)] = 78490,
  [SMALL_STATE(2431)] = 78503,
  [SMALL_STATE(2432)] = 78516,
  [SMALL_STATE(2433)] = 78533,
  [SMALL_STATE(2434)] = 78550,
  [SMALL_STATE(2435)] = 78567,
  [SMALL_STATE(2436)] = 78580,
  [SMALL_STATE(2437)] = 78595,
  [SMALL_STATE(2438)] = 78612,
  [SMALL_STATE(2439)] = 78629,
  [SMALL_STATE(2440)] = 78642,
  [SMALL_STATE(2441)] = 78659,
  [SMALL_STATE(2442)] = 78672,
  [SMALL_STATE(2443)] = 78689,
  [SMALL_STATE(2444)] = 78706,
  [SMALL_STATE(2445)] = 78723,
  [SMALL_STATE(2446)] = 78740,
  [SMALL_STATE(2447)] = 78757,
  [SMALL_STATE(2448)] = 78774,
  [SMALL_STATE(2449)] = 78791,
  [SMALL_STATE(2450)] = 78804,
  [SMALL_STATE(2451)] = 78817,
  [SMALL_STATE(2452)] = 78830,
  [SMALL_STATE(2453)] = 78847,
  [SMALL_STATE(2454)] = 78860,
  [SMALL_STATE(2455)] = 78877,
  [SMALL_STATE(2456)] = 78890,
  [SMALL_STATE(2457)] = 78903,
  [SMALL_STATE(2458)] = 78917,
  [SMALL_STATE(2459)] = 78929,
  [SMALL_STATE(2460)] = 78941,
  [SMALL_STATE(2461)] = 78955,
  [SMALL_STATE(2462)] = 78969,
  [SMALL_STATE(2463)] = 78981,
  [SMALL_STATE(2464)] = 78993,
  [SMALL_STATE(2465)] = 79007,
  [SMALL_STATE(2466)] = 79019,
  [SMALL_STATE(2467)] = 79033,
  [SMALL_STATE(2468)] = 79047,
  [SMALL_STATE(2469)] = 79059,
  [SMALL_STATE(2470)] = 79073,
  [SMALL_STATE(2471)] = 79087,
  [SMALL_STATE(2472)] = 79101,
  [SMALL_STATE(2473)] = 79115,
  [SMALL_STATE(2474)] = 79129,
  [SMALL_STATE(2475)] = 79143,
  [SMALL_STATE(2476)] = 79157,
  [SMALL_STATE(2477)] = 79171,
  [SMALL_STATE(2478)] = 79185,
  [SMALL_STATE(2479)] = 79197,
  [SMALL_STATE(2480)] = 79211,
  [SMALL_STATE(2481)] = 79225,
  [SMALL_STATE(2482)] = 79239,
  [SMALL_STATE(2483)] = 79251,
  [SMALL_STATE(2484)] = 79265,
  [SMALL_STATE(2485)] = 79279,
  [SMALL_STATE(2486)] = 79291,
  [SMALL_STATE(2487)] = 79305,
  [SMALL_STATE(2488)] = 79319,
  [SMALL_STATE(2489)] = 79333,
  [SMALL_STATE(2490)] = 79345,
  [SMALL_STATE(2491)] = 79357,
  [SMALL_STATE(2492)] = 79369,
  [SMALL_STATE(2493)] = 79383,
  [SMALL_STATE(2494)] = 79397,
  [SMALL_STATE(2495)] = 79409,
  [SMALL_STATE(2496)] = 79423,
  [SMALL_STATE(2497)] = 79437,
  [SMALL_STATE(2498)] = 79451,
  [SMALL_STATE(2499)] = 79465,
  [SMALL_STATE(2500)] = 79479,
  [SMALL_STATE(2501)] = 79493,
  [SMALL_STATE(2502)] = 79505,
  [SMALL_STATE(2503)] = 79519,
  [SMALL_STATE(2504)] = 79533,
  [SMALL_STATE(2505)] = 79547,
  [SMALL_STATE(2506)] = 79561,
  [SMALL_STATE(2507)] = 79575,
  [SMALL_STATE(2508)] = 79589,
  [SMALL_STATE(2509)] = 79601,
  [SMALL_STATE(2510)] = 79615,
  [SMALL_STATE(2511)] = 79629,
  [SMALL_STATE(2512)] = 79643,
  [SMALL_STATE(2513)] = 79657,
  [SMALL_STATE(2514)] = 79671,
  [SMALL_STATE(2515)] = 79685,
  [SMALL_STATE(2516)] = 79699,
  [SMALL_STATE(2517)] = 79711,
  [SMALL_STATE(2518)] = 79723,
  [SMALL_STATE(2519)] = 79737,
  [SMALL_STATE(2520)] = 79749,
  [SMALL_STATE(2521)] = 79763,
  [SMALL_STATE(2522)] = 79777,
  [SMALL_STATE(2523)] = 79789,
  [SMALL_STATE(2524)] = 79803,
  [SMALL_STATE(2525)] = 79817,
  [SMALL_STATE(2526)] = 79831,
  [SMALL_STATE(2527)] = 79845,
  [SMALL_STATE(2528)] = 79857,
  [SMALL_STATE(2529)] = 79871,
  [SMALL_STATE(2530)] = 79883,
  [SMALL_STATE(2531)] = 79897,
  [SMALL_STATE(2532)] = 79911,
  [SMALL_STATE(2533)] = 79923,
  [SMALL_STATE(2534)] = 79935,
  [SMALL_STATE(2535)] = 79949,
  [SMALL_STATE(2536)] = 79961,
  [SMALL_STATE(2537)] = 79975,
  [SMALL_STATE(2538)] = 79989,
  [SMALL_STATE(2539)] = 80001,
  [SMALL_STATE(2540)] = 80013,
  [SMALL_STATE(2541)] = 80027,
  [SMALL_STATE(2542)] = 80041,
  [SMALL_STATE(2543)] = 80055,
  [SMALL_STATE(2544)] = 80067,
  [SMALL_STATE(2545)] = 80079,
  [SMALL_STATE(2546)] = 80091,
  [SMALL_STATE(2547)] = 80103,
  [SMALL_STATE(2548)] = 80115,
  [SMALL_STATE(2549)] = 80129,
  [SMALL_STATE(2550)] = 80141,
  [SMALL_STATE(2551)] = 80153,
  [SMALL_STATE(2552)] = 80167,
  [SMALL_STATE(2553)] = 80181,
  [SMALL_STATE(2554)] = 80195,
  [SMALL_STATE(2555)] = 80209,
  [SMALL_STATE(2556)] = 80223,
  [SMALL_STATE(2557)] = 80237,
  [SMALL_STATE(2558)] = 80251,
  [SMALL_STATE(2559)] = 80265,
  [SMALL_STATE(2560)] = 80277,
  [SMALL_STATE(2561)] = 80291,
  [SMALL_STATE(2562)] = 80305,
  [SMALL_STATE(2563)] = 80319,
  [SMALL_STATE(2564)] = 80331,
  [SMALL_STATE(2565)] = 80345,
  [SMALL_STATE(2566)] = 80359,
  [SMALL_STATE(2567)] = 80373,
  [SMALL_STATE(2568)] = 80387,
  [SMALL_STATE(2569)] = 80399,
  [SMALL_STATE(2570)] = 80411,
  [SMALL_STATE(2571)] = 80425,
  [SMALL_STATE(2572)] = 80439,
  [SMALL_STATE(2573)] = 80453,
  [SMALL_STATE(2574)] = 80467,
  [SMALL_STATE(2575)] = 80481,
  [SMALL_STATE(2576)] = 80493,
  [SMALL_STATE(2577)] = 80507,
  [SMALL_STATE(2578)] = 80521,
  [SMALL_STATE(2579)] = 80535,
  [SMALL_STATE(2580)] = 80549,
  [SMALL_STATE(2581)] = 80561,
  [SMALL_STATE(2582)] = 80575,
  [SMALL_STATE(2583)] = 80587,
  [SMALL_STATE(2584)] = 80601,
  [SMALL_STATE(2585)] = 80615,
  [SMALL_STATE(2586)] = 80629,
  [SMALL_STATE(2587)] = 80643,
  [SMALL_STATE(2588)] = 80657,
  [SMALL_STATE(2589)] = 80669,
  [SMALL_STATE(2590)] = 80681,
  [SMALL_STATE(2591)] = 80695,
  [SMALL_STATE(2592)] = 80709,
  [SMALL_STATE(2593)] = 80721,
  [SMALL_STATE(2594)] = 80735,
  [SMALL_STATE(2595)] = 80749,
  [SMALL_STATE(2596)] = 80763,
  [SMALL_STATE(2597)] = 80777,
  [SMALL_STATE(2598)] = 80791,
  [SMALL_STATE(2599)] = 80805,
  [SMALL_STATE(2600)] = 80819,
  [SMALL_STATE(2601)] = 80833,
  [SMALL_STATE(2602)] = 80847,
  [SMALL_STATE(2603)] = 80861,
  [SMALL_STATE(2604)] = 80875,
  [SMALL_STATE(2605)] = 80887,
  [SMALL_STATE(2606)] = 80899,
  [SMALL_STATE(2607)] = 80910,
  [SMALL_STATE(2608)] = 80921,
  [SMALL_STATE(2609)] = 80932,
  [SMALL_STATE(2610)] = 80943,
  [SMALL_STATE(2611)] = 80954,
  [SMALL_STATE(2612)] = 80965,
  [SMALL_STATE(2613)] = 80976,
  [SMALL_STATE(2614)] = 80987,
  [SMALL_STATE(2615)] = 80998,
  [SMALL_STATE(2616)] = 81009,
  [SMALL_STATE(2617)] = 81020,
  [SMALL_STATE(2618)] = 81031,
  [SMALL_STATE(2619)] = 81042,
  [SMALL_STATE(2620)] = 81053,
  [SMALL_STATE(2621)] = 81064,
  [SMALL_STATE(2622)] = 81075,
  [SMALL_STATE(2623)] = 81086,
  [SMALL_STATE(2624)] = 81097,
  [SMALL_STATE(2625)] = 81108,
  [SMALL_STATE(2626)] = 81119,
  [SMALL_STATE(2627)] = 81130,
  [SMALL_STATE(2628)] = 81141,
  [SMALL_STATE(2629)] = 81152,
  [SMALL_STATE(2630)] = 81163,
  [SMALL_STATE(2631)] = 81174,
  [SMALL_STATE(2632)] = 81185,
  [SMALL_STATE(2633)] = 81196,
  [SMALL_STATE(2634)] = 81207,
  [SMALL_STATE(2635)] = 81218,
  [SMALL_STATE(2636)] = 81229,
  [SMALL_STATE(2637)] = 81240,
  [SMALL_STATE(2638)] = 81251,
  [SMALL_STATE(2639)] = 81262,
  [SMALL_STATE(2640)] = 81273,
  [SMALL_STATE(2641)] = 81284,
  [SMALL_STATE(2642)] = 81295,
  [SMALL_STATE(2643)] = 81306,
  [SMALL_STATE(2644)] = 81317,
  [SMALL_STATE(2645)] = 81328,
  [SMALL_STATE(2646)] = 81339,
  [SMALL_STATE(2647)] = 81350,
  [SMALL_STATE(2648)] = 81361,
  [SMALL_STATE(2649)] = 81372,
  [SMALL_STATE(2650)] = 81383,
  [SMALL_STATE(2651)] = 81394,
  [SMALL_STATE(2652)] = 81405,
  [SMALL_STATE(2653)] = 81416,
  [SMALL_STATE(2654)] = 81427,
  [SMALL_STATE(2655)] = 81438,
  [SMALL_STATE(2656)] = 81449,
  [SMALL_STATE(2657)] = 81460,
  [SMALL_STATE(2658)] = 81471,
  [SMALL_STATE(2659)] = 81482,
  [SMALL_STATE(2660)] = 81493,
  [SMALL_STATE(2661)] = 81504,
  [SMALL_STATE(2662)] = 81515,
  [SMALL_STATE(2663)] = 81526,
  [SMALL_STATE(2664)] = 81537,
  [SMALL_STATE(2665)] = 81548,
  [SMALL_STATE(2666)] = 81559,
  [SMALL_STATE(2667)] = 81570,
  [SMALL_STATE(2668)] = 81581,
  [SMALL_STATE(2669)] = 81592,
  [SMALL_STATE(2670)] = 81603,
  [SMALL_STATE(2671)] = 81614,
  [SMALL_STATE(2672)] = 81625,
  [SMALL_STATE(2673)] = 81636,
  [SMALL_STATE(2674)] = 81647,
  [SMALL_STATE(2675)] = 81658,
  [SMALL_STATE(2676)] = 81669,
  [SMALL_STATE(2677)] = 81680,
  [SMALL_STATE(2678)] = 81691,
  [SMALL_STATE(2679)] = 81702,
  [SMALL_STATE(2680)] = 81713,
  [SMALL_STATE(2681)] = 81724,
  [SMALL_STATE(2682)] = 81735,
  [SMALL_STATE(2683)] = 81746,
  [SMALL_STATE(2684)] = 81757,
  [SMALL_STATE(2685)] = 81768,
  [SMALL_STATE(2686)] = 81779,
  [SMALL_STATE(2687)] = 81790,
  [SMALL_STATE(2688)] = 81801,
  [SMALL_STATE(2689)] = 81812,
  [SMALL_STATE(2690)] = 81823,
  [SMALL_STATE(2691)] = 81834,
  [SMALL_STATE(2692)] = 81845,
  [SMALL_STATE(2693)] = 81856,
  [SMALL_STATE(2694)] = 81867,
  [SMALL_STATE(2695)] = 81878,
  [SMALL_STATE(2696)] = 81889,
  [SMALL_STATE(2697)] = 81900,
  [SMALL_STATE(2698)] = 81911,
  [SMALL_STATE(2699)] = 81922,
  [SMALL_STATE(2700)] = 81933,
  [SMALL_STATE(2701)] = 81944,
  [SMALL_STATE(2702)] = 81955,
  [SMALL_STATE(2703)] = 81966,
  [SMALL_STATE(2704)] = 81977,
  [SMALL_STATE(2705)] = 81988,
  [SMALL_STATE(2706)] = 81999,
  [SMALL_STATE(2707)] = 82010,
  [SMALL_STATE(2708)] = 82021,
  [SMALL_STATE(2709)] = 82032,
  [SMALL_STATE(2710)] = 82043,
  [SMALL_STATE(2711)] = 82054,
  [SMALL_STATE(2712)] = 82065,
  [SMALL_STATE(2713)] = 82076,
  [SMALL_STATE(2714)] = 82087,
  [SMALL_STATE(2715)] = 82098,
  [SMALL_STATE(2716)] = 82109,
  [SMALL_STATE(2717)] = 82120,
  [SMALL_STATE(2718)] = 82131,
  [SMALL_STATE(2719)] = 82142,
  [SMALL_STATE(2720)] = 82153,
  [SMALL_STATE(2721)] = 82164,
  [SMALL_STATE(2722)] = 82175,
  [SMALL_STATE(2723)] = 82186,
  [SMALL_STATE(2724)] = 82197,
  [SMALL_STATE(2725)] = 82208,
  [SMALL_STATE(2726)] = 82219,
  [SMALL_STATE(2727)] = 82230,
  [SMALL_STATE(2728)] = 82241,
  [SMALL_STATE(2729)] = 82252,
  [SMALL_STATE(2730)] = 82263,
  [SMALL_STATE(2731)] = 82274,
  [SMALL_STATE(2732)] = 82285,
  [SMALL_STATE(2733)] = 82296,
  [SMALL_STATE(2734)] = 82307,
  [SMALL_STATE(2735)] = 82318,
  [SMALL_STATE(2736)] = 82329,
  [SMALL_STATE(2737)] = 82340,
  [SMALL_STATE(2738)] = 82351,
  [SMALL_STATE(2739)] = 82362,
  [SMALL_STATE(2740)] = 82373,
  [SMALL_STATE(2741)] = 82384,
  [SMALL_STATE(2742)] = 82395,
  [SMALL_STATE(2743)] = 82406,
  [SMALL_STATE(2744)] = 82417,
  [SMALL_STATE(2745)] = 82428,
  [SMALL_STATE(2746)] = 82439,
  [SMALL_STATE(2747)] = 82450,
  [SMALL_STATE(2748)] = 82461,
  [SMALL_STATE(2749)] = 82472,
  [SMALL_STATE(2750)] = 82483,
  [SMALL_STATE(2751)] = 82494,
  [SMALL_STATE(2752)] = 82505,
  [SMALL_STATE(2753)] = 82516,
  [SMALL_STATE(2754)] = 82527,
  [SMALL_STATE(2755)] = 82538,
  [SMALL_STATE(2756)] = 82549,
  [SMALL_STATE(2757)] = 82560,
  [SMALL_STATE(2758)] = 82571,
  [SMALL_STATE(2759)] = 82582,
  [SMALL_STATE(2760)] = 82593,
  [SMALL_STATE(2761)] = 82604,
  [SMALL_STATE(2762)] = 82615,
  [SMALL_STATE(2763)] = 82626,
  [SMALL_STATE(2764)] = 82637,
  [SMALL_STATE(2765)] = 82648,
  [SMALL_STATE(2766)] = 82659,
  [SMALL_STATE(2767)] = 82670,
  [SMALL_STATE(2768)] = 82681,
  [SMALL_STATE(2769)] = 82692,
  [SMALL_STATE(2770)] = 82703,
  [SMALL_STATE(2771)] = 82714,
  [SMALL_STATE(2772)] = 82725,
  [SMALL_STATE(2773)] = 82736,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 1, 0, 0),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 1, 0, 0),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_expression, 1, 0, 0),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 2, 0, 0),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 2, 0, 0),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiline_interpolation_fragment, 1, 0, 0),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiline_interpolation_fragment, 2, 0, 0),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0),
  [843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2730),
  [846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(273),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiline_string_literal, 1, 0, 0),
  [855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiline_string_literal, 1, 0, 0),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiline_interpolation_content, 1, 0, 0),
  [859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiline_interpolation_content, 1, 0, 0),
  [861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiline_interpolation_fragment, 1, 0, 0),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiline_interpolation_fragment, 2, 0, 0),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolator, 3, 0, 0),
  [873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolator, 3, 0, 0),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 0),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 0),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_identifier, 1, 0, 0),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_identifier, 1, 0, 0),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 1, 0, 0),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 1, 0, 0),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 0),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 0),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessor, 2, 0, 0),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessor, 2, 0, 0),
  [915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(203),
  [918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(519),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiline_string_fragment, 2, 0, 0),
  [923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiline_string_fragment, 2, 0, 0),
  [925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access_expression, 5, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access_expression, 5, 0, 0),
  [929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access_expression, 6, 0, 0),
  [931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access_expression, 6, 0, 0),
  [933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_expression_pun, 1, 0, 0),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_expression, 2, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_expression, 2, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access_expression, 4, 0, 0),
  [943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access_expression, 4, 0, 0),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(394),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessor, 1, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessor, 1, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_expression, 1, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_expression, 1, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_expression, 1, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_expression, 1, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_expression, 2, 0, 0),
  [995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_expression, 2, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_byte_literal, 3, 0, 0),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_byte_literal, 3, 0, 0),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bytes_literal, 2, 0, 0),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bytes_literal, 2, 0, 0),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(199),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_expression, 4, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_expression, 4, 0, 0),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_expression, 3, 0, 0),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_expression, 3, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_expression, 5, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_expression, 5, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_semicolon, 1, 0, 0),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_semicolon, 1, 0, 0),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_expression, 2, 0, 0),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_expression, 2, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bytes_literal, 3, 0, 0),
  [1071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bytes_literal, 3, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [1089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_expression, 3, 0, 0),
  [1091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_expression, 3, 0, 0),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 4, 0, 0),
  [1095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 4, 0, 0),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_expression, 4, 0, 0),
  [1099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_expression, 4, 0, 0),
  [1101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonempty_block_expression, 4, 0, 0),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nonempty_block_expression, 4, 0, 0),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_matrix_lambda_expression, 4, 0, 0),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_matrix_lambda_expression, 4, 0, 0),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_lambda_expression, 4, 0, 0),
  [1111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_lambda_expression, 4, 0, 0),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_matrix_lambda_expression, 3, 0, 0),
  [1115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_matrix_lambda_expression, 3, 0, 0),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 4, 0, 0),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_interpolation, 4, 0, 0),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_apply_expression, 4, 0, 0),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_apply_expression, 4, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_apply_expression, 4, 0, 0),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_apply_expression, 4, 0, 0),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_dot_apply_expression, 4, 0, 0),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_dot_apply_expression, 4, 0, 0),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_lambda_expression, 3, 0, 0),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_lambda_expression, 3, 0, 0),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_expression, 5, 0, 0),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_expression, 5, 0, 0),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 5, 0, 0),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 5, 0, 0),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_expression, 5, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_expression, 5, 0, 0),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonempty_block_expression, 5, 0, 0),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nonempty_block_expression, 5, 0, 0),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_matrix_lambda_expression, 5, 0, 0),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_matrix_lambda_expression, 5, 0, 0),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_lambda_expression, 5, 0, 0),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_lambda_expression, 5, 0, 0),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 5, 0, 0),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_interpolation, 5, 0, 0),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_apply_expression, 5, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_apply_expression, 5, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_apply_expression, 5, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_apply_expression, 5, 0, 0),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_dot_apply_expression, 5, 0, 0),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_dot_apply_expression, 5, 0, 0),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 6, 0, 0),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 6, 0, 0),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_matrix_lambda_expression, 6, 0, 0),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_matrix_lambda_expression, 6, 0, 0),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_lambda_expression, 6, 0, 0),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_lambda_expression, 6, 0, 0),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 6, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 6, 0, 0),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_apply_expression, 6, 0, 0),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_apply_expression, 6, 0, 0),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_apply_expression, 6, 0, 0),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_apply_expression, 6, 0, 0),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_dot_apply_expression, 6, 0, 0),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_dot_apply_expression, 6, 0, 0),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 7, 0, 0),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 7, 0, 0),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_matrix_lambda_expression, 7, 0, 0),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_matrix_lambda_expression, 7, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_apply_expression, 7, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_apply_expression, 7, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_apply_expression, 7, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_apply_expression, 7, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 8, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 8, 0, 0),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_matrix_lambda_expression, 8, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_matrix_lambda_expression, 8, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 9, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 9, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 10, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 10, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 3, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_interpolation, 3, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 3, 0, 0),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 3, 0, 0),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 3, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 3, 0, 0),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_expression, 3, 0, 0),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_expression, 3, 0, 0),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_apply_expression, 3, 0, 0),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_apply_expression, 3, 0, 0),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonempty_block_expression, 3, 0, 0),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nonempty_block_expression, 3, 0, 0),
  [1279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_expression, 3, 0, 0),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_expression, 3, 0, 0),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expression, 1, 0, 0),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expression, 1, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atomic_expression, 1, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atomic_expression, 1, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit_expression, 2, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit_expression, 2, 0, 0),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_expression, 2, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_expression, 2, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_dot_apply_expression, 7, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_dot_apply_expression, 7, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_left_value, 1, 0, 0),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_left_value, 1, 0, 0),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [1350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(463),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_element_key, 2, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_element_key, 1, 0, 0),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_pattern, 1, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_pattern, 1, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 1, 0, 0),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 1, 0, 0),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_pattern, 2, 0, 0),
  [1381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_pattern, 2, 0, 0),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_pattern, 3, 0, 0),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_pattern, 3, 0, 0),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_pattern, 4, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_pattern, 4, 0, 0),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_pattern, 3, 0, 0),
  [1397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_pattern, 3, 0, 0),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 4, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_pattern, 4, 0, 0),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 4, 0, 0),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 4, 0, 0),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 5, 0, 0),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 5, 0, 0),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_pattern, 5, 0, 0),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_pattern, 5, 0, 0),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 5, 0, 0),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_pattern, 5, 0, 0),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_pattern, 5, 0, 0),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_pattern, 5, 0, 0),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 5, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 5, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 6, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 6, 0, 0),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 6, 0, 0),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_pattern, 6, 0, 0),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_pattern, 6, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_pattern, 6, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 6, 0, 0),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 6, 0, 0),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 7, 0, 0),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 7, 0, 0),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 3, 0, 0),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_pattern, 3, 0, 0),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_struct_or_map_pattern, 2, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_struct_or_map_pattern, 2, 0, 0),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [1473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_label, 2, 0, 0),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_label, 2, 0, 0),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 0),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_dot, 1, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_dot, 1, 0, 0),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 1, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 1, 0, 0),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_label, 2, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_label, 2, 0, 0),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assign_operator, 1, 0, 0),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assign_operator, 1, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 1, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 1, 0, 0),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equal, 1, 0, 0),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equal, 1, 0, 0),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is_expression, 3, 0, 0),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_expression, 3, 0, 0),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_label, 3, 0, 0),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_label, 3, 0, 0),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 2, 0, 0),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 2, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 1, 0, 0),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 1, 0, 0),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 0),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 0),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 0),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline_expression, 1, 0, 0),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline_expression, 3, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_with_error, 2, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_with_error, 2, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_expression, 2, 0, 0),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [1663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 3, 0, 0),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 6, 0, 0),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 5, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 4, 0, 0),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [1752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_interpolation_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(983),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 0),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_expression, 1, 0, 0),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [1767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_expression, 1, 0, 0),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_let_expression, 5, 0, 0),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_expression, 2, 0, 0),
  [1809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_expression, 2, 0, 0),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [1813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2635),
  [1816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(944),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributes, 1, 0, 0),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributes, 1, 0, 0),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_properties, 2, 0, 0),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_properties, 2, 0, 0),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_expression, 3, 0, 0),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_expression, 3, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0),
  [1851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [1866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_properties, 3, 0, 0),
  [1868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_properties, 3, 0, 0),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [1872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_properties, 5, 0, 0),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_properties, 5, 0, 0),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_properties, 4, 0, 0),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_properties, 4, 0, 0),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 2, 0, 0),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_interpolation_repeat2, 2, 0, 0),
  [2010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_interpolation_repeat2, 2, 0, 0), SHIFT_REPEAT(157),
  [2013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_interpolation_repeat2, 2, 0, 0), SHIFT_REPEAT(1259),
  [2016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_interpolation_repeat2, 2, 0, 0), SHIFT_REPEAT(1270),
  [2019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_interpolation_repeat2, 2, 0, 0), SHIFT_REPEAT(1270),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_interpolation_repeat1, 2, 0, 0),
  [2024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_interpolation_repeat1, 2, 0, 0), SHIFT_REPEAT(1259),
  [2027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_interpolation_repeat1, 2, 0, 0), SHIFT_REPEAT(1270),
  [2030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_interpolation_repeat1, 2, 0, 0), SHIFT_REPEAT(1270),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility, 1, 0, 0),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility, 1, 0, 0),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pub, 1, 0, 0),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pub_attribute, 3, 0, 0),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility, 2, 0, 0),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 0),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 0),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_apply_type, 1, 0, 0),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_expression, 7, 0, 0),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pub_attribute, 3, 0, 0),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 8, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 6, 0, 0),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 2, 0, 0),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 4, 0, 0),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 0),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6, 0, 0),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 0),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 0),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_fragment, 1, 0, 0),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_fragment, 1, 0, 0),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_expression, 4, 0, 0),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 9, 0, 0),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 0),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 10, 0, 0),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 3, 0, 0),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unescaped_string_fragment, 1, 0, 0),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unescaped_string_fragment, 1, 0, 0),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_expression, 6, 0, 0),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility, 2, 0, 0),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_expression, 5, 0, 0),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, 0, 0),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 7, 0, 0),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 9, 0, 0),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [2263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(1882),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_type, 2, 0, 0),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_any, 1, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_object_type, 2, 0, 0),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_type, 2, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_apply_type, 2, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 2, 0, 0),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 0),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_expression, 4, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 0),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_expression, 5, 0, 0),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 5, 0, 0),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 6, 0, 0),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 6, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_expression, 6, 0, 0),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 7, 0, 0),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 7, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_else_clause, 3, 0, 0),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_expression, 7, 0, 0),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_else_clause, 4, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_expression, 8, 0, 0),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_expression, 8, 0, 0),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_else_clause, 5, 0, 0),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_expression, 9, 0, 0),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_else_clause, 6, 0, 0),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 10, 0, 0),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 11, 0, 0),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 3, 0, 0),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_with_error, 3, 0, 0),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, 0, 0),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_identifier, 1, 0, 0),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 5, 0, 0),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 7, 0, 0),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 8, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 8, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_identifier, 3, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_case_clause_repeat1, 2, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 7, 0, 0),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 4, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 10, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 10, 0, 0),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 0),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constructor, 1, 0, 0),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 7, 0, 0),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 9, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 9, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 6, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_trait_declaration, 1, 0, 0),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 6, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_matrix_lambda_expression_repeat1, 2, 0, 0),
  [2596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_matrix_lambda_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [2613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(412),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structure_repeat1, 2, 0, 0),
  [2618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structure_repeat1, 2, 0, 0), SHIFT_REPEAT(971),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_declaration, 5, 0, 0),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_declaration, 8, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 3, 0, 0),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 3, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 11, 0, 0),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 9, 0, 0),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 8, 0, 0),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_expression_repeat1, 2, 0, 0),
  [2782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_element_pattern, 4, 0, 0),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_source, 1, 0, 0),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_declaration, 6, 0, 0),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 4, 0, 0),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 4, 0, 0),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 1, 0, 0),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_trait_definition_repeat1, 2, 0, 0),
  [2851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_trait_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2, 0, 0),
  [2856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_declaration, 3, 0, 0),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0),
  [2865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_error_type_definition_repeat1, 2, 0, 0),
  [2874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_error_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(971),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_pattern, 3, 0, 0),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_declaration, 9, 0, 0),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_declaration, 4, 0, 0),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_element_pattern, 3, 0, 0),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_declaration, 7, 0, 0),
  [2909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [2912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_expression_repeat1, 2, 0, 0),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 10, 0, 0),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_definition, 6, 0, 0),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_definition, 7, 0, 0),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derive_directive, 6, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field_declaration, 5, 0, 0),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern_argument, 3, 0, 0),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_apply_operator, 1, 0, 0),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_pun, 2, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_definition, 4, 0, 0),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_pattern_pun, 1, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1876),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_pattern_repeat1, 2, 0, 0),
  [2981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_sub_pattern, 1, 0, 0),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(910),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_pattern_repeat1, 2, 0, 0),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_alias_definition, 4, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 8, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 11, 0, 0),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 11, 0, 0),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(161),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_alias_definition, 6, 0, 0),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_binder, 3, 0, 0),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern_argument, 1, 0, 0),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_label, 2, 0, 0),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derive_directive, 5, 0, 0),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_alias_definition, 5, 0, 0),
  [3065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 1, 0, 0),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [3077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2, 0, 0),
  [3083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field_declaration, 4, 0, 0),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1043),
  [3109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derive_directive, 4, 0, 0),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field_declaration, 3, 0, 0),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derive_directive, 3, 0, 0),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_definition, 5, 0, 0),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_identifier, 1, 0, 0),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(397),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_matrix_expression, 6, 0, 0),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 5, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_declaration, 10, 0, 0),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_lambda_expression, 6, 0, 0),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_case_clause, 4, 0, 0),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_parameter, 1, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 11, 0, 0),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_properties_repeat1, 2, 0, 0),
  [3232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_properties_repeat1, 2, 0, 0), SHIFT_REPEAT(1593),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_matrix_expression, 9, 0, 0),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 0),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_definition, 4, 0, 0),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, 0, 0),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_definition, 2, 0, 0),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 3, 0, 0),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_definition, 3, 0, 0),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_trait_declaration, 2, 0, 0),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_matrix_expression, 5, 0, 0),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_lambda_expression, 5, 0, 0),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_let_expression, 6, 0, 0),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_expression, 3, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_case_clause, 3, 0, 0),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_definition, 13, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_super_trait_declaration_repeat1, 2, 0, 0),
  [3325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_super_trait_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1766),
  [3328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_parameter, 4, 0, 0),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 6, 0, 0),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_let_else_expression, 4, 0, 0),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 0),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constructor_payload, 5, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_definition, 14, 0, 0),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constructor_payload, 4, 0, 0),
  [3382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_definition, 11, 0, 0),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 0),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_definition, 6, 0, 0),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type_definition, 12, 0, 0),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_constructor_payload_repeat1, 2, 0, 0),
  [3416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_constructor_payload_repeat1, 2, 0, 0), SHIFT_REPEAT(968),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [3421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_parameter, 3, 0, 0),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2757),
  [3428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_expression_repeat1, 2, 0, 0),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_matrix_expression, 7, 0, 0),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constructor_payload, 3, 0, 0),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_lambda_expression, 7, 0, 0),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 7, 0, 0),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_case_clause, 5, 0, 0),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 0),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, 0, 0),
  [3496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_apply_expression_repeat1, 2, 0, 0),
  [3498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_apply_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(112),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_else_expression, 2, 0, 0),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_let_else_expression, 5, 0, 0),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 0),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assign_expression, 3, 0, 0),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 5, 0, 0),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derive_directive_repeat1, 2, 0, 0),
  [3583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derive_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_trait_declaration, 3, 0, 0),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [3608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 4, 0, 0),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_matrix_expression, 4, 0, 0),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 1, 0, 0),
  [3620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 7, 0, 0),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1894),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_lambda_expression, 4, 0, 0),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [3655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [3685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [3688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_expression_repeat1, 2, 0, 0),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field_pattern, 1, 0, 0),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_definition, 9, 0, 0),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_definition, 5, 0, 0),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_definition, 7, 0, 0),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_expression_repeat1, 2, 0, 0),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_definition, 7, 0, 0),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 9, 0, 0),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure_item, 1, 0, 0),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(905),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_expression_repeat1, 2, 0, 0),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 0),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_definition, 6, 0, 0),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [3820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_definition, 4, 0, 0),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_matrix_expression, 8, 0, 0),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_case_clause, 6, 0, 0),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_trait_method_declaration_repeat1, 2, 0, 0),
  [3844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_trait_method_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(978),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 0),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_parameter, 1, 0, 0),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_let_else_expression, 3, 0, 0),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constructor_payload, 2, 0, 0),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 8, 0, 0),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2506),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_mut_expression, 6, 0, 0),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constructor, 2, 0, 0),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 0),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_let_else_expression, 6, 0, 0),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [3896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_expression, 2, 0, 0),
  [3898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_definition, 5, 0, 0),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [3908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_label, 2, 0, 0),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 0),
  [3914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 10, 0, 0),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_source, 2, 0, 0),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_pattern_repeat1, 2, 0, 0),
  [3920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(336),
  [3923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_definition, 12, 0, 0),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 6, 0, 0),
  [3929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_parameter, 2, 0, 0),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [3943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_definition, 10, 0, 0),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [3964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_mut_expression, 5, 0, 0),
  [3966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 0),
  [3968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_expression, 1, 0, 0),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_definition, 8, 0, 0),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [3976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_identifier, 3, 0, 0),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [4000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_method_parameter, 2, 0, 0),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [4006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_property, 1, 0, 0),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field_expression, 1, 0, 0),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_element_expression, 3, 0, 0),
  [4018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 0),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_linkage, 2, 0, 0),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [4032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_sub_pattern, 2, 0, 0),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [4052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derive_item, 1, 0, 0),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_expression, 3, 0, 0),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_property, 3, 0, 0),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 0),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 0),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [4124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_expression_repeat1, 3, 0, 0),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_dot_identifier, 2, 0, 0),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_guard, 2, 0, 0),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4306] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mutability, 1, 0, 0),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_automatic_newline = 0,
  ts_external_token_automatic_semicolon = 1,
  ts_external_token_multiline_string_separator = 2,
  ts_external_token_multiline_interpolation_separator = 3,
  ts_external_token_float_literal = 4,
  ts_external_token_for_keyword = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_automatic_newline] = sym_automatic_newline,
  [ts_external_token_automatic_semicolon] = sym_automatic_semicolon,
  [ts_external_token_multiline_string_separator] = sym_multiline_string_separator,
  [ts_external_token_multiline_interpolation_separator] = sym_multiline_interpolation_separator,
  [ts_external_token_float_literal] = sym_float_literal,
  [ts_external_token_for_keyword] = sym_for_keyword,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_automatic_newline] = true,
    [ts_external_token_automatic_semicolon] = true,
    [ts_external_token_multiline_string_separator] = true,
    [ts_external_token_multiline_interpolation_separator] = true,
    [ts_external_token_float_literal] = true,
    [ts_external_token_for_keyword] = true,
  },
  [2] = {
    [ts_external_token_automatic_newline] = true,
  },
  [3] = {
    [ts_external_token_automatic_newline] = true,
    [ts_external_token_multiline_string_separator] = true,
    [ts_external_token_multiline_interpolation_separator] = true,
    [ts_external_token_float_literal] = true,
    [ts_external_token_for_keyword] = true,
  },
  [4] = {
    [ts_external_token_automatic_newline] = true,
    [ts_external_token_automatic_semicolon] = true,
    [ts_external_token_multiline_string_separator] = true,
    [ts_external_token_multiline_interpolation_separator] = true,
    [ts_external_token_float_literal] = true,
  },
  [5] = {
    [ts_external_token_automatic_newline] = true,
    [ts_external_token_multiline_string_separator] = true,
    [ts_external_token_multiline_interpolation_separator] = true,
    [ts_external_token_float_literal] = true,
  },
  [6] = {
    [ts_external_token_automatic_newline] = true,
    [ts_external_token_multiline_string_separator] = true,
    [ts_external_token_multiline_interpolation_separator] = true,
  },
  [7] = {
    [ts_external_token_automatic_newline] = true,
    [ts_external_token_automatic_semicolon] = true,
    [ts_external_token_multiline_string_separator] = true,
    [ts_external_token_multiline_interpolation_separator] = true,
  },
  [8] = {
    [ts_external_token_automatic_newline] = true,
    [ts_external_token_automatic_semicolon] = true,
  },
  [9] = {
    [ts_external_token_automatic_newline] = true,
    [ts_external_token_for_keyword] = true,
  },
  [10] = {
    [ts_external_token_automatic_newline] = true,
    [ts_external_token_float_literal] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_moonbit_external_scanner_create(void);
void tree_sitter_moonbit_external_scanner_destroy(void *);
bool tree_sitter_moonbit_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_moonbit_external_scanner_serialize(void *, char *);
void tree_sitter_moonbit_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_moonbit(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_lowercase_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_moonbit_external_scanner_create,
      tree_sitter_moonbit_external_scanner_destroy,
      tree_sitter_moonbit_external_scanner_scan,
      tree_sitter_moonbit_external_scanner_serialize,
      tree_sitter_moonbit_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
